(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[   2374902,      53669]
NotebookOptionsPosition[   2357784,      53132]
NotebookOutlinePosition[   2358161,      53148]
CellTagsIndexPosition[   2358118,      53145]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"Copyright", " ", "2016"}], "-", 
   RowBox[{"2017", " ", "Daniel", " ", "Strano"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.6921315180575843`*^9, 3.692131531090472*^9}, {
  3.692284480367113*^9, 3.692284481921115*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"To", " ", "run", " ", "this", " ", "notebook"}], ",", " ", 
   RowBox[{"you", " ", "will", " ", "need", " ", "the", " ", "package", " ", 
    RowBox[{"diffgeo", ".", "m"}], " ", "by", " ", "Matthew", " ", 
    RowBox[{"Headrick", ".", " ", "It"}], " ", "is", " ", "freely", " ", 
    "available", " ", "on", " ", "the", " ", 
    RowBox[{"Web", ".", " ", "All"}], " ", "applicable", " ", "rights", " ", 
    "to", " ", "that", " ", "package", " ", "belong", " ", "him"}], ",", " ", 
   RowBox[{"but", " ", "I", " ", "thank", " ", 
    RowBox[{"him", "!"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.692131453954417*^9, 3.692131731639501*^9}, {
  3.692141111996084*^9, 3.6921412317760167`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"INSTRUCTIONS", " ", "TO", " ", "RUN", " ", 
    RowBox[{"NOTEBOOK", ":", " ", 
     RowBox[{
     "Run", " ", "sequentially", " ", "from", " ", "beginning", " ", "of", 
      " ", "file", " ", "between", " ", "each", " ", "SEGMENT", " ", 
      RowBox[{"note", ".", " ", 
       RowBox[{"(", 
        RowBox[{
        "Run", " ", "a", " ", "string", " ", "search", " ", "for", " ", 
         RowBox[{"SEGMENT", "."}]}], ")"}]}], " ", "It", " ", "will", " ", 
      "be", " ", "noted", " ", "that", " ", 
      RowBox[{"diffgeo", ".", "m"}], " ", "must", " ", "be", " ", "run", " ", 
      "between", " ", "these", " ", 
      RowBox[{"segments", ".", " ", "It"}], " ", "might", " ", "be", " ", 
      "necessary", " ", "to", " ", "close", " ", "and", " ", "reopen", " ", 
      "Mathematica", " ", "to", " ", "clear", " ", "the", " ", "global", " ", 
      "name", " ", "space"}]}]}], ",", " ", 
   RowBox[{
   "in", " ", "order", " ", "to", " ", "complete", " ", "a", " ", "new", " ", 
    "segment"}], ",", " ", 
   RowBox[{"so", " ", "save", " ", "and", " ", 
    RowBox[{"reopen", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.692131740589023*^9, 3.692132135742595*^9}, {
  3.692132230943333*^9, 3.6921322335595055`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "Analogous", " ", "to", " ", "the", " ", "variation", " ", "to", " ", 
    "Schwarzschild", " ", "in", " ", "Strano", " ", "2017"}], ",", " ", 
   RowBox[{
   "we", " ", "form", " ", "a", " ", "perturbation", " ", "for", " ", "a", 
    " ", "charged"}], ",", " ", 
   RowBox[{
    RowBox[{"massive", " ", "black", " ", 
     RowBox[{"hole", ".", " ", "We"}], " ", "assume", " ", "that", " ", "the",
      " ", "mass", " ", "waves", " ", "of", " ", "Schwarzschild", " ", "are", 
     " ", "allowed", " ", "for", " ", "Reissner"}], "-", 
    RowBox[{"Nordstroem", ".", " ", "However"}]}], ",", " ", 
   RowBox[{
    RowBox[{
    "radiating", " ", "mass", " ", "without", " ", "radiating", " ", "charge",
      " ", "could", " ", "force", " ", "a", " ", "charged", " ", "black", " ",
      "hole", " ", "into", " ", "a", " ", "super"}], "-", 
    RowBox[{"extremal", " ", "state"}]}], ",", " ", 
   RowBox[{
   "to", " ", "even", " ", "the", " ", "point", " ", "of", " ", "bare", " ", 
    "charge"}], ",", " ", 
   RowBox[{"unless", " ", "some", " ", "constraint", " ", "stops", " ", 
    RowBox[{"it", ".", " ", "If"}], " ", "charge", " ", "radiates", " ", "at",
     " ", "all"}], ",", " ", 
   RowBox[{
   "it", " ", "needs", " ", "to", " ", "radiate", " ", "with", " ", "energy", 
    " ", "to", " ", "have", " ", "a", " ", "meaningful"}], ",", " ", 
   RowBox[{"non", "-", 
    RowBox[{"infinite", " ", "deBroglie", " ", 
     RowBox[{
     "wavelength", ".", "\[IndentingNewLine]", "\[IndentingNewLine]", "We"}], 
     " ", "consider", " ", "the", " ", "case", " ", "of", " ", "an", " ", 
     "extremal", " ", "Reisnerr"}], "-", 
    RowBox[{"Nordstroem", " ", "black", " ", "hole", " ", 
     RowBox[{"(", 
      RowBox[{"rs", "=", 
       RowBox[{"2", "*", "rq"}]}], ")"}], " ", "emitting", " ", "energy"}]}], 
   ",", " ", "momentum", ",", " ", 
   RowBox[{"and", " ", 
    RowBox[{"charge", "."}]}]}], "*)"}]], "Input",
 CellChangeTimes->{{3.705659769001703*^9, 3.7056602380004206`*^9}, {
  3.7068227821630096`*^9, 3.706822795819693*^9}, {3.7068228258489323`*^9, 
  3.7068232287456403`*^9}, {3.710176595391855*^9, 3.7101765965521784`*^9}, {
  3.71094909203519*^9, 3.710949104287191*^9}, {3.710949141977312*^9, 
  3.710949156782686*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "We", " ", "take", " ", "the", " ", "time", " ", "coordinate", " ", "and", 
    " ", "replace", " ", "it", " ", "with", " ", "the", " ", "retarded", " ", 
    "time"}], ",", " ", 
   RowBox[{"\"\<tret\>\"", "."}]}], "*)"}]], "Input",
 CellChangeTimes->{{3.6921322367989774`*^9, 3.6921322890201626`*^9}, {
  3.6925728981335583`*^9, 3.6925729400890675`*^9}, {3.6927401630607677`*^9, 
  3.692740232310008*^9}, {3.6929061289425445`*^9, 3.692906216371075*^9}, {
  3.6929145388149643`*^9, 3.692914686229247*^9}, {3.692921626129774*^9, 
  3.6929216335501156`*^9}, {3.693084400693095*^9, 3.6930844016882987`*^9}, {
  3.7055401580210905`*^9, 3.705540169174964*^9}, {3.7056597490332365`*^9, 
  3.705659767925767*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"coord", " ", "=", " ", 
  RowBox[{"{", 
   RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.6925711961207356`*^9, 3.6925712022023563`*^9}, {
   3.6925725237671013`*^9, 3.6925725265219145`*^9}, 3.6925728910181303`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "}"}]], "Output",
 CellChangeTimes->{3.706819713957419*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"Remember", " ", "the", " ", "constant", " ", "of", " ", 
     RowBox[{"integration", ".", " ", "We"}], " ", "want", " ", "tret", " ", 
     "to", " ", "equal", " ", "0", " ", "at", " ", "t"}], "=", 
    RowBox[{
    "0", " ", "on", " ", "some", " ", "phyiscally", " ", "significant", " ", 
     "bounding", " ", "surface", " ", "for", " ", "gravitational", " ", 
     RowBox[{"waves", ".", " ", "We"}], " ", "want", " ", "the", " ", 
     "coordinate", " ", "to", " ", "also", " ", "be", " ", 
     RowBox[{"exterior", ".", " ", "We"}], " ", "might", " ", "assume", " ", 
     "that", " ", "this", " ", "bounding", " ", "surface", " ", "should", " ",
      "be", " ", "the", " ", "event", " ", "horizon"}]}], ",", " ", 
   RowBox[{
   "but", " ", "tret", " ", "actually", " ", "takes", " ", "complex", " ", 
    "values", " ", "for", " ", "this", " ", "constant", " ", "of", " ", 
    RowBox[{"integration", ".", " ", "It"}], " ", "can", " ", "be", " ", "be",
     " ", "checked", " ", "by", " ", "inspection"}], ",", " ", 
   RowBox[{
   "it", " ", "seems", " ", "we", " ", "actually", " ", "want", " ", "the", 
    " ", "surface", " ", "where", " ", "the", " ", "Schwarzschild", " ", 
    "radius", " ", "would", " ", "be"}], ",", " ", 
   RowBox[{
    RowBox[{"if", " ", "there", " ", "was", " ", "no", " ", 
     RowBox[{"charge", "."}]}], ":"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.705516027304986*^9, 3.7055160655961294`*^9}, {
  3.705525886661501*^9, 3.7055258964694357`*^9}, {3.705533052054716*^9, 
  3.7055330560135393`*^9}, {3.7056081727672415`*^9, 3.7056083383971443`*^9}, {
  3.7056085084580593`*^9, 3.705608544299451*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
    "The", " ", "exterior", " ", "event", " ", "horizon", " ", "is", " ", 
     "at", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"rs", "+", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"rs", "^", "2"}], "-", 
          RowBox[{"4", "*", 
           RowBox[{"q", "^", "2"}]}]}], "]"}]}], ")"}], "/", "2"}]}], ",", 
    " ", 
    RowBox[{
    "if", " ", "you", " ", "want", " ", "to", " ", "experiment", " ", "with", 
     " ", "this", " ", 
     RowBox[{"limit", "."}]}]}], ")"}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7056084359475393`*^9, 3.7056084522420654`*^9}, {
  3.705608567149643*^9, 3.705608582124251*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", 
      RowBox[{"rs", "/", "r0"}], "+", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"rs", "/", "2"}], ")"}], "^", "2"}], "/", 
       RowBox[{"r0", "^", "2"}]}]}], ")"}], "^", 
    RowBox[{"-", "1"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"r0", ",", 
     RowBox[{
      RowBox[{"rs", "/", "2"}], "+", "d"}], ",", "r"}], "}"}], ",", 
   RowBox[{"Assumptions", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"r", "\[GreaterEqual]", 
       RowBox[{"rs", "/", "2"}], "\[GreaterEqual]", "0"}], "&&", 
      RowBox[{
       RowBox[{"r", "-", 
        RowBox[{"rs", "/", "2"}]}], "\[GreaterEqual]", "d", ">", "0"}]}], 
     "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.692914355242914*^9, 3.692914385545182*^9}, {
   3.6929145293710575`*^9, 3.6929145341956835`*^9}, {3.6929148180207615`*^9, 
   3.6929148831797333`*^9}, {3.692915231085792*^9, 3.692915232008953*^9}, {
   3.692915844468831*^9, 3.692915852034479*^9}, {3.6929162831938066`*^9, 
   3.6929162861169653`*^9}, {3.7054426761975927`*^9, 
   3.7054427298687944`*^9}, {3.7054428465565586`*^9, 
   3.7054428810807257`*^9}, {3.705442970456335*^9, 3.705443032523384*^9}, 
   3.7054460854348807`*^9, {3.705498453044881*^9, 3.705498487294512*^9}, 
   3.7055327593251233`*^9, {3.7056072653613462`*^9, 3.7056073010665245`*^9}, {
   3.705607387305332*^9, 3.7056074200685887`*^9}, {3.7056079883819304`*^9, 
   3.705607999114504*^9}, {3.7056084234016523`*^9, 3.705608455008028*^9}, {
   3.70681058123026*^9, 3.7068106053785863`*^9}, {3.7068106452113132`*^9, 
   3.7068106816230383`*^9}, {3.706810739403906*^9, 3.706810743621894*^9}, {
   3.706810777853265*^9, 3.7068107994735565`*^9}, {3.70681085293537*^9, 
   3.706810858876587*^9}, {3.7068109651642036`*^9, 3.7068109963942723`*^9}, {
   3.7068121285124865`*^9, 3.7068121975575333`*^9}, {3.706812235767931*^9, 
   3.70681224597718*^9}, {3.706812363144805*^9, 3.7068125144235134`*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"8", " ", "d", " ", "r", " ", 
    RowBox[{"(", 
     RowBox[{"r", "-", "rs"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "r"}], "-", "rs"}], ")"}], " ", 
    SuperscriptBox["rs", "2"]}], "+", 
   RowBox[{"4", " ", 
    SuperscriptBox["d", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "r"}], "+", "rs"}], ")"}]}], "+", 
   RowBox[{"d", " ", 
    SuperscriptBox["rs", "2"], " ", 
    RowBox[{"Log", "[", "16", "]"}]}], "+", 
   RowBox[{"4", " ", "d", " ", "rs", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"rs", " ", 
       RowBox[{"Log", "[", "d", "]"}]}], "-", 
      RowBox[{"2", " ", "r", " ", 
       RowBox[{"Log", "[", 
        RowBox[{"2", " ", "d"}], "]"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "r"}], "-", "rs"}], ")"}], " ", 
       RowBox[{"Log", "[", 
        RowBox[{
         RowBox[{"2", " ", "r"}], "-", "rs"}], "]"}]}]}], ")"}]}]}], 
  RowBox[{"d", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"8", " ", "r"}], "-", 
     RowBox[{"4", " ", "rs"}]}], ")"}]}]]], "Output",
 CellChangeTimes->{
  3.706810470054699*^9, 3.7068107513323417`*^9, 3.7068108042439303`*^9, 
   3.7068108628493805`*^9, {3.706810974468766*^9, 3.7068110027497563`*^9}, 
   3.7068121469615335`*^9, 3.7068122065478725`*^9, 3.7068122683940067`*^9, 
   3.706812373211903*^9, 3.706812413875665*^9, {3.7068124619051685`*^9, 
   3.7068125187025623`*^9}, 3.7068164583557744`*^9, 3.7068196378558025`*^9, 
   3.7068197161539726`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Limit", "[", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"8", " ", "d", " ", "r", " ", 
      RowBox[{"(", 
       RowBox[{"r", "-", "rs"}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "r"}], "-", "rs"}], ")"}], " ", 
      SuperscriptBox["rs", "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "r"}], "+", "rs"}], ")"}]}], "+", 
     RowBox[{"d", " ", 
      SuperscriptBox["rs", "2"], " ", 
      RowBox[{"Log", "[", "16", "]"}]}], "+", 
     RowBox[{"4", " ", "d", " ", "rs", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"rs", " ", 
         RowBox[{"Log", "[", "d", "]"}]}], "-", 
        RowBox[{"2", " ", "r", " ", 
         RowBox[{"Log", "[", 
          RowBox[{"2", " ", "d"}], "]"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", "r"}], "-", "rs"}], ")"}], " ", 
         RowBox[{"Log", "[", 
          RowBox[{
           RowBox[{"2", " ", "r"}], "-", "rs"}], "]"}]}]}], ")"}]}]}], 
    RowBox[{"d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"8", " ", "r"}], "-", 
       RowBox[{"4", " ", "rs"}]}], ")"}]}]], ",", 
   RowBox[{"d", "\[Rule]", "0"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.706812628125931*^9, 3.7068126293497953`*^9}, 
   3.70681646558189*^9}],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", " ", "r"}], "-", "rs"}], ")"}], " ", 
   SuperscriptBox["rs", "2"], " ", "\[Infinity]"}], 
  RowBox[{
   RowBox[{"8", " ", "r"}], "-", 
   RowBox[{"4", " ", "rs"}]}]]], "Output",
 CellChangeTimes->{3.7068126326821547`*^9, 3.706816469125391*^9, 
  3.706819638011413*^9, 3.70681971626305*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Limit", "[", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"8", " ", "d", " ", "r", " ", 
      RowBox[{"(", 
       RowBox[{"r", "-", "rs"}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "r"}], "-", "rs"}], ")"}], " ", 
      SuperscriptBox["rs", "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "r"}], "+", "rs"}], ")"}]}], "+", 
     RowBox[{"d", " ", 
      SuperscriptBox["rs", "2"], " ", 
      RowBox[{"Log", "[", "16", "]"}]}], "+", 
     RowBox[{"4", " ", "d", " ", "rs", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"rs", " ", 
         RowBox[{"Log", "[", "d", "]"}]}], "-", 
        RowBox[{"2", " ", "r", " ", 
         RowBox[{"Log", "[", 
          RowBox[{"2", " ", "d"}], "]"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", "r"}], "-", "rs"}], ")"}], " ", 
         RowBox[{"Log", "[", 
          RowBox[{
           RowBox[{"2", " ", "r"}], "-", "rs"}], "]"}]}]}], ")"}]}]}], 
    RowBox[{"d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"8", " ", "r"}], "-", 
       RowBox[{"4", " ", "rs"}]}], ")"}]}]], ",", 
   RowBox[{"d", "\[Rule]", 
    RowBox[{"rs", "/", "2"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7068125252081385`*^9, 3.7068125314966154`*^9}, {
   3.7068126063145256`*^9, 3.7068126107406645`*^9}, 3.7068128452209063`*^9, 
   3.706816473137232*^9}],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"2", " ", "r", " ", 
    RowBox[{"(", 
     RowBox[{"r", "-", "rs"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "r"}], "-", "rs"}], ")"}], " ", "rs", " ", 
    RowBox[{"Log", "[", 
     RowBox[{
      RowBox[{"2", " ", "r"}], "-", "rs"}], "]"}]}], "+", 
   RowBox[{"rs", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "r"}], "+", "rs"}], ")"}], " ", 
    RowBox[{"Log", "[", "rs", "]"}]}]}], 
  RowBox[{
   RowBox[{"2", " ", "r"}], "-", "rs"}]]], "Output",
 CellChangeTimes->{3.706812534717877*^9, 3.706812614542323*^9, 
  3.7068164777675033`*^9, 3.7068196381766863`*^9, 3.706819716425178*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"t", "-", 
       RowBox[{"(", 
        FractionBox[
         RowBox[{
          RowBox[{"2", " ", "r", " ", 
           RowBox[{"(", 
            RowBox[{"r", "-", "rs"}], ")"}]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"2", " ", "r"}], "-", "rs"}], ")"}], " ", "rs", " ", 
           RowBox[{"Log", "[", 
            RowBox[{
             RowBox[{"2", " ", "r"}], "-", "rs"}], "]"}]}], "+", 
          RowBox[{"rs", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "2"}], " ", "r"}], "+", "rs"}], ")"}], " ", 
           RowBox[{"Log", "[", "rs", "]"}]}]}], 
         RowBox[{
          RowBox[{"2", " ", "r"}], "-", "rs"}]], ")"}]}], ")"}], "\[Equal]", 
     "tret"}], ",", "tret"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.7054993689206886`*^9, 3.705499437609107*^9}, {
   3.7054998588565397`*^9, 3.7054998751240654`*^9}, 3.705500171824253*^9, {
   3.705514764541647*^9, 3.7055147702196703`*^9}, {3.7055148408547163`*^9, 
   3.705514841379064*^9}, {3.705514871448057*^9, 3.7055148732713757`*^9}, {
   3.7055150874930925`*^9, 3.70551508774026*^9}, {3.7055151678950543`*^9, 
   3.7055151946490097`*^9}, {3.7055154929789534`*^9, 
   3.7055154990122285`*^9}, {3.7055156229229703`*^9, 3.705515624212884*^9}, 
   3.705515679055741*^9, 3.7055157293410172`*^9, {3.70551599868874*^9, 
   3.7055160048511057`*^9}, {3.705516257710047*^9, 3.7055162720412006`*^9}, 
   3.7055163529427876`*^9, 3.7055166276162415`*^9, {3.7055175194226294`*^9, 
   3.705517547359689*^9}, {3.7055200707301893`*^9, 3.705520071040408*^9}, 
   3.705521493439684*^9, {3.705521552456608*^9, 3.705521556120209*^9}, {
   3.705524903512908*^9, 3.705524903849158*^9}, 3.705525118848544*^9, {
   3.7055325409444513`*^9, 3.705532546926694*^9}, 3.705607458234603*^9, 
   3.7056081058791895`*^9, {3.7068108864870996`*^9, 3.706810891737813*^9}, 
   3.7068110109705706`*^9, 3.7068129775672073`*^9, 3.706813305278737*^9, 
   3.706816496060445*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"tret", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       SuperscriptBox["r", "2"]}], "+", 
      RowBox[{"2", " ", "r", " ", "rs"}], "+", 
      RowBox[{"2", " ", "r", " ", "t"}], "-", 
      RowBox[{"rs", " ", "t"}], "+", 
      RowBox[{"rs", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "r"}], "+", "rs"}], ")"}], " ", 
       RowBox[{"Log", "[", 
        RowBox[{
         RowBox[{"2", " ", "r"}], "-", "rs"}], "]"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "r"}], "-", "rs"}], ")"}], " ", "rs", " ", 
       RowBox[{"Log", "[", "rs", "]"}]}]}], 
     RowBox[{
      RowBox[{"2", " ", "r"}], "-", "rs"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.706810470215813*^9, 3.70681089768602*^9, 
  3.7068110146331615`*^9, 3.7068129834053354`*^9, 3.706813320034176*^9, 
  3.7068165063477187`*^9, 3.706819638209161*^9, 3.7068197164491816`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", 
      SuperscriptBox["r", "2"]}], "+", 
     RowBox[{"2", " ", "r", " ", "rs"}], "+", 
     RowBox[{"2", " ", "r", " ", "t"}], "-", 
     RowBox[{"rs", " ", "t"}], "+", 
     RowBox[{"rs", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "r"}], "+", "rs"}], ")"}], " ", 
      RowBox[{"Log", "[", 
       RowBox[{
        RowBox[{"2", " ", "r"}], "-", "rs"}], "]"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "r"}], "-", "rs"}], ")"}], " ", "rs", " ", 
      RowBox[{"Log", "[", "rs", "]"}]}]}], 
    RowBox[{
     RowBox[{"2", " ", "r"}], "-", "rs"}]], "/.", 
   RowBox[{"{", 
    RowBox[{"rs", "\[Rule]", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7068109316800933`*^9, 3.7068109326777983`*^9}, {
   3.7068110215340447`*^9, 3.706811039695917*^9}, 3.706812992279613*^9, 
   3.706816512532093*^9}],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", "2"}], " ", 
    SuperscriptBox["r", "2"]}], "-", "t", "+", 
   RowBox[{"2", " ", "r", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", "t"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", 
      RowBox[{"2", " ", "r"}]}], ")"}], " ", 
    RowBox[{"Log", "[", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "r"}]}], "]"}]}]}], 
  RowBox[{
   RowBox[{"-", "1"}], "+", 
   RowBox[{"2", " ", "r"}]}]]], "Output",
 CellChangeTimes->{
  3.706810935349659*^9, {3.7068110249064274`*^9, 3.7068110450957065`*^9}, 
   3.7068129957140512`*^9, 3.7068165195800767`*^9, 3.7068196382381806`*^9, 
   3.7068197164731984`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Limit", "[", 
  RowBox[{
   RowBox[{"Simplify", "[", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        SuperscriptBox["r", "2"]}], "+", 
       RowBox[{"2", " ", "r", " ", "rs"}], "+", 
       RowBox[{"2", " ", "r", " ", "t"}], "-", 
       RowBox[{"rs", " ", "t"}], "+", 
       RowBox[{"rs", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "r"}], "+", "rs"}], ")"}], " ", 
        RowBox[{"Log", "[", 
         RowBox[{
          RowBox[{"2", " ", "r"}], "-", "rs"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "r"}], "-", "rs"}], ")"}], " ", "rs", " ", 
        RowBox[{"Log", "[", "rs", "]"}]}]}], 
      RowBox[{
       RowBox[{"2", " ", "r"}], "-", "rs"}]], "/.", 
     RowBox[{"{", 
      RowBox[{"rs", "\[Rule]", "1"}], "}"}]}], "]"}], ",", 
   RowBox[{"r", "\[Rule]", 
    RowBox[{"1", "/", "2"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7068166910685725`*^9, 3.70681671264227*^9}}],

Cell[BoxData["\[Infinity]"], "Output",
 CellChangeTimes->{3.7068167156854105`*^9, 3.706819638264653*^9, 
  3.706819716499217*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        SuperscriptBox["r", "2"]}], "+", 
       RowBox[{"2", " ", "r", " ", "rs"}], "+", 
       RowBox[{"2", " ", "r", " ", "t"}], "-", 
       RowBox[{"rs", " ", "t"}], "+", 
       RowBox[{"rs", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "r"}], "+", "rs"}], ")"}], " ", 
        RowBox[{"Log", "[", 
         RowBox[{
          RowBox[{"2", " ", "r"}], "-", "rs"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "r"}], "-", "rs"}], ")"}], " ", "rs", " ", 
        RowBox[{"Log", "[", "rs", "]"}]}]}], 
      RowBox[{
       RowBox[{"2", " ", "r"}], "-", "rs"}]], "/.", 
     RowBox[{"{", 
      RowBox[{"rs", "\[Rule]", "1"}], "}"}]}], ")"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "10"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"r", ",", 
     RowBox[{"1", "/", "2"}], ",", "20"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.705532353749938*^9, 3.7055324615789003`*^9}, {
   3.705532617567314*^9, 3.7055326291865463`*^9}, {3.705532662442483*^9, 
   3.7055326684937754`*^9}, 3.7055404362863407`*^9, {3.7056075171003113`*^9, 
   3.7056075246436625`*^9}, 3.705608120083253*^9, {3.706810910629179*^9, 
   3.706810918890029*^9}, {3.706811071357284*^9, 3.706811073230609*^9}, 
   3.7068130098070116`*^9, {3.706816450146803*^9, 3.7068164503569574`*^9}, 
   3.7068165151499424`*^9, {3.7068165490068936`*^9, 3.7068165863222857`*^9}, {
   3.7068166227990847`*^9, 3.7068166232203875`*^9}}],

Cell[BoxData[
 Graphics3DBox[GraphicsComplex3DBox[CompressedData["
1:eJyFnXlcTev3+E/znOZO83Sa50FJ5eyKyBQpU1TGhAZKmXMNEUXipgyVRCpj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   "], {{
     {RGBColor[0.880722, 0.611041, 0.142051], EdgeForm[None], Specularity[
       GrayLevel[1], 3], 
      StyleBox[GraphicsGroup3DBox[
        TagBox[{Polygon3DBox[CompressedData["
1:eJxNmgf8llPYx+/znPv+Gw1tSXvRkkqkhJSSUUIDRYOyUigzM9lZZZcZGWWF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           "]], Polygon3DBox[CompressedData["
1:eJwtmmWgHUUWhO/M9H24S4IHInhI0ARfWNzdIYRAcHd3d3d3l8VdAgR3dwnu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           "]], Polygon3DBox[CompressedData["
1:eJwt13fcl9Mfx/G7u+83kaIUhfYgDdJAk8iKJLtIMn6Uymj80KK996QopYwi
paE0aUghLSkVme20NTw/j+v+4/24zvt13ue6vvd1nfM55y7evE2j1pkZGRmb
KE0nUxkZbYBPs2Vk3MWPzp6RcRh7ApuE1cZ6YzWxi7RfwW7iv+JP0Ytys7AG
+sbgM7B/tG/RrkdNPWQ49ptcIZqp73J+LzXgBxhbBhvPD6VtWF76CCsQ96Jm
/LtytbA+7jkE24pdSB9i+fnT9BL/mdw92Fi5F6iAdm7XPNTYbxkot0Hu3Lin
vvP5FN6FX2rso9h7smmsK7YMewybimXHOmNLsCbYFKwdXapdKK7UROZu92wo
d3FWX2SOYc/G7zX2FmwQdgZrj83D5lInY09gLbBp/K1yQ+SOY8/FO8HqYYOx
s1gH7HPsvnh/WHu6TLuwaxF6NJ185P/LzZe7n30bH2zsJiwXTcby8PupET9C
7ur4znKDsI3YeTEX4j3y++hefrhcRexVuX7YGiwbvRWP5O+ie/j8+gthbV2z
+S2vYAuMfQB7B8vEXsW+wB7EJmBHjf0f9gH2PnWQGYCtx3LSRLlcfA78df5L
mabY+8aWw2Zgv2G/0yn+gOzD2Jv8WGqD5Yl7Yt/xLYydbWxnuTnYbqwHtg/L
LdcXW4M9g83A8mFDsPVYa2wetopWUmF94/X1cc1Lg7V/kGslN1f/BTEHse+x
lthnWEfP/Qz7C+uG7cHOk+uFfY09iU3HOsnNxv7GumN7sQvlBmHrsOexOdi5
WE9sFdYcm4blwnpjq7GnsI+x87E+2DfY09gn2EXYUGxDvCfs85jD2FhsG9Ye
W4JdjI3EfsRewr7ALsFGYVuwl7GF8e2xMdhWrB22GCuIjcZ+wtpii7Dt9DOV
1fdBzK9Yf/7eedp75XrJHdDfBZuL7cF6Yvux/FFjsE3Yxvh2/Ap8eawH7bf0
9XItQCO0N8u8aOyCqGP0JV2ub5y+3q79PWOtdiaNk8vBv0az+D+NfQPbbcw2
2kpXGvO+vmGuV9GH2vvkesv9qn8DradS+ibrG+Ta3f0Waf8jN1DumP5NtJFK
639P3+D4jnJfaZ+QGyZ3Sv9q+jrWuP639fWNbyu3QvtfuRFyZ/SXx2diR7FB
2F/YOdgb2FfY49gH2Ahjf8cujVoe9YPPKdeDXym3Iv5m/iD+SKxxvqpcV2N7
YF9ix7Gh2L/YIaxxvDusGvY6dgRrHvUGq4P1xX6gdVTSvSfpG+j6r9wLsU/I
3S03Sv8b2BfYQaw/dgTrhi3EDmEDsKNZa/9T7Ah2ONZ61Ba5T7BdfBe5P+Ve
xxZgB7B+2GFsGLYLKxh7IXYZ34uW8yflhmOn5fpgK7FT2EjsLFbCc97NTOpN
1J0B/E/4FrpCe6q+oa5r+G+oqPY7WD/XH/nNVEZ7CjbE9Vt+LRXTnoD1jxru
udO1f4l9wnN/1/8E1habit2MjYs9APsI24G9hu3CbjB+M3ZZ7I/YhTI3Yr/w
pWkhVhC7CfuVL0OLYk9LJbX4mcykbkb9XC7TNpXM9xPpZM3G2q0efwt2Oc02
9gKZmvEe+CI0F8uHtUsl6/ukvh3G7aQ62juxUrEPyF0i05e+iYNK1G2XFF9D
bgtfmOZgebFbsd18xZirWAnsNmwfX4muiT2Sv532a18bNVCutFx97BBfldZi
V8YZIpV8h2Pp5PvFd7xaewmWouwxh/nr6YfY4+ljY8+Ns1AqWbdH08k3jW97
s/afWLlYc3JFZOpif/BXxd6FFcXuiH2Krxz1GCuD1Y53xJeMPRO7GHs5lcyn
4+mk9kQNukX7L6w8LZcrJlMP+5uvQCuw4th12Dq+AE3HcmK1sO18CSoe84N/
IZXUqSPppB5FXZqClXK9PvaaOA/xj+tvELWTTmCzst793qx7xT0L5vAe8Nzm
zlVy9WO+Z9WX7pnJuSfOP5vTSR0flpnUm6g7u2JeyN4dazvrLLUjzpJUIM4f
2H20i19KJbGG/D3ULJ18t8WZSS2ImpCRIzlztctMzhVxvlgr04hOZc2VmDMl
5UbJHda+kpYaWo4fTUf4srQMK88/n0pq8L50srZjjbdMJWeAvemkTke9bpNK
atzhdLIXxJ7wN3Y71ilb8n5WZX2Pn7F8dBHl8VtapZJ6sT+d1IWoD1WjTmTN
x5iXOeRGyu3RLkbz/b5S/FPUiZ/h/vWxyca2TiV15YB7fMd/nz05Iz0UNSlq
LC1OJ3VtYtTdWCf0D11DS7E0jXe/48a2SCV75550cgaKs9BzqWTf3Z1O9tfY
Zx/UzhbzFd9mbLVU8u5P8zdSnVj//L2xD2jXps1ylWLfoaZRR/228lhP92ko
dxKrlZn8P3ONzANx5o11h23VrIrdj53l69JPWBVsN93J93C/ovG/C98mzhJx
toyzET1iXOOY53LD5Cro6xVzDj+D3URbsMpx1sVO8DVpI3Z1zFvsGF+d1mMV
sAbYcb4GbcAqxjug+/henlEC6xjPiN+N9cZKYp2w++Pvw/pgpbDO2APYg1hf
rDTWBaubStZKV+y2mH9Rc2PdYLWj3tJjfsfD2GOx58iV09cDfwjPdK2H/4xd
F3M0zvN8zuzJ/4CtXR+Wy+56K74duz7mDz3KD461jnWPb441wQZhZbFu2KRU
Uvei/pXkJ0fdiHoc85jPp6+V65NYR+wTY+/EJmHVPPd7LD9Nw86RqYKtjrVC
U2PLwCrH2uNz05SM2ECSNfNd1rqK9TWdv5ZWaZ9P74lli/89qD+/2HMbR13z
3Epyy+L30dvYCawiNp8/IzcaO4hVwD7HTmOjsENYB/ebhu3EOmK/Yc9g/bBF
2CPYTOzG2Aewm+OMgC+MORrnLqwKrZG7AmuYStZArIVishP4ZhT/2E/Eauob
iTeJ9Y+NxipjA7LWeqz54llrO84qzeN8G/uY3B1y7+p/FnsT+xZ7DluG3RU1
AKsWHCsb35ue5sfIVcEGyj2OtcImYDWwETHfsJbx7rAbsGHYvalkTcXaKsFP
5F+hj+V+xTrr+wNvGnUWewerjg3Hnsa6YXOwRthH2H/gWzeV
           "]], Polygon3DBox[{{1260, 589, 396, 395, 785, 1181}}]},
         Annotation[#, "Charting`Private`Tag$3532#1"]& ]],
       Lighting->{{"Ambient", 
          RGBColor[0.30100577, 0.22414668499999998`, 0.090484535]}, {
         "Directional", 
          RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
          ImageScaled[{0, 2, 2}]}, {"Directional", 
          RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
          ImageScaled[{2, 2, 2}]}, {"Directional", 
          RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
          ImageScaled[{2, 0, 2}]}}]}, {}, {}, {}, {}}, {
     {GrayLevel[0], Line3DBox[CompressedData["
1:eJwl0s1L03EAx/HvWptluTxEnmp00Ut5d25qpREoQpEMFlLMEByiPaPWJQ1W
d1ndZesfmP0Di7r34FNqG3XxFv0B6etHh89e7y/i7/f14WJx/tZcLISwag9F
1Nd9/OYjluIhdOroC7M6LZfYyzfM8R3H+J53+IElfuJnW9S/+Jp/+TZ63PEQ
auzkOtP8yBrj3vXEvjrP85z1HQvhm3OG39nPDWa5yRy3OMBtDnLIdvQV/uBV
7vIa9zjMfY7wZ/Rzs8lud0x451NrOT9gl2Xc7YvzJTZ4nnWmWOWh76vwD8ts
sWkLusEZ1llglaOsMMsyL3PNs2LedUEf6Gf6n37MM4z+WGftlaWcZ7hiHXqa
y3ZaT/GlndL3PfuebtdFPalP6rvRXfQJXdB5/cLanG/zuSX1TS5ZQo/TtUI+
ur9GmPBxQ/v1hR6djP3/XzoCZzZBRw==
       "]]}, 
     {GrayLevel[0.2], Line3DBox[CompressedData["
1:eJwNzkVSREEQBcBC78EVcJjBLWKW7JFhyQLOhbu7u7u7zSnIRcareNXd/xd0
9bb2ZEVEmu6ciO/ciB/62KQlO2JGnnBKP215EYX5EQnzLGecM0CZfksmmeOC
SwbZpop5rkj53pDcoZoFrqn0xo0cZpcaFinR38o7RtgjQ7l+Sd7zwCj7FOlr
5TKPPDFGu/8vtqszr/DMC+NU6A9kPau88kbanQl5SANrvJNwvsNu0nxEI+t0
6pJ2H+Ypjmlig1L9p/ximl+a+eMfh0Q/3A==
       "]], 
      Line3DBox[{876, 1177, 1259, 1578, 875, 1178, 1378, 1095, 877, 1179, 
       1379, 1096, 878, 1180, 1380, 1097, 879, 1369, 1381, 1098, 880, 1370, 
       1382, 1099, 881, 1580, 1181, 1260, 1579, 882, 1182, 1261, 1581, 883, 
       1183, 1383, 1100, 884, 1184, 1384, 1101, 885, 1371, 1385, 1102, 886, 
       1372, 1386, 1103, 887, 1582, 1185, 1104, 888, 1583, 1186, 1105, 1187}],
       Line3DBox[{890, 1262, 1470, 889, 1263, 1471, 891, 1387, 1106, 892, 
       1388, 1107, 893, 1389, 1108, 894, 1390, 1109, 895, 1391, 1264, 1472, 
       896, 1265, 1473, 897, 1266, 1474, 898, 1392, 1110, 899, 1393, 1111, 
       900, 1394, 1112, 901, 1395, 1113, 902, 1396, 1114, 903}], 
      Line3DBox[{905, 1267, 1475, 904, 1268, 1476, 906, 1269, 1477, 907, 611, 
       908, 1397, 1115, 909, 1398, 1116, 910, 1399, 1270, 1478, 911, 1271, 
       1479, 912, 1272, 1480, 913, 1273, 1481, 914, 1400, 1117, 915, 1401, 
       1118, 916, 1402, 1119, 917, 1403, 1120, 918}], 
      Line3DBox[{920, 1274, 1482, 919, 1275, 1483, 921, 1276, 1484, 922, 1277,
        1485, 923, 627, 924, 1404, 1121, 925, 1405, 1278, 1486, 926, 1279, 
       1487, 927, 1280, 1488, 928, 1281, 1489, 929, 1282, 1490, 930, 1406, 
       1122, 931, 1407, 1123, 932, 1408, 1124, 933}], 
      Line3DBox[{935, 1283, 1491, 934, 1284, 1492, 936, 1285, 1493, 937, 1286,
        1494, 938, 1287, 1495, 939, 1409, 1125, 940, 1410, 1288, 1496, 941, 
       1289, 1497, 942, 1290, 1498, 943, 1291, 1499, 944, 1292, 1500, 945, 
       1293, 1501, 946, 1411, 1126, 947, 1412, 1127, 948}], 
      Line3DBox[{950, 1294, 1502, 949, 1295, 1503, 951, 1296, 1504, 952, 1297,
        1505, 953, 1298, 1506, 954, 1299, 1507, 955, 1413, 1300, 1508, 956, 
       1301, 1509, 957, 1302, 1510, 958, 1303, 1511, 959, 1304, 1512, 960, 
       1305, 1513, 961, 1306, 1514, 962, 1414, 1128, 963}], 
      Line3DBox[{967, 1415, 1129, 965, 1416, 1130, 969, 1417, 1131, 971, 1418,
        1132, 973, 1419, 1133, 975, 1420, 1134, 977, 1421, 1314, 1523, 979, 
       1422, 1135, 981, 1423, 1136, 983, 1424, 1137, 985, 1425, 1138, 987, 
       1426, 1139, 989, 1427, 1140, 991, 1428, 1141, 993}], 
      Line3DBox[{992, 1530, 1321, 990, 1529, 1320, 988, 1528, 1319, 986, 1527,
        1318, 984, 1526, 1317, 982, 1525, 1316, 980, 1524, 1315, 978, 1522, 
       1521, 1313, 976, 1520, 1312, 974, 1519, 1311, 972, 1518, 1310, 970, 
       1517, 1309, 968, 1516, 1308, 964, 1515, 1307, 966}], 
      Line3DBox[{995, 1322, 1531, 994, 1429, 1142, 996, 1430, 1143, 997, 1431,
        1144, 998, 1432, 1145, 999, 1433, 1146, 1000, 1434, 1323, 1532, 1001, 
       1324, 1533, 1002, 1435, 1147, 1003, 1436, 1148, 1004, 1437, 1149, 1005,
        1438, 1150, 1006, 1439, 1151, 1007, 1440, 1152, 1008}], 
      Line3DBox[{1010, 1325, 1534, 1009, 1326, 1535, 1011, 1441, 1153, 1012, 
       1442, 1154, 1013, 1443, 1155, 1014, 1444, 1156, 1015, 1445, 1327, 1536,
        1016, 1328, 1537, 1017, 1329, 1538, 1018, 1446, 1157, 1019, 1447, 
       1158, 1020, 1448, 1159, 1021, 1449, 1160, 1022, 1450, 1161, 1023}], 
      Line3DBox[{1025, 1330, 1539, 1024, 1331, 1540, 1026, 1332, 1541, 1027, 
       1451, 1162, 1028, 1452, 1163, 1029, 1453, 1164, 1030, 1454, 1333, 1542,
        1031, 1334, 1543, 1032, 1335, 1544, 1033, 1336, 1545, 1034, 1455, 
       1165, 1035, 1456, 1166, 1036, 1457, 1167, 1037, 1458, 1168, 1038}], 
      Line3DBox[{1040, 1337, 1546, 1039, 1338, 1547, 1041, 1339, 1548, 1042, 
       1340, 1549, 1043, 1459, 1169, 1044, 1460, 1170, 1045, 1461, 1341, 1550,
        1046, 1342, 1551, 1047, 1343, 1552, 1048, 1344, 1553, 1049, 1345, 
       1554, 1050, 1462, 1171, 1051, 1463, 1172, 1052, 1464, 1173, 1053}], 
      Line3DBox[{1055, 1346, 1555, 1054, 1347, 1556, 1056, 1348, 1557, 1057, 
       1349, 1558, 1058, 1350, 1559, 1059, 1465, 1174, 1060, 1466, 1351, 1560,
        1061, 1352, 1561, 1062, 1353, 1562, 1063, 1354, 1563, 1064, 1355, 
       1564, 1065, 1356, 1565, 1066, 1467, 1175, 1067, 1468, 1176, 1068}], 
      Line3DBox[{1082, 1192, 1191, 1585, 1081, 1577, 1368, 1080, 1576, 1367, 
       1079, 1575, 1366, 1078, 1574, 1365, 1077, 1573, 1364, 1076, 1572, 1363,
        1075, 1571, 1362, 1469, 1074, 1570, 1361, 1073, 1569, 1360, 1072, 
       1568, 1359, 1071, 1567, 1358, 1070, 1566, 1357, 1069, 1584, 1189, 1188,
        1190}]}, 
     {GrayLevel[0.2], 
      Line3DBox[{334, 233, 1196, 266, 234, 1380, 392, 596, 1388, 407, 611, 
       422, 1485, 626, 437, 1494, 641, 452, 1505, 656, 467, 1518, 671, 1418, 
       482, 686, 1431, 497, 701, 1442, 512, 716, 1451, 527, 1549, 731, 542, 
       1558, 746, 557, 1568, 761, 572}], 
      Line3DBox[{378, 857, 777, 818, 778, 842, 808, 779, 780, 1381, 393, 597, 
       1389, 408, 612, 1397, 423, 627, 438, 1495, 642, 453, 1506, 657, 468, 
       1519, 672, 1419, 483, 687, 1432, 498, 702, 1443, 513, 717, 1452, 528, 
       732, 1459, 543, 1559, 747, 558, 1569, 762, 573}], 
      Line3DBox[{379, 341, 819, 311, 1594, 809, 781, 782, 1382, 394, 598, 
       1390, 409, 613, 1398, 424, 628, 1404, 439, 643, 1409, 454, 1507, 658, 
       469, 1520, 673, 1420, 484, 688, 1433, 499, 703, 1444, 514, 718, 1453, 
       529, 733, 1460, 544, 748, 1465, 559, 1570, 763, 574}], 
      Line3DBox[{380, 859, 860, 820, 844, 1589, 843, 810, 783, 1580, 785, 395,
        599, 1391, 410, 614, 1399, 425, 629, 1405, 440, 644, 1410, 455, 659, 
       1413, 470, 1521, 674, 1421, 485, 689, 1434, 500, 704, 1445, 515, 719, 
       1454, 530, 734, 1461, 545, 749, 1466, 560, 764, 1469, 575}], 
      Line3DBox[{385, 870, 791, 825, 792, 1377, 845, 811, 793, 794, 1385, 400,
        604, 1393, 415, 619, 1400, 430, 1490, 634, 445, 1500, 649, 460, 1512, 
       664, 475, 1527, 679, 1425, 490, 694, 1437, 505, 709, 1447, 520, 724, 
       1455, 535, 1554, 739, 550, 1564, 754, 565, 1575, 769, 580}], 
      Line3DBox[{386, 871, 795, 826, 796, 846, 1595, 812, 797, 798, 1386, 401,
        605, 1394, 416, 620, 1401, 431, 635, 1406, 446, 1501, 650, 461, 1513, 
       665, 476, 1528, 680, 1426, 491, 695, 1438, 506, 710, 1448, 521, 725, 
       1456, 536, 740, 1462, 551, 1565, 755, 566, 1576, 770, 581}], 
      Line3DBox[{387, 872, 873, 827, 848, 847, 1596, 813, 799, 1582, 800, 402,
        606, 1395, 417, 621, 1402, 432, 636, 1407, 447, 651, 1411, 462, 1514, 
       666, 477, 1529, 681, 1427, 492, 696, 1439, 507, 711, 1449, 522, 726, 
       1457, 537, 741, 1463, 552, 756, 1467, 567, 1577, 771, 582}], 
      Line3DBox[{388, 849, 850, 828, 852, 1590, 851, 814, 801, 1583, 802, 403,
        607, 1396, 418, 622, 1403, 433, 637, 1408, 448, 652, 1412, 463, 667, 
       1414, 478, 1530, 682, 1428, 493, 697, 1440, 508, 712, 1450, 523, 727, 
       1458, 538, 742, 1464, 553, 757, 1468, 568, 804, 1585, 805, 806}], 
      Line3DBox[{569, 758, 1584, 803, 554, 743, 1555, 539, 728, 1546, 524, 
       713, 1539, 509, 698, 1534, 494, 683, 1531, 479, 1415, 668, 1515, 464, 
       653, 1502, 449, 638, 1491, 434, 623, 1482, 419, 608, 1475, 404, 593, 
       1470, 389, 586, 1578, 772, 375, 583, 829, 815, 841, 840, 807}], 
      Line3DBox[{570, 759, 1566, 555, 744, 1556, 540, 729, 1547, 525, 714, 
       1540, 510, 699, 1535, 495, 1429, 684, 480, 1416, 669, 1516, 465, 654, 
       1503, 450, 639, 1492, 435, 624, 1483, 420, 609, 1476, 405, 594, 1471, 
       390, 1378, 587, 774, 376, 1586, 831, 830, 816, 773, 854, 853}], 
      Line3DBox[{571, 760, 1567, 556, 745, 1557, 541, 730, 1548, 526, 715, 
       1541, 511, 1441, 700, 496, 1430, 685, 481, 1417, 670, 1517, 466, 655, 
       1504, 451, 640, 1493, 436, 625, 1484, 421, 610, 1477, 406, 1387, 595, 
       391, 1379, 588, 776, 377, 833, 1591, 832, 817, 775, 856, 855}], 
      Line3DBox[{576, 765, 1571, 561, 750, 1560, 546, 735, 1550, 531, 720, 
       1542, 516, 705, 1536, 501, 690, 1532, 486, 675, 1523, 1522, 471, 660, 
       1508, 456, 645, 1496, 441, 630, 1486, 426, 615, 1478, 411, 600, 1472, 
       396, 589, 1579, 784, 381, 584, 1592, 834, 821, 862, 861, 858}], 
      Line3DBox[{577, 766, 1572, 562, 751, 1561, 547, 736, 1551, 532, 721, 
       1543, 517, 706, 1537, 502, 691, 1533, 487, 1422, 676, 1524, 472, 661, 
       1509, 457, 646, 1497, 442, 631, 1487, 427, 616, 1479, 412, 601, 1473, 
       397, 590, 1581, 786, 382, 1587, 585, 835, 822, 865, 864, 863}], 
      Line3DBox[{578, 767, 1573, 563, 752, 1562, 548, 737, 1552, 533, 722, 
       1544, 518, 707, 1538, 503, 1435, 692, 488, 1423, 677, 1525, 473, 662, 
       1510, 458, 647, 1498, 443, 632, 1488, 428, 617, 1480, 413, 602, 1474, 
       398, 1383, 591, 788, 383, 1588, 837, 836, 823, 787, 867, 866}], 
      Line3DBox[{579, 768, 1574, 564, 753, 1563, 549, 738, 1553, 534, 723, 
       1545, 519, 1446, 708, 504, 1436, 693, 489, 1424, 678, 1526, 474, 663, 
       1511, 459, 648, 1499, 444, 633, 1489, 429, 618, 1481, 414, 1392, 603, 
       399, 1384, 592, 790, 384, 839, 1593, 838, 824, 789, 869, 
       868}]}, {}, {}}},
   VertexNormals->CompressedData["
1:eJyUnHk4lV0b9skUoczNkooGadBAw2qSVCoqQ54GaVJSSWgipBISSYOZRCEV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    "]],
  Axes->True,
  AxesLabel->{None, None, None},
  BoxRatios->{1, 1, 0.4},
  DisplayFunction->Identity,
  FaceGridsStyle->Automatic,
  ImageMargins->0.,
  ImageSize->{320.9830935418131, 240.6552315897532},
  Method->{"DefaultBoundaryStyle" -> Directive[
      GrayLevel[0.3]], "RotationControl" -> "Globe"},
  PlotRange->{All, All, All},
  PlotRangePadding->{Automatic, Automatic, Automatic},
  Ticks->{Automatic, Automatic, Automatic},
  ViewPoint->{2.9829504168794623`, -0.0162431857758664, 1.5974175939166715`},
  ViewVertical->{0., 0., 1.}]], "Output",
 CellChangeTimes->{
  3.7068104710165205`*^9, 3.7068110780370183`*^9, 3.7068130155470686`*^9, 
   3.7068165197852216`*^9, {3.7068165588418446`*^9, 3.7068165901019754`*^9}, 
   3.706816626654808*^9, 3.706819638917288*^9, 3.7068197171424437`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"We", " ", "can", " ", "set", " ", "tret"}], "=", 
    RowBox[{
     RowBox[{"0", " ", "at", " ", "r"}], "=", "rs"}]}], ",", " ", 
   RowBox[{
   "which", " ", "does", " ", "not", " ", "appear", " ", "to", " ", "be", " ",
     "a", " ", "physically", " ", "significant", " ", "bounding", " ", 
    "surface", " ", "in", " ", "this", " ", 
    RowBox[{"case", ".", " ", "However"}]}], ",", " ", 
   RowBox[{
    RowBox[{"tret", " ", "then", " ", "limits", " ", "to"}], " ", "-", 
    RowBox[{"Infinity", " ", "at", " ", 
     RowBox[{"rs", "/", "2"}]}]}], ",", " ", 
   RowBox[{"which", " ", "is", " ", "the", " ", "event", " ", 
    RowBox[{"horizon", ".", " ", "The"}], " ", "fact", " ", "that", " ", 
    "this", " ", "is", " ", "the", " ", "most", " ", "natural", " ", "way", 
    " ", "in", " ", "which", " ", "we", " ", "can", " ", "get", " ", "the", 
    " ", "coordinates", " ", "to", " ", "behave", " ", "might", " ", "not", 
    " ", "surprise", " ", "us"}], ",", " ", 
   RowBox[{
    RowBox[{
    "since", " ", "there", " ", "is", " ", "a", " ", "surface", " ", "of", 
     " ", "closed", " ", "light"}], "-", 
    RowBox[{"like", " ", "geodesics", " ", "at", " ", "exactly", " ", 
     RowBox[{"rs", "/", "2."}]}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7068130851332855`*^9, 3.7068131681327176`*^9}, {
  3.70681879533422*^9, 3.7068188846213694`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"t", "+", 
       RowBox[{"(", 
        FractionBox[
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", 
           SuperscriptBox["r", "2"]}], "+", 
          RowBox[{"2", " ", "r", " ", "rs"}], "+", 
          RowBox[{"2", " ", "r", " ", "t"}], "-", 
          RowBox[{"rs", " ", "t"}], "+", 
          RowBox[{"rs", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "2"}], " ", "r"}], "+", "rs"}], ")"}], " ", 
           RowBox[{"Log", "[", 
            RowBox[{
             RowBox[{"2", " ", "r"}], "-", "rs"}], "]"}]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"2", " ", "r"}], "-", "rs"}], ")"}], " ", "rs", " ", 
           RowBox[{"Log", "[", "rs", "]"}]}]}], 
         RowBox[{
          RowBox[{"2", " ", "r"}], "-", "rs"}]], ")"}]}], ")"}], "\[Equal]", 
     "radv"}], ",", "radv"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.7054993689206886`*^9, 3.705499437609107*^9}, {
   3.7054998588565397`*^9, 3.7054998751240654`*^9}, 3.705500171824253*^9, {
   3.705514764541647*^9, 3.7055147702196703`*^9}, {3.7055148408547163`*^9, 
   3.705514841379064*^9}, {3.705514871448057*^9, 3.7055148732713757`*^9}, {
   3.7055150874930925`*^9, 3.70551508774026*^9}, {3.7055151678950543`*^9, 
   3.7055151946490097`*^9}, {3.7055154929789534`*^9, 
   3.7055154990122285`*^9}, {3.7055156229229703`*^9, 3.705515624212884*^9}, 
   3.705515679055741*^9, 3.7055157293410172`*^9, {3.70551599868874*^9, 
   3.7055160048511057`*^9}, {3.705516257710047*^9, 3.7055162720412006`*^9}, 
   3.7055163529427876`*^9, 3.7055166276162415`*^9, {3.7055175194226294`*^9, 
   3.705517547359689*^9}, {3.7055200707301893`*^9, 3.705520071040408*^9}, 
   3.705521493439684*^9, {3.705521552456608*^9, 3.705521556120209*^9}, {
   3.705524903512908*^9, 3.705524903849158*^9}, 3.705525118848544*^9, {
   3.7055325409444513`*^9, 3.705532546926694*^9}, {3.7055332564606433`*^9, 
   3.705533283927104*^9}, 3.7055404936655293`*^9, {3.705607554569858*^9, 
   3.7056075603049316`*^9}, 3.706811127739189*^9, {3.7068131785640774`*^9, 
   3.706813182087598*^9}, 3.706813315069662*^9, 3.706816763654484*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"radv", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["r", "2"], "+", 
         RowBox[{"rs", " ", "t"}], "-", 
         RowBox[{"r", " ", 
          RowBox[{"(", 
           RowBox[{"rs", "+", 
            RowBox[{"2", " ", "t"}]}], ")"}]}]}], ")"}]}], "+", 
      RowBox[{"rs", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "r"}], "+", "rs"}], ")"}], " ", 
       RowBox[{"Log", "[", 
        RowBox[{
         RowBox[{"2", " ", "r"}], "-", "rs"}], "]"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "r"}], "-", "rs"}], ")"}], " ", "rs", " ", 
       RowBox[{"Log", "[", "rs", "]"}]}]}], 
     RowBox[{
      RowBox[{"2", " ", "r"}], "-", "rs"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.7068104710995803`*^9, 3.706811131578885*^9, 
  3.7068131859863267`*^9, 3.7068167672820296`*^9, 3.706819639053359*^9, 
  3.7068197172605147`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"tret", ",", "radv"}], "}"}], "\[Equal]", 
     RowBox[{"{", 
      RowBox[{
       FractionBox[
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", 
          SuperscriptBox["r", "2"]}], "+", 
         RowBox[{"2", " ", "r", " ", "rs"}], "+", 
         RowBox[{"2", " ", "r", " ", "t"}], "-", 
         RowBox[{"rs", " ", "t"}], "+", 
         RowBox[{"rs", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "2"}], " ", "r"}], "+", "rs"}], ")"}], " ", 
          RowBox[{"Log", "[", 
           RowBox[{
            RowBox[{"2", " ", "r"}], "-", "rs"}], "]"}]}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", "r"}], "-", "rs"}], ")"}], " ", "rs", " ", 
          RowBox[{"Log", "[", "rs", "]"}]}]}], 
        RowBox[{
         RowBox[{"2", " ", "r"}], "-", "rs"}]], ",", 
       FractionBox[
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", 
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["r", "2"], "+", 
            RowBox[{"rs", " ", "t"}], "-", 
            RowBox[{"r", " ", 
             RowBox[{"(", 
              RowBox[{"rs", "+", 
               RowBox[{"2", " ", "t"}]}], ")"}]}]}], ")"}]}], "+", 
         RowBox[{"rs", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "2"}], " ", "r"}], "+", "rs"}], ")"}], " ", 
          RowBox[{"Log", "[", 
           RowBox[{
            RowBox[{"2", " ", "r"}], "-", "rs"}], "]"}]}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", "r"}], "-", "rs"}], ")"}], " ", "rs", " ", 
          RowBox[{"Log", "[", "rs", "]"}]}]}], 
        RowBox[{
         RowBox[{"2", " ", "r"}], "-", "rs"}]]}], "}"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "r"}], "}"}]}], "]"}], " "}]], "Input",
 CellChangeTimes->{{3.7055333440121374`*^9, 3.705533384463222*^9}, {
   3.7055334310377893`*^9, 3.7055334345953083`*^9}, {3.705607571093565*^9, 
   3.705607579675645*^9}, 3.7056076232564664`*^9, {3.7056076652151957`*^9, 
   3.7056076735801325`*^9}, {3.7056681902177267`*^9, 3.705668193150942*^9}, {
   3.7068111415767145`*^9, 3.70681117634031*^9}, {3.7068131934155807`*^9, 
   3.706813217482622*^9}, {3.70681332900117*^9, 3.706813342605794*^9}, {
   3.706816780457349*^9, 3.7068167880196977`*^9}, {3.7068168771146145`*^9, 
   3.7068168784995937`*^9}, {3.7068169170957713`*^9, 3.706816917806271*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"t", "\[Rule]", 
    RowBox[{"radv", "-", "tret"}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.7068167913998494`*^9, 3.7068169139504795`*^9, 
  3.706817048602519*^9, 3.7068196392024813`*^9, 3.706819717403616*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"tret", "\[Equal]", 
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", 
         SuperscriptBox["r", "2"]}], "+", 
        RowBox[{"2", " ", "r", " ", "rs"}], "+", 
        RowBox[{"2", " ", "r", " ", "t"}], "-", 
        RowBox[{"rs", " ", "t"}], "+", 
        RowBox[{"rs", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "2"}], " ", "r"}], "+", "rs"}], ")"}], " ", 
         RowBox[{"Log", "[", 
          RowBox[{
           RowBox[{"2", " ", "r"}], "-", "rs"}], "]"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", "r"}], "-", "rs"}], ")"}], " ", "rs", " ", 
         RowBox[{"Log", "[", "rs", "]"}]}]}], 
       RowBox[{
        RowBox[{"2", " ", "r"}], "-", "rs"}]]}], "&&", 
     RowBox[{"radv", "==", 
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["r", "2"], "+", 
           RowBox[{"rs", " ", "t"}], "-", 
           RowBox[{"r", " ", 
            RowBox[{"(", 
             RowBox[{"rs", "+", 
              RowBox[{"2", " ", "t"}]}], ")"}]}]}], ")"}]}], "+", 
        RowBox[{"rs", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "2"}], " ", "r"}], "+", "rs"}], ")"}], " ", 
         RowBox[{"Log", "[", 
          RowBox[{
           RowBox[{"2", " ", "r"}], "-", "rs"}], "]"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", "r"}], "-", "rs"}], ")"}], " ", "rs", " ", 
         RowBox[{"Log", "[", "rs", "]"}]}]}], 
       RowBox[{
        RowBox[{"2", " ", "r"}], "-", "rs"}]]}]}], ")"}], "/.", 
   RowBox[{"{", 
    RowBox[{"t", "\[Rule]", 
     RowBox[{"(", 
      RowBox[{"radv", "-", "tret"}], ")"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.706813376833804*^9, 3.70681337843991*^9}, {
  3.7068168217354455`*^9, 3.706816873073758*^9}, {3.7068169245150175`*^9, 
  3.706816975866846*^9}, {3.706817031408358*^9, 3.706817073646494*^9}, {
  3.706817376853571*^9, 3.7068173844059143`*^9}}],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    RowBox[{"2", " ", 
     SuperscriptBox["r", "2"]}], "+", 
    RowBox[{"rs", " ", 
     RowBox[{"(", 
      RowBox[{"radv", "-", 
       RowBox[{"2", " ", "tret"}]}], ")"}]}], "-", 
    RowBox[{"2", " ", "r", " ", 
     RowBox[{"(", 
      RowBox[{"radv", "+", "rs", "-", 
       RowBox[{"2", " ", "tret"}]}], ")"}]}], "+", 
    RowBox[{"rs", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "r"}], "+", "rs"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"Log", "[", 
         RowBox[{
          RowBox[{"2", " ", "r"}], "-", "rs"}], "]"}]}], "+", 
       RowBox[{"Log", "[", "rs", "]"}]}], ")"}]}]}], 
   RowBox[{
    RowBox[{"2", " ", "r"}], "-", "rs"}]], "\[Equal]", "0"}]], "Output",
 CellChangeTimes->{
  3.7068133901171837`*^9, 3.7068169798716764`*^9, {3.706817049098323*^9, 
   3.7068170781696925`*^9}, 3.706817388248633*^9, 3.706819639435146*^9, 
   3.7068197176498113`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"2", " ", 
       SuperscriptBox["r", "2"]}], "+", 
      RowBox[{"rs", " ", 
       RowBox[{"(", 
        RowBox[{"radv", "-", 
         RowBox[{"2", " ", "tret"}]}], ")"}]}], "-", 
      RowBox[{"2", " ", "r", " ", 
       RowBox[{"(", 
        RowBox[{"radv", "+", "rs", "-", 
         RowBox[{"2", " ", "tret"}]}], ")"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "r"}], "-", "rs"}], ")"}], " ", "rs", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{
           RowBox[{"2", " ", "r"}], "-", "rs"}], "]"}], "-", 
         RowBox[{"Log", "[", "rs", "]"}]}], ")"}]}]}], 
     RowBox[{
      RowBox[{"2", " ", "r"}], "-", "rs"}]], "\[Equal]", "0"}], ",", "r"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.706817404540163*^9, 3.70681741641306*^9}, {
  3.7068189264947014`*^9, 3.706818956785799*^9}}],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"2", " ", 
       SuperscriptBox["r", "2"]}], "+", 
      RowBox[{"rs", " ", 
       RowBox[{"(", 
        RowBox[{"radv", "-", 
         RowBox[{"2", " ", "tret"}]}], ")"}]}], "-", 
      RowBox[{"2", " ", "r", " ", 
       RowBox[{"(", 
        RowBox[{"radv", "+", "rs", "-", 
         RowBox[{"2", " ", "tret"}]}], ")"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "r"}], "-", "rs"}], ")"}], " ", "rs", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{
           RowBox[{"2", " ", "r"}], "-", "rs"}], "]"}], "-", 
         RowBox[{"Log", "[", "rs", "]"}]}], ")"}]}]}], 
     RowBox[{
      RowBox[{"2", " ", "r"}], "-", "rs"}]], "\[Equal]", "0"}], ",", "r"}], 
  "]"}]], "Output",
 CellChangeTimes->{{3.7068174112488995`*^9, 3.706817419912505*^9}, 
   3.706818901664415*^9, {3.706818932408882*^9, 3.7068189597728977`*^9}, 
   3.706819639632084*^9, 3.706819717849448*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "The", " ", "Schwarzschild", " ", "coordinates", " ", "were", " ", "given",
     " ", "in", " ", "terms", " ", "of", " ", "ProductLog"}], ",", " ", 
   RowBox[{"which", " ", "is", " ", 
    RowBox[{"transcendental", ".", " ", "ProductLog"}], " ", "is", " ", "a", 
    " ", "widely", " ", "known", " ", "transcendental", " ", "function"}], 
   ",", " ", 
   RowBox[{"integrated", " ", "into", " ", 
    RowBox[{"Mathematica", ".", " ", "We"}], " ", "probably", " ", "need", 
    " ", "an", " ", "analog"}], ",", " ", "here", ",", " ", 
   RowBox[{"but", " ", "Mathematica", " ", 
    RowBox[{"isn", "'"}], "t", " ", "capable", " ", "of", " ", 
    "encapsulating", " ", "the", " ", "solution", " ", "automatically"}], ",",
    " ", 
   RowBox[{"since", " ", "the", " ", "transcendental", " ", "function", " ", 
    RowBox[{"we", "'"}], "re", " ", "looking", " ", "for", " ", "is", " ", 
    "not", " ", "necessarily", " ", "as", " ", "widely", " ", 
    RowBox[{"known", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7055334772105017`*^9, 3.705533628558484*^9}, {
  3.705533664825179*^9, 3.705533703281773*^9}, {3.706823268990673*^9, 
  3.7068232691878185`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"From", " ", "here"}], ",", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"we", "'"}], "re", " ", "on", " ", "our", " ", 
     RowBox[{"own", ".", " ", "We"}], " ", "suspect", " ", "the", " ", 
     "desired", " ", "transcendental", " ", "function", " ", "is", " ", 
     "ProductLog"}], "-", "like"}], ",", " ", 
   RowBox[{
   "but", " ", "an", " ", "attempt", " ", "to", " ", "automatically", " ", 
    "solve", " ", "or", " ", "reduce", " ", "will", " ", "suggest", " ", 
    RowBox[{"it", "'"}], "s", " ", "not", " ", 
    RowBox[{"ProductLog", ".", " ", "We"}], " ", "need", " ", "to", " ", 
    "find", " ", "a", " ", "\"\<nice-enough\>\"", " ", "implicit", " ", 
    "solution"}], ",", " ", 
   RowBox[{"scaffolded", " ", 
    RowBox[{"computationally", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.705534946110917*^9, 3.7055351502693157`*^9}, {
  3.706823290391133*^9, 3.7068233321428432`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "Call", " ", "the", " ", "function", " ", "that", " ", "represents", " ", 
   "the", " ", "solution", " ", "for", " ", "r", " ", "\"\<analogR.\>\""}], 
  " ", "*)"}]], "Input",
 CellChangeTimes->{{3.705535227107812*^9, 3.705535322195182*^9}, {
  3.7055364361337166`*^9, 3.705536456455086*^9}, {3.7055365598375645`*^9, 
  3.705536559942611*^9}, {3.705536953851744*^9, 3.7055369768028297`*^9}, {
  3.7068233565541067`*^9, 3.706823375435463*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", "analogR", "]"}]], "Input",
 CellChangeTimes->{{3.705547067764247*^9, 3.705547069967808*^9}, {
  3.7068190088630447`*^9, 3.7068190424402432`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "If", " ", "a", " ", "symbolic", " ", "set", " ", "of", " ", "arguments", 
    " ", "has", " ", "more", " ", "than", " ", "one", " ", "real", " ", 
    "solution"}], ",", " ", 
   RowBox[{
   "hold", " ", "the", " ", "unevaluated", " ", "form", " ", "to", " ", 
    "maintain", " ", 
    RowBox[{"generality", ".", " ", "If"}], " ", "it", " ", "has", " ", "one",
     " ", "solution"}], ",", " ", 
   RowBox[{"return", " ", 
    RowBox[{"it", ":"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7055488855117226`*^9, 3.705548955405255*^9}, {
  3.7068057946547203`*^9, 3.706805795259158*^9}, {3.710949474302108*^9, 
  3.7109494825185614`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"analogR", "[", 
   RowBox[{
    RowBox[{"tret_", "?", "NumberQ"}], ",", 
    RowBox[{"radv_", "?", "NumberQ"}], ",", 
    RowBox[{"rs_", "?", "NumberQ"}]}], "]"}], ":=", 
  RowBox[{
   RowBox[{"analogR", "[", 
    RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"allSolutions", ",", "testSolution", ",", "r"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"allSolutions", ":=", 
       RowBox[{"Flatten", "[", 
        RowBox[{"Solve", "[", 
         RowBox[{
          RowBox[{
           FractionBox[
            RowBox[{
             RowBox[{"2", " ", 
              SuperscriptBox["r", "2"]}], "+", 
             RowBox[{"rs", " ", 
              RowBox[{"(", 
               RowBox[{"radv", "-", 
                RowBox[{"2", " ", "tret"}]}], ")"}]}], "-", 
             RowBox[{"2", " ", "r", " ", 
              RowBox[{"(", 
               RowBox[{"radv", "+", "rs", "-", 
                RowBox[{"2", " ", "tret"}]}], ")"}]}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"2", " ", "r"}], "-", "rs"}], ")"}], " ", "rs", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Log", "[", 
                 RowBox[{
                  RowBox[{"2", " ", "r"}], "-", "rs"}], "]"}], "-", 
                RowBox[{"Log", "[", "rs", "]"}]}], ")"}]}]}], 
            RowBox[{
             RowBox[{"2", " ", "r"}], "-", "rs"}]], "\[Equal]", "0"}], ",", 
          "r", ",", "Reals"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"testSolution", ":=", 
       RowBox[{"Quiet", "[", 
        RowBox[{"r", "/.", "allSolutions"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"Length", "[", "allSolutions", "]"}], "\[Equal]", "1"}], "&&", 
         RowBox[{"FreeQ", "[", 
          RowBox[{"testSolution", ",", "r"}], "]"}]}], ",", "testSolution", 
        ",", 
        RowBox[{"Defer", "[", 
         RowBox[{"analogR", "[", 
          RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}]}], "]"}]}]}],
     "\[IndentingNewLine]", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.705535332383417*^9, 3.7055353443939095`*^9}, {
   3.7055354488092847`*^9, 3.705535487297535*^9}, 3.7055355898422003`*^9, {
   3.705536467937221*^9, 3.7055364743337526`*^9}, {3.705536776072893*^9, 
   3.705536804868692*^9}, {3.705536896870866*^9, 3.705536901806367*^9}, {
   3.7055369397637625`*^9, 3.7055369432262135`*^9}, {3.70553699360473*^9, 
   3.705537011921707*^9}, {3.7055370590921307`*^9, 3.7055370628127637`*^9}, {
   3.7055372971057863`*^9, 3.705537301962227*^9}, {3.7055376607269955`*^9, 
   3.7055376757426453`*^9}, {3.7055378341684318`*^9, 3.705537838149253*^9}, {
   3.70553900235975*^9, 3.705539004446227*^9}, {3.7055391684762325`*^9, 
   3.705539228487734*^9}, {3.7055392589706373`*^9, 3.705539262504142*^9}, {
   3.705539297025673*^9, 3.7055393203590765`*^9}, {3.705540640035013*^9, 
   3.7055407706693954`*^9}, {3.7055408336189933`*^9, 
   3.7055409184127703`*^9}, {3.705541157452259*^9, 3.7055411590464025`*^9}, {
   3.7055413907698455`*^9, 3.7055414326329503`*^9}, {3.705541508857923*^9, 
   3.7055415101928697`*^9}, {3.705543969846824*^9, 3.705544010323501*^9}, {
   3.705545575793683*^9, 3.705545589847623*^9}, {3.7055468520970325`*^9, 
   3.7055468774370975`*^9}, {3.705547000359489*^9, 3.7055470465552216`*^9}, {
   3.7055499750579076`*^9, 3.7055500015206575`*^9}, {3.705550568599601*^9, 
   3.705550573513096*^9}, {3.7055779961802835`*^9, 3.705578008372923*^9}, {
   3.7056095534519477`*^9, 3.705609568196391*^9}, 3.706805791674613*^9, 
   3.706805824075774*^9, {3.7068190502847567`*^9, 3.7068190634040194`*^9}, {
   3.706820423046877*^9, 3.7068204232280183`*^9}, {3.7107140620324306`*^9, 
   3.7107140881420574`*^9}, 3.7107142653019614`*^9, 3.7107147266099834`*^9, 
   3.710949469667144*^9, {3.711039466905854*^9, 3.711039472878152*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"analogR", "[", 
  RowBox[{"0", ",", "0", ",", "1"}], "]"}]], "Input",
 CellChangeTimes->{{3.7068191945785556`*^9, 3.7068191991617975`*^9}}],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{3.706819202151923*^9, 3.7068196401207433`*^9, 
  3.7068197184102592`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "Charge", " ", "waves", " ", "can", " ", "probably", " ", "do", " ", 
    "work"}], ",", " ", 
   RowBox[{
   "requiring", " ", "a", " ", "minimum", " ", "energy", " ", "per", " ", 
    RowBox[{"particle", ".", " ", "Intuitively"}]}], ",", " ", 
   RowBox[{
   "the", " ", "author", " ", "expects", " ", "that", " ", "this", " ", 
    "minimum", " ", "is", " ", "such", " ", "that"}], ",", " ", 
   RowBox[{
    RowBox[{
    "if", " ", "charge", " ", "waves", " ", "are", " ", "absorbed", " ", "by",
      " ", "a", " ", "distant", " ", "extremal", " ", "Reissner"}], "-", 
    RowBox[{"Nordstroem", " ", "black", " ", "hole"}]}], ",", " ", 
   RowBox[{
   "the", " ", "hole", " ", "stays", " ", "exactly", " ", "extremal"}], ",", 
   " ", 
   RowBox[{
   "implying", " ", "that", " ", "a", " ", "wave", " ", "carrying", " ", 
    "charge", " ", "q", " ", "must", " ", "carry", " ", "4", "q", " ", 
    "units", " ", "of", " ", 
    RowBox[{"mass", "/", 
     RowBox[{"energy", ".", " ", "At"}]}], " ", "least"}], ",", " ", 
   RowBox[{"this", " ", "is", " ", "implied", " ", "by", " ", 
    RowBox[{"Penrose", "'"}], "s", " ", "cosmic", " ", "censorship", " ", 
    RowBox[{"conjecture", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.705662739582444*^9, 3.7056627889581785`*^9}, {
  3.705662865710862*^9, 3.705662955312511*^9}, {3.7056629864589367`*^9, 
  3.70566307966922*^9}, {3.705663114252342*^9, 3.705663116145576*^9}, {
  3.7056688780118074`*^9, 3.705668932879752*^9}, {3.7068234031150494`*^9, 
  3.706823406061123*^9}, {3.710949293256091*^9, 3.7109493078665333`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"rq", "[", 
   RowBox[{"tret_", ",", "theta_", ",", "phi_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"rq", "[", 
    RowBox[{"tret", ",", "theta", ",", "phi"}], "]"}], "=", 
   RowBox[{
    RowBox[{"4", "*", 
     RowBox[{"Hold", "[", 
      RowBox[{"Integrate", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"a", "[", 
          RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}], "*", 
         RowBox[{"Sin", "[", 
          RowBox[{"k", "*", "tret"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", "0", ",", 
          RowBox[{
           RowBox[{"rs", "[", "tret", "]"}], "/", "2"}]}], "}"}]}], "]"}], 
      "]"}]}], "+", 
    RowBox[{"rs", "[", "tret", "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.691423589973074*^9, 3.691423597359303*^9}, {
   3.691437153006651*^9, 3.6914371617177315`*^9}, {3.692056661741992*^9, 
   3.6920566632598085`*^9}, {3.6920571168097553`*^9, 3.692057145821632*^9}, {
   3.6920583486489816`*^9, 3.6920583539340744`*^9}, {3.692059533268777*^9, 
   3.6920595370989666`*^9}, {3.692060159992566*^9, 3.6920601618810773`*^9}, 
   3.6920947494999104`*^9, {3.6920947999401655`*^9, 3.692094800938023*^9}, {
   3.692183284340801*^9, 3.692183286928895*^9}, {3.692386994447234*^9, 
   3.6923870196074495`*^9}, {3.692398888775352*^9, 3.692398931162461*^9}, {
   3.6924034564471273`*^9, 3.692403470738139*^9}, {3.6924035924887857`*^9, 
   3.6924035937457485`*^9}, {3.6924854777319508`*^9, 
   3.6924854990795755`*^9}, {3.692485637727203*^9, 3.692485686519354*^9}, {
   3.69248699744658*^9, 3.6924870325457106`*^9}, {3.6925253818517075`*^9, 
   3.692525382074877*^9}, 3.69252718315004*^9, 3.6925724440420504`*^9, {
   3.692572948205849*^9, 3.692572953899729*^9}, {3.69274039958756*^9, 
   3.692740407691431*^9}, {3.692740469222476*^9, 3.692740470145619*^9}, {
   3.6927415193151507`*^9, 3.6927415249957294`*^9}, {3.6927415662315483`*^9, 
   3.6927415849783444`*^9}, {3.6927419895405846`*^9, 
   3.6927419904297113`*^9}, {3.692742265667888*^9, 3.692742273192911*^9}, 
   3.692742314332967*^9, {3.692742889736244*^9, 3.6927428901775484`*^9}, {
   3.6928107186218147`*^9, 3.6928107272904263`*^9}, {3.692816331177775*^9, 
   3.6928163564894514`*^9}, {3.6928167429379797`*^9, 
   3.6928167484853845`*^9}, {3.6928201135773106`*^9, 
   3.6928201303021426`*^9}, {3.692820349154505*^9, 3.6928203552983503`*^9}, {
   3.6928213391903706`*^9, 3.6928213607471533`*^9}, {3.692822125190106*^9, 
   3.6928221278344765`*^9}, {3.692822685197671*^9, 3.6928226944707317`*^9}, {
   3.6928309443691425`*^9, 3.692830950512992*^9}, {3.692831582190878*^9, 
   3.6928315872019477`*^9}, {3.692883354944734*^9, 3.6928833568968735`*^9}, {
   3.692883460711725*^9, 3.692883471070711*^9}, {3.6928835274239864`*^9, 
   3.69288356798096*^9}, {3.6928837695056458`*^9, 3.692883797887574*^9}, {
   3.692883926636617*^9, 3.692883937519163*^9}, {3.69288439322031*^9, 
   3.692884397284088*^9}, {3.6928844402014112`*^9, 3.69288444405406*^9}, {
   3.6928847596481934`*^9, 3.692884771671035*^9}, {3.692903164659439*^9, 
   3.6929032151566668`*^9}, 3.6929033951664267`*^9, {3.6929034983342905`*^9, 
   3.69290349845018*^9}, {3.692914968395607*^9, 3.692915032940333*^9}, {
   3.6929159231841836`*^9, 3.692915926230966*^9}, {3.693004592041937*^9, 
   3.6930045920689564`*^9}, {3.6930051949809685`*^9, 
   3.6930051949989805`*^9}, {3.6930846284895177`*^9, 
   3.6930846354996767`*^9}, {3.705443304663704*^9, 3.7054433551054273`*^9}, 
   3.7054434021051855`*^9, {3.7055549068162136`*^9, 3.7055549323501782`*^9}, {
   3.705555007331435*^9, 3.7055550101284175`*^9}, {3.705668972880218*^9, 
   3.7056689854550714`*^9}, {3.7056694602905183`*^9, 
   3.7056694612026725`*^9}, {3.7056739144771366`*^9, 
   3.7056739839934464`*^9}, {3.7061818351193886`*^9, 3.706181842114395*^9}, 
   3.706182381237525*^9, {3.706605189000021*^9, 3.7066051925935636`*^9}, {
   3.706819289084399*^9, 3.7068193236802425`*^9}, {3.70681935732705*^9, 
   3.7068193575041857`*^9}, {3.7068194546799135`*^9, 3.706819455089203*^9}, {
   3.7068196885158176`*^9, 3.706819691648448*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"qq", "[", 
   RowBox[{"tret_", ",", "theta_", ",", "phi_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"rq", "[", 
    RowBox[{"tret", ",", "theta", ",", "phi"}], "]"}], "/", "2"}]}]], "Input",
 CellChangeTimes->{{3.691423589973074*^9, 3.691423597359303*^9}, {
   3.691437153006651*^9, 3.6914371617177315`*^9}, {3.692056661741992*^9, 
   3.6920566632598085`*^9}, {3.6920571168097553`*^9, 3.692057145821632*^9}, {
   3.6920583486489816`*^9, 3.6920583539340744`*^9}, {3.692059533268777*^9, 
   3.6920595370989666`*^9}, {3.692060159992566*^9, 3.6920601618810773`*^9}, 
   3.6920947494999104`*^9, {3.6920947999401655`*^9, 3.692094800938023*^9}, {
   3.692183284340801*^9, 3.692183286928895*^9}, {3.692386994447234*^9, 
   3.6923870196074495`*^9}, {3.692398888775352*^9, 3.692398931162461*^9}, {
   3.6924034564471273`*^9, 3.692403470738139*^9}, {3.6924035924887857`*^9, 
   3.6924035937457485`*^9}, {3.6924854777319508`*^9, 
   3.6924854990795755`*^9}, {3.692485637727203*^9, 3.692485686519354*^9}, {
   3.69248699744658*^9, 3.6924870325457106`*^9}, {3.6925253818517075`*^9, 
   3.692525382074877*^9}, 3.69252718315004*^9, 3.6925724440420504`*^9, {
   3.692572948205849*^9, 3.692572953899729*^9}, {3.69274039958756*^9, 
   3.692740407691431*^9}, {3.692740469222476*^9, 3.692740470145619*^9}, {
   3.6927415193151507`*^9, 3.6927415249957294`*^9}, {3.6927415662315483`*^9, 
   3.6927415849783444`*^9}, {3.6927419895405846`*^9, 
   3.6927419904297113`*^9}, {3.692742265667888*^9, 3.692742273192911*^9}, 
   3.692742314332967*^9, {3.692742889736244*^9, 3.6927428901775484`*^9}, {
   3.6928107186218147`*^9, 3.6928107272904263`*^9}, {3.692816331177775*^9, 
   3.6928163564894514`*^9}, {3.6928167429379797`*^9, 
   3.6928167484853845`*^9}, {3.6928201135773106`*^9, 
   3.6928201303021426`*^9}, {3.692820349154505*^9, 3.6928203552983503`*^9}, {
   3.6928213391903706`*^9, 3.6928213607471533`*^9}, {3.692822125190106*^9, 
   3.6928221278344765`*^9}, {3.692822685197671*^9, 3.6928226944707317`*^9}, {
   3.6928309443691425`*^9, 3.692830950512992*^9}, {3.692831582190878*^9, 
   3.6928315872019477`*^9}, {3.692883354944734*^9, 3.6928833568968735`*^9}, {
   3.692883460711725*^9, 3.692883471070711*^9}, {3.6928835274239864`*^9, 
   3.69288356798096*^9}, {3.6928837695056458`*^9, 3.692883797887574*^9}, {
   3.692883926636617*^9, 3.692883937519163*^9}, {3.69288439322031*^9, 
   3.692884397284088*^9}, {3.6928844402014112`*^9, 3.69288444405406*^9}, {
   3.6928847596481934`*^9, 3.692884771671035*^9}, {3.692903164659439*^9, 
   3.6929032151566668`*^9}, 3.6929033951664267`*^9, {3.6929034983342905`*^9, 
   3.69290349845018*^9}, {3.692914968395607*^9, 3.6929149963679523`*^9}, {
   3.692915912176631*^9, 3.6929159169694886`*^9}, {3.693004591930359*^9, 
   3.693004591997405*^9}, {3.6930051949239283`*^9, 3.693005194935936*^9}, {
   3.6930846097198763`*^9, 3.6930846134420805`*^9}, {3.7054431265244355`*^9, 
   3.705443128586096*^9}, {3.7054431598718667`*^9, 3.7054432812018743`*^9}, {
   3.7054433596047*^9, 3.7054433827026596`*^9}, {3.7054434361998105`*^9, 
   3.705443436984311*^9}, {3.705554888594722*^9, 3.705554925761624*^9}, {
   3.7055550018075237`*^9, 3.7055550043132973`*^9}, {3.706181782658617*^9, 
   3.7061817845542293`*^9}, {3.7066051696303205`*^9, 
   3.7066051698394933`*^9}, {3.706819240082741*^9, 3.706819279864878*^9}, {
   3.706819470671223*^9, 3.706819475053137*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"metric", "=", 
  RowBox[{"DiagonalMatrix", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"rq", "[", 
           RowBox[{
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
            "phi"}], "]"}], ")"}], "/", "r"}], "+", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"qq", "[", 
            RowBox[{
             RowBox[{"Hold", "[", 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
             "phi"}], "]"}], ")"}], "^", "2"}], "/", 
         RowBox[{"r", "^", "2"}]}]}], ")"}]}], ",", 
     RowBox[{"1", "/", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"rq", "[", 
           RowBox[{
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
            "phi"}], "]"}], ")"}], "/", "r"}], "+", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"qq", "[", 
            RowBox[{
             RowBox[{"Hold", "[", 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
             "phi"}], "]"}], ")"}], "^", "2"}], "/", 
         RowBox[{"r", "^", "2"}]}]}], ")"}]}], ",", 
     RowBox[{"r", "^", "2"}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"r", " ", 
        RowBox[{"Sin", "[", "theta", "]"}]}], ")"}], "^", "2"}]}], "}"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.660346255432619*^9, 3.6603462605168896`*^9}, {
  3.660346323459664*^9, 3.6603463347831464`*^9}, {3.6603478767014055`*^9, 
  3.6603478806018496`*^9}, {3.660351133692504*^9, 3.6603511389635377`*^9}, {
  3.6603512191399193`*^9, 3.660351223869266*^9}, {3.660351830815791*^9, 
  3.6603518351408567`*^9}, {3.664528563815336*^9, 3.6645285676552954`*^9}, {
  3.6925724601231804`*^9, 3.6925724784680223`*^9}, {3.6927391901415386`*^9, 
  3.6927391957879915`*^9}, {3.692740425868577*^9, 3.6927404916241417`*^9}, {
  3.692741488610837*^9, 3.692741493782071*^9}, {3.692903417406096*^9, 
  3.692903426432246*^9}, {3.6929150408740754`*^9, 3.6929150435547085`*^9}, {
  3.6929160920891848`*^9, 3.6929161327256055`*^9}, {3.692916246316511*^9, 
  3.69291625651414*^9}, {3.705443410172143*^9, 3.705443494542667*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      FractionBox[
       RowBox[{
        RowBox[{"4", " ", 
         RowBox[{"Hold", "[", 
          RowBox[{
           SubsuperscriptBox["\[Integral]", "0", 
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"rs", "[", 
              RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], 
           RowBox[{
            RowBox[{
             RowBox[{"a", "[", 
              RowBox[{"k", ",", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
               "phi"}], "]"}], " ", 
             RowBox[{"Sin", "[", 
              RowBox[{"k", " ", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], 
            RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
        RowBox[{"rs", "[", 
         RowBox[{"Hold", "[", 
          RowBox[{"tret", "[", 
           RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "r"], "-", 
      FractionBox[
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"4", " ", 
           RowBox[{"Hold", "[", 
            RowBox[{
             SubsuperscriptBox["\[Integral]", "0", 
              RowBox[{
               FractionBox["1", "2"], " ", 
               RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], 
             RowBox[{
              RowBox[{
               RowBox[{"a", "[", 
                RowBox[{"k", ",", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
                 "phi"}], "]"}], " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"k", " ", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], 
              RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
          RowBox[{"rs", "[", 
           RowBox[{"Hold", "[", 
            RowBox[{"tret", "[", 
             RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], "2"], 
       RowBox[{"4", " ", 
        SuperscriptBox["r", "2"]}]]}], ",", "0", ",", "0", ",", "0"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     FractionBox["1", 
      RowBox[{"1", "-", 
       FractionBox[
        RowBox[{
         RowBox[{"4", " ", 
          RowBox[{"Hold", "[", 
           RowBox[{
            SubsuperscriptBox["\[Integral]", "0", 
             RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], 
            RowBox[{
             RowBox[{
              RowBox[{"a", "[", 
               RowBox[{"k", ",", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
                "phi"}], "]"}], " ", 
              RowBox[{"Sin", "[", 
               RowBox[{"k", " ", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], 
             RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
         RowBox[{"rs", "[", 
          RowBox[{"Hold", "[", 
           RowBox[{"tret", "[", 
            RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "r"], "+", 
       FractionBox[
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"4", " ", 
            RowBox[{"Hold", "[", 
             RowBox[{
              SubsuperscriptBox["\[Integral]", "0", 
               RowBox[{
                FractionBox["1", "2"], " ", 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], 
              RowBox[{
               RowBox[{
                RowBox[{"a", "[", 
                 RowBox[{"k", ",", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
                  "phi"}], "]"}], " ", 
                RowBox[{"Sin", "[", 
                 RowBox[{"k", " ", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], 
               RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
           RowBox[{"rs", "[", 
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], "2"], 
        RowBox[{"4", " ", 
         SuperscriptBox["r", "2"]}]]}]], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     SuperscriptBox["r", "2"], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     RowBox[{
      SuperscriptBox["r", "2"], " ", 
      SuperscriptBox[
       RowBox[{"Sin", "[", "theta", "]"}], "2"]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.706819640209806*^9, 3.706819718490317*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"metricsign", "=", 
  RowBox[{"-", "1"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"-", "1"}]], "Output",
 CellChangeTimes->{3.706819640248324*^9, 3.7068197185093307`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"SEGMENT", ":", " ", 
   RowBox[{"RUN", " ", 
    RowBox[{"DIFFGEO", ".", "M"}], " ", "HERE"}]}], " ", "*)"}]], "Input",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellChangeTimes->{{3.6921321676616096`*^9, 3.692132169504179*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
    "The", " ", "boundary", " ", "conditions", " ", "must", " ", "be", " ", 
     "satisfied", " ", "for", " ", "the", " ", "Einstein"}], "-", 
    RowBox[{
    "Hilbert", " ", "action", " ", "to", " ", "be", " ", "a", " ", 
     "meaningful", " ", "description", " ", "of", " ", "the", " ", 
     RowBox[{"interior", ".", " ", "With"}], " ", "a", " ", "general", " ", 
     "perturbation"}]}], ",", " ", 
   RowBox[{
    RowBox[{
    "we", " ", "first", " ", "check", " ", "what", " ", "parts", " ", "of", 
     " ", "the", " ", "boundary", " ", "condition", " ", "are", " ", "non"}], 
    "-", 
    RowBox[{"trivial", ":"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.692132299679185*^9, 3.6921323138532095`*^9}, {
  3.692132347221799*^9, 3.692132422250717*^9}, {3.6921412641823487`*^9, 
  3.6921412675535693`*^9}}],

Cell[BoxData[
 RowBox[{"hypersurface", "[", 
  RowBox[{"t", ",", " ", 
   RowBox[{"-", "1"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.660350972743921*^9, 3.660350975789729*^9}, {
  3.6609473014279613`*^9, 3.6609473032657676`*^9}}],

Cell[CellGroupData[{

Cell[BoxData["extrinsic"], "Input",
 CellChangeTimes->{3.66558037986862*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"8", " ", 
        SuperscriptBox["r", "4"], " ", 
        SqrtBox[
         FractionBox["1", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "2"}], " ", "r"}], "+", 
             RowBox[{"4", " ", 
              RowBox[{"Hold", "[", 
               RowBox[{
                SubsuperscriptBox["\[Integral]", "0", 
                 RowBox[{
                  FractionBox["1", "2"], " ", 
                  RowBox[{"rs", "[", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], 
                RowBox[{
                 RowBox[{
                  RowBox[{"a", "[", 
                   RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
                    "phi"}], "]"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], 
                 RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
             RowBox[{"rs", "[", 
              RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], "2"]]],
         " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"4", " ", 
           RowBox[{
            SubscriptBox["\[PartialD]", "t"], 
            RowBox[{"Hold", "[", 
             RowBox[{
              SubsuperscriptBox["\[Integral]", "0", 
               RowBox[{
                FractionBox["1", "2"], " ", 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], 
              RowBox[{
               RowBox[{
                RowBox[{"a", "[", 
                 RowBox[{"k", ",", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
                  "phi"}], "]"}], " ", 
                RowBox[{"Sin", "[", 
                 RowBox[{"k", " ", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], 
               RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}]}], "+", 
          RowBox[{
           RowBox[{
            SubscriptBox["\[PartialD]", "t"], 
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
           RowBox[{
            SuperscriptBox["rs", "\[Prime]",
             MultilineFunction->None], "[", 
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]}], ")"}]}], 
       ")"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Abs", "[", "r", "]"}], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "2"}], " ", "r"}], "+", 
           RowBox[{"4", " ", 
            RowBox[{"Hold", "[", 
             RowBox[{
              SubsuperscriptBox["\[Integral]", "0", 
               RowBox[{
                FractionBox["1", "2"], " ", 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], 
              RowBox[{
               RowBox[{
                RowBox[{"a", "[", 
                 RowBox[{"k", ",", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
                  "phi"}], "]"}], " ", 
                RowBox[{"Sin", "[", 
                 RowBox[{"k", " ", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], 
               RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
           RowBox[{"rs", "[", 
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], "3"]}], 
       ")"}]}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7068196623754253`*^9, 3.7068197304427576`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["induced"], "Input",
 CellChangeTimes->{{3.665580408491025*^9, 3.6655804097462406`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"1", "-", 
       FractionBox[
        RowBox[{
         RowBox[{"4", " ", 
          RowBox[{"Hold", "[", 
           RowBox[{
            SubsuperscriptBox["\[Integral]", "0", 
             RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], 
            RowBox[{
             RowBox[{
              RowBox[{"a", "[", 
               RowBox[{"k", ",", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
                "phi"}], "]"}], " ", 
              RowBox[{"Sin", "[", 
               RowBox[{"k", " ", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], 
             RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
         RowBox[{"rs", "[", 
          RowBox[{"Hold", "[", 
           RowBox[{"tret", "[", 
            RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "r"], "+", 
       FractionBox[
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"4", " ", 
            RowBox[{"Hold", "[", 
             RowBox[{
              SubsuperscriptBox["\[Integral]", "0", 
               RowBox[{
                FractionBox["1", "2"], " ", 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], 
              RowBox[{
               RowBox[{
                RowBox[{"a", "[", 
                 RowBox[{"k", ",", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
                  "phi"}], "]"}], " ", 
                RowBox[{"Sin", "[", 
                 RowBox[{"k", " ", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], 
               RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
           RowBox[{"rs", "[", 
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], "2"], 
        RowBox[{"4", " ", 
         SuperscriptBox["r", "2"]}]]}]], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     SuperscriptBox["r", "2"], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{
      SuperscriptBox["r", "2"], " ", 
      SuperscriptBox[
       RowBox[{"Sin", "[", "theta", "]"}], "2"]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7068196623864326`*^9, 3.706819730471777*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"induced4", ":=", 
  RowBox[{"DiagonalMatrix", "[", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"induced", "[", 
      RowBox[{"[", 
       RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
     RowBox[{"induced", "[", 
      RowBox[{"[", 
       RowBox[{"2", ",", "2"}], "]"}], "]"}], ",", 
     RowBox[{"induced", "[", 
      RowBox[{"[", 
       RowBox[{"3", ",", "3"}], "]"}], "]"}]}], "}"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6655804877921205`*^9, 3.665580493705736*^9}, {
  3.665580545400695*^9, 3.66558054862733*^9}, {3.692379441140069*^9, 
  3.692379484574189*^9}, {3.692379649006301*^9, 3.6923796730028324`*^9}}],

Cell[BoxData[
 RowBox[{"invInduced", ":=", 
  RowBox[{"raise", "[", 
   RowBox[{"induced4", ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6655806306454115`*^9, 3.665580646289775*^9}, 
   3.692379529459448*^9}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "In", " ", "order", " ", "for", " ", "the", " ", "boundary", " ", 
    "conditions", " ", "to", " ", "be", " ", "satisfied"}], ",", " ", 
   RowBox[{
   "a", " ", "surface", " ", "integral", " ", "of", " ", "this", " ", 
    "extrinsic", " ", "term", " ", "must", " ", 
    RowBox[{"vanish", ".", " ", "We"}], " ", "assume", " ", "that", " ", 
    "bounding", " ", "volumes", " ", "are", " ", "parallel", " ", "and", " ", 
    "perpendicular", " ", "to", " ", "the", " ", "coordinates"}], ",", " ", 
   RowBox[{
   "and", " ", "we", " ", "pair", " ", "opposing", " ", "faces", " ", "of", 
    " ", "bounding", " ", 
    RowBox[{"volumes", ":"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.692132495168952*^9, 3.6921326406697955`*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", "beh", "]"}]], "Input",
 CellChangeTimes->{{3.665580603556497*^9, 3.6655806062737455`*^9}, {
  3.6656104038199406`*^9, 3.6656104473284917`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"beh", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"beh", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"induced", "[", 
      RowBox[{"[", 
       RowBox[{"1", ",", "1"}], "]"}], "]"}], "*", 
     RowBox[{"induced", "[", 
      RowBox[{"[", 
       RowBox[{"2", ",", "2"}], "]"}], "]"}], "*", 
     RowBox[{"induced", "[", 
      RowBox[{"[", 
       RowBox[{"3", ",", "3"}], "]"}], "]"}], "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"extrinsictrace", "*", "invInduced"}], "-", "extrinsic"}], 
      ")"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.6603971267987247`*^9, 3.6603971528391542`*^9}, {
  3.660397263234913*^9, 3.660397267532553*^9}, {3.6605219711757355`*^9, 
  3.660521978394868*^9}, {3.660522382933532*^9, 3.6605223880095186`*^9}, {
  3.6655802785875387`*^9, 3.665580302897689*^9}, {3.6655806543942823`*^9, 
  3.665580677067096*^9}, {3.665610203393684*^9, 3.665610228652419*^9}, {
  3.6923799958554554`*^9, 3.692380000270088*^9}, {3.692572862825182*^9, 
  3.692572869357932*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"behr", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"behr", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "=", 
   RowBox[{
    RowBox[{"beh", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{
  3.6628519859290266`*^9, {3.6655992558355274`*^9, 3.6655992611412916`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"behr", "[", 
  RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}]], "Input"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.706819662559444*^9, 3.7068197308320208`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"behrInt", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_", ",", "deltaR_"}], 
   "]"}], ":=", 
  RowBox[{
   RowBox[{"behrInt", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi", ",", "deltaR"}], "]"}], 
   "=", 
   RowBox[{
    RowBox[{"behr", "[", 
     RowBox[{"t", ",", 
      RowBox[{"r", "+", "deltaR"}], ",", "theta", ",", "phi"}], "]"}], "-", 
    RowBox[{"behr", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{
  3.6628519972360644`*^9, {3.6636693207273684`*^9, 3.6636693315311337`*^9}, {
   3.666177898908599*^9, 3.666177905909754*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"behrInt", "[", 
  RowBox[{"t", ",", "r", ",", "theta", ",", "phi", ",", "deltaR"}], 
  "]"}]], "Input"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.706819662577956*^9, 3.706819730853035*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"behtheta", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"behtheta", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "=", 
   RowBox[{
    RowBox[{"beh", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"2", ",", "2"}], "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{
  3.662852018175275*^9, 3.6628957832517853`*^9, {3.665599271940704*^9, 
   3.6655992769696407`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"behtheta", "[", 
  RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"2", " ", 
    SuperscriptBox["r", "6"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"4", " ", 
       RowBox[{"Hold", "[", 
        RowBox[{
         SubsuperscriptBox["\[Integral]", "0", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"rs", "[", 
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], 
         RowBox[{
          RowBox[{
           RowBox[{"a", "[", 
            RowBox[{"k", ",", 
             RowBox[{"Hold", "[", 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
             "phi"}], "]"}], " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"k", " ", 
             RowBox[{"Hold", "[", 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], 
          RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
      RowBox[{"rs", "[", 
       RowBox[{"Hold", "[", 
        RowBox[{"tret", "[", 
         RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], " ", 
    SqrtBox[
     FractionBox["1", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "r"}], "+", 
         RowBox[{"4", " ", 
          RowBox[{"Hold", "[", 
           RowBox[{
            SubsuperscriptBox["\[Integral]", "0", 
             RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], 
            RowBox[{
             RowBox[{
              RowBox[{"a", "[", 
               RowBox[{"k", ",", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
                "phi"}], "]"}], " ", 
              RowBox[{"Sin", "[", 
               RowBox[{"k", " ", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], 
             RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
         RowBox[{"rs", "[", 
          RowBox[{"Hold", "[", 
           RowBox[{"tret", "[", 
            RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], "2"]]], 
    " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"32", " ", 
       SuperscriptBox["r", "3"]}], "-", 
      RowBox[{"64", " ", 
       SuperscriptBox[
        RowBox[{"Hold", "[", 
         RowBox[{
          SubsuperscriptBox["\[Integral]", "0", 
           RowBox[{
            FractionBox["1", "2"], " ", 
            RowBox[{"rs", "[", 
             RowBox[{"Hold", "[", 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], 
          RowBox[{
           RowBox[{
            RowBox[{"a", "[", 
             RowBox[{"k", ",", 
              RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
              "phi"}], "]"}], " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"k", " ", 
              RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], 
           RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}], "3"]}], "+", 
      RowBox[{"16", " ", 
       SuperscriptBox[
        RowBox[{"Hold", "[", 
         RowBox[{
          SubsuperscriptBox["\[Integral]", "0", 
           RowBox[{
            FractionBox["1", "2"], " ", 
            RowBox[{"rs", "[", 
             RowBox[{"Hold", "[", 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], 
          RowBox[{
           RowBox[{
            RowBox[{"a", "[", 
             RowBox[{"k", ",", 
              RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
              "phi"}], "]"}], " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"k", " ", 
              RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], 
           RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}], "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"8", " ", "r"}], "-", 
         RowBox[{"3", " ", 
          RowBox[{"rs", "[", 
           RowBox[{"Hold", "[", 
            RowBox[{"tret", "[", 
             RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]}], ")"}]}], "-", 
      RowBox[{"24", " ", 
       SuperscriptBox["r", "2"], " ", 
       RowBox[{"rs", "[", 
        RowBox[{"Hold", "[", 
         RowBox[{"tret", "[", 
          RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
      RowBox[{"8", " ", "r", " ", 
       SuperscriptBox[
        RowBox[{"rs", "[", 
         RowBox[{"Hold", "[", 
          RowBox[{"tret", "[", 
           RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}], "-", 
      SuperscriptBox[
       RowBox[{"rs", "[", 
        RowBox[{"Hold", "[", 
         RowBox[{"tret", "[", 
          RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "3"], "-", 
      RowBox[{"4", " ", 
       RowBox[{"Hold", "[", 
        RowBox[{
         SubsuperscriptBox["\[Integral]", "0", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"rs", "[", 
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], 
         RowBox[{
          RowBox[{
           RowBox[{"a", "[", 
            RowBox[{"k", ",", 
             RowBox[{"Hold", "[", 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
             "phi"}], "]"}], " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"k", " ", 
             RowBox[{"Hold", "[", 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], 
          RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"24", " ", 
          SuperscriptBox["r", "2"]}], "-", 
         RowBox[{"16", " ", "r", " ", 
          RowBox[{"rs", "[", 
           RowBox[{"Hold", "[", 
            RowBox[{"tret", "[", 
             RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
         RowBox[{"3", " ", 
          SuperscriptBox[
           RowBox[{"rs", "[", 
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
        ")"}]}]}], ")"}], " ", 
    SuperscriptBox[
     RowBox[{"Sin", "[", "theta", "]"}], "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"4", " ", 
       RowBox[{
        SubscriptBox["\[PartialD]", "t"], 
        RowBox[{"Hold", "[", 
         RowBox[{
          SubsuperscriptBox["\[Integral]", "0", 
           RowBox[{
            FractionBox["1", "2"], " ", 
            RowBox[{"rs", "[", 
             RowBox[{"Hold", "[", 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], 
          RowBox[{
           RowBox[{
            RowBox[{"a", "[", 
             RowBox[{"k", ",", 
              RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
              "phi"}], "]"}], " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"k", " ", 
              RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], 
           RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}]}], "+", 
      RowBox[{
       RowBox[{
        SubscriptBox["\[PartialD]", "t"], 
        RowBox[{"Hold", "[", 
         RowBox[{"tret", "[", 
          RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
       RowBox[{
        SuperscriptBox["rs", "\[Prime]",
         MultilineFunction->None], "[", 
        RowBox[{"Hold", "[", 
         RowBox[{"tret", "[", 
          RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]}], ")"}]}], ")"}], 
  "/", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"Abs", "[", "r", "]"}], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "r"}], "-", 
       RowBox[{"4", " ", 
        RowBox[{"Hold", "[", 
         RowBox[{
          SubsuperscriptBox["\[Integral]", "0", 
           RowBox[{
            FractionBox["1", "2"], " ", 
            RowBox[{"rs", "[", 
             RowBox[{"Hold", "[", 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], 
          RowBox[{
           RowBox[{
            RowBox[{"a", "[", 
             RowBox[{"k", ",", 
              RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
              "phi"}], "]"}], " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"k", " ", 
              RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], 
           RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "-", 
       RowBox[{"rs", "[", 
        RowBox[{"Hold", "[", 
         RowBox[{"tret", "[", 
          RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], "5"]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.706819662597474*^9, 3.706819730887059*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"behthetaInt", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_", ",", "deltaTheta_"}], 
   "]"}], ":=", 
  RowBox[{
   RowBox[{"behthetaInt", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi", ",", "deltaTheta"}], 
    "]"}], "=", 
   RowBox[{
    RowBox[{"behtheta", "[", 
     RowBox[{"t", ",", "r", ",", 
      RowBox[{"theta", "+", "deltaTheta"}], ",", "phi"}], "]"}], "-", 
    RowBox[{"behtheta", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{
  3.6628520318824463`*^9, {3.666177910561014*^9, 3.6661779178956223`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"behthetaInt", "[", 
  RowBox[{"t", ",", "r", ",", "theta", ",", "phi", ",", "deltaTheta"}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.6628520420339923`*^9, {3.666177961515559*^9, 3.666177963080166*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.7068196626174726`*^9, 3.7068197309070735`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"behphi", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"behphi", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "=", 
   RowBox[{
    RowBox[{"beh", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"3", ",", "3"}], "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{
  3.662852051097291*^9, {3.6655992823310194`*^9, 3.6655992860243697`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"behphi", "[", 
  RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"8", " ", 
      SuperscriptBox["r", "6"], " ", 
      SqrtBox[
       FractionBox["1", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "2"}], " ", "r"}], "+", 
           RowBox[{"4", " ", 
            RowBox[{"Hold", "[", 
             RowBox[{
              SubsuperscriptBox["\[Integral]", "0", 
               RowBox[{
                FractionBox["1", "2"], " ", 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], 
              RowBox[{
               RowBox[{
                RowBox[{"a", "[", 
                 RowBox[{"k", ",", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
                  "phi"}], "]"}], " ", 
                RowBox[{"Sin", "[", 
                 RowBox[{"k", " ", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], 
               RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
           RowBox[{"rs", "[", 
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], "2"]]], 
      " ", 
      SuperscriptBox[
       RowBox[{"Sin", "[", "theta", "]"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"4", " ", 
         RowBox[{
          SubscriptBox["\[PartialD]", "t"], 
          RowBox[{"Hold", "[", 
           RowBox[{
            SubsuperscriptBox["\[Integral]", "0", 
             RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], 
            RowBox[{
             RowBox[{
              RowBox[{"a", "[", 
               RowBox[{"k", ",", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
                "phi"}], "]"}], " ", 
              RowBox[{"Sin", "[", 
               RowBox[{"k", " ", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], 
             RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}]}], "+", 
        RowBox[{
         RowBox[{
          SubscriptBox["\[PartialD]", "t"], 
          RowBox[{"Hold", "[", 
           RowBox[{"tret", "[", 
            RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
         RowBox[{
          SuperscriptBox["rs", "\[Prime]",
           MultilineFunction->None], "[", 
          RowBox[{"Hold", "[", 
           RowBox[{"tret", "[", 
            RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]}], ")"}]}], ")"}], 
    "/", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Abs", "[", "r", "]"}], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "r"}], "-", 
         RowBox[{"4", " ", 
          RowBox[{"Hold", "[", 
           RowBox[{
            SubsuperscriptBox["\[Integral]", "0", 
             RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], 
            RowBox[{
             RowBox[{
              RowBox[{"a", "[", 
               RowBox[{"k", ",", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
                "phi"}], "]"}], " ", 
              RowBox[{"Sin", "[", 
               RowBox[{"k", " ", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], 
             RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "-", 
         RowBox[{"rs", "[", 
          RowBox[{"Hold", "[", 
           RowBox[{"tret", "[", 
            RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], "3"]}], 
     ")"}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.706819662639945*^9, 3.706819730927101*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"behphiInt", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_", ",", "deltaPhi_"}], 
   "]"}], ":=", 
  RowBox[{
   RowBox[{"behphiInt", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi", ",", "deltaPhi"}], "]"}],
    "=", 
   RowBox[{
    RowBox[{"behphi", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", 
      RowBox[{"phi", "+", "deltaPhi"}]}], "]"}], "-", 
    RowBox[{"behphi", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{
  3.6628520584446745`*^9, {3.666177923109236*^9, 3.666177930034356*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"behphiInt", "[", 
  RowBox[{"t", ",", "r", ",", "theta", ",", "phi", ",", "deltaPhi"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6628519042518234`*^9, 3.6628520623736315`*^9}, {
  3.6661779658521905`*^9, 3.666177967482606*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.706819662658456*^9, 3.7068197309521046`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "Paired", " ", "opposing", " ", "faces", " ", "are", " ", "already", " ", 
   RowBox[{"satisfied", "."}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.6921324433968124`*^9, 3.692132461161307*^9}, {
  3.6921326570211525`*^9, 3.692132800744498*^9}, {3.692380285748784*^9, 
  3.6923803038376083`*^9}, {3.6923813058377953`*^9, 3.6923813515782413`*^9}, {
  3.6925840506238937`*^9, 3.6925840623244095`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"SEGMENT", ":", " ", 
   RowBox[{"CLEAR", " ", "GLOBAL", " ", "NAMESPACE", " ", 
    RowBox[{"HERE", "."}]}]}], " ", "*)"}]], "Input",
 CellFrame->{{0, 0}, {0, 3}},
 CellChangeTimes->{{3.7045807104212956`*^9, 3.704580720751587*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "Are", " ", "the", " ", "boundary", " ", "conditions", " ", "satisfied", 
   " ", "for", " ", "an", " ", "approximate", " ", "definition", " ", "tret", 
   " ", "as", " ", "its", " ", "expectation", " ", 
   RowBox[{"value", "?", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
      "Over", " ", "full", " ", "graviton", " ", "variation", " ", 
       "wavelengths"}], ",", " ", 
      RowBox[{
      "the", " ", "average", " ", "behavior", " ", "should", " ", "agree", 
       " ", "if", " ", "the", " ", "boundary", " ", "of", " ", "the", " ", 
       "action", " ", 
       RowBox[{"vanishes", "."}]}]}], ")"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7068234537275763`*^9, 3.706823477689526*^9}, {
  3.706823623598461*^9, 3.7068237795242043`*^9}, {3.7109493572428837`*^9, 
  3.7109493914659824`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"t", "=", 
  RowBox[{"radv", "-", "tret"}]}]], "Input",
 CellChangeTimes->{{3.7055178472847843`*^9, 3.70551784778714*^9}, {
  3.7055536315359845`*^9, 3.7055536483368974`*^9}, {3.7068197433348646`*^9, 
  3.7068197462008905`*^9}}],

Cell[BoxData[
 RowBox[{"radv", "-", "tret"}]], "Output",
 CellChangeTimes->{3.7068198310630593`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"r", "=", 
  RowBox[{"Hold", "[", 
   RowBox[{"analogR", "[", 
    RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.705501044642853*^9, 3.7055010524613943`*^9}, {
   3.7055013487531047`*^9, 3.7055013489452405`*^9}, {3.7055027793855386`*^9, 
   3.705502796259491*^9}, 3.705503146182869*^9, {3.7055031967398977`*^9, 
   3.705503206742957*^9}, {3.7055177993251624`*^9, 3.7055178091501517`*^9}, {
   3.7055194411634593`*^9, 3.7055194436952796`*^9}, {3.7055203865319953`*^9, 
   3.705520396254884*^9}, {3.705521728613337*^9, 3.705521746107731*^9}, {
   3.7055262595835295`*^9, 3.7055262749764366`*^9}, {3.7055272967006035`*^9, 
   3.705527297618252*^9}, {3.705552465229192*^9, 3.705552485768777*^9}, {
   3.705553622792799*^9, 3.7055536238715525`*^9}, {3.7055536556050396`*^9, 
   3.7055536564856606`*^9}, {3.706819750400861*^9, 3.706819751182417*^9}}],

Cell[BoxData[
 RowBox[{"Hold", "[", 
  RowBox[{"analogR", "[", 
   RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}]], "Output",
 CellChangeTimes->{3.7068198310710664`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"rq", "[", 
   RowBox[{"tret_", ",", "theta_", ",", "phi_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"rq", "[", 
    RowBox[{"tret", ",", "theta", ",", "phi"}], "]"}], "=", 
   RowBox[{
    RowBox[{"4", "*", 
     RowBox[{"Hold", "[", 
      RowBox[{"Integrate", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"a", "[", 
          RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}], "*", 
         RowBox[{"Sin", "[", 
          RowBox[{"k", "*", "tret"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", "0", ",", 
          RowBox[{
           RowBox[{"rs", "[", "tret", "]"}], "/", "2"}]}], "}"}]}], "]"}], 
      "]"}]}], "+", 
    RowBox[{"rs", "[", "tret", "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.691423589973074*^9, 3.691423597359303*^9}, {
   3.691437153006651*^9, 3.6914371617177315`*^9}, {3.692056661741992*^9, 
   3.6920566632598085`*^9}, {3.6920571168097553`*^9, 3.692057145821632*^9}, {
   3.6920583486489816`*^9, 3.6920583539340744`*^9}, {3.692059533268777*^9, 
   3.6920595370989666`*^9}, {3.692060159992566*^9, 3.6920601618810773`*^9}, 
   3.6920947494999104`*^9, {3.6920947999401655`*^9, 3.692094800938023*^9}, {
   3.692183284340801*^9, 3.692183286928895*^9}, {3.692386994447234*^9, 
   3.6923870196074495`*^9}, {3.692398888775352*^9, 3.692398931162461*^9}, {
   3.6924034564471273`*^9, 3.692403470738139*^9}, {3.6924035924887857`*^9, 
   3.6924035937457485`*^9}, {3.6924854777319508`*^9, 
   3.6924854990795755`*^9}, {3.692485637727203*^9, 3.692485686519354*^9}, {
   3.69248699744658*^9, 3.6924870325457106`*^9}, {3.6925253818517075`*^9, 
   3.692525382074877*^9}, 3.69252718315004*^9, 3.6925724440420504`*^9, {
   3.692572948205849*^9, 3.692572953899729*^9}, {3.69274039958756*^9, 
   3.692740407691431*^9}, {3.692740469222476*^9, 3.692740470145619*^9}, {
   3.6927415193151507`*^9, 3.6927415249957294`*^9}, {3.6927415662315483`*^9, 
   3.6927415849783444`*^9}, {3.6927419895405846`*^9, 
   3.6927419904297113`*^9}, {3.692742265667888*^9, 3.692742273192911*^9}, 
   3.692742314332967*^9, {3.692742889736244*^9, 3.6927428901775484`*^9}, {
   3.6928107186218147`*^9, 3.6928107272904263`*^9}, {3.692816331177775*^9, 
   3.6928163564894514`*^9}, {3.6928167429379797`*^9, 
   3.6928167484853845`*^9}, {3.6928201135773106`*^9, 
   3.6928201303021426`*^9}, {3.692820349154505*^9, 3.6928203552983503`*^9}, {
   3.6928213391903706`*^9, 3.6928213607471533`*^9}, {3.692822125190106*^9, 
   3.6928221278344765`*^9}, {3.692822685197671*^9, 3.6928226944707317`*^9}, {
   3.6928309443691425`*^9, 3.692830950512992*^9}, {3.692831582190878*^9, 
   3.6928315872019477`*^9}, {3.692883354944734*^9, 3.6928833568968735`*^9}, {
   3.692883460711725*^9, 3.692883471070711*^9}, {3.6928835274239864`*^9, 
   3.69288356798096*^9}, {3.6928837695056458`*^9, 3.692883797887574*^9}, {
   3.692883926636617*^9, 3.692883937519163*^9}, {3.69288439322031*^9, 
   3.692884397284088*^9}, {3.6928844402014112`*^9, 3.69288444405406*^9}, {
   3.6928847596481934`*^9, 3.692884771671035*^9}, {3.692903164659439*^9, 
   3.6929032151566668`*^9}, 3.6929033951664267`*^9, {3.6929034983342905`*^9, 
   3.69290349845018*^9}, {3.692914968395607*^9, 3.692915032940333*^9}, {
   3.6929159231841836`*^9, 3.692915926230966*^9}, {3.693004592041937*^9, 
   3.6930045920689564`*^9}, {3.6930051949809685`*^9, 
   3.6930051949989805`*^9}, {3.6930846284895177`*^9, 
   3.6930846354996767`*^9}, {3.705443304663704*^9, 3.7054433551054273`*^9}, 
   3.7054434021051855`*^9, {3.7055549068162136`*^9, 3.7055549323501782`*^9}, {
   3.705555007331435*^9, 3.7055550101284175`*^9}, {3.705668972880218*^9, 
   3.7056689854550714`*^9}, {3.7056694602905183`*^9, 
   3.7056694612026725`*^9}, {3.7056739144771366`*^9, 
   3.7056739839934464`*^9}, {3.7061818351193886`*^9, 3.706181842114395*^9}, 
   3.706182381237525*^9, {3.706605189000021*^9, 3.7066051925935636`*^9}, {
   3.706819289084399*^9, 3.7068193236802425`*^9}, {3.70681935732705*^9, 
   3.7068193575041857`*^9}, {3.7068194546799135`*^9, 3.706819455089203*^9}, {
   3.7068196885158176`*^9, 3.706819691648448*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"qq", "[", 
   RowBox[{"tret_", ",", "theta_", ",", "phi_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"rq", "[", 
    RowBox[{"tret", ",", "theta", ",", "phi"}], "]"}], "/", "2"}]}]], "Input",
 CellChangeTimes->{{3.691423589973074*^9, 3.691423597359303*^9}, {
   3.691437153006651*^9, 3.6914371617177315`*^9}, {3.692056661741992*^9, 
   3.6920566632598085`*^9}, {3.6920571168097553`*^9, 3.692057145821632*^9}, {
   3.6920583486489816`*^9, 3.6920583539340744`*^9}, {3.692059533268777*^9, 
   3.6920595370989666`*^9}, {3.692060159992566*^9, 3.6920601618810773`*^9}, 
   3.6920947494999104`*^9, {3.6920947999401655`*^9, 3.692094800938023*^9}, {
   3.692183284340801*^9, 3.692183286928895*^9}, {3.692386994447234*^9, 
   3.6923870196074495`*^9}, {3.692398888775352*^9, 3.692398931162461*^9}, {
   3.6924034564471273`*^9, 3.692403470738139*^9}, {3.6924035924887857`*^9, 
   3.6924035937457485`*^9}, {3.6924854777319508`*^9, 
   3.6924854990795755`*^9}, {3.692485637727203*^9, 3.692485686519354*^9}, {
   3.69248699744658*^9, 3.6924870325457106`*^9}, {3.6925253818517075`*^9, 
   3.692525382074877*^9}, 3.69252718315004*^9, 3.6925724440420504`*^9, {
   3.692572948205849*^9, 3.692572953899729*^9}, {3.69274039958756*^9, 
   3.692740407691431*^9}, {3.692740469222476*^9, 3.692740470145619*^9}, {
   3.6927415193151507`*^9, 3.6927415249957294`*^9}, {3.6927415662315483`*^9, 
   3.6927415849783444`*^9}, {3.6927419895405846`*^9, 
   3.6927419904297113`*^9}, {3.692742265667888*^9, 3.692742273192911*^9}, 
   3.692742314332967*^9, {3.692742889736244*^9, 3.6927428901775484`*^9}, {
   3.6928107186218147`*^9, 3.6928107272904263`*^9}, {3.692816331177775*^9, 
   3.6928163564894514`*^9}, {3.6928167429379797`*^9, 
   3.6928167484853845`*^9}, {3.6928201135773106`*^9, 
   3.6928201303021426`*^9}, {3.692820349154505*^9, 3.6928203552983503`*^9}, {
   3.6928213391903706`*^9, 3.6928213607471533`*^9}, {3.692822125190106*^9, 
   3.6928221278344765`*^9}, {3.692822685197671*^9, 3.6928226944707317`*^9}, {
   3.6928309443691425`*^9, 3.692830950512992*^9}, {3.692831582190878*^9, 
   3.6928315872019477`*^9}, {3.692883354944734*^9, 3.6928833568968735`*^9}, {
   3.692883460711725*^9, 3.692883471070711*^9}, {3.6928835274239864`*^9, 
   3.69288356798096*^9}, {3.6928837695056458`*^9, 3.692883797887574*^9}, {
   3.692883926636617*^9, 3.692883937519163*^9}, {3.69288439322031*^9, 
   3.692884397284088*^9}, {3.6928844402014112`*^9, 3.69288444405406*^9}, {
   3.6928847596481934`*^9, 3.692884771671035*^9}, {3.692903164659439*^9, 
   3.6929032151566668`*^9}, 3.6929033951664267`*^9, {3.6929034983342905`*^9, 
   3.69290349845018*^9}, {3.692914968395607*^9, 3.6929149963679523`*^9}, {
   3.692915912176631*^9, 3.6929159169694886`*^9}, {3.693004591930359*^9, 
   3.693004591997405*^9}, {3.6930051949239283`*^9, 3.693005194935936*^9}, {
   3.6930846097198763`*^9, 3.6930846134420805`*^9}, {3.7054431265244355`*^9, 
   3.705443128586096*^9}, {3.7054431598718667`*^9, 3.7054432812018743`*^9}, {
   3.7054433596047*^9, 3.7054433827026596`*^9}, {3.7054434361998105`*^9, 
   3.705443436984311*^9}, {3.705554888594722*^9, 3.705554925761624*^9}, {
   3.7055550018075237`*^9, 3.7055550043132973`*^9}, {3.706181782658617*^9, 
   3.7061817845542293`*^9}, {3.7066051696303205`*^9, 
   3.7066051698394933`*^9}, {3.706819240082741*^9, 3.706819279864878*^9}, {
   3.706819470671223*^9, 3.706819475053137*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", "untrnsMetric", "]"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"untrnsMetric", "=", 
  RowBox[{"DiagonalMatrix", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"rq", "[", 
           RowBox[{"tret", ",", "theta", ",", "phi"}], "]"}], ")"}], "/", 
         "r"}], "+", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"qq", "[", 
            RowBox[{"tret", ",", "theta", ",", "phi"}], "]"}], ")"}], "^", 
          "2"}], "/", 
         RowBox[{"r", "^", "2"}]}]}], ")"}]}], ",", 
     RowBox[{"1", "/", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"rq", "[", 
           RowBox[{"tret", ",", "theta", ",", "phi"}], "]"}], ")"}], "/", 
         "r"}], "+", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"qq", "[", 
            RowBox[{"tret", ",", "theta", ",", "phi"}], "]"}], ")"}], "^", 
          "2"}], "/", 
         RowBox[{"r", "^", "2"}]}]}], ")"}]}], ",", 
     RowBox[{"r", "^", "2"}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"r", " ", 
        RowBox[{"Sin", "[", "theta", "]"}]}], ")"}], "^", "2"}]}], "}"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.660346255432619*^9, 3.6603462605168896`*^9}, {
   3.660346323459664*^9, 3.6603463347831464`*^9}, {3.6603478767014055`*^9, 
   3.6603478806018496`*^9}, {3.660351133692504*^9, 3.6603511389635377`*^9}, {
   3.6603512191399193`*^9, 3.660351223869266*^9}, {3.660351830815791*^9, 
   3.6603518351408567`*^9}, {3.664528563815336*^9, 3.6645285676552954`*^9}, {
   3.6925724601231804`*^9, 3.6925724784680223`*^9}, {3.6927391901415386`*^9, 
   3.6927391957879915`*^9}, {3.692740425868577*^9, 3.6927404916241417`*^9}, {
   3.692741488610837*^9, 3.692741493782071*^9}, {3.692903417406096*^9, 
   3.692903426432246*^9}, {3.6929150408740754`*^9, 3.6929150435547085`*^9}, {
   3.6929160920891848`*^9, 3.6929161327256055`*^9}, {3.692916246316511*^9, 
   3.69291625651414*^9}, {3.705443410172143*^9, 3.705443494542667*^9}, 
   3.705552543364962*^9, {3.706182265545438*^9, 3.706182288796789*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      FractionBox[
       RowBox[{
        RowBox[{"4", " ", 
         RowBox[{"Hold", "[", 
          RowBox[{
           SubsuperscriptBox["\[Integral]", "0", 
            FractionBox[
             RowBox[{"rs", "[", "tret", "]"}], "2"]], 
           RowBox[{
            RowBox[{
             RowBox[{"a", "[", 
              RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}], 
             " ", 
             RowBox[{"Sin", "[", 
              RowBox[{"k", " ", "tret"}], "]"}]}], 
            RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
        RowBox[{"rs", "[", "tret", "]"}]}], 
       RowBox[{"Hold", "[", 
        RowBox[{"analogR", "[", 
         RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}]], "-", 
      FractionBox[
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"4", " ", 
           RowBox[{"Hold", "[", 
            RowBox[{
             SubsuperscriptBox["\[Integral]", "0", 
              FractionBox[
               RowBox[{"rs", "[", "tret", "]"}], "2"]], 
             RowBox[{
              RowBox[{
               RowBox[{"a", "[", 
                RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}], 
               " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"k", " ", "tret"}], "]"}]}], 
              RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
          RowBox[{"rs", "[", "tret", "]"}]}], ")"}], "2"], 
       RowBox[{"4", " ", 
        SuperscriptBox[
         RowBox[{"Hold", "[", 
          RowBox[{"analogR", "[", 
           RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}], "2"]}]]}], 
     ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     FractionBox["1", 
      RowBox[{"1", "-", 
       FractionBox[
        RowBox[{
         RowBox[{"4", " ", 
          RowBox[{"Hold", "[", 
           RowBox[{
            SubsuperscriptBox["\[Integral]", "0", 
             FractionBox[
              RowBox[{"rs", "[", "tret", "]"}], "2"]], 
            RowBox[{
             RowBox[{
              RowBox[{"a", "[", 
               RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}], 
              " ", 
              RowBox[{"Sin", "[", 
               RowBox[{"k", " ", "tret"}], "]"}]}], 
             RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
         RowBox[{"rs", "[", "tret", "]"}]}], 
        RowBox[{"Hold", "[", 
         RowBox[{"analogR", "[", 
          RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}]], "+", 
       FractionBox[
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"4", " ", 
            RowBox[{"Hold", "[", 
             RowBox[{
              SubsuperscriptBox["\[Integral]", "0", 
               FractionBox[
                RowBox[{"rs", "[", "tret", "]"}], "2"]], 
              RowBox[{
               RowBox[{
                RowBox[{"a", "[", 
                 RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}], 
                " ", 
                RowBox[{"Sin", "[", 
                 RowBox[{"k", " ", "tret"}], "]"}]}], 
               RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
           RowBox[{"rs", "[", "tret", "]"}]}], ")"}], "2"], 
        RowBox[{"4", " ", 
         SuperscriptBox[
          RowBox[{"Hold", "[", 
           RowBox[{"analogR", "[", 
            RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}], 
          "2"]}]]}]], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     SuperscriptBox[
      RowBox[{"Hold", "[", 
       RowBox[{"analogR", "[", 
        RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}], "2"], ",", 
     "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"Hold", "[", 
        RowBox[{"analogR", "[", 
         RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"Sin", "[", "theta", "]"}], "2"]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.706819831105089*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"metricsign", "=", 
  RowBox[{"-", "1"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"-", "1"}]], "Output",
 CellChangeTimes->{3.706819831114108*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "jcbian", "]"}]], "Input",
 CellChangeTimes->{{3.704536866118086*^9, 3.7045368705967164`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"jcbian", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{"t", ",", "tret"}], "]"}], ",", 
       RowBox[{"D", "[", 
        RowBox[{"t", ",", "radv"}], "]"}], ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{"r", ",", "tret"}], "]"}], ",", 
       RowBox[{"D", "[", 
        RowBox[{"r", ",", "radv"}], "]"}], ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "1"}], "}"}]}], "}"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7045368298209867`*^9, 3.7045368512569337`*^9}, {
  3.704536890714956*^9, 3.704536900707712*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "1", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      SubscriptBox["\[PartialD]", "tret"], 
      RowBox[{"Hold", "[", 
       RowBox[{"analogR", "[", 
        RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}]}], ",", 
     RowBox[{
      SubscriptBox["\[PartialD]", "radv"], 
      RowBox[{"Hold", "[", 
       RowBox[{"analogR", "[", 
        RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}]}], ",", "0", 
     ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.706819831151131*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "metric", "]"}]], "Input",
 CellChangeTimes->{{3.704538996185095*^9, 3.704538998961834*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"metric", "=", 
  RowBox[{
   RowBox[{"Transpose", "[", "jcbian", "]"}], ".", "untrnsMetric", ".", 
   "jcbian"}]}]], "Input",
 CellChangeTimes->{{3.704536650289685*^9, 3.704536651399123*^9}, {
  3.7045367006960144`*^9, 3.704536701274145*^9}, {3.7045369955720143`*^9, 
  3.7045370233166013`*^9}, {3.704538965511732*^9, 3.7045389708749495`*^9}, {
  3.7045390097590475`*^9, 3.7045390139346905`*^9}, {3.7045390504810467`*^9, 
  3.704539053152063*^9}, {3.704539116322667*^9, 3.7045391336037054`*^9}, {
  3.7045392989975533`*^9, 3.704539302763184*^9}, {3.704628138208721*^9, 
  3.7046281436504726`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      FractionBox[
       RowBox[{
        RowBox[{"4", " ", 
         RowBox[{"Hold", "[", 
          RowBox[{
           SubsuperscriptBox["\[Integral]", "0", 
            FractionBox[
             RowBox[{"rs", "[", "tret", "]"}], "2"]], 
           RowBox[{
            RowBox[{
             RowBox[{"a", "[", 
              RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}], 
             " ", 
             RowBox[{"Sin", "[", 
              RowBox[{"k", " ", "tret"}], "]"}]}], 
            RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
        RowBox[{"rs", "[", "tret", "]"}]}], 
       RowBox[{"Hold", "[", 
        RowBox[{"analogR", "[", 
         RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}]], "-", 
      FractionBox[
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"4", " ", 
           RowBox[{"Hold", "[", 
            RowBox[{
             SubsuperscriptBox["\[Integral]", "0", 
              FractionBox[
               RowBox[{"rs", "[", "tret", "]"}], "2"]], 
             RowBox[{
              RowBox[{
               RowBox[{"a", "[", 
                RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}], 
               " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"k", " ", "tret"}], "]"}]}], 
              RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
          RowBox[{"rs", "[", "tret", "]"}]}], ")"}], "2"], 
       RowBox[{"4", " ", 
        SuperscriptBox[
         RowBox[{"Hold", "[", 
          RowBox[{"analogR", "[", 
           RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}], "2"]}]], 
      "+", 
      FractionBox[
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          SubscriptBox["\[PartialD]", "tret"], 
          RowBox[{"Hold", "[", 
           RowBox[{"analogR", "[", 
            RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}]}], ")"}], 
        "2"], 
       RowBox[{"1", "-", 
        FractionBox[
         RowBox[{
          RowBox[{"4", " ", 
           RowBox[{"Hold", "[", 
            RowBox[{
             SubsuperscriptBox["\[Integral]", "0", 
              FractionBox[
               RowBox[{"rs", "[", "tret", "]"}], "2"]], 
             RowBox[{
              RowBox[{
               RowBox[{"a", "[", 
                RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}], 
               " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"k", " ", "tret"}], "]"}]}], 
              RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
          RowBox[{"rs", "[", "tret", "]"}]}], 
         RowBox[{"Hold", "[", 
          RowBox[{"analogR", "[", 
           RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}]], "+", 
        FractionBox[
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             RowBox[{"Hold", "[", 
              RowBox[{
               SubsuperscriptBox["\[Integral]", "0", 
                FractionBox[
                 RowBox[{"rs", "[", "tret", "]"}], "2"]], 
               RowBox[{
                RowBox[{
                 RowBox[{"a", "[", 
                  RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}],
                  " ", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"k", " ", "tret"}], "]"}]}], 
                RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
            RowBox[{"rs", "[", "tret", "]"}]}], ")"}], "2"], 
         RowBox[{"4", " ", 
          SuperscriptBox[
           RowBox[{"Hold", "[", 
            RowBox[{"analogR", "[", 
             RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}], 
           "2"]}]]}]]}], ",", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{
        RowBox[{"4", " ", 
         RowBox[{"Hold", "[", 
          RowBox[{
           SubsuperscriptBox["\[Integral]", "0", 
            FractionBox[
             RowBox[{"rs", "[", "tret", "]"}], "2"]], 
           RowBox[{
            RowBox[{
             RowBox[{"a", "[", 
              RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}], 
             " ", 
             RowBox[{"Sin", "[", 
              RowBox[{"k", " ", "tret"}], "]"}]}], 
            RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
        RowBox[{"rs", "[", "tret", "]"}]}], 
       RowBox[{"Hold", "[", 
        RowBox[{"analogR", "[", 
         RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}]], "+", 
      FractionBox[
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"4", " ", 
           RowBox[{"Hold", "[", 
            RowBox[{
             SubsuperscriptBox["\[Integral]", "0", 
              FractionBox[
               RowBox[{"rs", "[", "tret", "]"}], "2"]], 
             RowBox[{
              RowBox[{
               RowBox[{"a", "[", 
                RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}], 
               " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"k", " ", "tret"}], "]"}]}], 
              RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
          RowBox[{"rs", "[", "tret", "]"}]}], ")"}], "2"], 
       RowBox[{"4", " ", 
        SuperscriptBox[
         RowBox[{"Hold", "[", 
          RowBox[{"analogR", "[", 
           RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}], "2"]}]], 
      "+", 
      FractionBox[
       RowBox[{
        RowBox[{
         SubscriptBox["\[PartialD]", "radv"], 
         RowBox[{"Hold", "[", 
          RowBox[{"analogR", "[", 
           RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}]}], " ", 
        RowBox[{
         SubscriptBox["\[PartialD]", "tret"], 
         RowBox[{"Hold", "[", 
          RowBox[{"analogR", "[", 
           RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}]}]}], 
       RowBox[{"1", "-", 
        FractionBox[
         RowBox[{
          RowBox[{"4", " ", 
           RowBox[{"Hold", "[", 
            RowBox[{
             SubsuperscriptBox["\[Integral]", "0", 
              FractionBox[
               RowBox[{"rs", "[", "tret", "]"}], "2"]], 
             RowBox[{
              RowBox[{
               RowBox[{"a", "[", 
                RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}], 
               " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"k", " ", "tret"}], "]"}]}], 
              RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
          RowBox[{"rs", "[", "tret", "]"}]}], 
         RowBox[{"Hold", "[", 
          RowBox[{"analogR", "[", 
           RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}]], "+", 
        FractionBox[
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             RowBox[{"Hold", "[", 
              RowBox[{
               SubsuperscriptBox["\[Integral]", "0", 
                FractionBox[
                 RowBox[{"rs", "[", "tret", "]"}], "2"]], 
               RowBox[{
                RowBox[{
                 RowBox[{"a", "[", 
                  RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}],
                  " ", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"k", " ", "tret"}], "]"}]}], 
                RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
            RowBox[{"rs", "[", "tret", "]"}]}], ")"}], "2"], 
         RowBox[{"4", " ", 
          SuperscriptBox[
           RowBox[{"Hold", "[", 
            RowBox[{"analogR", "[", 
             RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}], 
           "2"]}]]}]]}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{
        RowBox[{"4", " ", 
         RowBox[{"Hold", "[", 
          RowBox[{
           SubsuperscriptBox["\[Integral]", "0", 
            FractionBox[
             RowBox[{"rs", "[", "tret", "]"}], "2"]], 
           RowBox[{
            RowBox[{
             RowBox[{"a", "[", 
              RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}], 
             " ", 
             RowBox[{"Sin", "[", 
              RowBox[{"k", " ", "tret"}], "]"}]}], 
            RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
        RowBox[{"rs", "[", "tret", "]"}]}], 
       RowBox[{"Hold", "[", 
        RowBox[{"analogR", "[", 
         RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}]], "+", 
      FractionBox[
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"4", " ", 
           RowBox[{"Hold", "[", 
            RowBox[{
             SubsuperscriptBox["\[Integral]", "0", 
              FractionBox[
               RowBox[{"rs", "[", "tret", "]"}], "2"]], 
             RowBox[{
              RowBox[{
               RowBox[{"a", "[", 
                RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}], 
               " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"k", " ", "tret"}], "]"}]}], 
              RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
          RowBox[{"rs", "[", "tret", "]"}]}], ")"}], "2"], 
       RowBox[{"4", " ", 
        SuperscriptBox[
         RowBox[{"Hold", "[", 
          RowBox[{"analogR", "[", 
           RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}], "2"]}]], 
      "+", 
      FractionBox[
       RowBox[{
        RowBox[{
         SubscriptBox["\[PartialD]", "radv"], 
         RowBox[{"Hold", "[", 
          RowBox[{"analogR", "[", 
           RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}]}], " ", 
        RowBox[{
         SubscriptBox["\[PartialD]", "tret"], 
         RowBox[{"Hold", "[", 
          RowBox[{"analogR", "[", 
           RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}]}]}], 
       RowBox[{"1", "-", 
        FractionBox[
         RowBox[{
          RowBox[{"4", " ", 
           RowBox[{"Hold", "[", 
            RowBox[{
             SubsuperscriptBox["\[Integral]", "0", 
              FractionBox[
               RowBox[{"rs", "[", "tret", "]"}], "2"]], 
             RowBox[{
              RowBox[{
               RowBox[{"a", "[", 
                RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}], 
               " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"k", " ", "tret"}], "]"}]}], 
              RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
          RowBox[{"rs", "[", "tret", "]"}]}], 
         RowBox[{"Hold", "[", 
          RowBox[{"analogR", "[", 
           RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}]], "+", 
        FractionBox[
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             RowBox[{"Hold", "[", 
              RowBox[{
               SubsuperscriptBox["\[Integral]", "0", 
                FractionBox[
                 RowBox[{"rs", "[", "tret", "]"}], "2"]], 
               RowBox[{
                RowBox[{
                 RowBox[{"a", "[", 
                  RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}],
                  " ", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"k", " ", "tret"}], "]"}]}], 
                RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
            RowBox[{"rs", "[", "tret", "]"}]}], ")"}], "2"], 
         RowBox[{"4", " ", 
          SuperscriptBox[
           RowBox[{"Hold", "[", 
            RowBox[{"analogR", "[", 
             RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}], 
           "2"]}]]}]]}], ",", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      FractionBox[
       RowBox[{
        RowBox[{"4", " ", 
         RowBox[{"Hold", "[", 
          RowBox[{
           SubsuperscriptBox["\[Integral]", "0", 
            FractionBox[
             RowBox[{"rs", "[", "tret", "]"}], "2"]], 
           RowBox[{
            RowBox[{
             RowBox[{"a", "[", 
              RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}], 
             " ", 
             RowBox[{"Sin", "[", 
              RowBox[{"k", " ", "tret"}], "]"}]}], 
            RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
        RowBox[{"rs", "[", "tret", "]"}]}], 
       RowBox[{"Hold", "[", 
        RowBox[{"analogR", "[", 
         RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}]], "-", 
      FractionBox[
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"4", " ", 
           RowBox[{"Hold", "[", 
            RowBox[{
             SubsuperscriptBox["\[Integral]", "0", 
              FractionBox[
               RowBox[{"rs", "[", "tret", "]"}], "2"]], 
             RowBox[{
              RowBox[{
               RowBox[{"a", "[", 
                RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}], 
               " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"k", " ", "tret"}], "]"}]}], 
              RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
          RowBox[{"rs", "[", "tret", "]"}]}], ")"}], "2"], 
       RowBox[{"4", " ", 
        SuperscriptBox[
         RowBox[{"Hold", "[", 
          RowBox[{"analogR", "[", 
           RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}], "2"]}]], 
      "+", 
      FractionBox[
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          SubscriptBox["\[PartialD]", "radv"], 
          RowBox[{"Hold", "[", 
           RowBox[{"analogR", "[", 
            RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}]}], ")"}], 
        "2"], 
       RowBox[{"1", "-", 
        FractionBox[
         RowBox[{
          RowBox[{"4", " ", 
           RowBox[{"Hold", "[", 
            RowBox[{
             SubsuperscriptBox["\[Integral]", "0", 
              FractionBox[
               RowBox[{"rs", "[", "tret", "]"}], "2"]], 
             RowBox[{
              RowBox[{
               RowBox[{"a", "[", 
                RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}], 
               " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"k", " ", "tret"}], "]"}]}], 
              RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
          RowBox[{"rs", "[", "tret", "]"}]}], 
         RowBox[{"Hold", "[", 
          RowBox[{"analogR", "[", 
           RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}]], "+", 
        FractionBox[
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             RowBox[{"Hold", "[", 
              RowBox[{
               SubsuperscriptBox["\[Integral]", "0", 
                FractionBox[
                 RowBox[{"rs", "[", "tret", "]"}], "2"]], 
               RowBox[{
                RowBox[{
                 RowBox[{"a", "[", 
                  RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}],
                  " ", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"k", " ", "tret"}], "]"}]}], 
                RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
            RowBox[{"rs", "[", "tret", "]"}]}], ")"}], "2"], 
         RowBox[{"4", " ", 
          SuperscriptBox[
           RowBox[{"Hold", "[", 
            RowBox[{"analogR", "[", 
             RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}], 
           "2"]}]]}]]}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     SuperscriptBox[
      RowBox[{"Hold", "[", 
       RowBox[{"analogR", "[", 
        RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}], "2"], ",", 
     "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"Hold", "[", 
        RowBox[{"analogR", "[", 
         RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"Sin", "[", "theta", "]"}], "2"]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7068198311841445`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"metric", "[", 
    RowBox[{"[", 
     RowBox[{"2", ",", "1"}], "]"}], "]"}], "-", 
   RowBox[{"metric", "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "2"}], "]"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.70453906444353*^9, 3.7045390762084684`*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.706819831193164*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "coord", "]"}]], "Input",
 CellChangeTimes->{{3.7045355004619265`*^9, 3.7045355026963215`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"coord", " ", "=", " ", 
  RowBox[{"{", 
   RowBox[{"tret", ",", "radv", ",", "theta", ",", "phi"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.6925711961207356`*^9, 3.6925712022023563`*^9}, {
   3.6925725237671013`*^9, 3.6925725265219145`*^9}, 3.6925728910181303`*^9, {
   3.7045390892453403`*^9, 3.704539092100324*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"tret", ",", "radv", ",", "theta", ",", "phi"}], "}"}]], "Output",
 CellChangeTimes->{3.7068198312071743`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"metricsign", "=", 
  RowBox[{"-", "1"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"-", "1"}]], "Output",
 CellChangeTimes->{3.706819831216168*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"SEGMENT", ":", " ", 
   RowBox[{"RUN", " ", 
    RowBox[{"DIFFGEO", ".", "M"}], " ", 
    RowBox[{"HERE", ".", " ", 
     RowBox[{"(", 
      RowBox[{"SEE", " ", "IMPORTANT", " ", 
       RowBox[{"NOTE", "."}]}], ")"}]}]}]}], " ", "*)"}]], "Input",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellChangeTimes->{{3.705501434662224*^9, 3.7055014481297655`*^9}, {
  3.7055186126258783`*^9, 3.705518618302295*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"IMPORTANT", " ", 
    RowBox[{"NOTE", ":", " ", 
     RowBox[{
     "This", " ", "hypersurface", " ", "takes", " ", "over", " ", "15", " ", 
      "minutes"}]}]}], ",", " ", 
   RowBox[{"or", " ", "much", " ", 
    RowBox[{"longer", ".", " ", "If"}], " ", "it", " ", "can", " ", "be", " ",
     "calculated", " ", "without", " ", "simplification", " ", "until", " ", 
    "the", " ", "end"}], ",", " ", 
   RowBox[{"that", " ", "should", " ", "be", " ", 
    RowBox[{"sufficient", ".", " ", "Try"}], " ", "removing", " ", "all", " ",
     "simplification", " ", "from", " ", 
    RowBox[{"diffgeo", ".", "m"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.70550392165765*^9, 3.7055039739778395`*^9}, {
  3.705504122934465*^9, 3.705504134673783*^9}, {3.7055185814581585`*^9, 
  3.705518626338377*^9}}],

Cell[BoxData[
 RowBox[{"hypersurface", "[", 
  RowBox[{"tret", ",", 
   RowBox[{"-", "1"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.705501503976407*^9, 3.7055015115827956`*^9}}],

Cell[CellGroupData[{

Cell[BoxData["induced"], "Input",
 CellChangeTimes->{{3.7045895141564503`*^9, 3.704589515365304*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      FractionBox[
       RowBox[{
        RowBox[{"4", " ", 
         RowBox[{"Hold", "[", 
          RowBox[{
           SubsuperscriptBox["\[Integral]", "0", 
            FractionBox[
             RowBox[{"rs", "[", "tret", "]"}], "2"]], 
           RowBox[{
            RowBox[{
             RowBox[{"a", "[", 
              RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}], 
             " ", 
             RowBox[{"Sin", "[", 
              RowBox[{"k", " ", "tret"}], "]"}]}], 
            RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
        RowBox[{"rs", "[", "tret", "]"}]}], 
       RowBox[{"Hold", "[", 
        RowBox[{"analogR", "[", 
         RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}]], "-", 
      FractionBox[
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"4", " ", 
           RowBox[{"Hold", "[", 
            RowBox[{
             SubsuperscriptBox["\[Integral]", "0", 
              FractionBox[
               RowBox[{"rs", "[", "tret", "]"}], "2"]], 
             RowBox[{
              RowBox[{
               RowBox[{"a", "[", 
                RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}], 
               " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"k", " ", "tret"}], "]"}]}], 
              RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
          RowBox[{"rs", "[", "tret", "]"}]}], ")"}], "2"], 
       RowBox[{"4", " ", 
        SuperscriptBox[
         RowBox[{"Hold", "[", 
          RowBox[{"analogR", "[", 
           RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}], "2"]}]], 
      "+", 
      FractionBox[
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          SubscriptBox["\[PartialD]", "radv"], 
          RowBox[{"Hold", "[", 
           RowBox[{"analogR", "[", 
            RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}]}], ")"}], 
        "2"], 
       RowBox[{"1", "-", 
        FractionBox[
         RowBox[{
          RowBox[{"4", " ", 
           RowBox[{"Hold", "[", 
            RowBox[{
             SubsuperscriptBox["\[Integral]", "0", 
              FractionBox[
               RowBox[{"rs", "[", "tret", "]"}], "2"]], 
             RowBox[{
              RowBox[{
               RowBox[{"a", "[", 
                RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}], 
               " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"k", " ", "tret"}], "]"}]}], 
              RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
          RowBox[{"rs", "[", "tret", "]"}]}], 
         RowBox[{"Hold", "[", 
          RowBox[{"analogR", "[", 
           RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}]], "+", 
        FractionBox[
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             RowBox[{"Hold", "[", 
              RowBox[{
               SubsuperscriptBox["\[Integral]", "0", 
                FractionBox[
                 RowBox[{"rs", "[", "tret", "]"}], "2"]], 
               RowBox[{
                RowBox[{
                 RowBox[{"a", "[", 
                  RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}],
                  " ", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"k", " ", "tret"}], "]"}]}], 
                RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
            RowBox[{"rs", "[", "tret", "]"}]}], ")"}], "2"], 
         RowBox[{"4", " ", 
          SuperscriptBox[
           RowBox[{"Hold", "[", 
            RowBox[{"analogR", "[", 
             RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}], 
           "2"]}]]}]]}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     SuperscriptBox[
      RowBox[{"Hold", "[", 
       RowBox[{"analogR", "[", 
        RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}], "2"], ",", 
     "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"Hold", "[", 
        RowBox[{"analogR", "[", 
         RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"Sin", "[", "theta", "]"}], "2"]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.706819847843747*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"induced4", ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", 
      RowBox[{"induced", "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
      RowBox[{"induced", "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "2"}], "]"}], "]"}], ",", 
      RowBox[{"induced", "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "3"}], "]"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", 
      RowBox[{"induced", "[", 
       RowBox[{"[", 
        RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
      RowBox[{"induced", "[", 
       RowBox[{"[", 
        RowBox[{"2", ",", "2"}], "]"}], "]"}], ",", 
      RowBox[{"induced", "[", 
       RowBox[{"[", 
        RowBox[{"2", ",", "3"}], "]"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", 
      RowBox[{"induced", "[", 
       RowBox[{"[", 
        RowBox[{"3", ",", "1"}], "]"}], "]"}], ",", 
      RowBox[{"induced", "[", 
       RowBox[{"[", 
        RowBox[{"3", ",", "2"}], "]"}], "]"}], ",", 
      RowBox[{"induced", "[", 
       RowBox[{"[", 
        RowBox[{"3", ",", "3"}], "]"}], "]"}]}], "}"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.6655804877921205`*^9, 3.665580493705736*^9}, {
   3.665580545400695*^9, 3.66558054862733*^9}, {3.692379441140069*^9, 
   3.692379484574189*^9}, {3.692379649006301*^9, 3.6923796730028324`*^9}, {
   3.704589576640542*^9, 3.7045896891634665`*^9}, 3.7045901463917885`*^9}],

Cell[BoxData[
 RowBox[{"invInduced", ":=", 
  RowBox[{"raise", "[", 
   RowBox[{"induced4", ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6655806306454115`*^9, 3.665580646289775*^9}, 
   3.692379529459448*^9}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "In", " ", "order", " ", "for", " ", "the", " ", "boundary", " ", 
    "conditions", " ", "to", " ", "be", " ", "satisfied"}], ",", " ", 
   RowBox[{
   "a", " ", "surface", " ", "integral", " ", "of", " ", "this", " ", 
    "extrinsic", " ", "term", " ", "must", " ", 
    RowBox[{"vanish", ".", " ", "We"}], " ", "assume", " ", "that", " ", 
    "bounding", " ", "volumes", " ", "are", " ", "parallel", " ", "and", " ", 
    "perpendicular", " ", "to", " ", "the", " ", "coordinates"}], ",", " ", 
   RowBox[{
   "and", " ", "we", " ", "pair", " ", "opposing", " ", "faces", " ", "of", 
    " ", "bounding", " ", 
    RowBox[{"volumes", ":"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.692132495168952*^9, 3.6921326406697955`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"beh", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"beh", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "=", 
   RowBox[{
    RowBox[{"induced", "[", 
     RowBox[{"[", 
      RowBox[{"1", ",", "1"}], "]"}], "]"}], "*", 
    RowBox[{"induced", "[", 
     RowBox[{"[", 
      RowBox[{"2", ",", "2"}], "]"}], "]"}], "*", 
    RowBox[{"induced", "[", 
     RowBox[{"[", 
      RowBox[{"3", ",", "3"}], "]"}], "]"}], "*", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"extrinsictrace", "*", "invInduced"}], "-", "extrinsic"}], 
     ")"}]}]}]}]], "Input",
 CellChangeTimes->{{3.6603971267987247`*^9, 3.6603971528391542`*^9}, {
  3.660397263234913*^9, 3.660397267532553*^9}, {3.6605219711757355`*^9, 
  3.660521978394868*^9}, {3.660522382933532*^9, 3.6605223880095186`*^9}, {
  3.6655802785875387`*^9, 3.665580302897689*^9}, {3.6655806543942823`*^9, 
  3.665580677067096*^9}, {3.665610203393684*^9, 3.665610228652419*^9}, {
  3.6923799958554554`*^9, 3.692380000270088*^9}, {3.692572862825182*^9, 
  3.692572869357932*^9}, {3.7045812298568335`*^9, 3.704581233319463*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"behr", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"behr", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "=", 
   RowBox[{
    RowBox[{"beh", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{
  3.6628519859290266`*^9, {3.6655992558355274`*^9, 3.6655992611412916`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"behr", "[", 
  RowBox[{"tret", ",", "radv", ",", "theta", ",", "phi"}], "]"}]], "Input",
 CellChangeTimes->{{3.7045811542919507`*^9, 3.7045811562329884`*^9}}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{
          SuperscriptBox[
           RowBox[{"Hold", "[", 
            RowBox[{"analogR", "[", 
             RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}], "4"], 
          " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            FractionBox[
             RowBox[{
              RowBox[{"4", " ", 
               TemplateBox[{"1"},
                "OutputSizeLimit`Skeleton",
                DisplayFunction->(FrameBox[
                  
                  RowBox[{
                   "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                  Background -> GrayLevel[0.75], 
                  BaseStyle -> {
                   "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                  Baseline, ContentPadding -> False, 
                  FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                  RoundingRadius -> 7]& )]}], "+", 
              TemplateBox[{"1"},
               "OutputSizeLimit`Skeleton",
               DisplayFunction->(FrameBox[
                 
                 RowBox[{
                  "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                 Background -> GrayLevel[0.75], 
                 BaseStyle -> {
                  "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                   ShowStringCharacters -> False}, BaselinePosition -> 
                 Baseline, ContentPadding -> False, 
                 FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                 RoundingRadius -> 7]& )]}], 
             RowBox[{"Hold", "[", 
              RowBox[{"analogR", "[", 
               TemplateBox[{"1"},
                "OutputSizeLimit`Skeleton",
                DisplayFunction->(FrameBox[
                  
                  RowBox[{
                   "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                  Background -> GrayLevel[0.75], 
                  BaseStyle -> {
                   "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                  Baseline, ContentPadding -> False, 
                  FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                  RoundingRadius -> 7]& )], "]"}], "]"}]], "-", 
            TemplateBox[{"1"},
             "OutputSizeLimit`Skeleton",
             DisplayFunction->(FrameBox[
               
               RowBox[{
                "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
               Background -> GrayLevel[0.75], 
               BaseStyle -> {
                "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                 ShowStringCharacters -> False}, BaselinePosition -> Baseline,
                ContentPadding -> False, FrameMargins -> {{1, 1}, {1, 2}}, 
               FrameStyle -> None, RoundingRadius -> 7]& )], "+", 
            FractionBox[
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                SubscriptBox["\[PartialD]", "radv"], 
                RowBox[{"Hold", "[", 
                 RowBox[{"analogR", "[", 
                  RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}]}], 
               ")"}], "2"], 
             RowBox[{"1", "-", 
              FractionBox[
               RowBox[{
                RowBox[{"4", " ", 
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], "+", 
                TemplateBox[{"1"},
                 "OutputSizeLimit`Skeleton",
                 DisplayFunction->(FrameBox[
                   
                   RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                   Background -> GrayLevel[0.75], 
                   BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                   Baseline, ContentPadding -> False, 
                   FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                   RoundingRadius -> 7]& )]}], 
               RowBox[{"Hold", "[", 
                RowBox[{"analogR", "[", 
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "]"}], "]"}]], "+", 
              FractionBox[
               SuperscriptBox[
                RowBox[{"(", 
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], "2"], 
               RowBox[{"4", " ", 
                SuperscriptBox[
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"]}]]}]]}], ")"}], " ", 
          SuperscriptBox[
           TemplateBox[{"1"},
            "OutputSizeLimit`Skeleton",
            DisplayFunction->(FrameBox[
              RowBox[{"\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}],
               Background -> GrayLevel[0.75], 
              BaseStyle -> {
               "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                ShowStringCharacters -> False}, BaselinePosition -> Baseline, 
              ContentPadding -> False, FrameMargins -> {{1, 1}, {1, 2}}, 
              FrameStyle -> None, RoundingRadius -> 7]& )], "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"(", 
              TemplateBox[{"1"},
               "OutputSizeLimit`Skeleton",
               DisplayFunction->(FrameBox[
                 
                 RowBox[{
                  "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                 Background -> GrayLevel[0.75], 
                 BaseStyle -> {
                  "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                   ShowStringCharacters -> False}, BaselinePosition -> 
                 Baseline, ContentPadding -> False, 
                 FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                 RoundingRadius -> 7]& )], ")"}]}], "+", 
            FractionBox[
             RowBox[{
              SuperscriptBox[
               RowBox[{"Csc", "[", "theta", "]"}], "4"], " ", 
              RowBox[{"(", 
               TemplateBox[{"1"},
                "OutputSizeLimit`Skeleton",
                DisplayFunction->(FrameBox[
                  
                  RowBox[{
                   "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                  Background -> GrayLevel[0.75], 
                  BaseStyle -> {
                   "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                  Baseline, ContentPadding -> False, 
                  FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                  RoundingRadius -> 7]& )], ")"}], " ", 
              TemplateBox[{"1"},
               "OutputSizeLimit`Skeleton",
               DisplayFunction->(FrameBox[
                 
                 RowBox[{
                  "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                 Background -> GrayLevel[0.75], 
                 BaseStyle -> {
                  "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                   ShowStringCharacters -> False}, BaselinePosition -> 
                 Baseline, ContentPadding -> False, 
                 FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                 RoundingRadius -> 7]& )], " ", 
              RowBox[{"(", 
               RowBox[{
                FractionBox[
                 RowBox[{
                  SuperscriptBox[
                   RowBox[{"Csc", "[", "theta", "]"}], "2"], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{
                    SubscriptBox["\[PartialD]", "tret"], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"analogR", "[", 
                    RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}]}], 
                    " ", 
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"Hold", "[", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "]"}], "3"], " ", 
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], " ", 
                    SqrtBox[
                    RowBox[{"-", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}]]}]], "+", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], ")"}]}], 
                 RowBox[{"2", " ", 
                  SuperscriptBox[
                   RowBox[{"Hold", "[", 
                    RowBox[{"analogR", "[", 
                    RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}], 
                   "2"]}]], "+", 
                TemplateBox[{"3"},
                 "OutputSizeLimit`Skeleton",
                 DisplayFunction->(FrameBox[
                   
                   RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                   Background -> GrayLevel[0.75], 
                   BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                   Baseline, ContentPadding -> False, 
                   FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                   RoundingRadius -> 7]& )], "+", 
                FractionBox[
                 RowBox[{
                  SuperscriptBox[
                   RowBox[{"Csc", "[", "theta", "]"}], "2"], " ", 
                  RowBox[{"(", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], "+", 
                    TemplateBox[{"2"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}]}], 
                 RowBox[{"2", " ", 
                  SuperscriptBox[
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "4"], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], "2"]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]}], ")"}]}]]}], ")"}]}], 
             RowBox[{
              SuperscriptBox[
               RowBox[{"Hold", "[", 
                RowBox[{"analogR", "[", 
                 RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}], "8"],
               " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", 
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{"1", "-", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    RowBox[{"1", "-", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]]}], ")"}], "2"]}], "+", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "-", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                    FractionBox[
                    SuperscriptBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"], 
                    RowBox[{"1", "-", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]]}], ")"}], " ", 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]}], ")"}], "2"]}]]}], ")"}]}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {2., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarCategory",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{50., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 207, 32787255849023505492, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{58., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{62., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 207, 32787255849023505492, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{43., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 207, 32787255849023505492, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{72., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Background->RGBColor[0.9657, 0.9753, 0.9802],
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[207]]], "Output",
 CellChangeTimes->{3.706819848352089*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"behrInt", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_", ",", "deltaR_"}], 
   "]"}], ":=", 
  RowBox[{
   RowBox[{"behrInt", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi", ",", "deltaR"}], "]"}], 
   "=", 
   RowBox[{
    RowBox[{"behr", "[", 
     RowBox[{"t", ",", 
      RowBox[{"r", "+", "deltaR"}], ",", "theta", ",", "phi"}], "]"}], "-", 
    RowBox[{"behr", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{
  3.6628519972360644`*^9, {3.6636693207273684`*^9, 3.6636693315311337`*^9}, {
   3.666177898908599*^9, 3.666177905909754*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"behrInt", "[", 
  RowBox[{"tret", ",", "radv", ",", "theta", ",", "phi", ",", "deltaR"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.7045811600781393`*^9, 3.7045811619550724`*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.7068198484061284`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"behtheta", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"behtheta", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "=", 
   RowBox[{
    RowBox[{"beh", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"2", ",", "2"}], "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{
  3.662852018175275*^9, 3.6628957832517853`*^9, {3.665599271940704*^9, 
   3.6655992769696407`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"behtheta", "[", 
  RowBox[{"tret", ",", "radv", ",", "theta", ",", "phi"}], "]"}]], "Input",
 CellChangeTimes->{{3.704581165870282*^9, 3.704581167887597*^9}}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{
          SuperscriptBox[
           RowBox[{"Hold", "[", 
            RowBox[{"analogR", "[", 
             RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}], "4"], 
          " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            FractionBox[
             RowBox[{
              RowBox[{"4", " ", 
               TemplateBox[{"1"},
                "OutputSizeLimit`Skeleton",
                DisplayFunction->(FrameBox[
                  
                  RowBox[{
                   "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                  Background -> GrayLevel[0.75], 
                  BaseStyle -> {
                   "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                  Baseline, ContentPadding -> False, 
                  FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                  RoundingRadius -> 7]& )]}], "+", 
              TemplateBox[{"1"},
               "OutputSizeLimit`Skeleton",
               DisplayFunction->(FrameBox[
                 
                 RowBox[{
                  "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                 Background -> GrayLevel[0.75], 
                 BaseStyle -> {
                  "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                   ShowStringCharacters -> False}, BaselinePosition -> 
                 Baseline, ContentPadding -> False, 
                 FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                 RoundingRadius -> 7]& )]}], 
             RowBox[{"Hold", "[", 
              RowBox[{"analogR", "[", 
               TemplateBox[{"1"},
                "OutputSizeLimit`Skeleton",
                DisplayFunction->(FrameBox[
                  
                  RowBox[{
                   "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                  Background -> GrayLevel[0.75], 
                  BaseStyle -> {
                   "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                  Baseline, ContentPadding -> False, 
                  FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                  RoundingRadius -> 7]& )], "]"}], "]"}]], "-", 
            TemplateBox[{"1"},
             "OutputSizeLimit`Skeleton",
             DisplayFunction->(FrameBox[
               
               RowBox[{
                "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
               Background -> GrayLevel[0.75], 
               BaseStyle -> {
                "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                 ShowStringCharacters -> False}, BaselinePosition -> Baseline,
                ContentPadding -> False, FrameMargins -> {{1, 1}, {1, 2}}, 
               FrameStyle -> None, RoundingRadius -> 7]& )], "+", 
            FractionBox[
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                SubscriptBox["\[PartialD]", "radv"], 
                RowBox[{"Hold", "[", 
                 RowBox[{"analogR", "[", 
                  RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}]}], 
               ")"}], "2"], 
             RowBox[{"1", "-", 
              FractionBox[
               RowBox[{
                RowBox[{"4", " ", 
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], "+", 
                TemplateBox[{"1"},
                 "OutputSizeLimit`Skeleton",
                 DisplayFunction->(FrameBox[
                   
                   RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                   Background -> GrayLevel[0.75], 
                   BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                   Baseline, ContentPadding -> False, 
                   FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                   RoundingRadius -> 7]& )]}], 
               RowBox[{"Hold", "[", 
                RowBox[{"analogR", "[", 
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "]"}], "]"}]], "+", 
              FractionBox[
               SuperscriptBox[
                RowBox[{"(", 
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], "2"], 
               RowBox[{"4", " ", 
                SuperscriptBox[
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"]}]]}]]}], ")"}], " ", 
          SuperscriptBox[
           TemplateBox[{"1"},
            "OutputSizeLimit`Skeleton",
            DisplayFunction->(FrameBox[
              RowBox[{"\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}],
               Background -> GrayLevel[0.75], 
              BaseStyle -> {
               "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                ShowStringCharacters -> False}, BaselinePosition -> Baseline, 
              ContentPadding -> False, FrameMargins -> {{1, 1}, {1, 2}}, 
              FrameStyle -> None, RoundingRadius -> 7]& )], "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"(", 
              TemplateBox[{"1"},
               "OutputSizeLimit`Skeleton",
               DisplayFunction->(FrameBox[
                 
                 RowBox[{
                  "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                 Background -> GrayLevel[0.75], 
                 BaseStyle -> {
                  "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                   ShowStringCharacters -> False}, BaselinePosition -> 
                 Baseline, ContentPadding -> False, 
                 FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                 RoundingRadius -> 7]& )], ")"}]}], "+", 
            FractionBox[
             RowBox[{
              SuperscriptBox[
               RowBox[{"Csc", "[", "theta", "]"}], "4"], " ", 
              RowBox[{"(", 
               TemplateBox[{"1"},
                "OutputSizeLimit`Skeleton",
                DisplayFunction->(FrameBox[
                  
                  RowBox[{
                   "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                  Background -> GrayLevel[0.75], 
                  BaseStyle -> {
                   "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                  Baseline, ContentPadding -> False, 
                  FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                  RoundingRadius -> 7]& )], ")"}], " ", 
              TemplateBox[{"1"},
               "OutputSizeLimit`Skeleton",
               DisplayFunction->(FrameBox[
                 
                 RowBox[{
                  "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                 Background -> GrayLevel[0.75], 
                 BaseStyle -> {
                  "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                   ShowStringCharacters -> False}, BaselinePosition -> 
                 Baseline, ContentPadding -> False, 
                 FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                 RoundingRadius -> 7]& )], " ", 
              RowBox[{"(", 
               RowBox[{
                FractionBox[
                 RowBox[{
                  SuperscriptBox[
                   RowBox[{"Csc", "[", "theta", "]"}], "2"], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{
                    SubscriptBox["\[PartialD]", "tret"], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"analogR", "[", 
                    RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}]}], 
                    " ", 
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"Hold", "[", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "]"}], "3"], " ", 
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], " ", 
                    SqrtBox[
                    RowBox[{"-", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}]]}]], "+", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], ")"}]}], 
                 RowBox[{"2", " ", 
                  SuperscriptBox[
                   RowBox[{"Hold", "[", 
                    RowBox[{"analogR", "[", 
                    RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}], 
                   "2"]}]], "+", 
                TemplateBox[{"3"},
                 "OutputSizeLimit`Skeleton",
                 DisplayFunction->(FrameBox[
                   
                   RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                   Background -> GrayLevel[0.75], 
                   BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                   Baseline, ContentPadding -> False, 
                   FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                   RoundingRadius -> 7]& )], "+", 
                FractionBox[
                 RowBox[{
                  SuperscriptBox[
                   RowBox[{"Csc", "[", "theta", "]"}], "2"], " ", 
                  RowBox[{"(", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], "+", 
                    TemplateBox[{"2"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}]}], 
                 RowBox[{"2", " ", 
                  SuperscriptBox[
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "4"], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], "2"]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]}], ")"}]}]]}], ")"}]}], 
             RowBox[{
              SuperscriptBox[
               RowBox[{"Hold", "[", 
                RowBox[{"analogR", "[", 
                 RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}], "8"],
               " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", 
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{"1", "-", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    RowBox[{"1", "-", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]]}], ")"}], "2"]}], "+", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "-", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                    FractionBox[
                    SuperscriptBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"], 
                    RowBox[{"1", "-", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]]}], ")"}], " ", 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]}], ")"}], "2"]}]]}], ")"}]}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {2., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarCategory",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{50., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 211, 32787255849023505492, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{58., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 211, 32787255849023505492, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{43., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 211, 32787255849023505492, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{72., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Background->RGBColor[0.9657, 0.9753, 0.9802],
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[211]]], "Output",
 CellChangeTimes->{3.706819848817418*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"behthetaInt", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_", ",", "deltaTheta_"}], 
   "]"}], ":=", 
  RowBox[{
   RowBox[{"behthetaInt", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi", ",", "deltaTheta"}], 
    "]"}], "=", 
   RowBox[{
    RowBox[{"behtheta", "[", 
     RowBox[{"t", ",", "r", ",", 
      RowBox[{"theta", "+", "deltaTheta"}], ",", "phi"}], "]"}], "-", 
    RowBox[{"behtheta", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{
  3.6628520318824463`*^9, {3.666177910561014*^9, 3.6661779178956223`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"behthetaInt", "[", 
  RowBox[{"tret", ",", "radv", ",", "theta", ",", "phi", ",", "deltaTheta"}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.6628520420339923`*^9, {3.666177961515559*^9, 3.666177963080166*^9}, {
   3.704581173235983*^9, 3.7045811762465343`*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.7068198488954735`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"behphi", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"behphi", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "=", 
   RowBox[{
    RowBox[{"beh", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"3", ",", "3"}], "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{
  3.662852051097291*^9, {3.6655992823310194`*^9, 3.6655992860243697`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"behphi", "[", 
  RowBox[{"tret", ",", "radv", ",", "theta", ",", "phi"}], "]"}]], "Input",
 CellChangeTimes->{{3.7045811816524315`*^9, 3.7045811833243504`*^9}}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{
          SuperscriptBox[
           RowBox[{"Hold", "[", 
            RowBox[{"analogR", "[", 
             RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}], "4"], 
          " ", 
          RowBox[{"(", 
           TemplateBox[{"1"},
            "OutputSizeLimit`Skeleton",
            DisplayFunction->(FrameBox[
              RowBox[{"\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}],
               Background -> GrayLevel[0.75], 
              BaseStyle -> {
               "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                ShowStringCharacters -> False}, BaselinePosition -> Baseline, 
              ContentPadding -> False, FrameMargins -> {{1, 1}, {1, 2}}, 
              FrameStyle -> None, RoundingRadius -> 7]& )], ")"}], " ", 
          TemplateBox[{"1"},
           "OutputSizeLimit`Skeleton",
           DisplayFunction->(FrameBox[
             RowBox[{"\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
             Background -> GrayLevel[0.75], 
             BaseStyle -> {
              "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
               ShowStringCharacters -> False}, BaselinePosition -> Baseline, 
             ContentPadding -> False, FrameMargins -> {{1, 1}, {1, 2}}, 
             FrameStyle -> None, RoundingRadius -> 7]& )], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                FractionBox[
                 RowBox[{"2", " ", 
                  SuperscriptBox[
                   RowBox[{"Csc", "[", "theta", "]"}], "2"], " ", 
                  RowBox[{
                   SubscriptBox["\[PartialD]", "tret"], 
                   RowBox[{"Hold", "[", 
                    RowBox[{"analogR", "[", 
                    RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}]}], 
                  " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    SuperscriptBox[
                    RowBox[{"Hold", "[", 
                    RowBox[{"analogR", "[", 
                    RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}], 
                    "4"]}], " ", 
                    SuperscriptBox[
                    RowBox[{"Sin", "[", "theta", "]"}], "2"]}], "+", 
                    TemplateBox[{"8"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SubscriptBox["\[PartialD]", "radv"], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"analogR", "[", 
                    RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}]}], 
                    ")"}], "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"Hold", "[", 
                    RowBox[{"analogR", "[", 
                    RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}], 
                    "4"], " ", 
                    SuperscriptBox[
                    RowBox[{"Sin", "[", "theta", "]"}], "2"]}], 
                    RowBox[{"1", "-", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"4", " ", 
                    RowBox[{"Hold", "[", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "]"}]}], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"analogR", "[", 
                    RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}]], 
                    "+", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"4", " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}], "2"], 
                    RowBox[{"4", " ", 
                    SuperscriptBox[
                    RowBox[{"Hold", "[", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "]"}], "2"]}]]}]]}], ")"}]}], 
                 RowBox[{
                  SuperscriptBox[
                   RowBox[{"Hold", "[", 
                    RowBox[{"analogR", "[", 
                    RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}], 
                   "3"], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], "2"]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]}], ")"}], " ", 
                  SqrtBox[
                   RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"Csc", "[", "theta", "]"}], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    SuperscriptBox[
                    RowBox[{"Hold", "[", 
                    RowBox[{"analogR", "[", 
                    RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}], 
                    "4"]}], " ", 
                    SuperscriptBox[
                    RowBox[{"Sin", "[", "theta", "]"}], "2"]}], "+", 
                    TemplateBox[{"8"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], " ", 
                    SuperscriptBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"]}], 
                    RowBox[{"1", "-", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}]]}], ")"}]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"Hold", "[", 
                    RowBox[{"analogR", "[", 
                    RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}], 
                    "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], "2"]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], "-", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                    FractionBox[
                    SuperscriptBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], ")"}]}]}], ")"}]}]]}]]}]]}], 
               "-", 
               FractionBox[
                RowBox[{"2", " ", 
                 SuperscriptBox[
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"], " ", 
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], " ", 
                 RowBox[{"(", 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}], 
                RowBox[{
                 SuperscriptBox[
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "3"], " ", 
                 RowBox[{"(", 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], " ", 
                 SqrtBox[
                  RowBox[{"-", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]]}]]}], ")"}]}], "+", 
            FractionBox[
             TemplateBox[{"1"},
              "OutputSizeLimit`Skeleton",
              DisplayFunction->(FrameBox[
                
                RowBox[{
                 "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                Background -> GrayLevel[0.75], 
                BaseStyle -> {
                 "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                  ShowStringCharacters -> False}, BaselinePosition -> 
                Baseline, ContentPadding -> False, 
                FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                RoundingRadius -> 7]& )], 
             SuperscriptBox[
              TemplateBox[{"1"},
               "OutputSizeLimit`Skeleton",
               DisplayFunction->(FrameBox[
                 
                 RowBox[{
                  "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                 Background -> GrayLevel[0.75], 
                 BaseStyle -> {
                  "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                   ShowStringCharacters -> False}, BaselinePosition -> 
                 Baseline, ContentPadding -> False, 
                 FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                 RoundingRadius -> 7]& )], "2"]]}], ")"}]}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {2., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarCategory",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{50., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 215, 32787255849023505492, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{58., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 215, 32787255849023505492, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{43., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{43., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 215, 32787255849023505492, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{72., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Background->RGBColor[0.9657, 0.9753, 0.9802],
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[215]]], "Output",
 CellChangeTimes->{3.7068198492597313`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"behphiInt", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_", ",", "deltaPhi_"}], 
   "]"}], ":=", 
  RowBox[{
   RowBox[{"behphiInt", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi", ",", "deltaPhi"}], "]"}],
    "=", 
   RowBox[{
    RowBox[{"behphi", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", 
      RowBox[{"phi", "+", "deltaPhi"}]}], "]"}], "-", 
    RowBox[{"behphi", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{
  3.6628520584446745`*^9, {3.666177923109236*^9, 3.666177930034356*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"behphiInt", "[", 
  RowBox[{"tret", ",", "radv", ",", "theta", ",", "phi", ",", "deltaPhi"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6628519042518234`*^9, 3.6628520623736315`*^9}, {
  3.6661779658521905`*^9, 3.666177967482606*^9}, {3.704581187606821*^9, 
  3.7045811897683268`*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.7068198493217754`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"We", "'"}], "ve", " ", "shown", " ", "above", " ", "that", " ", 
    "the", " ", "boundary", " ", "conditions", " ", "are", " ", "valid", " ", 
    "for", " ", "amplitudes", " ", "a", " ", "depending", " ", "generally", 
    " ", "on", " ", "theta", " ", "and", " ", "phi"}], ",", " ", 
   RowBox[{"but", " ", "we", " ", 
    RowBox[{"won", "'"}], "t", " ", "need", " ", "these", " ", "dependencies",
     " ", 
    RowBox[{"below", ".", " ", "Our"}], " ", "waves", " ", "carry", " ", 
    "only", " ", "mass"}], ",", " ", 
   RowBox[{"translational", " ", "momentum"}], ",", " ", 
   RowBox[{"and", " ", 
    RowBox[{"charge", ".", " ", "Since"}], " ", "they", " ", "carry", " ", 
    "no", " ", "angular", " ", "momentum"}], ",", " ", 
   RowBox[{
   "they", " ", "have", " ", "infinite", " ", "wavelength", " ", "in", " ", 
    "theta", " ", "and", " ", "phi", " ", "and", " ", "are", " ", 
    "independent", " ", "of", " ", "theta", " ", "and", " ", 
    RowBox[{"phi", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.704726159003046*^9, 3.7047261858945484`*^9}, {
  3.7060352530538573`*^9, 3.7060353047686415`*^9}, {3.7060353454840565`*^9, 
  3.706035414844925*^9}, {3.706175685232952*^9, 3.706175686291733*^9}, {
  3.7061821570273685`*^9, 3.7061821696339345`*^9}, {3.706823819882948*^9, 
  3.7068238844145603`*^9}, {3.7109494309890337`*^9, 3.710949432278694*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"SEGMENT", ":", " ", 
   RowBox[{"CLEAR", " ", "GLOBAL", " ", "NAMESPACE", " ", 
    RowBox[{"HERE", "."}]}]}], " ", "*)"}]], "Input",
 CellFrame->{{0, 0}, {0, 3}},
 CellChangeTimes->{{3.7050545384953156`*^9, 3.7050545730790195`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"Let", "'"}], "s", " ", "look", " ", "at", " ", "the", " ", 
   RowBox[{"(", "presumable", ")"}], " ", 
   RowBox[{"eigenstates", ":"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7061786165238314`*^9, 3.7061786348850875`*^9}, 
   3.7068239037812605`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"coord", " ", "=", " ", 
  RowBox[{"{", 
   RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.6925711961207356`*^9, 3.6925712022023563`*^9}, {
   3.6925725237671013`*^9, 3.6925725265219145`*^9}, 3.6925728910181303`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "}"}]], "Output",
 CellChangeTimes->{3.706809747570703*^9, 3.7068205234394517`*^9, 
  3.706821446233931*^9, 3.7107092926510863`*^9, 3.710712539922356*^9, 
  3.7107141449212494`*^9, 3.7107142930398088`*^9, 3.7107601736828165`*^9, 
  3.710964447339921*^9, 3.710969378398528*^9, 3.7110279543649*^9, 
  3.711029137057558*^9, 3.711037690729822*^9, 3.7110564391402273`*^9, 
  3.71113957651173*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{"a", ",", "rq", ",", "qq", ",", "metric"}], "]"}]], "Input",
 CellChangeTimes->{{3.7068072662316265`*^9, 3.7068072809280105`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"a", "[", 
   RowBox[{"k_", ",", "tret_"}], "]"}], ":=", 
  RowBox[{"a0", "*", 
   RowBox[{"DiracDelta", "[", 
    RowBox[{"k", "-", "ka0"}], "]"}], "*", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"HeavisideTheta", "[", 
      RowBox[{"tret", "-", "tMinQ"}], "]"}], "-", 
     RowBox[{"HeavisideTheta", "[", 
      RowBox[{"tMaxQ", "-", "tret"}], "]"}]}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.7066462695936584`*^9, 3.706646274392847*^9}, {
  3.706799793445319*^9, 3.7067998221145773`*^9}, {3.706807224058787*^9, 
  3.7068072374422536`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"rq", "[", "tret_", "]"}], ":=", 
  RowBox[{
   RowBox[{"rq", "[", "tret", "]"}], "=", 
   RowBox[{
    RowBox[{"4", "*", "a0", "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"HeavisideTheta", "[", 
        RowBox[{"tret", "-", "tMinQ"}], "]"}], "-", 
       RowBox[{"HeavisideTheta", "[", 
        RowBox[{"tMaxQ", "-", "tret"}], "]"}]}], ")"}], "*", 
     RowBox[{"Sin", "[", 
      RowBox[{"ka0", "*", "tret"}], "]"}]}], "+", 
    RowBox[{"rs", "[", "tret", "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.691423589973074*^9, 3.691423597359303*^9}, {
   3.691437153006651*^9, 3.6914371617177315`*^9}, {3.692056661741992*^9, 
   3.6920566632598085`*^9}, {3.6920571168097553`*^9, 3.692057145821632*^9}, {
   3.6920583486489816`*^9, 3.6920583539340744`*^9}, {3.692059533268777*^9, 
   3.6920595370989666`*^9}, {3.692060159992566*^9, 3.6920601618810773`*^9}, 
   3.6920947494999104`*^9, {3.6920947999401655`*^9, 3.692094800938023*^9}, {
   3.692183284340801*^9, 3.692183286928895*^9}, {3.692386994447234*^9, 
   3.6923870196074495`*^9}, {3.692398888775352*^9, 3.692398931162461*^9}, {
   3.6924034564471273`*^9, 3.692403470738139*^9}, {3.6924035924887857`*^9, 
   3.6924035937457485`*^9}, {3.6924854777319508`*^9, 
   3.6924854990795755`*^9}, {3.692485637727203*^9, 3.692485686519354*^9}, {
   3.69248699744658*^9, 3.6924870325457106`*^9}, {3.6925253818517075`*^9, 
   3.692525382074877*^9}, 3.69252718315004*^9, 3.6925724440420504`*^9, {
   3.692572948205849*^9, 3.692572953899729*^9}, {3.69274039958756*^9, 
   3.692740407691431*^9}, {3.692740469222476*^9, 3.692740470145619*^9}, {
   3.6927415193151507`*^9, 3.6927415249957294`*^9}, {3.6927415662315483`*^9, 
   3.6927415849783444`*^9}, {3.6927419895405846`*^9, 
   3.6927419904297113`*^9}, {3.692742265667888*^9, 3.692742273192911*^9}, 
   3.692742314332967*^9, {3.692742889736244*^9, 3.6927428901775484`*^9}, {
   3.6928107186218147`*^9, 3.6928107272904263`*^9}, {3.692816331177775*^9, 
   3.6928163564894514`*^9}, {3.6928167429379797`*^9, 
   3.6928167484853845`*^9}, {3.6928201135773106`*^9, 
   3.6928201303021426`*^9}, {3.692820349154505*^9, 3.6928203552983503`*^9}, {
   3.6928213391903706`*^9, 3.6928213607471533`*^9}, {3.692822125190106*^9, 
   3.6928221278344765`*^9}, {3.692822685197671*^9, 3.6928226944707317`*^9}, {
   3.6928309443691425`*^9, 3.692830950512992*^9}, {3.692831582190878*^9, 
   3.6928315872019477`*^9}, {3.692883354944734*^9, 3.6928833568968735`*^9}, {
   3.692883460711725*^9, 3.692883471070711*^9}, {3.6928835274239864`*^9, 
   3.69288356798096*^9}, {3.6928837695056458`*^9, 3.692883797887574*^9}, {
   3.692883926636617*^9, 3.692883937519163*^9}, {3.69288439322031*^9, 
   3.692884397284088*^9}, {3.6928844402014112`*^9, 3.69288444405406*^9}, {
   3.6928847596481934`*^9, 3.692884771671035*^9}, {3.692903164659439*^9, 
   3.6929032151566668`*^9}, 3.6929033951664267`*^9, {3.6929034983342905`*^9, 
   3.69290349845018*^9}, {3.692914968395607*^9, 3.692915032940333*^9}, {
   3.6929159231841836`*^9, 3.692915926230966*^9}, {3.693004592041937*^9, 
   3.6930045920689564`*^9}, {3.6930051949809685`*^9, 
   3.6930051949989805`*^9}, {3.6930846284895177`*^9, 
   3.6930846354996767`*^9}, {3.705443304663704*^9, 3.7054433551054273`*^9}, 
   3.7054434021051855`*^9, {3.7055549068162136`*^9, 3.7055549323501782`*^9}, {
   3.705555007331435*^9, 3.7055550101284175`*^9}, {3.705668972880218*^9, 
   3.7056689854550714`*^9}, {3.7056694602905183`*^9, 
   3.7056694612026725`*^9}, {3.7056739144771366`*^9, 
   3.7056739839934464`*^9}, {3.7061818351193886`*^9, 3.706181842114395*^9}, 
   3.706182381237525*^9, {3.706605189000021*^9, 3.7066051925935636`*^9}, {
   3.706819289084399*^9, 3.7068193236802425`*^9}, {3.70681935732705*^9, 
   3.7068193575041857`*^9}, {3.7068194546799135`*^9, 3.706819455089203*^9}, {
   3.7068196885158176`*^9, 3.706819691648448*^9}, {3.706819879628211*^9, 
   3.7068199408064885`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"qq", "[", "tret_", "]"}], ":=", 
  RowBox[{
   RowBox[{"rq", "[", "tret", "]"}], "/", "2"}]}]], "Input",
 CellChangeTimes->{{3.691423589973074*^9, 3.691423597359303*^9}, {
   3.691437153006651*^9, 3.6914371617177315`*^9}, {3.692056661741992*^9, 
   3.6920566632598085`*^9}, {3.6920571168097553`*^9, 3.692057145821632*^9}, {
   3.6920583486489816`*^9, 3.6920583539340744`*^9}, {3.692059533268777*^9, 
   3.6920595370989666`*^9}, {3.692060159992566*^9, 3.6920601618810773`*^9}, 
   3.6920947494999104`*^9, {3.6920947999401655`*^9, 3.692094800938023*^9}, {
   3.692183284340801*^9, 3.692183286928895*^9}, {3.692386994447234*^9, 
   3.6923870196074495`*^9}, {3.692398888775352*^9, 3.692398931162461*^9}, {
   3.6924034564471273`*^9, 3.692403470738139*^9}, {3.6924035924887857`*^9, 
   3.6924035937457485`*^9}, {3.6924854777319508`*^9, 
   3.6924854990795755`*^9}, {3.692485637727203*^9, 3.692485686519354*^9}, {
   3.69248699744658*^9, 3.6924870325457106`*^9}, {3.6925253818517075`*^9, 
   3.692525382074877*^9}, 3.69252718315004*^9, 3.6925724440420504`*^9, {
   3.692572948205849*^9, 3.692572953899729*^9}, {3.69274039958756*^9, 
   3.692740407691431*^9}, {3.692740469222476*^9, 3.692740470145619*^9}, {
   3.6927415193151507`*^9, 3.6927415249957294`*^9}, {3.6927415662315483`*^9, 
   3.6927415849783444`*^9}, {3.6927419895405846`*^9, 
   3.6927419904297113`*^9}, {3.692742265667888*^9, 3.692742273192911*^9}, 
   3.692742314332967*^9, {3.692742889736244*^9, 3.6927428901775484`*^9}, {
   3.6928107186218147`*^9, 3.6928107272904263`*^9}, {3.692816331177775*^9, 
   3.6928163564894514`*^9}, {3.6928167429379797`*^9, 
   3.6928167484853845`*^9}, {3.6928201135773106`*^9, 
   3.6928201303021426`*^9}, {3.692820349154505*^9, 3.6928203552983503`*^9}, {
   3.6928213391903706`*^9, 3.6928213607471533`*^9}, {3.692822125190106*^9, 
   3.6928221278344765`*^9}, {3.692822685197671*^9, 3.6928226944707317`*^9}, {
   3.6928309443691425`*^9, 3.692830950512992*^9}, {3.692831582190878*^9, 
   3.6928315872019477`*^9}, {3.692883354944734*^9, 3.6928833568968735`*^9}, {
   3.692883460711725*^9, 3.692883471070711*^9}, {3.6928835274239864`*^9, 
   3.69288356798096*^9}, {3.6928837695056458`*^9, 3.692883797887574*^9}, {
   3.692883926636617*^9, 3.692883937519163*^9}, {3.69288439322031*^9, 
   3.692884397284088*^9}, {3.6928844402014112`*^9, 3.69288444405406*^9}, {
   3.6928847596481934`*^9, 3.692884771671035*^9}, {3.692903164659439*^9, 
   3.6929032151566668`*^9}, 3.6929033951664267`*^9, {3.6929034983342905`*^9, 
   3.69290349845018*^9}, {3.692914968395607*^9, 3.6929149963679523`*^9}, {
   3.692915912176631*^9, 3.6929159169694886`*^9}, {3.693004591930359*^9, 
   3.693004591997405*^9}, {3.6930051949239283`*^9, 3.693005194935936*^9}, {
   3.6930846097198763`*^9, 3.6930846134420805`*^9}, {3.7054431265244355`*^9, 
   3.705443128586096*^9}, {3.7054431598718667`*^9, 3.7054432812018743`*^9}, {
   3.7054433596047*^9, 3.7054433827026596`*^9}, {3.7054434361998105`*^9, 
   3.705443436984311*^9}, {3.705554888594722*^9, 3.705554925761624*^9}, {
   3.7055550018075237`*^9, 3.7055550043132973`*^9}, {3.706181782658617*^9, 
   3.7061817845542293`*^9}, {3.7066051696303205`*^9, 
   3.7066051698394933`*^9}, {3.706819240082741*^9, 3.706819279864878*^9}, {
   3.706819470671223*^9, 3.706819475053137*^9}, {3.706819883622038*^9, 
   3.706819888240302*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"metric", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"DiagonalMatrix", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"rq", "[", 
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], ")"}], "/", "r"}],
          "+", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"qq", "[", 
             RowBox[{"Hold", "[", 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], ")"}], "^", 
           "2"}], "/", 
          RowBox[{"r", "^", "2"}]}]}], ")"}]}], ",", 
      RowBox[{"1", "/", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"rq", "[", 
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], ")"}], "/", "r"}],
          "+", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"qq", "[", 
             RowBox[{"Hold", "[", 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], ")"}], "^", 
           "2"}], "/", 
          RowBox[{"r", "^", "2"}]}]}], ")"}]}], ",", 
      RowBox[{"r", "^", "2"}], ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"r", " ", 
         RowBox[{"Sin", "[", "theta", "]"}]}], ")"}], "^", "2"}]}], "}"}], 
    "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.660346255432619*^9, 3.6603462605168896`*^9}, {
  3.660346323459664*^9, 3.6603463347831464`*^9}, {3.6603478767014055`*^9, 
  3.6603478806018496`*^9}, {3.660351133692504*^9, 3.6603511389635377`*^9}, {
  3.6603512191399193`*^9, 3.660351223869266*^9}, {3.660351830815791*^9, 
  3.6603518351408567`*^9}, {3.664528563815336*^9, 3.6645285676552954`*^9}, {
  3.6925724601231804`*^9, 3.6925724784680223`*^9}, {3.6927391901415386`*^9, 
  3.6927391957879915`*^9}, {3.692740425868577*^9, 3.6927404916241417`*^9}, {
  3.692741488610837*^9, 3.692741493782071*^9}, {3.692903417406096*^9, 
  3.692903426432246*^9}, {3.6929150408740754`*^9, 3.6929150435547085`*^9}, {
  3.6929160920891848`*^9, 3.6929161327256055`*^9}, {3.692916246316511*^9, 
  3.69291625651414*^9}, {3.705443410172143*^9, 3.705443494542667*^9}, {
  3.7062030381173134`*^9, 3.7062030589841633`*^9}, {3.7068097554132795`*^9, 
  3.7068097595061593`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "r"}], "+", 
          RowBox[{"rs", "[", 
           RowBox[{"Hold", "[", 
            RowBox[{"tret", "[", 
             RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "-", 
          RowBox[{"4", " ", "a0", " ", 
           RowBox[{"HeavisideTheta", "[", 
            RowBox[{"tMaxQ", "-", 
             RowBox[{"Hold", "[", 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"ka0", " ", 
             RowBox[{"Hold", "[", 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
          RowBox[{"4", " ", "a0", " ", 
           RowBox[{"HeavisideTheta", "[", 
            RowBox[{
             RowBox[{"-", "tMinQ"}], "+", 
             RowBox[{"Hold", "[", 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"ka0", " ", 
             RowBox[{"Hold", "[", 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], ")"}], 
        "2"], 
       RowBox[{"4", " ", 
        SuperscriptBox["r", "2"]}]]}], ",", "0", ",", "0", ",", "0"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     FractionBox[
      RowBox[{"4", " ", 
       SuperscriptBox["r", "2"]}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "r"}], "+", 
         RowBox[{"rs", "[", 
          RowBox[{"Hold", "[", 
           RowBox[{"tret", "[", 
            RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "-", 
         RowBox[{"4", " ", "a0", " ", 
          RowBox[{"HeavisideTheta", "[", 
           RowBox[{"tMaxQ", "-", 
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"ka0", " ", 
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
         RowBox[{"4", " ", "a0", " ", 
          RowBox[{"HeavisideTheta", "[", 
           RowBox[{
            RowBox[{"-", "tMinQ"}], "+", 
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"ka0", " ", 
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], ")"}], 
       "2"]], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     SuperscriptBox["r", "2"], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     RowBox[{
      SuperscriptBox["r", "2"], " ", 
      SuperscriptBox[
       RowBox[{"Sin", "[", "theta", "]"}], "2"]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.706809762706408*^9, 3.706819987360862*^9, 
  3.7068201661030855`*^9, 3.7068203835359316`*^9, 3.7068205235765357`*^9, 
  3.706821446364022*^9, 3.7107092927821794`*^9, 3.71071254005046*^9, 
  3.710714145053331*^9, 3.7107142931734295`*^9, 3.710760173829173*^9, 
  3.710964447471013*^9, 3.710969378526619*^9, 3.711027954489006*^9, 
  3.7110291371836495`*^9, 3.7110376908629284`*^9, 3.711056439279326*^9, 
  3.711139576639838*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"metricsign", "=", 
  RowBox[{"-", "1"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"-", "1"}]], "Output",
 CellChangeTimes->{3.706809776605238*^9, 3.7068199873698683`*^9, 
  3.7068201661151094`*^9, 3.7068203835439367`*^9, 3.706820523585542*^9, 
  3.706821446375039*^9, 3.7107092927951884`*^9, 3.710712540058462*^9, 
  3.710714145063359*^9, 3.7107142931814356`*^9, 3.7107601738381777`*^9, 
  3.710964447481033*^9, 3.7109693785346375`*^9, 3.711027954497011*^9, 
  3.711029137192655*^9, 3.711037690870923*^9, 3.7110564392903337`*^9, 
  3.7111395766488266`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"SEGMENT", ":", " ", 
   RowBox[{"RUN", " ", 
    RowBox[{"DIFFGEO", ".", "M"}], " ", 
    RowBox[{"HERE", "."}]}]}], " ", "*)"}]], "Input",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellChangeTimes->{{3.7050545646047444`*^9, 3.705054589624752*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "We", " ", "substitute", " ", "the", " ", "derivatives", " ", "out", " ", 
   "based", " ", "on", " ", "applicable", " ", "conservation", " ", 
   RowBox[{"laws", "."}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.705612061472844*^9, 3.7056121570341034`*^9}, {
  3.7068239145638857`*^9, 3.706823914767028*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", "derivativesDispatch", "]"}]], "Input",
 CellChangeTimes->{{3.7056178217782445`*^9, 3.705617825322756*^9}, {
   3.7061959934145746`*^9, 3.7061959947421374`*^9}, 3.7067211850558243`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"derivativesDispatch", "=", 
  RowBox[{"Dispatch", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       SuperscriptBox["rs", "\[Prime]",
        MultilineFunction->None], "[", "tret_", "]"}], "->", 
      RowBox[{
       RowBox[{"-", "4"}], "a0", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"HeavisideTheta", "[", 
          RowBox[{"tret", "-", "tMinQ"}], "]"}], "-", 
         RowBox[{"HeavisideTheta", "[", 
          RowBox[{"tMaxQ", "-", "tret"}], "]"}]}], ")"}]}]}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["rs", "\[Prime]\[Prime]",
        MultilineFunction->None], "[", "tret_", "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{"-", "4"}], "a0", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"DiracDelta", "[", 
          RowBox[{"tret", "-", "tMinQ"}], "]"}], "+", 
         RowBox[{"DiracDelta", "[", 
          RowBox[{"tMaxQ", "-", "tret"}], "]"}]}], ")"}]}]}]}], "}"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7056117330476646`*^9, 3.705611779036475*^9}, {
   3.7056692663556185`*^9, 3.705669442541442*^9}, {3.7056700320625916`*^9, 
   3.705670054728778*^9}, {3.7056734366234627`*^9, 3.7056735834959297`*^9}, {
   3.7056740528780675`*^9, 3.705674136758429*^9}, {3.7056742070938673`*^9, 
   3.7056742289446683`*^9}, {3.7062025204738703`*^9, 
   3.7062025466434793`*^9}, {3.706205275277155*^9, 3.7062055232111197`*^9}, {
   3.7066052170968933`*^9, 3.7066052340398765`*^9}, {3.7066461612700214`*^9, 
   3.7066461701796865`*^9}, {3.7066462097813735`*^9, 
   3.7066462221788225`*^9}, {3.706646286338629*^9, 3.706646292997308*^9}, 
   3.706721165302909*^9, {3.706799884553754*^9, 3.7068000090619755`*^9}, {
   3.706800083057311*^9, 3.7068000877686443`*^9}, {3.7068002535609083`*^9, 
   3.7068002777684617`*^9}, 3.7068005814311223`*^9, {3.7068028177180033`*^9, 
   3.706802834763055*^9}, {3.7068070830110245`*^9, 3.706807094360039*^9}, {
   3.7068073207257094`*^9, 3.7068073332455397`*^9}, 3.7068096367191286`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["Dispatch",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False}, 
    PanelBox[
     PaneSelectorBox[{False->GridBox[{
        {
         PaneBox[
          ButtonBox[
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "SquarePlusIconMedium"],
            ImageSizeCache->{11., {0., 11.}}],
           Appearance->None,
           ButtonFunction:>(Typeset`open$$ = True),
           Evaluator->Automatic,
           Method->"Preemptive"],
          Alignment->{Center, Center},
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}]], 
         GraphicsBox[
          {GrayLevel[0.5], 
           PolygonBox[{{0.25, 0.5}, {0.05, 0.35}, {0.15, 0.35}, {0.35, 0.5}, {
            0.15, 0.65}, {0.05, 0.65}}], 
           PolygonBox[{{0.4, 0.5}, {0.2, 0.35}, {0.35, 0.35}, {0.55, 0.5}, {
            0.35, 0.65}, {0.2, 0.65}}], 
           PolygonBox[{{0.95, 0.5}, {0.55, 0.1}, {0.6, 0.35}, {0.4, 0.35}, {
            0.6, 0.5}, {0.4, 0.65}, {0.6, 0.65}, {0.55, 0.9}}]},
          AspectRatio->1,
          Axes->False,
          Background->GrayLevel[0.93],
          Frame->True,
          FrameStyle->Directive[
            Thickness[Tiny], 
            GrayLevel[0.7]],
          FrameTicks->None,
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}],
          PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}}], GridBox[{
           {
            RowBox[{
             TagBox["\<\"Length: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["2",
              "SummaryItem"]}]}
          },
          AutoDelete->False,
          
          BaseStyle->{
           ShowStringCharacters -> False, NumberMarks -> False, 
            PrintPrecision -> 3, ShowSyntaxStyles -> False},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}
       },
       AutoDelete->False,
       BaselinePosition->{1, 1},
       GridBoxAlignment->{"Rows" -> {{Top}}},
       GridBoxItemSize->{
        "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], True->GridBox[{
        {
         PaneBox[
          ButtonBox[
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "SquareMinusIconMedium"]],
           Appearance->None,
           ButtonFunction:>(Typeset`open$$ = False),
           Evaluator->Automatic,
           Method->"Preemptive"],
          Alignment->{Center, Center},
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}]], 
         GraphicsBox[
          {GrayLevel[0.5], 
           PolygonBox[{{0.25, 0.5}, {0.05, 0.35}, {0.15, 0.35}, {0.35, 0.5}, {
            0.15, 0.65}, {0.05, 0.65}}], 
           PolygonBox[{{0.4, 0.5}, {0.2, 0.35}, {0.35, 0.35}, {0.55, 0.5}, {
            0.35, 0.65}, {0.2, 0.65}}], 
           PolygonBox[{{0.95, 0.5}, {0.55, 0.1}, {0.6, 0.35}, {0.4, 0.35}, {
            0.6, 0.5}, {0.4, 0.65}, {0.6, 0.65}, {0.55, 0.9}}]},
          AspectRatio->1,
          Axes->False,
          Background->GrayLevel[0.93],
          Frame->True,
          FrameStyle->Directive[
            Thickness[Tiny], 
            GrayLevel[0.7]],
          FrameTicks->None,
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}],
          PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}}], GridBox[{
           {
            RowBox[{
             TagBox["\<\"Length: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["2",
              "SummaryItem"]}]},
           {
            RowBox[{
             TagBox["\<\"Rules:\"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["\<\"\"\>",
              "SummaryItem"]}]},
           {
            TagBox[
             TagBox[GridBox[{
                {
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret_", "]"}], "\[Rule]", 
                  RowBox[{
                   RowBox[{"-", "4"}], " ", "a0", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", "tret"}], "]"}]}], ")"}]}]}]},
                {
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["rs", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "tret_", "]"}], "\[Rule]", 
                  RowBox[{
                   RowBox[{"-", "4"}], " ", "a0", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", "tret"}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", "tret"}], "]"}]}], ")"}]}]}]}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              "Column"],
             "SummaryItem"]}
          },
          AutoDelete->False,
          
          BaseStyle->{
           ShowStringCharacters -> False, NumberMarks -> False, 
            PrintPrecision -> 3, ShowSyntaxStyles -> False},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}
       },
       AutoDelete->False,
       BaselinePosition->{1, 1},
       GridBoxAlignment->{"Rows" -> {{Top}}},
       GridBoxItemSize->{
        "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
      Typeset`open$$],
      ImageSize->Automatic],
     BaselinePosition->Baseline],
    DynamicModuleValues:>{}], "]"}],
  Dispatch[{Derivative[1][$CellContext`rs][
      Pattern[$CellContext`tret, 
       Blank[]]] -> (-4) $CellContext`a0 (-
       HeavisideTheta[$CellContext`tMaxQ - $CellContext`tret] + 
      HeavisideTheta[-$CellContext`tMinQ + $CellContext`tret]), 
    Derivative[2][$CellContext`rs][
      Pattern[$CellContext`tret, 
       Blank[]]] -> (-4) $CellContext`a0 (
      DiracDelta[$CellContext`tMaxQ - $CellContext`tret] + 
      DiracDelta[-$CellContext`tMinQ + $CellContext`tret])}],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.706809801866105*^9, 3.706820041042717*^9, 
  3.7068201970631742`*^9, 3.706820460124101*^9, 3.706820550959921*^9, 
  3.70682151847841*^9, 3.7107093554061656`*^9, 3.710712559746543*^9, 
  3.710714167764226*^9, 3.710714322830207*^9, 3.710714426951674*^9, 
  3.710760195768231*^9, 3.71096446890788*^9, 3.710969399237376*^9, 
  3.7110279863900805`*^9, 3.7110292431581974`*^9, 3.711037719060923*^9, 
  3.7110564690775986`*^9, 3.711139612104932*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "mixedAction", "]"}]], "Input",
 CellChangeTimes->{{3.705617683983435*^9, 3.7056176863971453`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"mixedAction", "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"1", "/", 
         RowBox[{"(", 
          RowBox[{"16", "*", "Pi"}], ")"}]}], "*", "RicciScalar", "*", "rg"}],
        ")"}], "/.", "derivativesDispatch"}], ",", 
     RowBox[{"TimeConstraint", "\[Rule]", "1"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.704972921779036*^9, 3.704972922013973*^9}, {
   3.7049748811626673`*^9, 3.7049748841066704`*^9}, 3.705054701138736*^9, 
   3.705511072696538*^9, {3.705553090792349*^9, 3.7055531183079967`*^9}, {
   3.7055540011263585`*^9, 3.705554010586223*^9}, {3.7056117753698473`*^9, 
   3.705611785968361*^9}, {3.7056176719569163`*^9, 3.705617680349861*^9}, {
   3.705670979291835*^9, 3.705670983144066*^9}, {3.7059340273481693`*^9, 
   3.705934031753315*^9}, 3.7059341665074015`*^9, {3.7067205918985076`*^9, 
   3.706720602054798*^9}, {3.706720769293521*^9, 3.7067207980111957`*^9}, {
   3.7067390126635036`*^9, 3.706739022463368*^9}, {3.7067391636376157`*^9, 
   3.706739174965743*^9}, {3.706741275049532*^9, 3.7067413026496673`*^9}, {
   3.7067413367943883`*^9, 3.7067413462464905`*^9}, {3.7068003673792677`*^9, 
   3.706800368337946*^9}, {3.706800478210455*^9, 3.7068004859068937`*^9}, {
   3.7107096027687063`*^9, 3.7107096037704945`*^9}}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{"{", 
          RowBox[{"9.53125`", ",", 
           FractionBox[
            RowBox[{
             SuperscriptBox["r", "2"], " ", 
             RowBox[{"Abs", "[", 
              RowBox[{"Sin", "[", "theta", "]"}], "]"}], " ", 
             RowBox[{"(", 
              RowBox[{
               FractionBox[
                RowBox[{
                 SuperscriptBox[
                  RowBox[{"Csc", "[", "theta", "]"}], "2"], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"4", " ", "a0", " ", 
                    RowBox[{
                    SubscriptBox["\[PartialD]", "r"], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"Sin", "[", "theta", "]"}], "2"], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"ka0", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                   TemplateBox[{"13"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}]}], 
                SuperscriptBox["r", "2"]], "+", 
               FractionBox[
                RowBox[{
                 RowBox[{"-", 
                  SuperscriptBox[
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"]}], "+", 
                 TemplateBox[{"14"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], 
                SuperscriptBox["r", "2"]], "+", 
               FractionBox[
                TemplateBox[{"1"},
                 "OutputSizeLimit`Skeleton",
                 DisplayFunction->(FrameBox[
                   
                   RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                   Background -> GrayLevel[0.75], 
                   BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                   Baseline, ContentPadding -> False, 
                   FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                   RoundingRadius -> 7]& )], 
                RowBox[{"4", " ", 
                 SuperscriptBox["r", "2"]}]], "-", 
               FractionBox[
                RowBox[{"4", " ", 
                 SuperscriptBox["r", "2"], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], " ", 
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], "2"]], "-", 
                   FractionBox[
                    RowBox[{"2", " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], 
                    SuperscriptBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"]], "+", 
                   TemplateBox[{"6"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                   FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], 
                    RowBox[{"8", " ", 
                    SuperscriptBox["r", "2"]}]]}], ")"}]}], 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                   RowBox[{"rs", "[", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "]"}], "+", 
                   RowBox[{"4", " ", "a0", " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"ka0", " ", 
                    RowBox[{"Hold", "[", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "]"}]}], "]"}]}]}], ")"}], 
                 "2"]]}], ")"}]}], 
            RowBox[{"16", " ", "\[Pi]"}]]}], "}"}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {2., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarCategory",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{50., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 195, 32815565808541888736, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{58., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 195, 32815565808541888736, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{43., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 195, 32815565808541888736, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{72., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Background->RGBColor[0.9657, 0.9753, 0.9802],
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[195]]], "Output",
 CellChangeTimes->{3.706809858379628*^9, 3.706820041319926*^9, 
  3.7068201973203554`*^9, 3.706820460399308*^9, 3.7068205606573133`*^9, 
  3.7068215278860693`*^9, 3.7107094970646334`*^9, 3.71070984720094*^9, 
  3.71071256932386*^9, 3.710714177301128*^9, 3.7107143323382874`*^9, 
  3.7107144308285465`*^9, 3.7107602057752423`*^9, 3.7109644791253257`*^9, 
  3.7109694092571135`*^9, 3.711027996286518*^9, 3.7110292532072916`*^9, 
  3.7110377288013873`*^9, 3.7110564785154*^9, 3.711139621784769*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"mixedAction", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "t_"], 
    RowBox[{"rs", "[", "t_", "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, 
   3.7066190139496174`*^9, {3.7066484463853426`*^9, 3.706648475642807*^9}, {
   3.7066487426595497`*^9, 3.7066487427699137`*^9}, 3.7066488316814594`*^9, {
   3.706654266628583*^9, 3.706654266939515*^9}, {3.7107087911212254`*^9, 
   3.7107087912092876`*^9}, 3.710709470439476*^9, 3.7107095692364993`*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7067970117983913`*^9, 3.707052673524871*^9, 
  3.7070796137156906`*^9, 3.7070966715926437`*^9, 3.7071369975708265`*^9, 
  3.7107088784493213`*^9, 3.710709043980423*^9, 3.7107094933054295`*^9, 
  3.710709584127079*^9, 3.710709847334035*^9, 3.7107125818187923`*^9, 
  3.710714177382186*^9, 3.7107143324103394`*^9, 3.7107144308815966`*^9, 
  3.7107602059924684`*^9, 3.710964479193553*^9, 3.7109694093226595`*^9, 
  3.7110279964517403`*^9, 3.71102925326833*^9, 3.711037728875478*^9, 
  3.711056478616725*^9, 3.711139621858822*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"mixedAction", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"t_", ",", "2"}], "}"}]], 
    RowBox[{"rs", "[", "t_", "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.7066190152805986`*^9, {3.706648458390333*^9, 3.706648477940911*^9}, 
   3.7066487468277173`*^9, 3.706648832556662*^9, {3.706654269303115*^9, 
   3.7066542693585014`*^9}, {3.710708795540551*^9, 3.710708795626613*^9}, 
   3.7107094728685055`*^9, 3.710709572215943*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7067970118114004`*^9, 3.7070526735418863`*^9, 
  3.7070796137327023`*^9, 3.7070966716051626`*^9, 3.7071369976203628`*^9, 
  3.7107088784593277`*^9, 3.7107090439914317`*^9, 3.710709493317438*^9, 
  3.710709584140087*^9, 3.7107098473480415`*^9, 3.7107125818658104`*^9, 
  3.7107141773942*^9, 3.7107143324213333`*^9, 3.7107144308936048`*^9, 
  3.710760206003475*^9, 3.7109644792055655`*^9, 3.7109694093336678`*^9, 
  3.711027996460744*^9, 3.711029253278337*^9, 3.711037728885446*^9, 
  3.7110564786317353`*^9, 3.711139621868839*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"Let", "'"}], "s", " ", "get", " ", "this", " ", "out", " ", "of", 
   " ", "mixed", " ", 
   RowBox[{"coordinates", ":"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7055052365469694`*^9, 3.7055052558283195`*^9}, 
   3.7055198234617853`*^9}],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{"tret", ",", "radv"}], "]"}]], "Input",
 CellChangeTimes->{{3.7047261887420807`*^9, 3.704726192700388*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"tret", "[", 
   RowBox[{"t_", ",", "r_"}], "]"}], ":=", 
  RowBox[{"Evaluate", "[", 
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       SuperscriptBox["r", "2"]}], "+", 
      RowBox[{"2", " ", "r", " ", "rs"}], "+", 
      RowBox[{"2", " ", "r", " ", "t"}], "-", 
      RowBox[{"rs", " ", "t"}], "+", 
      RowBox[{"rs", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "r"}], "+", "rs"}], ")"}], " ", 
       RowBox[{"Log", "[", 
        RowBox[{
         RowBox[{"2", " ", "r"}], "-", "rs"}], "]"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "r"}], "-", "rs"}], ")"}], " ", "rs", " ", 
       RowBox[{"Log", "[", "rs", "]"}]}]}], 
     RowBox[{
      RowBox[{"2", " ", "r"}], "-", "rs"}]], "/.", 
    RowBox[{"rs", "\[Rule]", 
     RowBox[{"rs", "[", 
      RowBox[{"Hold", "[", 
       RowBox[{"tret", "[", 
        RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7107128103913517`*^9, 3.7107128203788395`*^9}, {
   3.710712861256222*^9, 3.710712861884945*^9}, 3.7107129366647263`*^9, {
   3.7107130225946255`*^9, 3.7107130264264636`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"radv", "[", 
   RowBox[{"t_", ",", "r_"}], "]"}], ":=", 
  RowBox[{"Evaluate", "[", 
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["r", "2"], "+", 
         RowBox[{"rs", " ", "t"}], "-", 
         RowBox[{"r", " ", 
          RowBox[{"(", 
           RowBox[{"rs", "+", 
            RowBox[{"2", " ", "t"}]}], ")"}]}]}], ")"}]}], "+", 
      RowBox[{"rs", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "r"}], "+", "rs"}], ")"}], " ", 
       RowBox[{"Log", "[", 
        RowBox[{
         RowBox[{"2", " ", "r"}], "-", "rs"}], "]"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "r"}], "-", "rs"}], ")"}], " ", "rs", " ", 
       RowBox[{"Log", "[", "rs", "]"}]}]}], 
     RowBox[{
      RowBox[{"2", " ", "r"}], "-", "rs"}]], "/.", 
    RowBox[{"rs", "\[Rule]", 
     RowBox[{"rs", "[", 
      RowBox[{"Hold", "[", 
       RowBox[{"tret", "[", 
        RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.71071301084603*^9, 3.7107130438797407`*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", "analogR", "]"}]], "Input",
 CellChangeTimes->{{3.705547067764247*^9, 3.705547069967808*^9}, {
  3.7068190088630447`*^9, 3.7068190424402432`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "If", " ", "a", " ", "symbolic", " ", "set", " ", "of", " ", "arguments", 
    " ", "has", " ", "more", " ", "than", " ", "one", " ", "real", " ", 
    "solution"}], ",", " ", 
   RowBox[{"defer", " ", "to", " ", "maintain", " ", 
    RowBox[{"generality", ".", " ", "If"}], " ", "it", " ", "has", " ", "one",
     " ", "real", " ", "solution"}], ",", " ", 
   RowBox[{"return", " ", 
    RowBox[{"it", ":"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7055488855117226`*^9, 3.705548955405255*^9}, {
  3.7068057946547203`*^9, 3.706805795259158*^9}, {3.706823927925337*^9, 
  3.7068239291802235`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"analogR", "[", 
   RowBox[{
    RowBox[{"tret_", "?", "NumberQ"}], ",", 
    RowBox[{"radv_", "?", "NumberQ"}], ",", 
    RowBox[{"rs_", "?", "NumberQ"}]}], "]"}], ":=", 
  RowBox[{
   RowBox[{"analogR", "[", 
    RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"allSolutions", ",", "testSolution", ",", "r"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"allSolutions", ":=", 
       RowBox[{"Flatten", "[", 
        RowBox[{"Solve", "[", 
         RowBox[{
          RowBox[{
           FractionBox[
            RowBox[{
             RowBox[{"2", " ", 
              SuperscriptBox["r", "2"]}], "+", 
             RowBox[{"rs", " ", 
              RowBox[{"(", 
               RowBox[{"radv", "-", 
                RowBox[{"2", " ", "tret"}]}], ")"}]}], "-", 
             RowBox[{"2", " ", "r", " ", 
              RowBox[{"(", 
               RowBox[{"radv", "+", "rs", "-", 
                RowBox[{"2", " ", "tret"}]}], ")"}]}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"2", " ", "r"}], "-", "rs"}], ")"}], " ", "rs", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Log", "[", 
                 RowBox[{
                  RowBox[{"2", " ", "r"}], "-", "rs"}], "]"}], "-", 
                RowBox[{"Log", "[", "rs", "]"}]}], ")"}]}]}], 
            RowBox[{
             RowBox[{"2", " ", "r"}], "-", "rs"}]], "\[Equal]", "0"}], ",", 
          "r", ",", "Reals"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"testSolution", ":=", 
       RowBox[{"Quiet", "[", 
        RowBox[{"r", "/.", "allSolutions"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"Length", "[", "allSolutions", "]"}], "\[Equal]", "1"}], "&&", 
         RowBox[{"FreeQ", "[", 
          RowBox[{"testSolution", ",", "r"}], "]"}]}], ",", "testSolution", 
        ",", 
        RowBox[{"Defer", "[", 
         RowBox[{"analogR", "[", 
          RowBox[{"tret", ",", "radv", ",", "rs"}], "]"}], "]"}]}], "]"}]}]}],
     "\[IndentingNewLine]", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.705535332383417*^9, 3.7055353443939095`*^9}, {
   3.7055354488092847`*^9, 3.705535487297535*^9}, 3.7055355898422003`*^9, {
   3.705536467937221*^9, 3.7055364743337526`*^9}, {3.705536776072893*^9, 
   3.705536804868692*^9}, {3.705536896870866*^9, 3.705536901806367*^9}, {
   3.7055369397637625`*^9, 3.7055369432262135`*^9}, {3.70553699360473*^9, 
   3.705537011921707*^9}, {3.7055370590921307`*^9, 3.7055370628127637`*^9}, {
   3.7055372971057863`*^9, 3.705537301962227*^9}, {3.7055376607269955`*^9, 
   3.7055376757426453`*^9}, {3.7055378341684318`*^9, 3.705537838149253*^9}, {
   3.70553900235975*^9, 3.705539004446227*^9}, {3.7055391684762325`*^9, 
   3.705539228487734*^9}, {3.7055392589706373`*^9, 3.705539262504142*^9}, {
   3.705539297025673*^9, 3.7055393203590765`*^9}, {3.705540640035013*^9, 
   3.7055407706693954`*^9}, {3.7055408336189933`*^9, 
   3.7055409184127703`*^9}, {3.705541157452259*^9, 3.7055411590464025`*^9}, {
   3.7055413907698455`*^9, 3.7055414326329503`*^9}, {3.705541508857923*^9, 
   3.7055415101928697`*^9}, {3.705543969846824*^9, 3.705544010323501*^9}, {
   3.705545575793683*^9, 3.705545589847623*^9}, {3.7055468520970325`*^9, 
   3.7055468774370975`*^9}, {3.705547000359489*^9, 3.7055470465552216`*^9}, {
   3.7055499750579076`*^9, 3.7055500015206575`*^9}, {3.705550568599601*^9, 
   3.705550573513096*^9}, {3.7055779961802835`*^9, 3.705578008372923*^9}, {
   3.7056095534519477`*^9, 3.705609568196391*^9}, 3.706805791674613*^9, 
   3.706805824075774*^9, {3.7068190502847567`*^9, 3.7068190634040194`*^9}, {
   3.7068204132059298`*^9, 3.7068204133880577`*^9}, {3.710713521319319*^9, 
   3.7107135245397654`*^9}, 3.710714137099675*^9, {3.7107142480940475`*^9, 
   3.7107142535994687`*^9}, {3.7107144614906387`*^9, 3.71071449362409*^9}, {
   3.710714538715825*^9, 3.710714620297638*^9}, 3.710714654734327*^9, {
   3.710717177814523*^9, 3.7107171957880945`*^9}, {3.7107172870376663`*^9, 
   3.710717288880968*^9}, {3.7110377071644697`*^9, 3.7110377084703927`*^9}, {
   3.7110378651301827`*^9, 3.7110378667893567`*^9}, {3.711038991545499*^9, 
   3.711039004750647*^9}, {3.711039166492465*^9, 3.711039171909586*^9}, {
   3.7110392361395955`*^9, 3.711039242699731*^9}, {3.7110393019763193`*^9, 
   3.7110393074038963`*^9}, {3.7110393799580865`*^9, 3.7110394138486757`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"analogR", "[", 
  RowBox[{"0", ",", "0", ",", "1"}], "]"}]], "Input",
 CellChangeTimes->{{3.7068191945785556`*^9, 3.7068191991617975`*^9}, {
  3.7110392819397383`*^9, 3.71103928585299*^9}, {3.7110394252256517`*^9, 
  3.711039426585037*^9}}],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{
  3.7107146721932836`*^9, {3.7107172947690554`*^9, 3.710717302940596*^9}, 
   3.7107602065338516`*^9, 3.710964479773458*^9, 3.7109694098500333`*^9, 
   3.7110279971975*^9, 3.711029253767866*^9, 3.7110377293868895`*^9, 
   3.7110378741770215`*^9, 3.7110390133880067`*^9, 3.7110390705865927`*^9, {
   3.7110391587488594`*^9, 3.7110391770434856`*^9}, 3.711039295968653*^9, {
   3.711039421977249*^9, 3.7110394311529408`*^9}, 3.7110395004654703`*^9, 
   3.711056479153104*^9, 3.711139622415216*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{"dtretDt", ",", "dtretDt2", ",", "dtretDr", ",", "dtretDr2"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.7055073380870576`*^9, 3.705507342311051*^9}, {
  3.705508553223236*^9, 3.7055085548744044`*^9}, {3.7055090609298162`*^9, 
  3.705509069124596*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"dtretDt", "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{"dtretDt0", "/.", 
       RowBox[{
        RowBox[{"Solve", "[", 
         RowBox[{
          RowBox[{"dtretDt0", "\[Equal]", 
           RowBox[{"Evaluate", "[", 
            RowBox[{
             RowBox[{
              SubscriptBox["\[PartialD]", "t"], 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}]}], "/.", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                SubscriptBox["\[PartialD]", "t"], 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "\[Rule]", 
               "dtretDt0"}], "}"}]}], "]"}]}], ",", "dtretDt0"}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "/.", 
     "derivativesDispatch"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.705507227050387*^9, 3.7055072390849133`*^9}, {
   3.7055085973511333`*^9, 3.70550860559282*^9}, {3.7055086406132803`*^9, 
   3.7055086938059807`*^9}, {3.7055087363010817`*^9, 
   3.7055087949256682`*^9}, {3.70550883124739*^9, 3.7055088620861416`*^9}, {
   3.70557977275228*^9, 3.705579796284951*^9}, 3.7055798275971355`*^9, 
   3.7055798820197163`*^9, 3.7056118030474606`*^9, {3.7059340611248646`*^9, 
   3.7059340734754467`*^9}, {3.7061847684295444`*^9, 
   3.7061848015576143`*^9}, {3.7062034128177304`*^9, 
   3.7062034234319305`*^9}, {3.706203537538865*^9, 3.706203541903387*^9}, {
   3.7062040699784846`*^9, 3.7062041031095676`*^9}, {3.7062041591661587`*^9, 
   3.7062041704501777`*^9}, {3.7062042665571003`*^9, 3.706204273230831*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.046875`", ",", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "r"}], "+", 
       RowBox[{"rs", "[", 
        RowBox[{"Hold", "[", 
         RowBox[{"tret", "[", 
          RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], "2"], "/", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "r"}], "+", 
         RowBox[{"rs", "[", 
          RowBox[{"Hold", "[", 
           RowBox[{"tret", "[", 
            RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], "2"], "+", 
      RowBox[{"4", " ", "a0", " ", 
       RowBox[{"HeavisideTheta", "[", 
        RowBox[{"tMaxQ", "-", 
         RowBox[{"Hold", "[", 
          RowBox[{"tret", "[", 
           RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox["r", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "3"}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"Log", "[", 
              RowBox[{
               RowBox[{"2", " ", "r"}], "-", 
               RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
            "-", 
            RowBox[{"2", " ", 
             RowBox[{"Log", "[", 
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
           ")"}]}], "+", 
         RowBox[{"2", " ", "r", " ", 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"2", " ", 
             RowBox[{"Log", "[", 
              RowBox[{
               RowBox[{"2", " ", "r"}], "-", 
               RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
            "+", 
            RowBox[{"2", " ", 
             RowBox[{"Log", "[", 
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
           ")"}], " ", 
          RowBox[{"rs", "[", 
           RowBox[{"Hold", "[", 
            RowBox[{"tret", "[", 
             RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Log", "[", 
             RowBox[{
              RowBox[{"2", " ", "r"}], "-", 
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], "-", 
            RowBox[{"Log", "[", 
             RowBox[{"rs", "[", 
              RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], ")"}], 
          " ", 
          SuperscriptBox[
           RowBox[{"rs", "[", 
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], ")"}]}],
       "-", 
      RowBox[{"4", " ", "a0", " ", 
       RowBox[{"HeavisideTheta", "[", 
        RowBox[{
         RowBox[{"-", "tMinQ"}], "+", 
         RowBox[{"Hold", "[", 
          RowBox[{"tret", "[", 
           RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox["r", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "3"}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"Log", "[", 
              RowBox[{
               RowBox[{"2", " ", "r"}], "-", 
               RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
            "-", 
            RowBox[{"2", " ", 
             RowBox[{"Log", "[", 
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
           ")"}]}], "+", 
         RowBox[{"2", " ", "r", " ", 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"2", " ", 
             RowBox[{"Log", "[", 
              RowBox[{
               RowBox[{"2", " ", "r"}], "-", 
               RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
            "+", 
            RowBox[{"2", " ", 
             RowBox[{"Log", "[", 
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
           ")"}], " ", 
          RowBox[{"rs", "[", 
           RowBox[{"Hold", "[", 
            RowBox[{"tret", "[", 
             RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Log", "[", 
             RowBox[{
              RowBox[{"2", " ", "r"}], "-", 
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], "-", 
            RowBox[{"Log", "[", 
             RowBox[{"rs", "[", 
              RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], ")"}], 
          " ", 
          SuperscriptBox[
           RowBox[{"rs", "[", 
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
        ")"}]}]}], ")"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.706809860218929*^9, 3.7068201978577237`*^9, 
  3.7068204609607053`*^9, 3.7068205612537355`*^9, 3.706821528441457*^9, 
  3.710709736691286*^9, 3.710709873461687*^9, 3.7107126084673133`*^9, 
  3.7107129479670296`*^9, 3.7107130642405095`*^9, 3.710713540752226*^9, 
  3.7107141779856167`*^9, 3.710714333018747*^9, 3.7107146312400446`*^9, 
  3.7107146722153172`*^9, 3.7107173186249323`*^9, 3.7107602066959653`*^9, 
  3.710964479845509*^9, 3.710969409933592*^9, 3.7110279973065805`*^9, 
  3.7110292538379154`*^9, 3.711039500544525*^9, 3.7110564792271566`*^9, 
  3.711139622488267*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"dtretDt2", "=", 
   RowBox[{
    RowBox[{"Evaluate", "[", 
     RowBox[{"dtretDt20", "/.", 
      RowBox[{
       RowBox[{"Solve", "[", 
        RowBox[{
         RowBox[{"dtretDt20", "\[Equal]", 
          RowBox[{"Evaluate", "[", 
           RowBox[{
            RowBox[{
             SubscriptBox["\[PartialD]", 
              RowBox[{"{", 
               RowBox[{"t", ",", "2"}], "}"}]], 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}]}], "/.", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{
                SubscriptBox["\[PartialD]", "t"], 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "\[Rule]", 
               "dtretDt"}], ",", 
              RowBox[{
               RowBox[{
                SubscriptBox["\[PartialD]", 
                 RowBox[{"{", 
                  RowBox[{"t", ",", "2"}], "}"}]], 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "\[Rule]", 
               "dtretDt20"}]}], "}"}]}], "]"}]}], ",", "dtretDt20"}], "]"}], 
       "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "/.", 
    "derivativesDispatch"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7055089291738825`*^9, 3.705508994830984*^9}, {
   3.7055090297497244`*^9, 3.705509049803919*^9}, {3.7055132928992143`*^9, 
   3.7055133256023846`*^9}, {3.7055138914545603`*^9, 
   3.7055139146301394`*^9}, {3.705553722985358*^9, 3.705553742080881*^9}, 
   3.7056118182923164`*^9, {3.705934076890354*^9, 3.7059340819440403`*^9}, {
   3.705936338592292*^9, 3.705936378845893*^9}, {3.7062035060361795`*^9, 
   3.706203515631918*^9}, {3.706203582067212*^9, 3.7062035869247274`*^9}, 
   3.7062042864511957`*^9, {3.7062043501363535`*^9, 3.706204363546867*^9}, {
   3.7062088358652673`*^9, 3.7062088407956953`*^9}, 3.7062088729794974`*^9, {
   3.7062124734045396`*^9, 3.7062124832270565`*^9}, {3.706213037078139*^9, 
   3.706213044126301*^9}, {3.710713076897493*^9, 3.7107130770886283`*^9}}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{"{", 
          RowBox[{"0.015625`", ",", 
           FractionBox[
            TemplateBox[{"1"},
             "OutputSizeLimit`Skeleton",
             DisplayFunction->(FrameBox[
               
               RowBox[{
                "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
               Background -> GrayLevel[0.75], 
               BaseStyle -> {
                "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                 ShowStringCharacters -> False}, BaselinePosition -> Baseline,
                ContentPadding -> False, FrameMargins -> {{1, 1}, {1, 2}}, 
               FrameStyle -> None, RoundingRadius -> 7]& )], 
            RowBox[{"1", "+", 
             RowBox[{"4", " ", "a0", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", 
                 RowBox[{"HeavisideTheta", "[", 
                  RowBox[{"tMaxQ", "-", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                RowBox[{"HeavisideTheta", "[", 
                 RowBox[{
                  RowBox[{"-", "tMinQ"}], "+", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}]}],
              "+", 
             TemplateBox[{"10"},
              "OutputSizeLimit`Skeleton",
              DisplayFunction->(FrameBox[
                
                RowBox[{
                 "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                Background -> GrayLevel[0.75], 
                BaseStyle -> {
                 "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                  ShowStringCharacters -> False}, BaselinePosition -> 
                Baseline, ContentPadding -> False, 
                FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                RoundingRadius -> 7]& )], "+", 
             FractionBox[
              RowBox[{"4", " ", "a0", " ", 
               TemplateBox[{"1"},
                "OutputSizeLimit`Skeleton",
                DisplayFunction->(FrameBox[
                  
                  RowBox[{
                   "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                  Background -> GrayLevel[0.75], 
                  BaseStyle -> {
                   "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                  Baseline, ContentPadding -> False, 
                  FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                  RoundingRadius -> 7]& )], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "2"}], " ", 
                  SuperscriptBox["r", "2"]}], "+", 
                 RowBox[{"2", " ", "r", " ", "t"}], "+", 
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "-", 
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                 RowBox[{
                  RowBox[{"Log", "[", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                  " ", 
                  RowBox[{"rs", "[", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                 RowBox[{
                  RowBox[{"Log", "[", 
                   RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                  " ", 
                  RowBox[{"rs", "[", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}]}]}],
                 ")"}]}], 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"2", " ", "r"}], "-", 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
               "2"]]}]]}], "}"}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {2., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarCategory",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{50., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 208, 32815565808541888736, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{58., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 208, 32815565808541888736, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{43., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 208, 32815565808541888736, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{72., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Background->RGBColor[0.9657, 0.9753, 0.9802],
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[208]]], "Output",
 CellChangeTimes->{3.7107135407675076`*^9, 3.7107141780266285`*^9, 
  3.7107143330566845`*^9, 3.7107146312780895`*^9, 3.7107146722273083`*^9, 
  3.7107173187220187`*^9, 3.7107602068620834`*^9, 3.71096447988354*^9, 
  3.7109694099766407`*^9, 3.7110279973886485`*^9, 3.71102925387593*^9, 
  3.7110395005815516`*^9, 3.7110564792792053`*^9, 3.7111396225242925`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"dtretDr", "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{"dtretDr0", "/.", 
       RowBox[{
        RowBox[{"Solve", "[", 
         RowBox[{
          RowBox[{"dtretDr0", "\[Equal]", 
           RowBox[{"Evaluate", "[", 
            RowBox[{
             RowBox[{
              SubscriptBox["\[PartialD]", "r"], 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}]}], "/.", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                SubscriptBox["\[PartialD]", "r"], 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "\[Rule]", 
               "dtretDr0"}], "}"}]}], "]"}]}], ",", "dtretDr0"}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "/.", 
     "derivativesDispatch"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.705507227050387*^9, 3.7055072390849133`*^9}, {
   3.7055085973511333`*^9, 3.70550860559282*^9}, {3.7055086406132803`*^9, 
   3.7055086938059807`*^9}, {3.7055087363010817`*^9, 
   3.7055087949256682`*^9}, {3.70550883124739*^9, 3.7055088620861416`*^9}, {
   3.70550908030553*^9, 3.7055090980631046`*^9}, {3.7055537670865984`*^9, 
   3.705553781958147*^9}, 3.7055769074511647`*^9, 3.7056118258946996`*^9, 
   3.7059335159114437`*^9, {3.7059340885150146`*^9, 3.705934092883422*^9}, {
   3.7061848136980095`*^9, 3.706184820739726*^9}, {3.706186224541393*^9, 
   3.7061862290170527`*^9}, {3.7061949788010545`*^9, 
   3.7061949855114613`*^9}, {3.7062035945477314`*^9, 3.7062036048094063`*^9}, 
   3.7062043031093884`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.`", ",", 
   RowBox[{"-", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", " ", 
        SuperscriptBox["r", "2"]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "2"}], " ", "r"}], "+", 
           RowBox[{"rs", "[", 
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], "2"], 
        "+", 
        RowBox[{"4", " ", "a0", " ", 
         RowBox[{"HeavisideTheta", "[", 
          RowBox[{"tMaxQ", "-", 
           RowBox[{"Hold", "[", 
            RowBox[{"tret", "[", 
             RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", 
            SuperscriptBox["r", "2"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "3"}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Log", "[", 
                RowBox[{
                 RowBox[{"2", " ", "r"}], "-", 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
              "-", 
              RowBox[{"2", " ", 
               RowBox[{"Log", "[", 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
             ")"}]}], "+", 
           RowBox[{"2", " ", "r", " ", 
            RowBox[{"(", 
             RowBox[{"1", "-", 
              RowBox[{"2", " ", 
               RowBox[{"Log", "[", 
                RowBox[{
                 RowBox[{"2", " ", "r"}], "-", 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
              "+", 
              RowBox[{"2", " ", 
               RowBox[{"Log", "[", 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
             ")"}], " ", 
            RowBox[{"rs", "[", 
             RowBox[{"Hold", "[", 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"Log", "[", 
               RowBox[{
                RowBox[{"2", " ", "r"}], "-", 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], "-", 
              RowBox[{"Log", "[", 
               RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
             ")"}], " ", 
            SuperscriptBox[
             RowBox[{"rs", "[", 
              RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
          ")"}]}], "-", 
        RowBox[{"4", " ", "a0", " ", 
         RowBox[{"HeavisideTheta", "[", 
          RowBox[{
           RowBox[{"-", "tMinQ"}], "+", 
           RowBox[{"Hold", "[", 
            RowBox[{"tret", "[", 
             RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", 
            SuperscriptBox["r", "2"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "3"}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Log", "[", 
                RowBox[{
                 RowBox[{"2", " ", "r"}], "-", 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
              "-", 
              RowBox[{"2", " ", 
               RowBox[{"Log", "[", 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
             ")"}]}], "+", 
           RowBox[{"2", " ", "r", " ", 
            RowBox[{"(", 
             RowBox[{"1", "-", 
              RowBox[{"2", " ", 
               RowBox[{"Log", "[", 
                RowBox[{
                 RowBox[{"2", " ", "r"}], "-", 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
              "+", 
              RowBox[{"2", " ", 
               RowBox[{"Log", "[", 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
             ")"}], " ", 
            RowBox[{"rs", "[", 
             RowBox[{"Hold", "[", 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"Log", "[", 
               RowBox[{
                RowBox[{"2", " ", "r"}], "-", 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], "-", 
              RowBox[{"Log", "[", 
               RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
             ")"}], " ", 
            SuperscriptBox[
             RowBox[{"rs", "[", 
              RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
          ")"}]}]}], ")"}]}], ")"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.706809860453108*^9, 3.706820197881753*^9, 
  3.706820460984709*^9, 3.7068205612767563`*^9, 3.706821528466461*^9, 
  3.710709736716304*^9, 3.710709873487718*^9, 3.71071313235314*^9, 
  3.7107135407835054`*^9, 3.710714178075663*^9, 3.7107143330962143`*^9, 
  3.710714631308092*^9, 3.710714672239316*^9, 3.71071731881907*^9, 
  3.7107602071925654`*^9, 3.7109644799095416`*^9, 3.710969410010147*^9, 
  3.711027997529003*^9, 3.7110292539109545`*^9, 3.711039500614588*^9, 
  3.7110564793362336`*^9, 3.7111396225593176`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"dtretDr2", "=", 
   RowBox[{
    RowBox[{"Evaluate", "[", 
     RowBox[{"dtretDr20", "/.", 
      RowBox[{
       RowBox[{"Solve", "[", 
        RowBox[{
         RowBox[{"dtretDr20", "\[Equal]", 
          RowBox[{"Evaluate", "[", 
           RowBox[{
            RowBox[{
             SubscriptBox["\[PartialD]", 
              RowBox[{"{", 
               RowBox[{"r", ",", "2"}], "}"}]], 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}]}], "/.", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{
                SubscriptBox["\[PartialD]", "r"], 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "\[Rule]", 
               "dtretDt"}], ",", 
              RowBox[{
               RowBox[{
                SubscriptBox["\[PartialD]", 
                 RowBox[{"{", 
                  RowBox[{"r", ",", "2"}], "}"}]], 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "\[Rule]", 
               "dtretDr20"}]}], "}"}]}], "]"}]}], ",", "dtretDr20"}], "]"}], 
       "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "/.", 
    "derivativesDispatch"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7055089291738825`*^9, 3.705508994830984*^9}, {
   3.7055090297497244`*^9, 3.705509049803919*^9}, {3.705509104144415*^9, 
   3.705509123552185*^9}, 3.705514186216391*^9, 3.7055537960301056`*^9, {
   3.7055846118000536`*^9, 3.7055846167545786`*^9}, {3.705612014632221*^9, 
   3.705612022149564*^9}, {3.705617647723315*^9, 3.705617655411762*^9}, {
   3.705933501216611*^9, 3.7059335061556854`*^9}, {3.705934097604392*^9, 
   3.7059341017260456`*^9}, {3.70619544415355*^9, 3.7061954617191505`*^9}, {
   3.706203626772194*^9, 3.70620364222886*^9}, {3.706212553803293*^9, 
   3.706212562227688*^9}, {3.706213633814731*^9, 3.706213642262725*^9}, {
   3.706213712088753*^9, 3.706213721755616*^9}}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{"{", 
          RowBox[{"0.`", ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              TemplateBox[{"29"},
               "OutputSizeLimit`Skeleton",
               DisplayFunction->(FrameBox[
                 
                 RowBox[{
                  "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                 Background -> GrayLevel[0.75], 
                 BaseStyle -> {
                  "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                   ShowStringCharacters -> False}, BaselinePosition -> 
                 Baseline, ContentPadding -> False, 
                 FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                 RoundingRadius -> 7]& )], "+", 
              FractionBox[
               RowBox[{"2", " ", 
                RowBox[{"(", 
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], "+", 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}]}], 
               RowBox[{
                RowBox[{"2", " ", "r"}], "-", 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "]"}], "]"}]}]], "-", 
              FractionBox[
               RowBox[{"2", " ", 
                TemplateBox[{"1"},
                 "OutputSizeLimit`Skeleton",
                 DisplayFunction->(FrameBox[
                   
                   RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                   Background -> GrayLevel[0.75], 
                   BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                   Baseline, ContentPadding -> False, 
                   FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                   RoundingRadius -> 7]& )], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"-", "4"}], " ", "r"}], "+", 
                  RowBox[{"2", " ", "t"}], "+", 
                  TemplateBox[{"11"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                  RowBox[{
                   RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "]"}], "]"}], " ", 
                   RowBox[{"(", 
                    RowBox[{"2", "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}]}], "+", 
                  FractionBox[
                   RowBox[{
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], ")"}]}], 
                   RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]]}], 
                 ")"}]}], 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"2", " ", "r"}], "-", 
                  RowBox[{"rs", "[", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                "2"]]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{"1", "+", 
              RowBox[{"4", " ", "a0", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"HeavisideTheta", "[", 
                   RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                 RowBox[{"HeavisideTheta", "[", 
                  RowBox[{
                   RowBox[{"-", "tMinQ"}], "+", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}]}],
               "+", 
              RowBox[{"4", " ", "a0", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"HeavisideTheta", "[", 
                   RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                 RowBox[{"HeavisideTheta", "[", 
                  RowBox[{
                   RowBox[{"-", "tMinQ"}], "+", 
                   RowBox[{"Hold", "[", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "]"}]}], "]"}]}], ")"}], " ", 
               RowBox[{"Log", "[", 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], "+", 
              TemplateBox[{"6"},
               "OutputSizeLimit`Skeleton",
               DisplayFunction->(FrameBox[
                 
                 RowBox[{
                  "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                 Background -> GrayLevel[0.75], 
                 BaseStyle -> {
                  "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                   ShowStringCharacters -> False}, BaselinePosition -> 
                 Baseline, ContentPadding -> False, 
                 FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                 RoundingRadius -> 7]& )], "+", 
              FractionBox[
               TemplateBox[{"1"},
                "OutputSizeLimit`Skeleton",
                DisplayFunction->(FrameBox[
                  
                  RowBox[{
                   "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                  Background -> GrayLevel[0.75], 
                  BaseStyle -> {
                   "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                  Baseline, ContentPadding -> False, 
                  FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                  RoundingRadius -> 7]& )], 
               TemplateBox[{"1"},
                "OutputSizeLimit`Skeleton",
                DisplayFunction->(FrameBox[
                  
                  RowBox[{
                   "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                  Background -> GrayLevel[0.75], 
                  BaseStyle -> {
                   "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                  Baseline, ContentPadding -> False, 
                  FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                  RoundingRadius -> 7]& )]], "-", 
              FractionBox[
               RowBox[{"4", " ", "a0", " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", 
                   RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                  RowBox[{"HeavisideTheta", "[", 
                   RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], "]"}]}], ")"}], " ", 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"-", "2"}], " ", "r"}], "+", 
                  RowBox[{"rs", "[", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}]}], 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"2", " ", "r"}], "-", 
                  RowBox[{"rs", "[", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                "2"]], "+", 
              FractionBox[
               TemplateBox[{"1"},
                "OutputSizeLimit`Skeleton",
                DisplayFunction->(FrameBox[
                  
                  RowBox[{
                   "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                  Background -> GrayLevel[0.75], 
                  BaseStyle -> {
                   "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                  Baseline, ContentPadding -> False, 
                  FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                  RoundingRadius -> 7]& )], 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"2", " ", "r"}], "-", 
                  RowBox[{"rs", "[", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                "2"]]}], ")"}]}]}], "}"}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {2., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarCategory",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{50., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 210, 32815565808541888736, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{58., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 210, 32815565808541888736, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{43., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 210, 32815565808541888736, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{72., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Background->RGBColor[0.9657, 0.9753, 0.9802],
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[210]]], "Output",
 CellChangeTimes->{3.7068098605571823`*^9, 3.7068201978937488`*^9, 
  3.706820460995717*^9, 3.70682056128776*^9, 3.7068215284784875`*^9, 
  3.710709736728322*^9, 3.710709873501728*^9, 3.7107131324372444`*^9, 
  3.7107135407995167`*^9, 3.710714178121983*^9, 3.7107143331381073`*^9, 
  3.710714631350134*^9, 3.7107146722513247`*^9, 3.710717318908145*^9, 
  3.7107602073496785`*^9, 3.710964479952572*^9, 3.710969410053177*^9, 
  3.7110279976160817`*^9, 3.711029253952984*^9, 3.7110395006566067`*^9, 
  3.711056479385795*^9, 3.711139622599363*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "We", " ", "substitute", " ", "the", " ", "energy", " ", "of", " ", "the", 
    " ", "gravitational", " ", "waves", " ", "emitted", " ", "for", " ", 
    "the", " ", "change", " ", "in", " ", "the", " ", "mass", " ", "of", " ", 
    "the", " ", "black", " ", "hole"}], ",", " ", 
   RowBox[{
   "or", " ", "half", " ", "the", " ", "change", " ", "in", " ", "the", " ", 
    "Schwarzschild", " ", 
    RowBox[{"radius", ".", " ", "We"}], " ", "eliminate", " ", "two", " ", 
    "orders", " ", "of", " ", "derivatives", " ", "by", " ", "substituting", 
    " ", "and", " ", "simplifying", " ", "the", " ", "derivatives", " ", "of",
     " ", "tret", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
      "which", " ", "depends", " ", "on", " ", "the", " ", "exact", " ", 
       "time"}], "-", 
      RowBox[{
      "varying", " ", "local", " ", "apparent", " ", "Schwarzschild", " ", 
       RowBox[{"radius", "."}]}]}], ")"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7062142703891087`*^9, 3.7062142738815684`*^9}, {
  3.7109495062611785`*^9, 3.7109495264731026`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"NOTE", ":", " ", 
   RowBox[{
   "We", " ", "need", " ", "to", " ", "break", " ", "out", " ", "the", " ", 
    "steps", " ", "to", " ", "show", " ", "that", " ", "the", " ", 
    "replacement", " ", "is", " ", 
    RowBox[{"correct", "."}]}]}], "  ", "*)"}]], "Input",
 CellChangeTimes->{{3.7062138987157445`*^9, 3.7062139398258724`*^9}, {
  3.70621397354376*^9, 3.7062143659719734`*^9}, {3.7062144025789003`*^9, 
  3.7062144818850994`*^9}, {3.7062146425466843`*^9, 3.706214643511368*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "This", " ", "is", " ", "finally", " ", "at", " ", "least", " ", "out", " ",
    "of", " ", "mixed", " ", 
   RowBox[{"coordinates", ":"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7047367054944987`*^9, 3.7047367934705544`*^9}, {
  3.705509160062249*^9, 3.7055091764538345`*^9}, {3.705509598127844*^9, 
  3.7055095999841595`*^9}, {3.70630562418342*^9, 3.7063056304399605`*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{
  "tret", ",", "radv", ",", "action", ",", "a", ",", "b", ",", " ", 
   "actionDispatch1", ",", " ", "actionDispatch2"}], "]"}]], "Input",
 CellChangeTimes->{{3.704884321309889*^9, 3.704884324465171*^9}, {
   3.7048846989445667`*^9, 3.704884699125551*^9}, {3.705511212860873*^9, 
   3.705511215260574*^9}, {3.7059646145814943`*^9, 3.7059646191245623`*^9}, 
   3.70596485701962*^9, {3.706033797718008*^9, 3.70603379996436*^9}, {
   3.7066541515647616`*^9, 3.706654163950402*^9}, {3.7068005397616816`*^9, 
   3.7068005399498024`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"actionDispatch1", "=", 
  RowBox[{"Dispatch", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", 
        RowBox[{"{", 
         RowBox[{"t_", ",", "2"}], "}"}]], 
       RowBox[{"Hold", "[", 
        RowBox[{"tret", "[", 
         RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}], "\[Rule]", "dtretDt2"}], 
     ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "t_"], 
       RowBox[{"Hold", "[", 
        RowBox[{"tret", "[", 
         RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}], "\[Rule]", "dtretDt"}], 
     ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", 
        RowBox[{"{", 
         RowBox[{"r_", ",", "2"}], "}"}]], 
       RowBox[{"Hold", "[", 
        RowBox[{"tret", "[", 
         RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}], "\[Rule]", "dtretDr2"}], 
     ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "r_"], 
       RowBox[{"Hold", "[", 
        RowBox[{"tret", "[", 
         RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}], "\[Rule]", "dtretDr"}], 
     ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "tret_"], 
       RowBox[{"rs", "[", "tret_", "]"}]}], "\[Rule]", 
      RowBox[{
       RowBox[{"-", "4"}], "a0", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"HeavisideTheta", "[", 
          RowBox[{"tret", "-", "tMinQ"}], "]"}], "-", 
         RowBox[{"HeavisideTheta", "[", 
          RowBox[{"tMaxQ", "-", "tret"}], "]"}]}], ")"}]}]}], ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", 
        RowBox[{"{", 
         RowBox[{"tret_", ",", "2"}], "}"}]], 
       RowBox[{"rs", "[", "tret_", "]"}]}], "\[Rule]", 
      RowBox[{
       RowBox[{"-", "4"}], "a0", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"DiracDelta", "[", 
          RowBox[{"tret", "-", "tMinQ"}], "]"}], "+", 
         RowBox[{"DiracDelta", "[", 
          RowBox[{"tMaxQ", "-", "tret"}], "]"}]}], ")"}]}]}]}], "}"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.705511848924629*^9, 3.705511869616305*^9}, {
   3.705512003681291*^9, 3.705512007325857*^9}, {3.7055122569768095`*^9, 
   3.7055122626098022`*^9}, {3.705692608319809*^9, 3.705692664779811*^9}, {
   3.7059589565071445`*^9, 3.705958979391015*^9}, {3.7059592055818777`*^9, 
   3.7059592710793858`*^9}, {3.7059608951693277`*^9, 3.70596094557975*^9}, 
   3.7060331392781405`*^9, 3.706033328301489*^9, {3.706033417633859*^9, 
   3.7060334375848007`*^9}, {3.7060335788540444`*^9, 
   3.7060335866557007`*^9}, {3.706033764258354*^9, 3.7060337884153357`*^9}, {
   3.7060357817010975`*^9, 3.706035788904055*^9}, {3.7064783901695986`*^9, 
   3.706478395247201*^9}, {3.7066488990156164`*^9, 3.7066489149098253`*^9}, {
   3.706649011928916*^9, 3.706649050534243*^9}, {3.7066509026013107`*^9, 
   3.7066509597835455`*^9}, {3.7066510900024133`*^9, 
   3.7066511012655077`*^9}, {3.7066533889863744`*^9, 
   3.7066534065166826`*^9}, {3.7066536012390757`*^9, 3.706653631535866*^9}, 
   3.706654109987194*^9, {3.7066956561667137`*^9, 3.706695689337053*^9}, {
   3.7067195410429025`*^9, 3.706719561946656*^9}, {3.7067195979155884`*^9, 
   3.706719704313111*^9}, {3.7067408707290697`*^9, 3.706740879762289*^9}, {
   3.7068006038039665`*^9, 3.7068006200474443`*^9}, {3.7068028449142337`*^9, 
   3.7068028481965556`*^9}, {3.706802975725704*^9, 3.706803021411002*^9}, {
   3.7068031298675423`*^9, 3.706803131197482*^9}, {3.7068071057240753`*^9, 
   3.7068071147874856`*^9}, {3.7068073540732656`*^9, 
   3.7068073649779797`*^9}, {3.7068099128871408`*^9, 3.7068099386263604`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["Dispatch",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False}, 
    PanelBox[
     PaneSelectorBox[{False->GridBox[{
        {
         PaneBox[
          ButtonBox[
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "SquarePlusIconMedium"],
            ImageSizeCache->{11., {0., 11.}}],
           Appearance->None,
           ButtonFunction:>(Typeset`open$$ = True),
           Evaluator->Automatic,
           Method->"Preemptive"],
          Alignment->{Center, Center},
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}]], 
         GraphicsBox[
          {GrayLevel[0.5], 
           PolygonBox[{{0.25, 0.5}, {0.05, 0.35}, {0.15, 0.35}, {0.35, 0.5}, {
            0.15, 0.65}, {0.05, 0.65}}], 
           PolygonBox[{{0.4, 0.5}, {0.2, 0.35}, {0.35, 0.35}, {0.55, 0.5}, {
            0.35, 0.65}, {0.2, 0.65}}], 
           PolygonBox[{{0.95, 0.5}, {0.55, 0.1}, {0.6, 0.35}, {0.4, 0.35}, {
            0.6, 0.5}, {0.4, 0.65}, {0.6, 0.65}, {0.55, 0.9}}]},
          AspectRatio->1,
          Axes->False,
          Background->GrayLevel[0.93],
          Frame->True,
          FrameStyle->Directive[
            Thickness[Tiny], 
            GrayLevel[0.7]],
          FrameTicks->None,
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}],
          PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}}], GridBox[{
           {
            RowBox[{
             TagBox["\<\"Length: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["6",
              "SummaryItem"]}]}
          },
          AutoDelete->False,
          
          BaseStyle->{
           ShowStringCharacters -> False, NumberMarks -> False, 
            PrintPrecision -> 3, ShowSyntaxStyles -> False},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}
       },
       AutoDelete->False,
       BaselinePosition->{1, 1},
       GridBoxAlignment->{"Rows" -> {{Top}}},
       GridBoxItemSize->{
        "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], True->GridBox[{
        {
         PaneBox[
          ButtonBox[
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "SquareMinusIconMedium"]],
           Appearance->None,
           ButtonFunction:>(Typeset`open$$ = False),
           Evaluator->Automatic,
           Method->"Preemptive"],
          Alignment->{Center, Center},
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}]], 
         GraphicsBox[
          {GrayLevel[0.5], 
           PolygonBox[{{0.25, 0.5}, {0.05, 0.35}, {0.15, 0.35}, {0.35, 0.5}, {
            0.15, 0.65}, {0.05, 0.65}}], 
           PolygonBox[{{0.4, 0.5}, {0.2, 0.35}, {0.35, 0.35}, {0.55, 0.5}, {
            0.35, 0.65}, {0.2, 0.65}}], 
           PolygonBox[{{0.95, 0.5}, {0.55, 0.1}, {0.6, 0.35}, {0.4, 0.35}, {
            0.6, 0.5}, {0.4, 0.65}, {0.6, 0.65}, {0.55, 0.9}}]},
          AspectRatio->1,
          Axes->False,
          Background->GrayLevel[0.93],
          Frame->True,
          FrameStyle->Directive[
            Thickness[Tiny], 
            GrayLevel[0.7]],
          FrameTicks->None,
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}],
          PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}}], GridBox[{
           {
            RowBox[{
             TagBox["\<\"Length: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["6",
              "SummaryItem"]}]},
           {
            RowBox[{
             TagBox["\<\"Rules:\"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["\<\"\"\>",
              "SummaryItem"]}]},
           {
            TagBox[
             TagBox[GridBox[{
                {
                 RowBox[{
                  RowBox[{
                   SubscriptBox["\[PartialD]", 
                    RowBox[{"{", 
                    RowBox[{"t_", ",", "2"}], "}"}]], 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}], "\[Rule]", 
                  FractionBox[
                   RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "4"]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]]}], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "4"]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]], "-", 
                    FractionBox[
                    RowBox[{"8", " ", "a0", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "4"]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", "t", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "4"]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "-", 
                    FractionBox[
                    RowBox[{"32", " ", 
                    SuperscriptBox["a0", "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "4"]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "-", 
                    FractionBox[
                    RowBox[{"16", " ", 
                    SuperscriptBox["a0", "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "4"]}], 
                    RowBox[{
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "4"]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "4"]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "-", 
                    FractionBox[
                    RowBox[{"32", " ", 
                    SuperscriptBox["a0", "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "5"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "5"]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "-", 
                    FractionBox[
                    RowBox[{"16", " ", 
                    SuperscriptBox["a0", "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "5"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "3"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "5"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "+", 
                    FractionBox[
                    RowBox[{"32", " ", 
                    SuperscriptBox["a0", "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", 
                    SuperscriptBox["r", "2"]}], "+", 
                    RowBox[{"2", " ", "r", " ", "t"}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{"t", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}]}]}],
                     ")"}]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "3"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", 
                    SuperscriptBox["r", "2"]}], "+", 
                    RowBox[{"2", " ", "r", " ", "t"}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{"t", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}]}]}],
                     ")"}]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "+", 
                    FractionBox[
                    RowBox[{"8", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}]}]], "-", 
                    FractionBox[
                    RowBox[{"8", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}]}]]}], ")"}]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}]}]], "-", 
                    FractionBox[
                    RowBox[{"8", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]]}], "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}]}]]}], ")"}]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}]}]], "-", 
                    FractionBox[
                    RowBox[{"8", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "-", 
                    FractionBox[
                    RowBox[{"8", " ", "a0", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]], "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", "t", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]], "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "3"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]], "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "3"]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}]}]]}], ")"}]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}]}]]}], 
                   RowBox[{"1", "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}]}],
                     "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    "+", 
                    FractionBox[
                    RowBox[{"8", " ", "a0", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}]}], 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", "t", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}]}], 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}]}], 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]], "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", 
                    SuperscriptBox["r", "2"]}], "+", 
                    RowBox[{"2", " ", "r", " ", "t"}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{"t", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}]}]}],
                     ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]]}]]}]},
                {
                 RowBox[{
                  RowBox[{
                   SubscriptBox["\[PartialD]", "t_"], 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}], "\[Rule]", 
                  FractionBox[
                   SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], 
                   RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]]}]},
                {
                 RowBox[{
                  RowBox[{
                   SubscriptBox["\[PartialD]", 
                    RowBox[{"{", 
                    RowBox[{"r_", ",", "2"}], "}"}]], 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}], "\[Rule]", 
                  FractionBox[
                   RowBox[{
                    RowBox[{"-", 
                    FractionBox["4", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]]}], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "4"]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "4"]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]], "-", 
                    FractionBox[
                    RowBox[{"8", " ", "a0", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "4"]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", "t", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "4"]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "-", 
                    FractionBox[
                    RowBox[{"16", " ", 
                    SuperscriptBox["a0", "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "4"]}], 
                    RowBox[{
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "4"]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "4"]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "5"]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "5"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", 
                    SuperscriptBox["r", "2"]}], "+", 
                    RowBox[{"2", " ", "r", " ", "t"}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{"t", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}]}]}],
                     ")"}]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "-", 
                    FractionBox[
                    RowBox[{"16", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}]}]], "-", 
                    FractionBox[
                    RowBox[{"8", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]]}], ")"}]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}]}]], "-", 
                    FractionBox[
                    RowBox[{"8", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "3"], " ", 
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]]}], ")"}]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}]}]], "-", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]]}], ")"}], "2"]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "3"]], "+", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", 
                    SuperscriptBox["r", "2"]}], "+", 
                    RowBox[{"2", " ", "r", " ", "t"}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{"t", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}]}]}],
                     ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]]}], ")"}], "2"]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "3"]], "-", 
                    FractionBox[
                    RowBox[{"8", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}]}]]}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]]}], ")"}]}]}], ")"}]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}]}]], "+", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "2"}], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]]}], ")"}]}], 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]]}], 
                    ")"}]}], 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], "-", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "4"}], " ", "r"}], "+", 
                    RowBox[{"2", " ", "t"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "-", 
                    FractionBox[
                    RowBox[{"8", " ", "a0", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]], "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", "t", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "3"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "2"}], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]]}], ")"}]}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]]}], ")"}]}], "+", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]]}], ")"}]}], 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]]}], 
                    ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]]}], 
                   RowBox[{"1", "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}]}],
                     "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    "+", 
                    FractionBox[
                    RowBox[{"8", " ", "a0", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}]}], 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", "t", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}]}], 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}]}], 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]], "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", 
                    SuperscriptBox["r", "2"]}], "+", 
                    RowBox[{"2", " ", "r", " ", "t"}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{"t", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}]}]}],
                     ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]]}]]}]},
                {
                 RowBox[{
                  RowBox[{
                   SubscriptBox["\[PartialD]", "r_"], 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}], "\[Rule]", 
                  RowBox[{"-", 
                   FractionBox[
                    RowBox[{"4", " ", 
                    SuperscriptBox["r", "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]]}]}]},
                {
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret_", "]"}], "\[Rule]", 
                  RowBox[{
                   RowBox[{"-", "4"}], " ", "a0", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", "tret"}], "]"}]}], ")"}]}]}]},
                {
                 ItemBox["\<\"\[VerticalEllipsis]\"\>",
                  Alignment->Center,
                  StripOnInput->False]}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              "Column"],
             "SummaryItem"]}
          },
          AutoDelete->False,
          
          BaseStyle->{
           ShowStringCharacters -> False, NumberMarks -> False, 
            PrintPrecision -> 3, ShowSyntaxStyles -> False},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}
       },
       AutoDelete->False,
       BaselinePosition->{1, 1},
       GridBoxAlignment->{"Rows" -> {{Top}}},
       GridBoxItemSize->{
        "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
      Typeset`open$$],
      ImageSize->Automatic],
     BaselinePosition->Baseline],
    DynamicModuleValues:>{}], "]"}],
  Dispatch[{D[
      Hold[
       $CellContext`tret[
        Pattern[$CellContext`t, 
         Blank[]], 
        Pattern[$CellContext`r, 
         Blank[]]]], {
       Pattern[$CellContext`t, 
        Blank[]], 2}] -> (1 + 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) + 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) Log[
          $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 
       8 $CellContext`a0 $CellContext`r (-
          HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])/(
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]) - 
       4 $CellContext`a0 $CellContext`t (-
         HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])/(
       2 $CellContext`r - $CellContext`rs[
        Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]]) + 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
        Log[2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
          2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] - 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) Log[
         $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
         2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) \
$CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
        Log[2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
          2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) - 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
         2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-2) \
$CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) + 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
          2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-2) ((-2) \
$CellContext`r^2 + 2 $CellContext`r $CellContext`t + 
         2 $CellContext`r $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] - \
$CellContext`t $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
           2 $CellContext`r - $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])))^(-1) \
((-4) $CellContext`a0 (DiracDelta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        DiracDelta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^4 (((-2) \
$CellContext`r + $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
         4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
           2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
           2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
             Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
         4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) - 
      4 $CellContext`a0 (DiracDelta[$CellContext`tMaxQ - Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       DiracDelta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) Log[
        $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]] ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^4 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) - 
      8 $CellContext`a0 $CellContext`r (DiracDelta[$CellContext`tMaxQ - Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       DiracDelta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^4 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) + 
      4 $CellContext`a0 $CellContext`t (DiracDelta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        DiracDelta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
         2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^4 (((-2) \
$CellContext`r + $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
         4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
           2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
           2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
             Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
         4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) - 
      32 $CellContext`a0^2 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^4 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) - 
      16 $CellContext`a0^2 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 \
$CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^4 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) - 
      4 $CellContext`a0 (DiracDelta[$CellContext`tMaxQ - Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       DiracDelta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
      Log[2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) \
$CellContext`rs[
        Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^4 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) + 
      4 $CellContext`a0 (DiracDelta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        DiracDelta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) Log[
         $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
         2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) \
$CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^4 (((-2) \
$CellContext`r + $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
         4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
           2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
           2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
             Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
         4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) - 
      32 $CellContext`a0^2 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-2) ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^5 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) - 
      4 $CellContext`a0 (DiracDelta[$CellContext`tMaxQ - Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       DiracDelta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
      Log[2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^5 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) - 
      16 $CellContext`a0^2 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-3) \
$CellContext`rs[
        Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^5 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) + 
      4 $CellContext`a0 (DiracDelta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        DiracDelta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
         2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-2) \
$CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^5 (((-2) \
$CellContext`r + $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
         4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
           2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
           2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
             Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
         4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) + 
      32 $CellContext`a0^2 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 (
         2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-3) ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^4 ((-2) \
$CellContext`r^2 + 2 $CellContext`r $CellContext`t + 
        2 $CellContext`r $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] - \
$CellContext`t $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
          2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        Log[2 $CellContext`r - $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]] \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])) (((-2) \
$CellContext`r + $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
         4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
           2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
           2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
             Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
         4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) - 
      4 $CellContext`a0 (DiracDelta[$CellContext`tMaxQ - Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       DiracDelta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-2) ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^4 ((-2) \
$CellContext`r^2 + 2 $CellContext`r $CellContext`t + 
       2 $CellContext`r $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] - \
$CellContext`t $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + Log[
          $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
         2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       Log[2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])) (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) + 
      8 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
         2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
       4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
       4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
        2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
        2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
          Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)) - 
      8 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       HeavisideTheta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-1) (
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) Log[
          $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] ((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)) - 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]) $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
       4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
       4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
        2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
        2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
          Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))) - 
      8 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       HeavisideTheta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-1) \
((-4) $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
        Log[2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] ((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)) + 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
          2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))) - 
      8 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       HeavisideTheta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-2) ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-1) (
       2 $CellContext`r - $CellContext`rs[
        Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]] - 
       8 $CellContext`a0 $CellContext`r (-
         HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
       4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
       4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
        2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
        2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
          Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)) + 
       4 $CellContext`a0 $CellContext`t (-
          HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)) - 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
       4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
       4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
        2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
        2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
          Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)) - 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) Log[
         $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
       4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
       4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
        2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
        2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
          Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)) - 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
       Log[2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]] \
$CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
       4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
       4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
        2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
        2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
          Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)) + 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) Log[
          $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)) - 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
       Log[2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]] ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^3/(((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
       4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
       4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
        2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
        2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
          Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)) + 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
          2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^3/(((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)))), D[
      Hold[
       $CellContext`tret[
        Pattern[$CellContext`t, 
         Blank[]], 
        Pattern[$CellContext`r, 
         Blank[]]]], 
      Pattern[$CellContext`t, 
       Blank[]]] -> ((-2) $CellContext`r + $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
     4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]] (
       2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
       2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
         Log[2 $CellContext`r - $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
          $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
     4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]] (
      2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
          $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
      2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
        Log[2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
         $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)), D[
      Hold[
       $CellContext`tret[
        Pattern[$CellContext`t, 
         Blank[]], 
        Pattern[$CellContext`r, 
         Blank[]]]], {
       Pattern[$CellContext`r, 
        Blank[]], 2}] -> (1 + 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) + 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) Log[
          $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 
       8 $CellContext`a0 $CellContext`r (-
          HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])/(
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]) - 
       4 $CellContext`a0 $CellContext`t (-
         HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])/(
       2 $CellContext`r - $CellContext`rs[
        Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]]) + 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
        Log[2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
          2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] - 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) Log[
         $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
         2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) \
$CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
        Log[2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
          2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) - 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
         2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-2) \
$CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) + 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
          2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-2) ((-2) \
$CellContext`r^2 + 2 $CellContext`r $CellContext`t + 
         2 $CellContext`r $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] - \
$CellContext`t $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
           2 $CellContext`r - $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])))^(-1) \
((-4)/(2 $CellContext`r - $CellContext`rs[
        Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]]) - 
      4 $CellContext`a0 (DiracDelta[$CellContext`tMaxQ - Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       DiracDelta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^4 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) - 
      4 $CellContext`a0 (DiracDelta[$CellContext`tMaxQ - Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       DiracDelta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) Log[
        $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]] ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^4 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) - 
      8 $CellContext`a0 $CellContext`r (DiracDelta[$CellContext`tMaxQ - Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       DiracDelta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^4 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) + 
      4 $CellContext`a0 $CellContext`t (DiracDelta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        DiracDelta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
         2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^4 (((-2) \
$CellContext`r + $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
         4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
           2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
           2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
             Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
         4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) - 
      16 $CellContext`a0^2 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 \
$CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^4 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) - 
      4 $CellContext`a0 (DiracDelta[$CellContext`tMaxQ - Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       DiracDelta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
      Log[2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) \
$CellContext`rs[
        Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^4 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) + 
      4 $CellContext`a0 (DiracDelta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        DiracDelta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) Log[
         $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
         2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) \
$CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^4 (((-2) \
$CellContext`r + $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
         4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
           2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
           2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
             Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
         4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) - 
      4 $CellContext`a0 (DiracDelta[$CellContext`tMaxQ - Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       DiracDelta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
      Log[2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^5 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) + 
      4 $CellContext`a0 (DiracDelta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        DiracDelta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
         2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-2) \
$CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^5 (((-2) \
$CellContext`r + $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
         4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
           2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
           2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
             Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
         4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) - 
      4 $CellContext`a0 (DiracDelta[$CellContext`tMaxQ - Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       DiracDelta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-2) ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^4 ((-2) \
$CellContext`r^2 + 2 $CellContext`r $CellContext`t + 
       2 $CellContext`r $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] - \
$CellContext`t $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + Log[
          $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
         2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       Log[2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])) (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) - 
      16 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       HeavisideTheta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
      4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] (
        2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
        2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
          Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
      4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] (
       2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
       2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
         Log[2 $CellContext`r - $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
          $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)) - 
      8 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       HeavisideTheta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-1) (2 + 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))) - 
      8 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       HeavisideTheta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-2) ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^3 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-1) (2 + 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))) - (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-3) \
$CellContext`rs[
        Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]) (2 + 
        4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
          HeavisideTheta[-$CellContext`tMinQ + Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
         4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
           2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
           2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
             Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
         4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)))^2 + 
      2 (2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-3) ((-2) \
$CellContext`r^2 + 2 $CellContext`r $CellContext`t + 
        2 $CellContext`r $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] - \
$CellContext`t $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
          2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        Log[2 $CellContext`r - $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]] \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])) (2 + 
         4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
           HeavisideTheta[-$CellContext`tMinQ + Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
          4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] (
            2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                  Hold[
                   $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 
              Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
            2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                 $CellContext`rs[
                  Hold[
                   $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
              Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
          4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] (
           2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
           2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
             Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)))^2 - 
      8 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       HeavisideTheta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-1) \
((-4) $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
         2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)) + Log[
          $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] (2 + 
         4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
           HeavisideTheta[-$CellContext`tMinQ + Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
          4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] (
            2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                  Hold[
                   $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 
              Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
            2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                 $CellContext`rs[
                  Hold[
                   $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
              Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
          4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] (
           2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
           2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
             Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)))) + 
      2 (2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) (-2 - 
        4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))) ((-4) \
$CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
          HeavisideTheta[-$CellContext`tMinQ + Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
         Log[2 $CellContext`r - $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]] ((-2) \
$CellContext`r + $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
         4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
           2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
           2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
             Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
         4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)) + (
           2 $CellContext`r - $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (2 + 
          4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
            HeavisideTheta[-$CellContext`tMinQ + Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
           4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] (
             2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                   Hold[
                    $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 
               Log[
                 $CellContext`rs[
                  Hold[
                   $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
             2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                  Hold[
                   $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 
               2 Log[
                  $CellContext`rs[
                   Hold[
                    $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
               Log[2 $CellContext`r - $CellContext`rs[
                  Hold[
                   $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
           4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] (
            2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                  Hold[
                   $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 
              Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
            2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                 $CellContext`rs[
                  Hold[
                   $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
              Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)))) - 
      2 (2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-2) (2 + 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))) ((-4) \
$CellContext`r + 2 $CellContext`t + 2 $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] - 
       8 $CellContext`a0 $CellContext`r (-
         HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
       4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
       4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
        2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
        2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
          Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)) + 
       4 $CellContext`a0 $CellContext`t (-
          HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)) - 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
       4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
       4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
        2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
        2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
          Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)) - 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) Log[
         $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
       4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
       4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
        2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
        2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
          Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)) - 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
       Log[2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]] ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^3/(((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
       4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
       4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
        2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
        2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
          Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)) + 
       Log[2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (-2 - 
         4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
          HeavisideTheta[-$CellContext`tMinQ + Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
         4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
           2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
           2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
             Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
         4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))) + Log[
          $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (2 + 
         4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
           HeavisideTheta[-$CellContext`tMinQ + Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
          4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] (
            2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                  Hold[
                   $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 
              Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
            2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                 $CellContext`rs[
                  Hold[
                   $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
              Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
          4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] (
           2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
           2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
             Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))) + (
          2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) (2 + 
         4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
           HeavisideTheta[-$CellContext`tMinQ + Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
          4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] (
            2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                  Hold[
                   $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 
              Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
            2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                 $CellContext`rs[
                  Hold[
                   $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
              Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
          4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] (
           2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
           2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
             Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))))), D[
      Hold[
       $CellContext`tret[
        Pattern[$CellContext`t, 
         Blank[]], 
        Pattern[$CellContext`r, 
         Blank[]]]], 
      Pattern[$CellContext`r, 
       Blank[]]] -> (-4) $CellContext`r^2/(((-2) $CellContext`r + \
$CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
     4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]] (
       2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
       2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
         Log[2 $CellContext`r - $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
          $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
     4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]] (
      2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
          $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
      2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
        Log[2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
         $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)), 
    Derivative[1][$CellContext`rs][
      Pattern[$CellContext`tret, 
       Blank[]]] -> (-4) $CellContext`a0 (-
       HeavisideTheta[$CellContext`tMaxQ - $CellContext`tret] + 
      HeavisideTheta[-$CellContext`tMinQ + $CellContext`tret]), 
    Derivative[2][$CellContext`rs][
      Pattern[$CellContext`tret, 
       Blank[]]] -> (-4) $CellContext`a0 (
      DiracDelta[$CellContext`tMaxQ - $CellContext`tret] + 
      DiracDelta[-$CellContext`tMinQ + $CellContext`tret])}],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.706809861438793*^9, 3.70680996478586*^9, 
  3.706820197974819*^9, 3.7068204610627775`*^9, 3.706820561358797*^9, 
  3.706821528550521*^9, 3.710709736791356*^9, 3.7107098736027994`*^9, 
  3.710713187691578*^9, 3.7107135408935957`*^9, 3.7107141785072527`*^9, 
  3.710714333532384*^9, 3.710714631735407*^9, 3.710714672317371*^9, 
  3.710717319282398*^9, 3.710760207803999*^9, 3.7109644803438616`*^9, 
  3.710969410459195*^9, 3.711027998037363*^9, 3.7110292543152533`*^9, 
  3.7110395010328703`*^9, 3.7110564797980194`*^9, 3.711139622981629*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"actionDispatch2", "=", 
  RowBox[{"Dispatch", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", 
        RowBox[{"{", 
         RowBox[{"t_", ",", "2"}], "}"}]], 
       RowBox[{"tret", "[", 
        RowBox[{"t_", ",", "r_"}], "]"}]}], "\[Rule]", "dtretDt2"}], ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "t_"], 
       RowBox[{"tret", "[", 
        RowBox[{"t_", ",", "r_"}], "]"}]}], "\[Rule]", "dtretDt"}], ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", 
        RowBox[{"{", 
         RowBox[{"r_", ",", "2"}], "}"}]], 
       RowBox[{"tret", "[", 
        RowBox[{"t_", ",", "r_"}], "]"}]}], "\[Rule]", "dtretDr2"}], ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "r_"], 
       RowBox[{"tret", "[", 
        RowBox[{"t_", ",", "r_"}], "]"}]}], "\[Rule]", "dtretDr"}], ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "tret_"], 
       RowBox[{"rs", "[", "tret_", "]"}]}], "\[Rule]", 
      RowBox[{
       RowBox[{"-", "4"}], "a0", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"HeavisideTheta", "[", 
          RowBox[{"tret", "-", "tMinQ"}], "]"}], "-", 
         RowBox[{"HeavisideTheta", "[", 
          RowBox[{"tMaxQ", "-", "tret"}], "]"}]}], ")"}]}]}], ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", 
        RowBox[{"{", 
         RowBox[{"tret_", ",", "2"}], "}"}]], 
       RowBox[{"rs", "[", "tret_", "]"}]}], "\[Rule]", 
      RowBox[{
       RowBox[{"-", "4"}], "a0", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"DiracDelta", "[", 
          RowBox[{"tret", "-", "tMinQ"}], "]"}], "+", 
         RowBox[{"DiracDelta", "[", 
          RowBox[{"tMaxQ", "-", "tret"}], "]"}]}], ")"}]}]}]}], "}"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.705511848924629*^9, 3.705511869616305*^9}, {
   3.705512003681291*^9, 3.705512007325857*^9}, {3.7055122569768095`*^9, 
   3.7055122626098022`*^9}, {3.705692608319809*^9, 3.705692664779811*^9}, {
   3.7059589565071445`*^9, 3.705958979391015*^9}, {3.7059592055818777`*^9, 
   3.7059592710793858`*^9}, {3.7059608951693277`*^9, 3.70596094557975*^9}, 
   3.7060331392781405`*^9, 3.706033328301489*^9, {3.706033417633859*^9, 
   3.7060334375848007`*^9}, {3.7060335788540444`*^9, 
   3.7060335866557007`*^9}, {3.706033764258354*^9, 3.7060337884153357`*^9}, {
   3.7060357817010975`*^9, 3.706035788904055*^9}, {3.7064783901695986`*^9, 
   3.706478395247201*^9}, {3.7066488990156164`*^9, 3.7066489149098253`*^9}, {
   3.706649011928916*^9, 3.706649050534243*^9}, {3.7066509026013107`*^9, 
   3.7066509597835455`*^9}, {3.7066510900024133`*^9, 
   3.7066511012655077`*^9}, {3.7066533889863744`*^9, 
   3.7066534065166826`*^9}, {3.7066536012390757`*^9, 3.706653631535866*^9}, {
   3.706654109987194*^9, 3.706654143562581*^9}, {3.706695712617319*^9, 
   3.7066957343327074`*^9}, 3.7067197635999155`*^9, {3.7068030406254253`*^9, 
   3.706803123715211*^9}, {3.706807117530428*^9, 3.7068071288654613`*^9}, {
   3.706807371104313*^9, 3.706807381080411*^9}, {3.706809904129949*^9, 
   3.706809928438141*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["Dispatch",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False}, 
    PanelBox[
     PaneSelectorBox[{False->GridBox[{
        {
         PaneBox[
          ButtonBox[
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "SquarePlusIconMedium"],
            ImageSizeCache->{11., {0., 11.}}],
           Appearance->None,
           ButtonFunction:>(Typeset`open$$ = True),
           Evaluator->Automatic,
           Method->"Preemptive"],
          Alignment->{Center, Center},
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}]], 
         GraphicsBox[
          {GrayLevel[0.5], 
           PolygonBox[{{0.25, 0.5}, {0.05, 0.35}, {0.15, 0.35}, {0.35, 0.5}, {
            0.15, 0.65}, {0.05, 0.65}}], 
           PolygonBox[{{0.4, 0.5}, {0.2, 0.35}, {0.35, 0.35}, {0.55, 0.5}, {
            0.35, 0.65}, {0.2, 0.65}}], 
           PolygonBox[{{0.95, 0.5}, {0.55, 0.1}, {0.6, 0.35}, {0.4, 0.35}, {
            0.6, 0.5}, {0.4, 0.65}, {0.6, 0.65}, {0.55, 0.9}}]},
          AspectRatio->1,
          Axes->False,
          Background->GrayLevel[0.93],
          Frame->True,
          FrameStyle->Directive[
            Thickness[Tiny], 
            GrayLevel[0.7]],
          FrameTicks->None,
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}],
          PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}}], GridBox[{
           {
            RowBox[{
             TagBox["\<\"Length: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["6",
              "SummaryItem"]}]}
          },
          AutoDelete->False,
          
          BaseStyle->{
           ShowStringCharacters -> False, NumberMarks -> False, 
            PrintPrecision -> 3, ShowSyntaxStyles -> False},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}
       },
       AutoDelete->False,
       BaselinePosition->{1, 1},
       GridBoxAlignment->{"Rows" -> {{Top}}},
       GridBoxItemSize->{
        "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], True->GridBox[{
        {
         PaneBox[
          ButtonBox[
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "SquareMinusIconMedium"]],
           Appearance->None,
           ButtonFunction:>(Typeset`open$$ = False),
           Evaluator->Automatic,
           Method->"Preemptive"],
          Alignment->{Center, Center},
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}]], 
         GraphicsBox[
          {GrayLevel[0.5], 
           PolygonBox[{{0.25, 0.5}, {0.05, 0.35}, {0.15, 0.35}, {0.35, 0.5}, {
            0.15, 0.65}, {0.05, 0.65}}], 
           PolygonBox[{{0.4, 0.5}, {0.2, 0.35}, {0.35, 0.35}, {0.55, 0.5}, {
            0.35, 0.65}, {0.2, 0.65}}], 
           PolygonBox[{{0.95, 0.5}, {0.55, 0.1}, {0.6, 0.35}, {0.4, 0.35}, {
            0.6, 0.5}, {0.4, 0.65}, {0.6, 0.65}, {0.55, 0.9}}]},
          AspectRatio->1,
          Axes->False,
          Background->GrayLevel[0.93],
          Frame->True,
          FrameStyle->Directive[
            Thickness[Tiny], 
            GrayLevel[0.7]],
          FrameTicks->None,
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}],
          PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}}], GridBox[{
           {
            RowBox[{
             TagBox["\<\"Length: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["6",
              "SummaryItem"]}]},
           {
            RowBox[{
             TagBox["\<\"Rules:\"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["\<\"\"\>",
              "SummaryItem"]}]},
           {
            TagBox[
             TagBox[GridBox[{
                {
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["tret", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"2", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                   RowBox[{"t_", ",", "r_"}], "]"}], "\[Rule]", 
                  FractionBox[
                   RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "4"]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]]}], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "4"]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]], "-", 
                    FractionBox[
                    RowBox[{"8", " ", "a0", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "4"]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", "t", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "4"]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "-", 
                    FractionBox[
                    RowBox[{"32", " ", 
                    SuperscriptBox["a0", "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "4"]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "-", 
                    FractionBox[
                    RowBox[{"16", " ", 
                    SuperscriptBox["a0", "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "4"]}], 
                    RowBox[{
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "4"]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "4"]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "-", 
                    FractionBox[
                    RowBox[{"32", " ", 
                    SuperscriptBox["a0", "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "5"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "5"]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "-", 
                    FractionBox[
                    RowBox[{"16", " ", 
                    SuperscriptBox["a0", "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "5"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "3"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "5"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "+", 
                    FractionBox[
                    RowBox[{"32", " ", 
                    SuperscriptBox["a0", "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", 
                    SuperscriptBox["r", "2"]}], "+", 
                    RowBox[{"2", " ", "r", " ", "t"}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{"t", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}]}]}],
                     ")"}]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "3"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", 
                    SuperscriptBox["r", "2"]}], "+", 
                    RowBox[{"2", " ", "r", " ", "t"}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{"t", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}]}]}],
                     ")"}]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "+", 
                    FractionBox[
                    RowBox[{"8", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}]}]], "-", 
                    FractionBox[
                    RowBox[{"8", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}]}]]}], ")"}]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}]}]], "-", 
                    FractionBox[
                    RowBox[{"8", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]]}], "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}]}]]}], ")"}]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}]}]], "-", 
                    FractionBox[
                    RowBox[{"8", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "-", 
                    FractionBox[
                    RowBox[{"8", " ", "a0", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]], "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", "t", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]], "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "3"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]], "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "3"]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}]}]]}], ")"}]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}]}]]}], 
                   RowBox[{"1", "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}]}],
                     "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    "+", 
                    FractionBox[
                    RowBox[{"8", " ", "a0", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}]}], 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", "t", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}]}], 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}]}], 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]], "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", 
                    SuperscriptBox["r", "2"]}], "+", 
                    RowBox[{"2", " ", "r", " ", "t"}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{"t", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}]}]}],
                     ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]]}]]}]},
                {
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["tret", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"1", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                   RowBox[{"t_", ",", "r_"}], "]"}], "\[Rule]", 
                  FractionBox[
                   SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], 
                   RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]]}]},
                {
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["tret", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                   RowBox[{"t_", ",", "r_"}], "]"}], "\[Rule]", 
                  FractionBox[
                   RowBox[{
                    RowBox[{"-", 
                    FractionBox["4", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]]}], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "4"]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "4"]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]], "-", 
                    FractionBox[
                    RowBox[{"8", " ", "a0", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "4"]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", "t", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "4"]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "-", 
                    FractionBox[
                    RowBox[{"16", " ", 
                    SuperscriptBox["a0", "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "4"]}], 
                    RowBox[{
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "4"]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "4"]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "5"]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "5"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", 
                    SuperscriptBox["r", "2"]}], "+", 
                    RowBox[{"2", " ", "r", " ", "t"}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{"t", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}]}]}],
                     ")"}]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}], "2"]}]], "-", 
                    FractionBox[
                    RowBox[{"16", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}]}]], "-", 
                    FractionBox[
                    RowBox[{"8", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]]}], ")"}]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}]}]], "-", 
                    FractionBox[
                    RowBox[{"8", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "3"], " ", 
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]]}], ")"}]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}]}]], "-", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]]}], ")"}], "2"]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "3"]], "+", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", 
                    SuperscriptBox["r", "2"]}], "+", 
                    RowBox[{"2", " ", "r", " ", "t"}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{"t", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}]}]}],
                     ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]]}], ")"}], "2"]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "3"]], "-", 
                    FractionBox[
                    RowBox[{"8", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}]}]]}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]]}], ")"}]}]}], ")"}]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}], ")"}]}]], "+", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "2"}], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]]}], ")"}]}], 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]]}], 
                    ")"}]}], 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], "-", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "4"}], " ", "r"}], "+", 
                    RowBox[{"2", " ", "t"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "-", 
                    FractionBox[
                    RowBox[{"8", " ", "a0", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]], "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", "t", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "3"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "2"}], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]]}], ")"}]}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]]}], ")"}]}], "+", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]]}], ")"}]}], 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]]}], 
                    ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]]}], 
                   RowBox[{"1", "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}]}],
                     "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    "+", 
                    FractionBox[
                    RowBox[{"8", " ", "a0", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}]}], 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", "t", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}]}], 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}]}], 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]], "+", 
                    FractionBox[
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", 
                    SuperscriptBox["r", "2"]}], "+", 
                    RowBox[{"2", " ", "r", " ", "t"}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{"t", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}]}]}],
                     ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]]}]]}]},
                {
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["tret", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                   RowBox[{"t_", ",", "r_"}], "]"}], "\[Rule]", 
                  RowBox[{"-", 
                   FractionBox[
                    RowBox[{"4", " ", 
                    SuperscriptBox["r", "2"]}], 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"], "+", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}], "-", 
                    RowBox[{"4", " ", "a0", " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}]}], 
                    ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "]"}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"]}]}], 
                    ")"}]}]}]]}]}]},
                {
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret_", "]"}], "\[Rule]", 
                  RowBox[{
                   RowBox[{"-", "4"}], " ", "a0", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMaxQ", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMinQ"}], "+", "tret"}], "]"}]}], ")"}]}]}]},
                {
                 ItemBox["\<\"\[VerticalEllipsis]\"\>",
                  Alignment->Center,
                  StripOnInput->False]}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              "Column"],
             "SummaryItem"]}
          },
          AutoDelete->False,
          
          BaseStyle->{
           ShowStringCharacters -> False, NumberMarks -> False, 
            PrintPrecision -> 3, ShowSyntaxStyles -> False},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}
       },
       AutoDelete->False,
       BaselinePosition->{1, 1},
       GridBoxAlignment->{"Rows" -> {{Top}}},
       GridBoxItemSize->{
        "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
      Typeset`open$$],
      ImageSize->Automatic],
     BaselinePosition->Baseline],
    DynamicModuleValues:>{}], "]"}],
  Dispatch[{Derivative[2, 0][$CellContext`tret][
      Pattern[$CellContext`t, 
       Blank[]], 
      Pattern[$CellContext`r, 
       Blank[]]] -> (1 + 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) + 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) Log[
          $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 
       8 $CellContext`a0 $CellContext`r (-
          HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])/(
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]) - 
       4 $CellContext`a0 $CellContext`t (-
         HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])/(
       2 $CellContext`r - $CellContext`rs[
        Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]]) + 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
        Log[2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
          2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] - 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) Log[
         $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
         2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) \
$CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
        Log[2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
          2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) - 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
         2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-2) \
$CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) + 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
          2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-2) ((-2) \
$CellContext`r^2 + 2 $CellContext`r $CellContext`t + 
         2 $CellContext`r $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] - \
$CellContext`t $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
           2 $CellContext`r - $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])))^(-1) \
((-4) $CellContext`a0 (DiracDelta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        DiracDelta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^4 (((-2) \
$CellContext`r + $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
         4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
           2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
           2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
             Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
         4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) - 
      4 $CellContext`a0 (DiracDelta[$CellContext`tMaxQ - Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       DiracDelta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) Log[
        $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]] ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^4 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) - 
      8 $CellContext`a0 $CellContext`r (DiracDelta[$CellContext`tMaxQ - Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       DiracDelta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^4 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) + 
      4 $CellContext`a0 $CellContext`t (DiracDelta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        DiracDelta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
         2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^4 (((-2) \
$CellContext`r + $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
         4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
           2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
           2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
             Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
         4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) - 
      32 $CellContext`a0^2 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^4 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) - 
      16 $CellContext`a0^2 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 \
$CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^4 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) - 
      4 $CellContext`a0 (DiracDelta[$CellContext`tMaxQ - Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       DiracDelta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
      Log[2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) \
$CellContext`rs[
        Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^4 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) + 
      4 $CellContext`a0 (DiracDelta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        DiracDelta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) Log[
         $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
         2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) \
$CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^4 (((-2) \
$CellContext`r + $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
         4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
           2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
           2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
             Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
         4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) - 
      32 $CellContext`a0^2 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-2) ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^5 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) - 
      4 $CellContext`a0 (DiracDelta[$CellContext`tMaxQ - Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       DiracDelta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
      Log[2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^5 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) - 
      16 $CellContext`a0^2 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-3) \
$CellContext`rs[
        Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^5 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) + 
      4 $CellContext`a0 (DiracDelta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        DiracDelta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
         2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-2) \
$CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^5 (((-2) \
$CellContext`r + $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
         4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
           2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
           2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
             Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
         4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) + 
      32 $CellContext`a0^2 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 (
         2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-3) ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^4 ((-2) \
$CellContext`r^2 + 2 $CellContext`r $CellContext`t + 
        2 $CellContext`r $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] - \
$CellContext`t $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
          2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        Log[2 $CellContext`r - $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]] \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])) (((-2) \
$CellContext`r + $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
         4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
           2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
           2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
             Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
         4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) - 
      4 $CellContext`a0 (DiracDelta[$CellContext`tMaxQ - Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       DiracDelta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-2) ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^4 ((-2) \
$CellContext`r^2 + 2 $CellContext`r $CellContext`t + 
       2 $CellContext`r $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] - \
$CellContext`t $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + Log[
          $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
         2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       Log[2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])) (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) + 
      8 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
         2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
       4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
       4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
        2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
        2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
          Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)) - 
      8 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       HeavisideTheta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-1) (
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) Log[
          $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] ((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)) - 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]) $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
       4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
       4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
        2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
        2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
          Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))) - 
      8 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       HeavisideTheta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-1) \
((-4) $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
        Log[2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] ((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)) + 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
          2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))) - 
      8 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       HeavisideTheta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-2) ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-1) (
       2 $CellContext`r - $CellContext`rs[
        Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]] - 
       8 $CellContext`a0 $CellContext`r (-
         HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
       4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
       4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
        2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
        2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
          Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)) + 
       4 $CellContext`a0 $CellContext`t (-
          HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)) - 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
       4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
       4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
        2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
        2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
          Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)) - 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) Log[
         $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
       4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
       4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
        2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
        2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
          Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)) - 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
       Log[2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]] \
$CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
       4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
       4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
        2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
        2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
          Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)) + 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) Log[
          $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)) - 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
       Log[2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]] ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^3/(((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
       4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
       4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
        2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
        2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
          Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)) + 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
          2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^3/(((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)))), 
    Derivative[1, 0][$CellContext`tret][
      Pattern[$CellContext`t, 
       Blank[]], 
      Pattern[$CellContext`r, 
       Blank[]]] -> ((-2) $CellContext`r + $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
     4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]] (
       2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
       2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
         Log[2 $CellContext`r - $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
          $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
     4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]] (
      2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
          $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
      2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
        Log[2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
         $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)), 
    Derivative[0, 2][$CellContext`tret][
      Pattern[$CellContext`t, 
       Blank[]], 
      Pattern[$CellContext`r, 
       Blank[]]] -> (1 + 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) + 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) Log[
          $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 
       8 $CellContext`a0 $CellContext`r (-
          HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])/(
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]) - 
       4 $CellContext`a0 $CellContext`t (-
         HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])/(
       2 $CellContext`r - $CellContext`rs[
        Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]]) + 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
        Log[2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
          2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] - 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) Log[
         $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
         2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) \
$CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
        Log[2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
          2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) - 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
         2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-2) \
$CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) + 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
          2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-2) ((-2) \
$CellContext`r^2 + 2 $CellContext`r $CellContext`t + 
         2 $CellContext`r $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] - \
$CellContext`t $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
           2 $CellContext`r - $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])))^(-1) \
((-4)/(2 $CellContext`r - $CellContext`rs[
        Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]]) - 
      4 $CellContext`a0 (DiracDelta[$CellContext`tMaxQ - Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       DiracDelta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^4 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) - 
      4 $CellContext`a0 (DiracDelta[$CellContext`tMaxQ - Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       DiracDelta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) Log[
        $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]] ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^4 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) - 
      8 $CellContext`a0 $CellContext`r (DiracDelta[$CellContext`tMaxQ - Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       DiracDelta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^4 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) + 
      4 $CellContext`a0 $CellContext`t (DiracDelta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        DiracDelta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
         2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^4 (((-2) \
$CellContext`r + $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
         4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
           2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
           2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
             Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
         4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) - 
      16 $CellContext`a0^2 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 \
$CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^4 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) - 
      4 $CellContext`a0 (DiracDelta[$CellContext`tMaxQ - Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       DiracDelta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
      Log[2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) \
$CellContext`rs[
        Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^4 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) + 
      4 $CellContext`a0 (DiracDelta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        DiracDelta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) Log[
         $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
         2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) \
$CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^4 (((-2) \
$CellContext`r + $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
         4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
           2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
           2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
             Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
         4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) - 
      4 $CellContext`a0 (DiracDelta[$CellContext`tMaxQ - Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       DiracDelta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
      Log[2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^5 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) + 
      4 $CellContext`a0 (DiracDelta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        DiracDelta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
         2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-2) \
$CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^5 (((-2) \
$CellContext`r + $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
         4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
           2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
           2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
             Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
         4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) - 
      4 $CellContext`a0 (DiracDelta[$CellContext`tMaxQ - Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       DiracDelta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-2) ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^4 ((-2) \
$CellContext`r^2 + 2 $CellContext`r $CellContext`t + 
       2 $CellContext`r $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] - \
$CellContext`t $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + Log[
          $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
         2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       Log[2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])) (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-2) - 
      16 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       HeavisideTheta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
      4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] (
        2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
        2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
          Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
      4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] (
       2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
       2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
         Log[2 $CellContext`r - $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
          $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)) - 
      8 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       HeavisideTheta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-1) (2 + 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))) - 
      8 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       HeavisideTheta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-2) ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^3 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-1) (2 + 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))) - (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-3) \
$CellContext`rs[
        Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]) (2 + 
        4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
          HeavisideTheta[-$CellContext`tMinQ + Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
         4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
           2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
           2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
             Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
         4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)))^2 + 
      2 (2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-3) ((-2) \
$CellContext`r^2 + 2 $CellContext`r $CellContext`t + 
        2 $CellContext`r $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] - \
$CellContext`t $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
          2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        Log[2 $CellContext`r - $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]] \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])) (2 + 
         4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
           HeavisideTheta[-$CellContext`tMinQ + Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
          4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] (
            2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                  Hold[
                   $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 
              Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
            2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                 $CellContext`rs[
                  Hold[
                   $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
              Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
          4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] (
           2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
           2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
             Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)))^2 - 
      8 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       HeavisideTheta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 (((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))^(-1) \
((-4) $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
         2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]^(-1) ((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)) + Log[
          $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] (2 + 
         4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
           HeavisideTheta[-$CellContext`tMinQ + Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
          4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] (
            2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                  Hold[
                   $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 
              Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
            2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                 $CellContext`rs[
                  Hold[
                   $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
              Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
          4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] (
           2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
           2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
             Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)))) + 
      2 (2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) (-2 - 
        4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))) ((-4) \
$CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
          HeavisideTheta[-$CellContext`tMinQ + Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
         Log[2 $CellContext`r - $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]] ((-2) \
$CellContext`r + $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
         4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
           2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
           2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
             Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
         4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)) + (
           2 $CellContext`r - $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (2 + 
          4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
            HeavisideTheta[-$CellContext`tMinQ + Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
           4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] (
             2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                   Hold[
                    $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 
               Log[
                 $CellContext`rs[
                  Hold[
                   $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
             2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                  Hold[
                   $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 
               2 Log[
                  $CellContext`rs[
                   Hold[
                    $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
               Log[2 $CellContext`r - $CellContext`rs[
                  Hold[
                   $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
           4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] (
            2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                  Hold[
                   $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 
              Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
            2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                 $CellContext`rs[
                  Hold[
                   $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
              Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)))) - 
      2 (2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-2) (2 + 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))) ((-4) \
$CellContext`r + 2 $CellContext`t + 2 $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] - 
       8 $CellContext`a0 $CellContext`r (-
         HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
       4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
       4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
        2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
        2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
          Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)) + 
       4 $CellContext`a0 $CellContext`t (-
          HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
         HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
        4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
        4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)) - 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
       4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
       4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
        2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
        2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
          Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)) - 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) Log[
         $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]] (
        2 $CellContext`r - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
       4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
       4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
        2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
        2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
          Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)) - 
       4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        HeavisideTheta[-$CellContext`tMinQ + Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
       Log[2 $CellContext`r - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]] ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^3/(((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
       4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
         2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
           Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
       4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
        2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
        2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
          Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)) + 
       Log[2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (-2 - 
         4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
          HeavisideTheta[-$CellContext`tMinQ + Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
         4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
           2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
           2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
             Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
         4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]] (
          2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
          2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
            Log[2 $CellContext`r - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
             $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))) + Log[
          $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (2 + 
         4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
           HeavisideTheta[-$CellContext`tMinQ + Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
          4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] (
            2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                  Hold[
                   $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 
              Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
            2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                 $CellContext`rs[
                  Hold[
                   $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
              Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
          4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] (
           2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
           2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
             Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))) + (
          2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
$CellContext`r + $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) (2 + 
         4 $CellContext`a0 (-HeavisideTheta[$CellContext`tMaxQ - Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
           HeavisideTheta[-$CellContext`tMinQ + Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) ((-2) \
$CellContext`r + $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2/(((-2) \
$CellContext`r + $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
          4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] (
            2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                  Hold[
                   $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 
              Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
            2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                 $CellContext`rs[
                  Hold[
                   $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
              Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
          4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]] (
           2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
               $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
           2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
                $CellContext`rs[
                 Hold[
                  $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
             Log[2 $CellContext`r - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
              $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]^2))))), 
    Derivative[0, 1][$CellContext`tret][
      Pattern[$CellContext`t, 
       Blank[]], 
      Pattern[$CellContext`r, 
       Blank[]]] -> (-4) $CellContext`r^2/(((-2) $CellContext`r + \
$CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]])^2 + 
     4 $CellContext`a0 HeavisideTheta[$CellContext`tMaxQ - Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]] (
       2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
       2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
            $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
         Log[2 $CellContext`r - $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
          $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]^2) - 
     4 $CellContext`a0 HeavisideTheta[-$CellContext`tMinQ + Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]] (
      2 $CellContext`r^2 (-3 + 2 Log[2 $CellContext`r - $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]] - 2 Log[
          $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]]) + 
      2 $CellContext`r (1 - 2 Log[2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] + 2 Log[
           $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + (
        Log[2 $CellContext`r - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]] - Log[
         $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]]) \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]^2)), 
    Derivative[1][$CellContext`rs][
      Pattern[$CellContext`tret, 
       Blank[]]] -> (-4) $CellContext`a0 (-
       HeavisideTheta[$CellContext`tMaxQ - $CellContext`tret] + 
      HeavisideTheta[-$CellContext`tMinQ + $CellContext`tret]), 
    Derivative[2][$CellContext`rs][
      Pattern[$CellContext`tret, 
       Blank[]]] -> (-4) $CellContext`a0 (
      DiracDelta[$CellContext`tMaxQ - $CellContext`tret] + 
      DiracDelta[-$CellContext`tMinQ + $CellContext`tret])}],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.7068098623144245`*^9, 3.7068099654263296`*^9, 
  3.706820198028845*^9, 3.7068204611888733`*^9, 3.7068205614018283`*^9, 
  3.706821528590567*^9, 3.710709736812372*^9, 3.7107098736658444`*^9, 
  3.7107131880388346`*^9, 3.710713540935625*^9, 3.7107141789095383`*^9, 
  3.710714333925663*^9, 3.7107146320766487`*^9, 3.7107146723533845`*^9, 
  3.7107173196209135`*^9, 3.7107602082385645`*^9, 3.710964480727397*^9, 
  3.710969410865983*^9, 3.7110279983976183`*^9, 3.711029254702516*^9, 
  3.7110395013971415`*^9, 3.7110564802163167`*^9, 3.7111396233689027`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"NOTE", ":", " ", 
   RowBox[{
   "We", " ", "need", " ", "to", " ", "break", " ", "out", " ", "the", " ", 
    "steps", " ", "to", " ", "show", " ", "that", " ", "the", " ", 
    "replacement", " ", "is", " ", 
    RowBox[{"correct", "."}]}]}], "  ", "*)"}]], "Input",
 CellChangeTimes->{{3.7062138987157445`*^9, 3.7062139398258724`*^9}, {
  3.70621397354376*^9, 3.7062143659719734`*^9}, {3.7062144025789003`*^9, 
  3.7062144818850994`*^9}, {3.7062146425466843`*^9, 3.706214643511368*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", "part1", "]"}]], "Input",
 CellChangeTimes->{{3.70661898580243*^9, 3.706619000104952*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"part1", "=", 
   RowBox[{"mixedAction", "/.", "actionDispatch1"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.706214454049369*^9, 3.706214458529555*^9}, 
   3.7062145079665813`*^9, 3.7062145841041*^9, {3.7062146186866026`*^9, 
   3.7062146211903763`*^9}, {3.706618949977069*^9, 3.706618960477949*^9}, {
   3.706624296880173*^9, 3.7066243359762545`*^9}, {3.7066534495513477`*^9, 
   3.7066534529550567`*^9}, 3.706654174606394*^9, {3.7066961052296925`*^9, 
   3.706696108839039*^9}, {3.706740927043725*^9, 3.7067409419827576`*^9}, {
   3.7107099193622894`*^9, 3.710709924145096*^9}, 3.710713215804823*^9}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{"{", 
          RowBox[{"0.046875`", ",", 
           FractionBox[
            RowBox[{
             SuperscriptBox["r", "2"], " ", 
             RowBox[{"Abs", "[", 
              RowBox[{"Sin", "[", "theta", "]"}], "]"}], " ", 
             RowBox[{"(", 
              RowBox[{
               FractionBox[
                RowBox[{
                 RowBox[{"-", 
                  SuperscriptBox[
                   RowBox[{"Cot", "[", "theta", "]"}], "2"]}], "+", 
                 TemplateBox[{"14"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                 FractionBox[
                  RowBox[{
                   SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"], "-", 
                   RowBox[{"8", " ", 
                    TemplateBox[{"3"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], " ", 
                    RowBox[{"Sin", "[", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "]"}]}], "-", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "-", 
                   FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], 
                  RowBox[{"4", " ", 
                   SuperscriptBox["r", "2"]}]]}], 
                SuperscriptBox["r", "2"]], "+", 
               FractionBox[
                RowBox[{
                 SuperscriptBox[
                  RowBox[{"Csc", "[", "theta", "]"}], "2"], " ", 
                 RowBox[{"(", 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}], 
                SuperscriptBox["r", "2"]], "+", 
               FractionBox[
                RowBox[{
                 SuperscriptBox[
                  RowBox[{"(", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], "2"], " ", 
                 RowBox[{"(", 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}], 
                RowBox[{"4", " ", 
                 SuperscriptBox["r", "2"]}]], "-", 
               FractionBox[
                RowBox[{"4", " ", 
                 SuperscriptBox["r", "2"], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   TemplateBox[{"10"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                   FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    RowBox[{"(", 
                    RowBox[{
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]}]}], 
                    RowBox[{"8", " ", 
                    SuperscriptBox["r", "2"]}]]}], ")"}]}], 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                   RowBox[{"rs", "[", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "]"}], "+", 
                   RowBox[{"4", " ", "a0", " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"ka0", " ", 
                    RowBox[{"Hold", "[", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "]"}]}], "]"}]}]}], ")"}], 
                 "2"]]}], ")"}]}], 
            RowBox[{"16", " ", "\[Pi]"}]]}], "}"}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {2., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarCategory",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{50., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 219, 32815565808541888736, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{58., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 219, 32815565808541888736, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{43., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 219, 32815565808541888736, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{72., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Background->RGBColor[0.9657, 0.9753, 0.9802],
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[219]]], "Output",
 CellChangeTimes->{
  3.7068098636223373`*^9, 3.7068099665551*^9, 3.7068201981679425`*^9, 
   3.7068204612328854`*^9, 3.706820561490903*^9, 3.7068215286646147`*^9, 
   3.7107097369144435`*^9, 3.71070987377691*^9, {3.7107099107322865`*^9, 
   3.7107099312292337`*^9}, 3.710713188377062*^9, 3.710713227882012*^9, 
   3.710713541022687*^9, 3.710714179169975*^9, 3.710714334190349*^9, 
   3.710714632342825*^9, 3.7107146724434605`*^9, 3.710717319982156*^9, 
   3.710760208657859*^9, 3.710964480980564*^9, 3.710969411118679*^9, 
   3.711027998671056*^9, 3.7110292549436855`*^9, 3.711039501655311*^9, 
   3.7110564804795012`*^9, 3.711139623620067*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part1", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "t_"], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, 3.706648747951063*^9, {
   3.70665353820609*^9, 3.7066535432525253`*^9}, {3.710708766426069*^9, 
   3.7107087665671577`*^9}, 3.710709459828949*^9, 3.7107095387552967`*^9, 
   3.7107098910696487`*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.706797011692658*^9, 3.70705267336576*^9, 3.707079613582587*^9, 
   3.707096671480565*^9, 3.7071369971004944`*^9, 3.7107088783632603`*^9, 
   3.7107090438873563`*^9, 3.710709493185355*^9, 3.7107095840060062`*^9, 
   3.710709847223956*^9, {3.7107099107633085`*^9, 3.7107099312602563`*^9}, 
   3.7107131884200916`*^9, 3.7107132279080324`*^9, 3.7107135410527077`*^9, 
   3.710714179191985*^9, 3.7107143342113647`*^9, 3.71071463240487*^9, 
   3.710714672468479*^9, 3.7107173200061727`*^9, 3.7107602086818895`*^9, 
   3.7109644810025787`*^9, 3.710969411139677*^9, 3.711027998695071*^9, 
   3.7110292549647007`*^9, 3.711039501678328*^9, 3.7110564805025177`*^9, 
   3.711139623642084*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part1", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"t_", ",", "2"}], "}"}]], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, 3.706648748876591*^9, {3.7066535471177244`*^9, 
   3.706653551736028*^9}, {3.710708769806054*^9, 3.7107087699011207`*^9}, 
   3.710709461624401*^9, 3.7107095458184576`*^9, 3.7107098921884346`*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.706797011706167*^9, 3.707052673384272*^9, 3.707079613597603*^9, 
   3.707096671495575*^9, 3.7071369971455326`*^9, 3.7107088783732677`*^9, 
   3.710709043898376*^9, 3.7107094932153654`*^9, 3.710709584037026*^9, 
   3.710709847237988*^9, {3.710709910782323*^9, 3.7107099312742662`*^9}, 
   3.7107131884331007`*^9, 3.7107132279230547`*^9, 3.7107135410687194`*^9, 
   3.710714179203994*^9, 3.7107143342218723`*^9, 3.710714632414877*^9, 
   3.7107146724804835`*^9, 3.7107173200161796`*^9, 3.710760208692897*^9, 
   3.710964481013586*^9, 3.710969411151185*^9, 3.7110279987090816`*^9, 
   3.7110292549747076`*^9, 3.7110395016883364`*^9, 3.711056480515527*^9, 
   3.711139623653092*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part1", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "r_"], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, {3.706648713770418*^9, 
   3.706648713841943*^9}, 3.7066487500934367`*^9, {3.7066535543942647`*^9, 
   3.7066535590445986`*^9}, {3.7107087730617685`*^9, 3.710708773152051*^9}, 
   3.710709462621106*^9, 3.710709548794606*^9, 3.710709893241192*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.706797011718752*^9, 3.7070526734022875`*^9, 3.7070796136166143`*^9, 
   3.707096671509585*^9, 3.707136997199066*^9, 3.710708878384276*^9, 
   3.710709043910384*^9, 3.710709493229376*^9, 3.710709584050049*^9, 
   3.7107098472519636`*^9, {3.7107099107993336`*^9, 3.7107099312882853`*^9}, 
   3.710713188446123*^9, 3.7107132279390545`*^9, 3.7107135410827293`*^9, 
   3.710714179214001*^9, 3.71071433423388*^9, 3.710714632425885*^9, 
   3.7107146724914913`*^9, 3.7107173200281887`*^9, 3.7107602087038913`*^9, 
   3.7109644810245943`*^9, 3.7109694111606913`*^9, 3.711027998723092*^9, 
   3.711029254982726*^9, 3.711039501699356*^9, 3.711056480528536*^9, 
   3.711139623662098*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part1", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"r_", ",", "2"}], "}"}]], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, {3.7066487168818417`*^9, 3.706648716961035*^9}, 
   3.706648751165529*^9, {3.706653562487499*^9, 3.706653565605011*^9}, {
   3.7107087757734833`*^9, 3.7107087758615327`*^9}, 3.710709463623819*^9, 
   3.7107095528351526`*^9, 3.7107098943075113`*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.706797011732257*^9, 3.7070526734207983`*^9, 3.7070796136326275`*^9, 
   3.707096671523096*^9, 3.707136997253107*^9, 3.7107088783952694`*^9, 
   3.7107090439233956`*^9, 3.710709493241384*^9, 3.710709584062044*^9, 
   3.710709847264973*^9, {3.710709910813347*^9, 3.710709931302285*^9}, 
   3.7107131884601326`*^9, 3.7107132279530754`*^9, 3.710713541097745*^9, 
   3.7107141792250056`*^9, 3.710714334243387*^9, 3.710714632436903*^9, 
   3.710714672503503*^9, 3.710717320038195*^9, 3.7107602087149014`*^9, 
   3.710964481036603*^9, 3.7109694111727*^9, 3.7110279987361*^9, 
   3.7110292549917192`*^9, 3.7110395017123528`*^9, 3.711056480541545*^9, 
   3.711139623673118*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part1", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "t_"], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, 3.706648747951063*^9, {
   3.70665353820609*^9, 3.7066535432525253`*^9}, {3.7066542232712793`*^9, 
   3.706654226998408*^9}, {3.710708778442186*^9, 3.7107087785362515`*^9}, 
   3.7107094651971235`*^9, 3.710709555625744*^9, 3.7107098953952527`*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.7067970117457705`*^9, 3.7070526734603367`*^9, 3.707079613647636*^9, 
   3.7070966715361032`*^9, 3.7071369973071404`*^9, 3.71070887840629*^9, 
   3.710709043935398*^9, 3.710709493253393*^9, 3.710709584076042*^9, 
   3.7107098472789955`*^9, {3.7107099108273664`*^9, 3.710709931317296*^9}, 
   3.710713188474144*^9, 3.710713227968075*^9, 3.7107135411117473`*^9, 
   3.710714179236004*^9, 3.7107143342704067`*^9, 3.710714632449902*^9, 
   3.7107146725164995`*^9, 3.710717320050204*^9, 3.7107602087259073`*^9, 
   3.7109644810476227`*^9, 3.710969411182708*^9, 3.7110279987491255`*^9, 
   3.711029255012735*^9, 3.7110395017313657`*^9, 3.7110564805555563`*^9, 
   3.7111396236851234`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part1", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"t_", ",", "2"}], "}"}]], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, 3.706648748876591*^9, {3.7066535471177244`*^9, 
   3.706653551736028*^9}, {3.7066542297800884`*^9, 3.706654232503418*^9}, {
   3.710708781045534*^9, 3.710708781131608*^9}, 3.710709466691182*^9, 
   3.7107095588792095`*^9, 3.710709896568096*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.706797011758847*^9, 3.7070526734753475`*^9, 3.7070796136656504`*^9, 
   3.7070966715496135`*^9, 3.7071369974197197`*^9, 3.710708878417299*^9, 
   3.7107090439453983`*^9, 3.7107094932664022`*^9, 3.710709584089063*^9, 
   3.7107098472920313`*^9, {3.7107099108403625`*^9, 3.710709931332307*^9}, 
   3.7107131884881396`*^9, 3.710713227983085*^9, 3.710713541126788*^9, 
   3.7107141792470245`*^9, 3.710714334282415*^9, 3.710714632460909*^9, 
   3.7107146725275073`*^9, 3.7107173200622263`*^9, 3.7107602087369275`*^9, 
   3.710964481059632*^9, 3.7109694111927147`*^9, 3.711027998763134*^9, 
   3.711029255025745*^9, 3.711039501742386*^9, 3.711056480567564*^9, 
   3.711139623696123*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part1", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "r_"], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, {3.706648713770418*^9, 
   3.706648713841943*^9}, 3.7066487500934367`*^9, {3.7066535543942647`*^9, 
   3.7066535590445986`*^9}, {3.706654236719203*^9, 3.706654239781204*^9}, {
   3.7107087838912654`*^9, 3.71070878396832*^9}, 3.7107094682593784`*^9, 
   3.71070956190695*^9, 3.7107098973612165`*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.7067970117718687`*^9, 3.7070526734918633`*^9, 3.707079613681667*^9, 
   3.7070966715651245`*^9, 3.707136997470256*^9, 3.710708878428306*^9, 
   3.710709043957405*^9, 3.7107094932794113`*^9, 3.7107095841020603`*^9, 
   3.7107098473060427`*^9, {3.7107099108533726`*^9, 3.7107099313463287`*^9}, 
   3.710713188502167*^9, 3.7107132279980965`*^9, 3.7107135411417713`*^9, 
   3.7107141792570314`*^9, 3.7107143342924213`*^9, 3.710714632473918*^9, 
   3.710714672538528*^9, 3.71071732007322*^9, 3.710760208747923*^9, 
   3.7109644810716276`*^9, 3.7109694112027216`*^9, 3.7110279987761292`*^9, 
   3.711029255043757*^9, 3.7110395017533813`*^9, 3.7110564805805726`*^9, 
   3.711139623708132*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part1", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"r_", ",", "2"}], "}"}]], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, {3.7066487168818417`*^9, 3.706648716961035*^9}, 
   3.706648751165529*^9, {3.706653562487499*^9, 3.706653565605011*^9}, {
   3.7066542435869503`*^9, 3.706654245558213*^9}, {3.7107087885234227`*^9, 
   3.7107087886094832`*^9}, 3.7107094695015254`*^9, 3.710709565192074*^9, 
   3.7107098983439407`*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.7067970117848673`*^9, 3.70705267350836*^9, 3.707079613696676*^9, 
   3.707096671579134*^9, 3.7071369975197906`*^9, 3.7107088784393015`*^9, 
   3.7107090439684143`*^9, 3.7107094932904186`*^9, 3.71070958411407*^9, 
   3.7107098473200245`*^9, {3.710709910866382*^9, 3.71070993136134*^9}, 
   3.7107131885171604`*^9, 3.7107132280131054`*^9, 3.7107135411597714`*^9, 
   3.710714179269028*^9, 3.710714334303443*^9, 3.710714632486928*^9, 
   3.7107146725515385`*^9, 3.710717320085229*^9, 3.7107602087599325`*^9, 
   3.7109644810836363`*^9, 3.7109694112132463`*^9, 3.7110279987901516`*^9, 
   3.71102925506277*^9, 3.7110395017644014`*^9, 3.711056480593582*^9, 
   3.711139623718138*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part1", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "t_"], 
    RowBox[{"rs", "[", "t_", "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, 
   3.7066190139496174`*^9, {3.7066484463853426`*^9, 3.706648475642807*^9}, {
   3.7066487426595497`*^9, 3.7066487427699137`*^9}, 3.7066488316814594`*^9, {
   3.706654266628583*^9, 3.706654266939515*^9}, {3.7107087911212254`*^9, 
   3.7107087912092876`*^9}, 3.710709470439476*^9, 3.7107095692364993`*^9, 
   3.7107099001798797`*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.7067970117983913`*^9, 3.707052673524871*^9, 3.7070796137156906`*^9, 
   3.7070966715926437`*^9, 3.7071369975708265`*^9, 3.7107088784493213`*^9, 
   3.710709043980423*^9, 3.7107094933054295`*^9, 3.710709584127079*^9, 
   3.710709847334035*^9, {3.7107099108863955`*^9, 3.7107099313753495`*^9}, 
   3.7107131885311823`*^9, 3.7107132280291166`*^9, 3.710713541178798*^9, 
   3.710714179279044*^9, 3.710714334317439*^9, 3.7107146324989347`*^9, 
   3.7107146725635457`*^9, 3.710717320096236*^9, 3.7107602087699375`*^9, 
   3.710964481094656*^9, 3.710969411224236*^9, 3.711027998804161*^9, 
   3.711029255073777*^9, 3.711039501776397*^9, 3.711056480606591*^9, 
   3.7111396237291574`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part1", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"t_", ",", "2"}], "}"}]], 
    RowBox[{"rs", "[", "t_", "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.7066190152805986`*^9, {3.706648458390333*^9, 3.706648477940911*^9}, 
   3.7066487468277173`*^9, 3.706648832556662*^9, {3.706654269303115*^9, 
   3.7066542693585014`*^9}, {3.710708795540551*^9, 3.710708795626613*^9}, 
   3.7107094728685055`*^9, 3.710709572215943*^9, 3.710709901554857*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.7067970118114004`*^9, 3.7070526735418863`*^9, 3.7070796137327023`*^9, 
   3.7070966716051626`*^9, 3.7071369976203628`*^9, 3.7107088784593277`*^9, 
   3.7107090439914317`*^9, 3.710709493317438*^9, 3.710709584140087*^9, 
   3.7107098473480415`*^9, {3.710709910905409*^9, 3.7107099313903503`*^9}, 
   3.7107131885451927`*^9, 3.71071322804513*^9, 3.710713541194812*^9, 
   3.7107141792910433`*^9, 3.710714334328948*^9, 3.710714632510946*^9, 
   3.7107146725745535`*^9, 3.710717320107244*^9, 3.7107602087829485`*^9, 
   3.7109644811076527`*^9, 3.7109694112352448`*^9, 3.7110279988181715`*^9, 
   3.7110292550827837`*^9, 3.7110395017884054`*^9, 3.7110564806186*^9, 
   3.7111396237401524`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "part2", "]"}]], "Input",
 CellChangeTimes->{{3.706619006547717*^9, 3.706619008947876*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"part2", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"ReleaseHold", "[", "part1", "]"}], "/.", "actionDispatch1"}], "/.",
      "actionDispatch2"}], ")"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062151778259754`*^9, 3.7062151798088675`*^9}, {
   3.706618970466958*^9, 3.706618977879029*^9}, {3.7066190180887847`*^9, 
   3.7066190220028777`*^9}, {3.7066190642140007`*^9, 3.706619068551487*^9}, {
   3.706619141032773*^9, 3.7066191451473627`*^9}, 3.706619318226982*^9, {
   3.7066242113094826`*^9, 3.706624221932489*^9}, {3.7066243440194364`*^9, 
   3.7066243460224853`*^9}, {3.706638918135659*^9, 3.706638926885065*^9}, {
   3.706649084792491*^9, 3.7066490885648603`*^9}, {3.706649140429368*^9, 
   3.706649202080886*^9}, {3.7066497217261195`*^9, 3.7066497367470055`*^9}, {
   3.706650842280785*^9, 3.706650854095054*^9}, {3.7066540507956977`*^9, 
   3.706654055366178*^9}, 3.7066541842598677`*^9, {3.7067415537358313`*^9, 
   3.706741556830079*^9}}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{"{", 
          RowBox[{"0.171875`", ",", 
           FractionBox[
            RowBox[{
             SuperscriptBox["r", "2"], " ", 
             RowBox[{"Abs", "[", 
              RowBox[{"Sin", "[", "theta", "]"}], "]"}], " ", 
             RowBox[{"(", 
              RowBox[{
               FractionBox[
                RowBox[{
                 RowBox[{"-", 
                  SuperscriptBox[
                   RowBox[{"Cot", "[", "theta", "]"}], "2"]}], "+", 
                 TemplateBox[{"11"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "-", 
                 FractionBox[
                  RowBox[{
                   SuperscriptBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"], " ", 
                   RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}], 
                  RowBox[{"4", " ", "r"}]], "+", 
                 FractionBox[
                  RowBox[{
                   SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "2"], "-", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "-", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "-", 
                   FractionBox[
                    RowBox[{"32", " ", 
                    TemplateBox[{"2"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], " ", 
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], 
                  RowBox[{"4", " ", 
                   SuperscriptBox["r", "2"]}]]}], 
                SuperscriptBox["r", "2"]], "+", 
               FractionBox[
                RowBox[{
                 SuperscriptBox[
                  RowBox[{"Csc", "[", "theta", "]"}], "2"], " ", 
                 RowBox[{"(", 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}], 
                SuperscriptBox["r", "2"]], "+", 
               FractionBox[
                RowBox[{
                 SuperscriptBox[
                  RowBox[{"(", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], "2"], " ", 
                 RowBox[{"(", 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}], 
                RowBox[{"4", " ", 
                 SuperscriptBox["r", "2"]}]], "-", 
               FractionBox[
                RowBox[{"4", " ", 
                 SuperscriptBox["r", "2"], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   TemplateBox[{"10"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                   FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], 
                    RowBox[{"8", " ", 
                    SuperscriptBox["r", "2"]}]]}], ")"}]}], 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                   RowBox[{"rs", "[", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "]"}], "+", 
                   RowBox[{"4", " ", "a0", " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"ka0", " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], "]"}]}]}], ")"}], "2"]]}], 
              ")"}]}], 
            RowBox[{"16", " ", "\[Pi]"}]]}], "}"}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {2., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarCategory",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{50., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 231, 32815565808541888736, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{58., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 231, 32815565808541888736, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{43., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 231, 32815565808541888736, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{72., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Background->RGBColor[0.9657, 0.9753, 0.9802],
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[231]]], "Output",
 CellChangeTimes->{3.70680986557872*^9, 3.7068099680311556`*^9, 
  3.7068201982099876`*^9, 3.706820461273914*^9, 3.7068205615639424`*^9, 
  3.7068215287366652`*^9, 3.710713188910438*^9, 3.710713228380365*^9, 
  3.7107135412558403`*^9, 3.7107141796362867`*^9, 3.710714334678716*^9, 
  3.7107146328451796`*^9, 3.7107146726335993`*^9, 3.710717320439745*^9, 
  3.710760209122205*^9, 3.710964481450913*^9, 3.7109694115714674`*^9, 
  3.711027999143388*^9, 3.711029255411016*^9, 3.711039502114649*^9, 
  3.7110564809498343`*^9, 3.7111396240663853`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part2", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "t_"], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, 3.706648747951063*^9, {
   3.70665353820609*^9, 3.7066535432525253`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706809865680806*^9, 3.7068099681372185`*^9, 
  3.7068201982359924`*^9, 3.706820461300934*^9, 3.7068205615849576`*^9, 
  3.7068215287606707`*^9, 3.7107131889354687`*^9, 3.710713228407385*^9, 
  3.7107135412838717`*^9, 3.7107141796763306`*^9, 3.710714334739334*^9, 
  3.710714632869197*^9, 3.7107146726576123`*^9, 3.710717320462742*^9, 
  3.71076020914423*^9, 3.7109644814949265`*^9, 3.7109694116223965`*^9, 
  3.7110279991674185`*^9, 3.7110292554540606`*^9, 3.7110395021606693`*^9, 
  3.7110564809998703`*^9, 3.7111396241174335`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part2", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"t_", ",", "2"}], "}"}]], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, 3.706648748876591*^9, {3.7066535471177244`*^9, 
   3.706653551736028*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7068098656928*^9, 3.706809968148238*^9, 
  3.706820198246999*^9, 3.7068204613119416`*^9, 3.706820561595965*^9, 
  3.7068215287706776`*^9, 3.7107131889484777`*^9, 3.710713228422408*^9, 
  3.7107135412988825`*^9, 3.7107141796883364`*^9, 3.71071433475133*^9, 
  3.710714632880206*^9, 3.7107146726706085`*^9, 3.710717320472761*^9, 
  3.710760209155228*^9, 3.710964481506935*^9, 3.710969411637908*^9, 
  3.7110279991794214`*^9, 3.7110292554640536`*^9, 3.711039502171677*^9, 
  3.71105648101388*^9, 3.7111396241284275`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part2", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "r_"], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, {3.706648713770418*^9, 
   3.706648713841943*^9}, 3.7066487500934367`*^9, {3.7066535543942647`*^9, 
   3.7066535590445986`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706809865703822*^9, 3.706809968160247*^9, 
  3.7068201982590094`*^9, 3.706820461323949*^9, 3.7068205616059723`*^9, 
  3.706821528780697*^9, 3.710713188960488*^9, 3.710713228437415*^9, 
  3.710713541312892*^9, 3.710714179700346*^9, 3.71071433476085*^9, 
  3.7107146328912134`*^9, 3.7107146726826324`*^9, 3.7107173204847765`*^9, 
  3.710760209167246*^9, 3.7109644815179434`*^9, 3.7109694116524177`*^9, 
  3.711027999193424*^9, 3.71102925547306*^9, 3.7110395021826973`*^9, 
  3.7110564810278893`*^9, 3.711139624138435*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part2", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"r_", ",", "2"}], "}"}]], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, {3.7066487168818417`*^9, 3.706648716961035*^9}, 
   3.706648751165529*^9, {3.706653562487499*^9, 3.706653565605011*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706809865715816*^9, 3.7068099681722603`*^9, 
  3.7068201982710285`*^9, 3.706820461334957*^9, 3.7068205616169796`*^9, 
  3.706821528790704*^9, 3.710713188975486*^9, 3.710713228453417*^9, 
  3.7107135413269024`*^9, 3.710714179710352*^9, 3.7107143347718463`*^9, 
  3.7107146329012327`*^9, 3.710714672692639*^9, 3.7107173204937763`*^9, 
  3.7107602091782455`*^9, 3.7109644815289507`*^9, 3.710969411665927*^9, 
  3.711027999206433*^9, 3.711029255482066*^9, 3.7110395021966963`*^9, 
  3.711056481041899*^9, 3.7111396241484413`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part2", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "t_"], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, 3.706648747951063*^9, {
   3.70665353820609*^9, 3.7066535432525253`*^9}, {3.7066542232712793`*^9, 
   3.706654226998408*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7068098657618513`*^9, 3.7068099682322865`*^9, 
  3.7068201982820234`*^9, 3.7068204613459654`*^9, 3.7068205616289883`*^9, 
  3.706821528802699*^9, 3.7107131889885063`*^9, 3.7107132284674273`*^9, 
  3.710713541341901*^9, 3.71071417972136*^9, 3.7107143347819834`*^9, 
  3.710714632913229*^9, 3.710714672704647*^9, 3.7107173205057716`*^9, 
  3.7107602091892514`*^9, 3.7109644815409594`*^9, 3.7109694116794357`*^9, 
  3.7110279992194557`*^9, 3.71102925550108*^9, 3.7110395022077036`*^9, 
  3.711056481054911*^9, 3.71113962415945*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part2", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"t_", ",", "2"}], "}"}]], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, 3.706648748876591*^9, {3.7066535471177244`*^9, 
   3.706653551736028*^9}, {3.7066542297800884`*^9, 3.706654232503418*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7068098658108845`*^9, 3.706809968292329*^9, 
  3.7068201982920437`*^9, 3.706820461357974*^9, 3.7068205616409965`*^9, 
  3.706821528812707*^9, 3.710713189002516*^9, 3.7107132284824476`*^9, 
  3.7107135413569107`*^9, 3.710714179734356*^9, 3.7107143347919903`*^9, 
  3.7107146329242506`*^9, 3.7107146727176514`*^9, 3.7107173205167837`*^9, 
  3.71076020920126*^9, 3.710964481551968*^9, 3.710969411691946*^9, 
  3.7110279992324643`*^9, 3.7110292555190926`*^9, 3.711039502218723*^9, 
  3.711056481067918*^9, 3.7111396241704593`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part2", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "r_"], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, {3.706648713770418*^9, 
   3.706648713841943*^9}, 3.7066487500934367`*^9, {3.7066535543942647`*^9, 
   3.7066535590445986`*^9}, {3.706654236719203*^9, 3.706654239781204*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706809865857932*^9, 3.7068099683613772`*^9, 
  3.706820198304039*^9, 3.7068204613679805`*^9, 3.7068205616520176`*^9, 
  3.7068215288237143`*^9, 3.710713189016526*^9, 3.7107132284984617`*^9, 
  3.7107135413729367`*^9, 3.7107141797463655`*^9, 3.7107143348024974`*^9, 
  3.7107146329352565`*^9, 3.7107146727296515`*^9, 3.710717320528788*^9, 
  3.7107602092132688`*^9, 3.7109644815622406`*^9, 3.7109694117059555`*^9, 
  3.711027999244478*^9, 3.7110292555381064`*^9, 3.711039502230732*^9, 
  3.7110564810829287`*^9, 3.7111396241804776`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part2", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"r_", ",", "2"}], "}"}]], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, {3.7066487168818417`*^9, 3.706648716961035*^9}, 
   3.706648751165529*^9, {3.706653562487499*^9, 3.706653565605011*^9}, {
   3.7066542435869503`*^9, 3.706654245558213*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706809865906954*^9, 3.70680996842342*^9, 
  3.7068201983150463`*^9, 3.7068204613800015`*^9, 3.706820561662012*^9, 
  3.7068215288347235`*^9, 3.7107131890315237`*^9, 3.710713228513474*^9, 
  3.710713541387933*^9, 3.7107141797583733`*^9, 3.7107143348125043`*^9, 
  3.7107146329462643`*^9, 3.710714672787935*^9, 3.7107173205407963`*^9, 
  3.71076020922429*^9, 3.7109644815742364`*^9, 3.7109694117224674`*^9, 
  3.7110279992594852`*^9, 3.7110292555571194`*^9, 3.7110395022427273`*^9, 
  3.711056481096938*^9, 3.711139624190484*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part2", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "t_"], 
    RowBox[{"rs", "[", "t_", "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, 
   3.7066190139496174`*^9, {3.7066484463853426`*^9, 3.706648475642807*^9}, {
   3.7066487426595497`*^9, 3.7066487427699137`*^9}, 3.7066488316814594`*^9, {
   3.706654266628583*^9, 3.706654266939515*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706809865952985*^9, 3.7068099684844646`*^9, 
  3.706820198327056*^9, 3.706820461390997*^9, 3.7068205616790333`*^9, 
  3.70682152884573*^9, 3.7107131890455427`*^9, 3.7107132285284696`*^9, 
  3.710713541402953*^9, 3.710714179771383*^9, 3.7107143348230124`*^9, 
  3.710714632957272*^9, 3.710714672800637*^9, 3.710717320550804*^9, 
  3.710760209236285*^9, 3.7109644815862446`*^9, 3.710969411736476*^9, 
  3.71102799927248*^9, 3.7110292555651255`*^9, 3.7110395022547455`*^9, 
  3.7110564811109486`*^9, 3.7111396242024803`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part2", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"t_", ",", "2"}], "}"}]], 
    RowBox[{"rs", "[", "t_", "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.7066190152805986`*^9, {3.706648458390333*^9, 3.706648477940911*^9}, 
   3.7066487468277173`*^9, 3.706648832556662*^9, {3.706654269303115*^9, 
   3.7066542693585014`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706809866000018*^9, 3.7068099685485106`*^9, 
  3.706820198338063*^9, 3.7068204614040074`*^9, 3.706820561751087*^9, 
  3.7068215288577385`*^9, 3.710713189062546*^9, 3.710713228543493*^9, 
  3.7107135414179544`*^9, 3.7107141797823906`*^9, 3.7107143348345895`*^9, 
  3.71071463296828*^9, 3.7107146728171606`*^9, 3.7107173205638123`*^9, 
  3.710760209248294*^9, 3.710964481597253*^9, 3.7109694117499857`*^9, 
  3.7110279992854896`*^9, 3.7110292555741315`*^9, 3.7110395022677455`*^9, 
  3.7110564811249585`*^9, 3.7111396242125006`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "part3", "]"}]], "Input",
 CellChangeTimes->{{3.7062152405937815`*^9, 3.706215244254385*^9}, {
  3.706619025284499*^9, 3.7066190276926603`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"part3", "=", 
   RowBox[{
    RowBox[{"ReleaseHold", "[", "part2", "]"}], "/.", "actionDispatch1"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.706215246833702*^9, 3.706215250583861*^9}, {
   3.706619031446687*^9, 3.706619054850689*^9}, {3.7066191495636835`*^9, 
   3.7066191496676917`*^9}, 3.7066193203487835`*^9, {3.706624132920161*^9, 
   3.7066241690121803`*^9}, {3.7066243489429207`*^9, 3.706624350976511*^9}, {
   3.706638974472149*^9, 3.7066389956375675`*^9}, {3.7066492157598977`*^9, 
   3.7066492387415266`*^9}, {3.7066497413816605`*^9, 3.70664975143225*^9}, {
   3.7066542963603945`*^9, 3.706654308437786*^9}, {3.706654366971634*^9, 
   3.7066543861177993`*^9}, {3.706654433697198*^9, 3.706654438914833*^9}, {
   3.7067416398006506`*^9, 3.706741657156249*^9}}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{"{", 
          RowBox[{"0.0625`", ",", 
           FractionBox[
            RowBox[{
             SuperscriptBox["r", "2"], " ", 
             RowBox[{"Abs", "[", 
              RowBox[{"Sin", "[", "theta", "]"}], "]"}], " ", 
             RowBox[{"(", 
              RowBox[{
               FractionBox[
                RowBox[{
                 RowBox[{"-", 
                  SuperscriptBox[
                   RowBox[{"Cot", "[", "theta", "]"}], "2"]}], "+", 
                 TemplateBox[{"11"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "-", 
                 FractionBox[
                  RowBox[{
                   SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]}], "2"], " ", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], 
                  RowBox[{"4", " ", "r"}]], "+", 
                 FractionBox[
                  RowBox[{
                   SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "2"], "-", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "-", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "-", 
                   FractionBox[
                    RowBox[{"32", " ", 
                    TemplateBox[{"2"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], " ", 
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], 
                  RowBox[{"4", " ", 
                   SuperscriptBox["r", "2"]}]]}], 
                SuperscriptBox["r", "2"]], "+", 
               FractionBox[
                RowBox[{
                 SuperscriptBox[
                  RowBox[{"Csc", "[", "theta", "]"}], "2"], " ", 
                 RowBox[{"(", 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}], 
                SuperscriptBox["r", "2"]], "+", 
               FractionBox[
                RowBox[{
                 SuperscriptBox[
                  RowBox[{"(", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], "2"], " ", 
                 RowBox[{"(", 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}], 
                RowBox[{"4", " ", 
                 SuperscriptBox["r", "2"]}]], "-", 
               FractionBox[
                RowBox[{"4", " ", 
                 SuperscriptBox["r", "2"], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   TemplateBox[{"10"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                   FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], 
                    RowBox[{"8", " ", 
                    SuperscriptBox["r", "2"]}]]}], ")"}]}], 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                   RowBox[{"4", " ", "a0", " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"ka0", " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], "]"}]}]}], ")"}], "2"]]}], 
              ")"}]}], 
            RowBox[{"16", " ", "\[Pi]"}]]}], "}"}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {2., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarCategory",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{50., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 243, 32815565808541888736, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{58., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 243, 32815565808541888736, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{43., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 243, 32815565808541888736, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{72., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Background->RGBColor[0.9657, 0.9753, 0.9802],
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[243]]], "Output",
 CellChangeTimes->{3.706809867243898*^9, 3.7068099694691734`*^9, 
  3.706820198364094*^9, 3.7068204614300385`*^9, 3.70682056182514*^9, 
  3.7068215289137917`*^9, 3.7107131892987256`*^9, 3.7107132287656555`*^9, 
  3.710713541472005*^9, 3.7107141800005445`*^9, 3.710714335052732*^9, 
  3.7107146331904373`*^9, 3.7107146728732076`*^9, 3.7107173207799654`*^9, 
  3.7107602094884796`*^9, 3.7109644818374224`*^9, 3.7109694119896545`*^9, 
  3.7110279995159035`*^9, 3.711029255795288*^9, 3.711039502488902*^9, 
  3.711056481351118*^9, 3.7111396244396486`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "t_"], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, 3.706648747951063*^9, {
   3.70665353820609*^9, 3.7066535432525253`*^9}, {3.706654333537593*^9, 
   3.7066543336536913`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7068098673249545`*^9, 3.706809969566242*^9, 
  3.7068201983901124`*^9, 3.7068204614560432`*^9, 3.7068205618511586`*^9, 
  3.706821528997837*^9, 3.710713189326746*^9, 3.7107132288367004`*^9, 
  3.710713541500025*^9, 3.7107141800235615`*^9, 3.710714335077154*^9, 
  3.7107146332154417`*^9, 3.7107146729002094`*^9, 3.7107173208900566`*^9, 
  3.7107602095124817`*^9, 3.7109644818614407`*^9, 3.7109694120151744`*^9, 
  3.7110279995489254`*^9, 3.7110292558153024`*^9, 3.7110395025129185`*^9, 
  3.7110564813751354`*^9, 3.7111396244616637`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"t_", ",", "2"}], "}"}]], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, 3.706648748876591*^9, {3.7066535471177244`*^9, 
   3.706653551736028*^9}, 3.7066543368029566`*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706809867335973*^9, 3.706809969576254*^9, 
  3.706820198401108*^9, 3.706820461468051*^9, 3.7068205618631535`*^9, 
  3.706821529007845*^9, 3.7107131893407555`*^9, 3.7107132288517113`*^9, 
  3.710713541517037*^9, 3.7107141800345697`*^9, 3.7107143350878773`*^9, 
  3.7107146332264624`*^9, 3.7107146729112344`*^9, 3.710717320902052*^9, 
  3.710760209523489*^9, 3.7109644818734612`*^9, 3.710969412029183*^9, 
  3.7110279995599337`*^9, 3.7110292558253098`*^9, 3.711039502524927*^9, 
  3.7110564813901453`*^9, 3.71113962447167*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "r_"], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, {3.706648713770418*^9, 
   3.706648713841943*^9}, 3.7066487500934367`*^9, {3.7066535543942647`*^9, 
   3.7066535590445986`*^9}, 3.7066543377221355`*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706809867347971*^9, 3.7068099695872583`*^9, 
  3.7068201984121294`*^9, 3.7068204614780717`*^9, 3.7068205618751755`*^9, 
  3.706821529017869*^9, 3.710713189355753*^9, 3.71071322886471*^9, 
  3.710713541532037*^9, 3.710714180043588*^9, 3.710714335099886*^9, 
  3.710714633238471*^9, 3.7107146729232388`*^9, 3.7107173209130726`*^9, 
  3.710760209533495*^9, 3.7109644818844566`*^9, 3.710969412045196*^9, 
  3.7110279995719423`*^9, 3.711029255835316*^9, 3.7110395025389376`*^9, 
  3.7110564814041567`*^9, 3.711139624483689*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"r_", ",", "2"}], "}"}]], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, {3.7066487168818417`*^9, 3.706648716961035*^9}, 
   3.706648751165529*^9, {3.706653562487499*^9, 3.706653565605011*^9}, 
   3.7066543386733255`*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.70680986736098*^9, 3.706809969599267*^9, 
  3.7068201984231377`*^9, 3.7068204614880753`*^9, 3.706820561887171*^9, 
  3.7068215290288596`*^9, 3.71071318937278*^9, 3.710713228879731*^9, 
  3.71071354154906*^9, 3.7107141800535927`*^9, 3.7107143351108932`*^9, 
  3.710714633250479*^9, 3.7107146729352465`*^9, 3.7107173209250813`*^9, 
  3.710760209544516*^9, 3.7109644818964643`*^9, 3.7109694120577106`*^9, 
  3.7110279995849524`*^9, 3.711029255843335*^9, 3.711039502550946*^9, 
  3.7110564814181657`*^9, 3.7111396244946995`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "t_"], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, 3.706648747951063*^9, {
   3.70665353820609*^9, 3.7066535432525253`*^9}, {3.7066542232712793`*^9, 
   3.706654226998408*^9}, 3.706654339672192*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7068098674080133`*^9, 3.7068099696663*^9, 
  3.7068201984351325`*^9, 3.7068204614980855`*^9, 3.70682056189719*^9, 
  3.706821529038879*^9, 3.7107131893877764`*^9, 3.7107132288987446`*^9, 
  3.710713541565071*^9, 3.710714180064603*^9, 3.710714335122469*^9, 
  3.7107146332634883`*^9, 3.710714672946254*^9, 3.710717320937087*^9, 
  3.710760209559516*^9, 3.710964481907485*^9, 3.71096941207172*^9, 
  3.7110279995969877`*^9, 3.711029255862337*^9, 3.711039502562954*^9, 
  3.711056481431175*^9, 3.7111396245067077`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"t_", ",", "2"}], "}"}]], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, 3.706648748876591*^9, {3.7066535471177244`*^9, 
   3.706653551736028*^9}, {3.7066542297800884`*^9, 3.706654232503418*^9}, 
   3.7066543406228957`*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7068098674570503`*^9, 3.7068099697275057`*^9, 
  3.706820198444151*^9, 3.7068204615070915`*^9, 3.7068205619081984`*^9, 
  3.7068215290508876`*^9, 3.7107131894028*^9, 3.710713228916745*^9, 
  3.710713541580082*^9, 3.7107141800746107`*^9, 3.7107143351324778`*^9, 
  3.710714633274496*^9, 3.7107146729582496`*^9, 3.7107173209480853`*^9, 
  3.7107602095755377`*^9, 3.71096448191848*^9, 3.7109694120862308`*^9, 
  3.711027999608999*^9, 3.7110292558843513`*^9, 3.7110395025749636`*^9, 
  3.7110564814441843`*^9, 3.711139624518705*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "r_"], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, {3.706648713770418*^9, 
   3.706648713841943*^9}, 3.7066487500934367`*^9, {3.7066535543942647`*^9, 
   3.7066535590445986`*^9}, {3.706654236719203*^9, 3.706654239781204*^9}, 
   3.706654341922807*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706809867507084*^9, 3.7068099698065605`*^9, 
  3.706820198456159*^9, 3.7068204615181026`*^9, 3.706820561920195*^9, 
  3.706821529063897*^9, 3.7107131894258127`*^9, 3.7107132289317565`*^9, 
  3.7107135415950923`*^9, 3.7107141800866055`*^9, 3.710714335141985*^9, 
  3.710714633289496*^9, 3.7107146729702587`*^9, 3.710717320959093*^9, 
  3.7107602095875463`*^9, 3.7109644819354925`*^9, 3.7109694120997405`*^9, 
  3.711027999621293*^9, 3.711029255903366*^9, 3.711039502588973*^9, 
  3.7110564814571934`*^9, 3.711139624528712*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"r_", ",", "2"}], "}"}]], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, {3.7066487168818417`*^9, 3.706648716961035*^9}, 
   3.706648751165529*^9, {3.706653562487499*^9, 3.706653565605011*^9}, {
   3.7066542435869503`*^9, 3.706654245558213*^9}, 3.706654342843735*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706809867559121*^9, 3.7068099698786125`*^9, 
  3.7068201984681683`*^9, 3.706820461530114*^9, 3.706820561931215*^9, 
  3.706821529076894*^9, 3.710713189441827*^9, 3.710713228946766*^9, 
  3.71071354160909*^9, 3.7107141800966253`*^9, 3.710714335152993*^9, 
  3.710714633300515*^9, 3.710714672982281*^9, 3.7107173209711137`*^9, 
  3.7107602095975423`*^9, 3.7109644819505157`*^9, 3.710969412112751*^9, 
  3.7110279996348124`*^9, 3.711029255921378*^9, 3.7110395026009827`*^9, 
  3.711056481469202*^9, 3.711139624539719*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "t_"], 
    RowBox[{"rs", "[", "t_", "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, 
   3.7066190139496174`*^9, {3.7066484463853426`*^9, 3.706648475642807*^9}, {
   3.7066487426595497`*^9, 3.7066487427699137`*^9}, 3.7066488316814594`*^9, {
   3.706654266628583*^9, 3.706654266939515*^9}, 3.706654343803641*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706809867608158*^9, 3.706809969948662*^9, 
  3.706820198480164*^9, 3.706820461541104*^9, 3.7068205619422154`*^9, 
  3.7068215290899034`*^9, 3.7107131894578433`*^9, 3.7107132289637785`*^9, 
  3.7107135416240997`*^9, 3.7107141801076202`*^9, 3.7107143351624994`*^9, 
  3.7107146333125134`*^9, 3.7107146729932756`*^9, 3.7107173209821196`*^9, 
  3.7107602096095495`*^9, 3.710964481963512*^9, 3.710969412124852*^9, 
  3.7110279996468077`*^9, 3.7110292559333878`*^9, 3.711039502613002*^9, 
  3.7110564814842124`*^9, 3.711139624550737*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"t_", ",", "2"}], "}"}]], 
    RowBox[{"rs", "[", "t_", "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.7066190152805986`*^9, {3.706648458390333*^9, 3.706648477940911*^9}, 
   3.7066487468277173`*^9, 3.706648832556662*^9, {3.706654269303115*^9, 
   3.7066542693585014`*^9}, 3.7066543449255176`*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7068098676551895`*^9, 3.706809969972678*^9, 
  3.7068201984911847`*^9, 3.706820461551123*^9, 3.706820561954231*^9, 
  3.7068215291009107`*^9, 3.710713189473852*^9, 3.710713228979292*^9, 
  3.710713541640111*^9, 3.710714180119629*^9, 3.7107143351740074`*^9, 
  3.710714633323533*^9, 3.7107146730042925`*^9, 3.710717320993131*^9, 
  3.7107602096225586`*^9, 3.7109644819755206`*^9, 3.7109694121393633`*^9, 
  3.711027999660823*^9, 3.7110292559433928`*^9, 3.7110395026270013`*^9, 
  3.711056481497222*^9, 3.7111396245607433`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "part3b", "]"}]], "Input",
 CellChangeTimes->{{3.7062152405937815`*^9, 3.706215244254385*^9}, {
   3.706619025284499*^9, 3.7066190276926603`*^9}, 3.706742979249982*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"part3b", "=", 
   RowBox[{"part3", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"q", "[", 
       RowBox[{"Hold", "[", 
        RowBox[{"tret", "[", 
         RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "\[Rule]", 
      RowBox[{"q", "[", 
       RowBox[{"tret", "[", 
        RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.706215246833702*^9, 3.706215250583861*^9}, {
   3.706619031446687*^9, 3.706619054850689*^9}, {3.7066191495636835`*^9, 
   3.7066191496676917`*^9}, 3.7066193203487835`*^9, {3.706624132920161*^9, 
   3.7066241690121803`*^9}, {3.7066243489429207`*^9, 3.706624350976511*^9}, {
   3.706638974472149*^9, 3.7066389956375675`*^9}, {3.7066492157598977`*^9, 
   3.7066492387415266`*^9}, {3.7066497413816605`*^9, 3.70664975143225*^9}, {
   3.7066542963603945`*^9, 3.706654308437786*^9}, {3.706654366971634*^9, 
   3.7066543861177993`*^9}, {3.706654433697198*^9, 3.706654438914833*^9}, {
   3.7067416398006506`*^9, 3.706741657156249*^9}, {3.7067429807808948`*^9, 
   3.7067429895587916`*^9}, {3.706743269834978*^9, 3.7067432751751575`*^9}, {
   3.706743306098281*^9, 3.706743370424196*^9}}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{"{", 
          RowBox[{"0.03125`", ",", 
           FractionBox[
            RowBox[{
             SuperscriptBox["r", "2"], " ", 
             RowBox[{"Abs", "[", 
              RowBox[{"Sin", "[", "theta", "]"}], "]"}], " ", 
             RowBox[{"(", 
              RowBox[{
               FractionBox[
                RowBox[{
                 RowBox[{"-", 
                  SuperscriptBox[
                   RowBox[{"Cot", "[", "theta", "]"}], "2"]}], "+", 
                 TemplateBox[{"11"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "-", 
                 FractionBox[
                  RowBox[{
                   SuperscriptBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"], " ", 
                   RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}], 
                  RowBox[{"4", " ", "r"}]], "+", 
                 FractionBox[
                  RowBox[{
                   SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "2"], "-", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "-", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "-", 
                   FractionBox[
                    RowBox[{"32", " ", 
                    TemplateBox[{"2"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], " ", 
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], 
                  RowBox[{"4", " ", 
                   SuperscriptBox["r", "2"]}]]}], 
                SuperscriptBox["r", "2"]], "+", 
               FractionBox[
                RowBox[{
                 SuperscriptBox[
                  RowBox[{"Csc", "[", "theta", "]"}], "2"], " ", 
                 RowBox[{"(", 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}], 
                SuperscriptBox["r", "2"]], "+", 
               FractionBox[
                RowBox[{
                 SuperscriptBox[
                  RowBox[{"(", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], "2"], " ", 
                 RowBox[{"(", 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}], 
                RowBox[{"4", " ", 
                 SuperscriptBox["r", "2"]}]], "-", 
               FractionBox[
                RowBox[{"4", " ", 
                 SuperscriptBox["r", "2"], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   TemplateBox[{"10"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                   FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], 
                    RowBox[{"8", " ", 
                    SuperscriptBox["r", "2"]}]]}], ")"}]}], 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", 
                   RowBox[{"rs", "[", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "]"}], "+", 
                   RowBox[{"4", " ", "a0", " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"ka0", " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], "]"}]}]}], ")"}], "2"]]}], 
              ")"}]}], 
            RowBox[{"16", " ", "\[Pi]"}]]}], "}"}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {2., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarCategory",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{50., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 255, 32815565808541888736, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{58., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 255, 32815565808541888736, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{43., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 255, 32815565808541888736, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{72., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Background->RGBColor[0.9657, 0.9753, 0.9802],
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[255]]], "Output",
 CellChangeTimes->{3.706809868661914*^9, 3.7068099709603786`*^9, 
  3.7068201985191913`*^9, 3.706820461578142*^9, 3.706820562012272*^9, 
  3.706821529153948*^9, 3.7107131896629715`*^9, 3.710713229171069*^9, 
  3.7107135416971693`*^9, 3.7107141803060193`*^9, 3.7107143353556547`*^9, 
  3.710714633525663*^9, 3.71071467305732*^9, 3.710717321174245*^9, 
  3.7107602098116927`*^9, 3.7109644821636543`*^9, 3.7109694123367715`*^9, 
  3.711027999856058*^9, 3.711029256126522*^9, 3.7110395028211365`*^9, 
  3.711056481692373*^9, 3.711139624745865*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3b", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "t_"], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, 3.706648747951063*^9, {
   3.70665353820609*^9, 3.7066535432525253`*^9}, {3.706654333537593*^9, 
   3.7066543336536913`*^9}, 3.7067429939775553`*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706809868749976*^9, 3.706809971067453*^9, 
  3.7068201985442085`*^9, 3.7068204616041603`*^9, 3.706820562037277*^9, 
  3.7068215291789656`*^9, 3.7107131896910048`*^9, 3.710713229201089*^9, 
  3.7107135417642117`*^9, 3.7107141803320255`*^9, 3.710714335377665*^9, 
  3.7107146335907087`*^9, 3.7107146730813503`*^9, 3.710717321198262*^9, 
  3.7107602098357224`*^9, 3.71096448218667*^9, 3.710969412361368*^9, 
  3.711027999880063*^9, 3.7110292561645494`*^9, 3.7110395028423924`*^9, 
  3.71105648171739*^9, 3.7111396247678814`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3b", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"t_", ",", "2"}], "}"}]], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, 3.706648748876591*^9, {3.7066535471177244`*^9, 
   3.706653551736028*^9}, 3.7066543368029566`*^9, 3.7067429953354807`*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706809868761971*^9, 3.7068099710804763`*^9, 
  3.706820198555233*^9, 3.706820461614165*^9, 3.706820562048298*^9, 
  3.706821529188986*^9, 3.7107131897060223`*^9, 3.7107132292151117`*^9, 
  3.7107135417782226`*^9, 3.710714180343046*^9, 3.710714335388675*^9, 
  3.710714633601728*^9, 3.710714673092358*^9, 3.7107173212092695`*^9, 
  3.71076020984573*^9, 3.7109644821986785`*^9, 3.710969412372812*^9, 
  3.711027999891083*^9, 3.711029256172555*^9, 3.711039502853899*^9, 
  3.7110564817293863`*^9, 3.711139624776887*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3b", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "r_"], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, {3.706648713770418*^9, 
   3.706648713841943*^9}, 3.7066487500934367`*^9, {3.7066535543942647`*^9, 
   3.7066535590445986`*^9}, 3.7066543377221355`*^9, 3.70674299700385*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7068098687749805`*^9, 3.706809971094473*^9, 
  3.7068201985672383`*^9, 3.7068204616251755`*^9, 3.7068205620583043`*^9, 
  3.70682152919899*^9, 3.710713189720011*^9, 3.7107132292301235`*^9, 
  3.710713541791234*^9, 3.710714180355042*^9, 3.7107143353996687`*^9, 
  3.7107146336127357`*^9, 3.710714673104354*^9, 3.7107173212202773`*^9, 
  3.710760209856725*^9, 3.7109644822206964`*^9, 3.7109694123848076`*^9, 
  3.7110279999050803`*^9, 3.711029256183565*^9, 3.711039502863906*^9, 
  3.7110564817423954`*^9, 3.7111396247878942`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3b", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"r_", ",", "2"}], "}"}]], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, {3.7066487168818417`*^9, 3.706648716961035*^9}, 
   3.706648751165529*^9, {3.706653562487499*^9, 3.706653565605011*^9}, 
   3.7066543386733255`*^9, 3.7067429981109405`*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7068098687869883`*^9, 3.7068099711074915`*^9, 
  3.706820198578247*^9, 3.7068204616351695`*^9, 3.7068205620683117`*^9, 
  3.7068215292089996`*^9, 3.7107131897330203`*^9, 3.71071322924512*^9, 
  3.7107135418067617`*^9, 3.71071418036608*^9, 3.71071433540969*^9, 
  3.7107146336237316`*^9, 3.7107146731153746`*^9, 3.710717321232286*^9, 
  3.710760209866731*^9, 3.7109644822407084`*^9, 3.7109694123958244`*^9, 
  3.7110279999181023`*^9, 3.711029256192569*^9, 3.711039502873923*^9, 
  3.7110564817534037`*^9, 3.7111396247969007`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3b", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "t_"], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, 3.706648747951063*^9, {
   3.70665353820609*^9, 3.7066535432525253`*^9}, {3.7066542232712793`*^9, 
   3.706654226998408*^9}, 3.706654339672192*^9, 3.706742999215476*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7068098688410416`*^9, 3.7068099711885386`*^9, 
  3.7068201985882406`*^9, 3.7068204616461773`*^9, 3.7068205620793257`*^9, 
  3.706821529220009*^9, 3.7107131897470307`*^9, 3.7107132292611313`*^9, 
  3.7107135418198214`*^9, 3.71071418037607*^9, 3.710714335423684*^9, 
  3.7107146336357527`*^9, 3.7107146731263695`*^9, 3.710717321245308*^9, 
  3.710760209878741*^9, 3.7109644822567196`*^9, 3.710969412406824*^9, 
  3.711027999930098*^9, 3.711029256211582*^9, 3.7110395028859444`*^9, 
  3.7110564817654123`*^9, 3.71113962480692*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3b", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"t_", ",", "2"}], "}"}]], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, 3.706648748876591*^9, {3.7066535471177244`*^9, 
   3.706653551736028*^9}, {3.7066542297800884`*^9, 3.706654232503418*^9}, 
   3.7066543406228957`*^9, 3.7067430002902684`*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7068098688910637`*^9, 3.706809971258589*^9, 
  3.706820198599248*^9, 3.7068204616571856`*^9, 3.7068205620913153`*^9, 
  3.7068215292300014`*^9, 3.7107131897600527`*^9, 3.7107132292741537`*^9, 
  3.710713541834772*^9, 3.7107141803870645`*^9, 3.7107143354406986`*^9, 
  3.7107146336467466`*^9, 3.7107146731383915`*^9, 3.710717321256315*^9, 
  3.710760209890749*^9, 3.7109644822697306`*^9, 3.710969412417346*^9, 
  3.7110279999431195`*^9, 3.711029256229596*^9, 3.7110395028959513`*^9, 
  3.7110564817794213`*^9, 3.711139624817926*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3b", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "r_"], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, {3.706648713770418*^9, 
   3.706648713841943*^9}, 3.7066487500934367`*^9, {3.7066535543942647`*^9, 
   3.7066535590445986`*^9}, {3.706654236719203*^9, 3.706654239781204*^9}, 
   3.706654341922807*^9, 3.706743001506117*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706809868938096*^9, 3.7068099713276377`*^9, 
  3.7068201986102657`*^9, 3.706820461667192*^9, 3.7068205621013236`*^9, 
  3.706821529240023*^9, 3.710713189775051*^9, 3.7107132292881627`*^9, 
  3.710713541856504*^9, 3.7107141803970737`*^9, 3.710714335450704*^9, 
  3.7107146336587563`*^9, 3.7107146731493855`*^9, 3.7107173212683244`*^9, 
  3.710760209901757*^9, 3.7109644822817388`*^9, 3.710969412428338*^9, 
  3.7110279999551277`*^9, 3.711029256247608*^9, 3.7110395029069595`*^9, 
  3.7110564817914305`*^9, 3.711139624827922*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3b", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"r_", ",", "2"}], "}"}]], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, {3.7066487168818417`*^9, 3.706648716961035*^9}, 
   3.706648751165529*^9, {3.706653562487499*^9, 3.706653565605011*^9}, {
   3.7066542435869503`*^9, 3.706654245558213*^9}, 3.706654342843735*^9, 
   3.7067430024136524`*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706809868987131*^9, 3.706809971397688*^9, 
  3.706820198621263*^9, 3.7068204616822157`*^9, 3.7068205621123304`*^9, 
  3.7068215292510295`*^9, 3.710713189788072*^9, 3.710713229303173*^9, 
  3.7107135418765306`*^9, 3.7107141804075937`*^9, 3.7107143354597225`*^9, 
  3.710714633672778*^9, 3.7107146731603947`*^9, 3.7107173212783318`*^9, 
  3.7107602099117765`*^9, 3.7109644822947474`*^9, 3.7109694124383593`*^9, 
  3.7110279999681377`*^9, 3.7110292562666225`*^9, 3.711039502918968*^9, 
  3.7110564818044395`*^9, 3.7111396248389435`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3b", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "t_"], 
    RowBox[{"rs", "[", "t_", "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, 
   3.7066190139496174`*^9, {3.7066484463853426`*^9, 3.706648475642807*^9}, {
   3.7066487426595497`*^9, 3.7066487427699137`*^9}, 3.7066488316814594`*^9, {
   3.706654266628583*^9, 3.706654266939515*^9}, 3.706654343803641*^9, 
   3.706743004125309*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7068098690351653`*^9, 3.7068099714227037`*^9, 
  3.7068201986312838`*^9, 3.7068204616932106`*^9, 3.70682056212434*^9, 
  3.7068215292620244`*^9, 3.710713189800081*^9, 3.7107132293181725`*^9, 
  3.710713541890545*^9, 3.7107141804191036`*^9, 3.7107143354707193`*^9, 
  3.7107146336867886`*^9, 3.710714673172414*^9, 3.710717321291329*^9, 
  3.710760209922784*^9, 3.7109644823057547`*^9, 3.710969412451354*^9, 
  3.711027999980133*^9, 3.7110292562766285`*^9, 3.711039502929963*^9, 
  3.711056481818449*^9, 3.711139624848937*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3b", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"t_", ",", "2"}], "}"}]], 
    RowBox[{"rs", "[", "t_", "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.7066190152805986`*^9, {3.706648458390333*^9, 3.706648477940911*^9}, 
   3.7066487468277173`*^9, 3.706648832556662*^9, {3.706654269303115*^9, 
   3.7066542693585014`*^9}, 3.7066543449255176`*^9, 3.706743005250967*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7068098690831995`*^9, 3.706809971490753*^9, 
  3.706820198641291*^9, 3.706820461704229*^9, 3.706820562134346*^9, 
  3.706821529272031*^9, 3.7107131898140907`*^9, 3.710713229332183*^9, 
  3.7107135419055395`*^9, 3.7107141804291325`*^9, 3.7107143354817266`*^9, 
  3.7107146336997976`*^9, 3.71071467318441*^9, 3.710717321298333*^9, 
  3.7107602099347925`*^9, 3.7109644823167624`*^9, 3.7109694124633627`*^9, 
  3.711027999994156*^9, 3.711029256285635*^9, 3.7110395029409714`*^9, 
  3.7110564818324585`*^9, 3.7111396248589544`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "part4", "]"}]], "Input",
 CellChangeTimes->{{3.7062152405937815`*^9, 3.706215244254385*^9}, {
  3.706619025284499*^9, 3.7066190276926603`*^9}, {3.706654481687329*^9, 
  3.7066544818407874`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"part4", "=", 
   RowBox[{"part3b", "/.", 
    RowBox[{
     RowBox[{"tret", "[", 
      RowBox[{"t", ",", "r"}], "]"}], "\[Rule]", "tret"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.706215246833702*^9, 3.706215250583861*^9}, {
   3.706619031446687*^9, 3.706619054850689*^9}, {3.7066191495636835`*^9, 
   3.7066191496676917`*^9}, 3.7066193203487835`*^9, {3.706624132920161*^9, 
   3.7066241690121803`*^9}, {3.7066243489429207`*^9, 3.706624350976511*^9}, {
   3.706638974472149*^9, 3.7066389956375675`*^9}, {3.7066492157598977`*^9, 
   3.7066492387415266`*^9}, {3.7066497413816605`*^9, 3.70664975143225*^9}, {
   3.7066542963603945`*^9, 3.706654308437786*^9}, {3.706654366971634*^9, 
   3.7066543861177993`*^9}, {3.706654433697198*^9, 3.706654438914833*^9}, {
   3.706654485006815*^9, 3.7066544999848537`*^9}, 3.70674300790891*^9}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{"{", 
          RowBox[{"0.046875`", ",", 
           FractionBox[
            RowBox[{
             SuperscriptBox["r", "2"], " ", 
             RowBox[{"Abs", "[", 
              RowBox[{"Sin", "[", "theta", "]"}], "]"}], " ", 
             RowBox[{"(", 
              RowBox[{
               FractionBox[
                RowBox[{
                 RowBox[{"-", 
                  SuperscriptBox[
                   RowBox[{"Cot", "[", "theta", "]"}], "2"]}], "+", 
                 TemplateBox[{"11"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "-", 
                 FractionBox[
                  RowBox[{
                   SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]}], "2"], " ", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], 
                  RowBox[{"4", " ", "r"}]], "+", 
                 FractionBox[
                  RowBox[{
                   SuperscriptBox[
                    RowBox[{"rs", "[", "tret", "]"}], "2"], "-", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "-", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "-", 
                   FractionBox[
                    RowBox[{"32", " ", "a0", " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], " ", 
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], 
                  RowBox[{"4", " ", 
                   SuperscriptBox["r", "2"]}]]}], 
                SuperscriptBox["r", "2"]], "+", 
               FractionBox[
                RowBox[{
                 SuperscriptBox[
                  RowBox[{"Csc", "[", "theta", "]"}], "2"], " ", 
                 RowBox[{"(", 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}], 
                SuperscriptBox["r", "2"]], "+", 
               FractionBox[
                RowBox[{
                 SuperscriptBox[
                  RowBox[{"(", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], "2"], " ", 
                 RowBox[{"(", 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}], 
                RowBox[{"4", " ", 
                 SuperscriptBox["r", "2"]}]], "-", 
               FractionBox[
                RowBox[{"4", " ", 
                 SuperscriptBox["r", "2"], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   TemplateBox[{"10"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                   FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], 
                    RowBox[{"8", " ", 
                    SuperscriptBox["r", "2"]}]]}], ")"}]}], 
                SuperscriptBox[
                 RowBox[{"(", 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], "2"]]}], ")"}]}], 
            RowBox[{"16", " ", "\[Pi]"}]]}], "}"}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {2., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarCategory",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{50., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 267, 32815565808541888736, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{58., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 267, 32815565808541888736, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{43., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 267, 32815565808541888736, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{72., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Background->RGBColor[0.9657, 0.9753, 0.9802],
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[267]]], "Output",
 CellChangeTimes->{3.7068098700408773`*^9, 3.706809972478465*^9, 
  3.706820198667296*^9, 3.7068204617312503`*^9, 3.706820562253443*^9, 
  3.706821529399122*^9, 3.7107131899962077`*^9, 3.710713229537328*^9, 
  3.7107135420296392`*^9, 3.710714180607279*^9, 3.710714335661871*^9, 
  3.7107146338949223`*^9, 3.710714673305515*^9, 3.710717321480708*^9, 
  3.710760210119178*^9, 3.7109644824964943`*^9, 3.7109694126705093`*^9, 
  3.7110280003463917`*^9, 3.7110292564597583`*^9, 3.7110395031210995`*^9, 
  3.7110564820165896`*^9, 3.7111396250430756`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part4", ",", "t"}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, 3.706648747951063*^9, {
   3.70665353820609*^9, 3.7066535432525253`*^9}, {3.706654333537593*^9, 
   3.7066543336536913`*^9}, {3.7066545215464315`*^9, 3.706654525518781*^9}}],

Cell[BoxData["False"], "Output",
 CellChangeTimes->{3.7068098701529555`*^9, 3.7068099726325593`*^9, 
  3.7068201986923265`*^9, 3.7068204617562675`*^9, 3.706820562502619*^9, 
  3.7068215296412926`*^9, 3.710713190023241*^9, 3.7107132295623455`*^9, 
  3.710713542281819*^9, 3.7107141806312957`*^9, 3.710714335684883*^9, 
  3.7107146339179525`*^9, 3.7107146735626783`*^9, 3.7107173215067387`*^9, 
  3.710760210140193*^9, 3.710964482540512*^9, 3.7109694127110386`*^9, 
  3.7110280004694924`*^9, 3.711029256498786*^9, 3.7110395031420975`*^9, 
  3.7110564820566225`*^9, 3.7111396250630903`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part4", ",", "r"}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, 3.706648748876591*^9, {3.7066535471177244`*^9, 
   3.706653551736028*^9}, 3.7066543368029566`*^9, {3.706654531539798*^9, 
   3.7066545348888583`*^9}}],

Cell[BoxData["False"], "Output",
 CellChangeTimes->{3.7068098701649776`*^9, 3.706809972646571*^9, 
  3.7068201987043347`*^9, 3.7068204617662754`*^9, 3.706820562512626*^9, 
  3.706821529652301*^9, 3.7107131900362473`*^9, 3.7107132295753665`*^9, 
  3.7107135422958155`*^9, 3.710714180643304*^9, 3.710714335695879*^9, 
  3.710714633927947*^9, 3.710714673574701*^9, 3.710717321516745*^9, 
  3.7107602101512003`*^9, 3.710964482555523*^9, 3.710969412720113*^9, 
  3.711028000571824*^9, 3.711029256507792*^9, 3.7110395031766253`*^9, 
  3.711056482067625*^9, 3.711139625075111*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"part5", "=", 
   RowBox[{"part4", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"t", "\[Rule]", 
       RowBox[{"radv", "-", "tret"}]}], ",", 
      RowBox[{"r", "\[Rule]", 
       RowBox[{"analogR", "[", 
        RowBox[{"tret", ",", "radv", ",", 
         RowBox[{"rs", "[", "tret", "]"}]}], "]"}]}]}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.7062155547968793`*^9, 3.7062155556284695`*^9}, {
   3.7066192502887297`*^9, 3.706619270532578*^9}, 3.706647037217538*^9, {
   3.7066545566884704`*^9, 3.7066545589232144`*^9}, 3.7067199373627687`*^9, {
   3.7068099687816744`*^9, 3.706809971412711*^9}, {3.7068200438386946`*^9, 
   3.706820052927122*^9}}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{"{", 
          RowBox[{"0.046875`", ",", 
           FractionBox[
            RowBox[{
             RowBox[{"Abs", "[", 
              RowBox[{"Sin", "[", "theta", "]"}], "]"}], " ", 
             SuperscriptBox[
              RowBox[{"analogR", "[", 
               TemplateBox[{"1"},
                "OutputSizeLimit`Skeleton",
                DisplayFunction->(FrameBox[
                  
                  RowBox[{
                   "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                  Background -> GrayLevel[0.75], 
                  BaseStyle -> {
                   "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                  Baseline, ContentPadding -> False, 
                  FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                  RoundingRadius -> 7]& )], "]"}], "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               FractionBox[
                RowBox[{
                 RowBox[{"-", 
                  SuperscriptBox[
                   RowBox[{"Cot", "[", "theta", "]"}], "2"]}], "+", 
                 TemplateBox[{"14"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                 FractionBox[
                  RowBox[{
                   SuperscriptBox[
                    RowBox[{"rs", "[", "tret", "]"}], "2"], "-", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "-", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "-", 
                   FractionBox[
                    RowBox[{"32", " ", 
                    TemplateBox[{"2"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], " ", 
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], 
                  RowBox[{"4", " ", 
                   SuperscriptBox[
                    RowBox[{"analogR", "[", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "]"}], "2"]}]]}], 
                SuperscriptBox[
                 RowBox[{"analogR", "[", 
                  RowBox[{"tret", ",", "radv", ",", 
                   RowBox[{"rs", "[", "tret", "]"}]}], "]"}], "2"]], "+", 
               FractionBox[
                RowBox[{
                 SuperscriptBox[
                  RowBox[{"Csc", "[", "theta", "]"}], "2"], " ", 
                 RowBox[{"(", 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}], 
                SuperscriptBox[
                 RowBox[{"analogR", "[", 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "]"}], "2"]], "+", 
               FractionBox[
                RowBox[{
                 SuperscriptBox[
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"], " ", 
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], 
                RowBox[{"4", " ", 
                 SuperscriptBox[
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"]}]], "-", 
               FractionBox[
                RowBox[{"4", " ", 
                 SuperscriptBox[
                  RowBox[{"analogR", "[", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "]"}], "2"], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   TemplateBox[{"10"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                   FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], 
                    RowBox[{"8", " ", 
                    SuperscriptBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"]}]]}], ")"}]}], 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"-", "2"}], " ", 
                    RowBox[{"analogR", "[", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "]"}]}], "+", 
                   RowBox[{"rs", "[", "tret", "]"}], "+", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}], "2"]]}], ")"}]}], 
            RowBox[{"16", " ", "\[Pi]"}]]}], "}"}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {2., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarCategory",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{50., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 270, 32815565808541888736, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{58., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 270, 32815565808541888736, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{43., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 270, 32815565808541888736, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{72., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Background->RGBColor[0.9657, 0.9753, 0.9802],
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[270]]], "Output",
 CellChangeTimes->{3.706809871431861*^9, 3.706809985847313*^9, 
  3.7068201988634477`*^9, 3.7068204618873672`*^9, 3.7068205626467075`*^9, 
  3.706821529790411*^9, 3.7107131903374367`*^9, 3.7107132298165483`*^9, 
  3.7107135581643505`*^9, 3.710714196428009*^9, 3.71071435162095*^9, 
  3.7107146341130767`*^9, 3.7107146895341816`*^9, 3.7107173218132086`*^9, 
  3.710760210581644*^9, 3.710964482834238*^9, 3.71096941301731*^9, 
  3.711028000865938*^9, 3.711029256780322*^9, 3.7110395033859816`*^9, 
  3.711056482283778*^9, 3.7111396252812605`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part5", ",", "t"}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706215460996825*^9, 3.706215491152727*^9}, 3.7066192935106173`*^9, {
   3.7066545812088137`*^9, 3.706654581302062*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7068098715369344`*^9, 3.706809985918377*^9, 
  3.7068201988904533`*^9, 3.7068204619153676`*^9, 3.706820562658716*^9, 
  3.7068215298024063`*^9, 3.7107131903629684`*^9, 3.7107132298815875`*^9, 
  3.710713558251854*^9, 3.710714196507642*^9, 3.7107143516902895`*^9, 
  3.7107146341531067`*^9, 3.7107146895822153`*^9, 3.710717321924509*^9, 
  3.7107602107567663`*^9, 3.710964482858255*^9, 3.7109694130413275`*^9, 
  3.7110280009471254`*^9, 3.7110292568023376`*^9, 3.7110395034089265`*^9, 
  3.7110564823088093`*^9, 3.711139625331293*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part5", ",", "r"}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, {
   3.7062154710174227`*^9, 3.7062154931891913`*^9}, 3.706619294614687*^9, {
   3.706654585086229*^9, 3.7066545851721334`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7068098715509443`*^9, 3.7068099859293714`*^9, 
  3.7068201988954587`*^9, 3.7068204619277496`*^9, 3.7068205626701355`*^9, 
  3.7068215298142242`*^9, 3.7107131903759747`*^9, 3.7107132298945894`*^9, 
  3.7107135582658606`*^9, 3.7107141965191493`*^9, 3.710714351701311*^9, 
  3.7107146341651134`*^9, 3.710714689593723*^9, 3.7107173219355164`*^9, 
  3.7107602107692757`*^9, 3.710964482870263*^9, 3.710969413051835*^9, 
  3.711029256809843*^9, 3.7110395034209323`*^9, 3.7110564823218184`*^9, 
  3.711139625342288*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "action", "]"}]], "Input",
 CellChangeTimes->{{3.70661934432819*^9, 3.7066193484420156`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "Optional", " ", "simplification", " ", "that", " ", "takes", " ", "a", " ",
    "long", " ", 
   RowBox[{"time", ":"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7066546732748623`*^9, 3.706654679224305*^9}, {
  3.706654824082139*^9, 3.7066548334537473`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Timing", "[", 
   RowBox[{"action", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"part5", ",", 
      RowBox[{"TimeConstraint", "\[Rule]", "1"}]}], "]"}]}], "]"}], " ", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.706033714218753*^9, 3.7060337474537334`*^9}, {
   3.7060338125520315`*^9, 3.7060338155505257`*^9}, {3.706033856558793*^9, 
   3.7060338727588377`*^9}, 3.7060344183796415`*^9, 3.70603461027704*^9, {
   3.7060358937130594`*^9, 3.70603590140924*^9}, {3.706036091270903*^9, 
   3.706036098641983*^9}, {3.7060362948007603`*^9, 3.706036324833975*^9}, {
   3.7060387331409287`*^9, 3.70603874923289*^9}, {3.7060503164107027`*^9, 
   3.706050434550256*^9}, {3.7060506387248707`*^9, 3.7060506558604617`*^9}, 
   3.7060509790232434`*^9, {3.7060510361427975`*^9, 3.7060510803264856`*^9}, {
   3.7060511168335247`*^9, 3.7060511190375204`*^9}, {3.706051247761168*^9, 
   3.7060512797731543`*^9}, {3.706051622654997*^9, 3.706051627134486*^9}, {
   3.7060517261424913`*^9, 3.7060517287163577`*^9}, {3.7060812734735556`*^9, 
   3.70608130352538*^9}, 3.7061838973514943`*^9, {3.7061840431452*^9, 
   3.7061840499418507`*^9}, {3.706202593302619*^9, 3.706202600336193*^9}, {
   3.706202723277877*^9, 3.7062027324230304`*^9}, {3.7062052141018105`*^9, 
   3.7062052157669907`*^9}, {3.7066053621210527`*^9, 
   3.7066054000228486`*^9}, {3.7066058980005426`*^9, 
   3.7066059128060155`*^9}, {3.706619282976776*^9, 3.7066192984013667`*^9}, {
   3.7066545953077955`*^9, 3.706654611083618*^9}, {3.706654816888632*^9, 
   3.706654819558566*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"action", "=", "part5"}]], "Input",
 CellChangeTimes->{{3.706033714218753*^9, 3.7060337474537334`*^9}, {
   3.7060338125520315`*^9, 3.7060338155505257`*^9}, {3.706033856558793*^9, 
   3.7060338727588377`*^9}, 3.7060344183796415`*^9, 3.70603461027704*^9, {
   3.7060358937130594`*^9, 3.70603590140924*^9}, {3.706036091270903*^9, 
   3.706036098641983*^9}, {3.7060362948007603`*^9, 3.706036324833975*^9}, {
   3.7060387331409287`*^9, 3.70603874923289*^9}, {3.7060503164107027`*^9, 
   3.706050434550256*^9}, {3.7060506387248707`*^9, 3.7060506558604617`*^9}, 
   3.7060509790232434`*^9, {3.7060510361427975`*^9, 3.7060510803264856`*^9}, {
   3.7060511168335247`*^9, 3.7060511190375204`*^9}, {3.706051247761168*^9, 
   3.7060512797731543`*^9}, {3.706051622654997*^9, 3.706051627134486*^9}, {
   3.7060517261424913`*^9, 3.7060517287163577`*^9}, {3.7060812734735556`*^9, 
   3.70608130352538*^9}, 3.7061838973514943`*^9, {3.7061840431452*^9, 
   3.7061840499418507`*^9}, {3.706202593302619*^9, 3.706202600336193*^9}, {
   3.706202723277877*^9, 3.7062027324230304`*^9}, {3.7062052141018105`*^9, 
   3.7062052157669907`*^9}, {3.7066053621210527`*^9, 
   3.7066054000228486`*^9}, {3.7066058980005426`*^9, 
   3.7066059128060155`*^9}, {3.706619282976776*^9, 3.7066192984013667`*^9}, {
   3.7066545953077955`*^9, 3.706654611083618*^9}, {3.70665465437514*^9, 
   3.706654665365509*^9}, {3.7066548374242334`*^9, 3.706654842219472*^9}}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         FractionBox[
          RowBox[{
           RowBox[{"Abs", "[", 
            RowBox[{"Sin", "[", "theta", "]"}], "]"}], " ", 
           SuperscriptBox[
            RowBox[{"analogR", "[", 
             TemplateBox[{"1"},
              "OutputSizeLimit`Skeleton",
              DisplayFunction->(FrameBox[
                
                RowBox[{
                 "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                Background -> GrayLevel[0.75], 
                BaseStyle -> {
                 "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                  ShowStringCharacters -> False}, BaselinePosition -> 
                Baseline, ContentPadding -> False, 
                FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                RoundingRadius -> 7]& )], "]"}], "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             FractionBox[
              RowBox[{
               RowBox[{"-", 
                SuperscriptBox[
                 RowBox[{"Cot", "[", "theta", "]"}], "2"]}], "+", 
               TemplateBox[{"14"},
                "OutputSizeLimit`Skeleton",
                DisplayFunction->(FrameBox[
                  
                  RowBox[{
                   "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                  Background -> GrayLevel[0.75], 
                  BaseStyle -> {
                   "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                  Baseline, ContentPadding -> False, 
                  FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                  RoundingRadius -> 7]& )], "+", 
               FractionBox[
                RowBox[{
                 SuperscriptBox[
                  RowBox[{"rs", "[", "tret", "]"}], "2"], "-", 
                 RowBox[{
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], "-", 
                 FractionBox[
                  RowBox[{"32", " ", "a0", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], " ", 
                   RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}], 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], 
                RowBox[{"4", " ", 
                 SuperscriptBox[
                  RowBox[{"analogR", "[", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "]"}], "2"]}]]}], 
              SuperscriptBox[
               RowBox[{"analogR", "[", 
                RowBox[{"tret", ",", "radv", ",", 
                 RowBox[{"rs", "[", "tret", "]"}]}], "]"}], "2"]], "+", 
             FractionBox[
              RowBox[{
               SuperscriptBox[
                RowBox[{"Csc", "[", "theta", "]"}], "2"], " ", 
               RowBox[{"(", 
                TemplateBox[{"1"},
                 "OutputSizeLimit`Skeleton",
                 DisplayFunction->(FrameBox[
                   
                   RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                   Background -> GrayLevel[0.75], 
                   BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                   Baseline, ContentPadding -> False, 
                   FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                   RoundingRadius -> 7]& )], ")"}]}], 
              SuperscriptBox[
               RowBox[{"analogR", "[", 
                TemplateBox[{"1"},
                 "OutputSizeLimit`Skeleton",
                 DisplayFunction->(FrameBox[
                   
                   RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                   Background -> GrayLevel[0.75], 
                   BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                   Baseline, ContentPadding -> False, 
                   FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                   RoundingRadius -> 7]& )], "]"}], "2"]], "+", 
             FractionBox[
              RowBox[{
               SuperscriptBox[
                TemplateBox[{"1"},
                 "OutputSizeLimit`Skeleton",
                 DisplayFunction->(FrameBox[
                   
                   RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                   Background -> GrayLevel[0.75], 
                   BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                   Baseline, ContentPadding -> False, 
                   FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                   RoundingRadius -> 7]& )], "2"], " ", 
               TemplateBox[{"1"},
                "OutputSizeLimit`Skeleton",
                DisplayFunction->(FrameBox[
                  
                  RowBox[{
                   "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                  Background -> GrayLevel[0.75], 
                  BaseStyle -> {
                   "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                  Baseline, ContentPadding -> False, 
                  FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                  RoundingRadius -> 7]& )]}], 
              RowBox[{"4", " ", 
               SuperscriptBox[
                TemplateBox[{"1"},
                 "OutputSizeLimit`Skeleton",
                 DisplayFunction->(FrameBox[
                   
                   RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                   Background -> GrayLevel[0.75], 
                   BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                   Baseline, ContentPadding -> False, 
                   FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                   RoundingRadius -> 7]& )], "2"]}]], "-", 
             FractionBox[
              RowBox[{"4", " ", 
               SuperscriptBox[
                RowBox[{"analogR", "[", 
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "]"}], "2"], " ", 
               RowBox[{"(", 
                RowBox[{
                 TemplateBox[{"10"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                 FractionBox[
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                  RowBox[{"8", " ", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]]}], ")"}]}], 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "2"}], " ", 
                  RowBox[{"analogR", "[", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "]"}]}], "+", 
                 RowBox[{"rs", "[", "tret", "]"}], "+", 
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}], "2"]]}], ")"}]}], 
          RowBox[{"16", " ", "\[Pi]"}]],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {2., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarCategory",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{50., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 276, 32815565808541888736, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{58., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 276, 32815565808541888736, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{43., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 276, 32815565808541888736, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{72., {1., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Background->RGBColor[0.9657, 0.9753, 0.9802],
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[276]]], "Output",
 CellChangeTimes->{3.706809872553732*^9, 3.706809986981115*^9, 
  3.7068201989677343`*^9, 3.7068204619677773`*^9, 3.7068205627589626`*^9, 
  3.7068215299042883`*^9, 3.710713190597099*^9, 3.710713230117738*^9, 
  3.710713558368285*^9, 3.710714196867896*^9, 3.710714352038616*^9, 
  3.7107146343216996`*^9, 3.7107146897183123`*^9, 3.710717322132948*^9, 
  3.7107602109684167`*^9, 3.7109644830563955`*^9, 3.7109694132394857`*^9, 
  3.7110292569884696`*^9, 3.711039503599721*^9, 3.711056482522481*^9, 
  3.7111396255184116`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{"argumentDispatch", ",", "actionNumeric"}], "]"}]], "Input",
 CellChangeTimes->{{3.70603686120614*^9, 3.7060368953037496`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "We", " ", "omit", " ", "just", " ", "the", " ", "limit", " ", "of", " ", 
    "full", " ", "radiation", " ", "or", " ", "zero", " ", "mass", " ", "for",
     " ", "the", " ", "black", " ", "hole"}], ",", " ", 
   RowBox[{"for", " ", 
    RowBox[{"simplification", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.706268744478545*^9, 3.7062688079098167`*^9}, {
   3.706269800112443*^9, 3.7062698218608327`*^9}, {3.706272971073468*^9, 
   3.706272979575471*^9}, 3.7109495745106974`*^9}],

Cell[BoxData[
 RowBox[{"Clear", "[", "pointAction", "]"}]], "Input",
 CellChangeTimes->{{3.7056581958692913`*^9, 3.7056581985942197`*^9}, 
   3.706821718237381*^9, {3.7110442400649376`*^9, 3.7110442407146597`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"pointAction", "[", 
   RowBox[{
   "rsx_", ",", "a0x_", ",", "ka0x_", ",", "tretx_", ",", "tMinQx_", ",", 
    "tMaxQx_", ",", "radvx_", " ", ",", "thetax_"}], "]"}], ":=", 
  RowBox[{"ReleaseHold", "[", 
   RowBox[{"Evaluate", "[", 
    RowBox[{"action", "/.", 
     RowBox[{"Dispatch", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"rs", "[", "tret", "]"}], "\[Rule]", "rsx"}], ",", 
        RowBox[{"a0", "\[Rule]", "a0x"}], ",", 
        RowBox[{"ka0", "\[Rule]", "ka0x"}], ",", 
        RowBox[{"tret", "\[Rule]", "tretx"}], ",", 
        RowBox[{"radv", "\[Rule]", "radvx"}], ",", 
        RowBox[{"tMinQ", "\[Rule]", "tMinQx"}], ",", 
        RowBox[{"tMaxQ", "\[Rule]", "tMaxQx"}], ",", 
        RowBox[{"theta", "\[Rule]", "thetax"}]}], "}"}], "]"}]}], "]"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.705657715277094*^9, 3.7056579662646823`*^9}, {
   3.7056580036381617`*^9, 3.7056580559532304`*^9}, 3.705658087021271*^9, {
   3.705658185446907*^9, 3.705658192973238*^9}, {3.705658256472229*^9, 
   3.705658263877475*^9}, {3.705658316630986*^9, 3.705658326530038*^9}, 
   3.705658504510239*^9, {3.705692781944783*^9, 3.7056928151683397`*^9}, {
   3.7056930192506533`*^9, 3.7056930235086565`*^9}, {3.7056955558121324`*^9, 
   3.7056955705460987`*^9}, {3.7059551715669775`*^9, 
   3.7059551800636225`*^9}, {3.705959503881569*^9, 3.705959559770999*^9}, {
   3.70596278467291*^9, 3.705962865357805*^9}, {3.7059629250295753`*^9, 
   3.70596292643598*^9}, {3.705966814720058*^9, 3.7059668165317435`*^9}, {
   3.705966847809899*^9, 3.7059668662393456`*^9}, {3.7060132704472575`*^9, 
   3.706013292969748*^9}, {3.706036440146333*^9, 3.7060364933298388`*^9}, {
   3.706036600676008*^9, 3.70603662335409*^9}, {3.70603665977748*^9, 
   3.706036691788991*^9}, {3.7060367290337524`*^9, 3.706036734934205*^9}, 
   3.7060368007236385`*^9, 3.706039190216445*^9, {3.706049772936886*^9, 
   3.706049870522284*^9}, {3.706049944174079*^9, 3.7060499948435707`*^9}, {
   3.7060518179697876`*^9, 3.7060518199136763`*^9}, {3.706053200328584*^9, 
   3.7060532022203355`*^9}, 3.706053332508293*^9, {3.706053405465456*^9, 
   3.706053411306328*^9}, {3.706053727825545*^9, 3.706053749529708*^9}, {
   3.7060538005179*^9, 3.7060538813396835`*^9}, {3.7060543043439407`*^9, 
   3.706054352712446*^9}, {3.706054482554579*^9, 3.7060544855907707`*^9}, {
   3.706054537991891*^9, 3.706054538620818*^9}, {3.7060545900829144`*^9, 
   3.706054593660288*^9}, {3.706054765282383*^9, 3.7060548505338573`*^9}, {
   3.7060548845289946`*^9, 3.7060548864995546`*^9}, {3.7060549896532607`*^9, 
   3.706055068349059*^9}, {3.7060551216513233`*^9, 3.706055128423306*^9}, {
   3.7060551922955556`*^9, 3.706055197922015*^9}, {3.706055259098593*^9, 
   3.7060552886488934`*^9}, 3.7060553206540112`*^9, {3.706055385680229*^9, 
   3.706055413860113*^9}, {3.706055483081433*^9, 3.706055485869997*^9}, {
   3.706081527674307*^9, 3.706081534273489*^9}, {3.706081567737709*^9, 
   3.7060815692941904`*^9}, {3.706081800221809*^9, 3.706081820243625*^9}, {
   3.7061006166732187`*^9, 3.706100742081583*^9}, {3.706100806564559*^9, 
   3.7061008637306576`*^9}, {3.7061009051409483`*^9, 
   3.7061009092563763`*^9}, {3.706100944778161*^9, 3.706101005150423*^9}, 
   3.7061010366383815`*^9, {3.7061011358709974`*^9, 3.7061011428734555`*^9}, {
   3.7061015747334447`*^9, 3.70610163883422*^9}, {3.706101964506838*^9, 
   3.7061019728136735`*^9}, {3.7061020216271796`*^9, 
   3.7061020917305517`*^9}, {3.70610248128618*^9, 3.7061026087924366`*^9}, {
   3.706105751827306*^9, 3.70610577982643*^9}, {3.70611079924465*^9, 
   3.70611082928557*^9}, {3.7061127190426717`*^9, 3.706112743609668*^9}, {
   3.706115486607291*^9, 3.706115529653722*^9}, {3.7061214684363203`*^9, 
   3.7061214907823534`*^9}, {3.7061317697318583`*^9, 3.706131784320633*^9}, {
   3.7061789980588875`*^9, 3.7061790024790792`*^9}, 3.7061854362960663`*^9, {
   3.706185542483763*^9, 3.7061855482026815`*^9}, {3.706186041659445*^9, 
   3.706186088603198*^9}, {3.706186366195821*^9, 3.7061863850423675`*^9}, {
   3.706186435008073*^9, 3.706186449787319*^9}, {3.706187455575446*^9, 
   3.706187508878639*^9}, {3.7061879500231266`*^9, 3.7061879785416365`*^9}, {
   3.706188048295308*^9, 3.706188079052984*^9}, {3.706188120992028*^9, 
   3.7061881384329014`*^9}, {3.7061882388183627`*^9, 
   3.7061882426117735`*^9}, {3.706216873461732*^9, 3.706216977414239*^9}, {
   3.706217232973194*^9, 3.706217290839428*^9}, {3.706217327123201*^9, 
   3.7062173350584726`*^9}, {3.706217493023801*^9, 3.7062175497518015`*^9}, {
   3.706217616949519*^9, 3.7062176769636*^9}, {3.706218249546606*^9, 
   3.7062182783543205`*^9}, {3.706218318883894*^9, 3.70621832701687*^9}, {
   3.706218358429544*^9, 3.7062184244226246`*^9}, {3.706218489321022*^9, 
   3.7062184986533213`*^9}, 3.706218654875938*^9, {3.7062188964615564`*^9, 
   3.7062189067824492`*^9}, {3.7062189475288754`*^9, 3.706218954605404*^9}, {
   3.7062191171850405`*^9, 3.706219117564308*^9}, {3.706219338021233*^9, 
   3.7062193428526597`*^9}, {3.706219469287239*^9, 3.7062194717409835`*^9}, {
   3.706220711904273*^9, 3.7062207515463047`*^9}, {3.706221507830227*^9, 
   3.7062215243722243`*^9}, {3.706221707966698*^9, 3.706221723694584*^9}, {
   3.706222992187294*^9, 3.7062229980881524`*^9}, {3.7062635289025307`*^9, 
   3.7062635353611083`*^9}, {3.706268704999566*^9, 3.706268737799814*^9}, {
   3.7062688129994535`*^9, 3.70626886653723*^9}, {3.7062689427382927`*^9, 
   3.706268946170724*^9}, {3.7062694279873304`*^9, 3.7062694364123135`*^9}, {
   3.7062694766027775`*^9, 3.7062695835984755`*^9}, {3.706269687301952*^9, 
   3.706269703932006*^9}, {3.706269829522262*^9, 3.70626983052097*^9}, {
   3.7062698708882427`*^9, 3.7062699743872833`*^9}, {3.7062700112532587`*^9, 
   3.706270030318783*^9}, {3.706270061205742*^9, 3.706270144946049*^9}, {
   3.7062703551908474`*^9, 3.706270374252355*^9}, {3.706270434667646*^9, 
   3.706270438548396*^9}, {3.7062704689786444`*^9, 3.7062704730555067`*^9}, {
   3.7063059255139084`*^9, 3.7063059276364927`*^9}, {3.7063060845169272`*^9, 
   3.7063060971351905`*^9}, {3.7064468869548483`*^9, 3.706446887505237*^9}, {
   3.706446935896923*^9, 3.7064469393763766`*^9}, {3.7064788087734413`*^9, 
   3.706478816251055*^9}, {3.7065579829218273`*^9, 3.7065579858084*^9}, {
   3.7065718406821003`*^9, 3.7065718437622967`*^9}, {3.7066060332631*^9, 
   3.7066062106054416`*^9}, {3.7066063332930126`*^9, 
   3.7066063601360116`*^9}, {3.7067201245066943`*^9, 3.706720139002957*^9}, {
   3.7067206503271704`*^9, 3.7067206638750706`*^9}, {3.706737105956627*^9, 
   3.7067371166151648`*^9}, {3.7067427485811872`*^9, 
   3.7067427743405604`*^9}, {3.706803570614688*^9, 3.7068036859962964`*^9}, {
   3.706803967806863*^9, 3.7068039738531265`*^9}, {3.7068041370873303`*^9, 
   3.706804139442997*^9}, {3.70680420536273*^9, 3.7068042058080406`*^9}, {
   3.7068044247199373`*^9, 3.7068044252873373`*^9}, {3.706804468485875*^9, 
   3.7068044696136584`*^9}, {3.706805984543273*^9, 3.706806129419732*^9}, {
   3.706807145194008*^9, 3.706807207100805*^9}, {3.706807474377463*^9, 
   3.7068075234210205`*^9}, {3.706809654502721*^9, 3.706809661171425*^9}, {
   3.706810033779215*^9, 3.7068100399095526`*^9}, {3.70682025416821*^9, 
   3.7068202673945503`*^9}, {3.7068217030976734`*^9, 3.706821705685504*^9}, {
   3.710713369498549*^9, 3.7107133750747705`*^9}, {3.7107134052680607`*^9, 
   3.7107134066972904`*^9}, {3.7107174052462125`*^9, 
   3.7107174127158012`*^9}, {3.7107176250776353`*^9, 
   3.7107176584465847`*^9}, {3.711044139530793*^9, 3.711044140175531*^9}, {
   3.711044244176489*^9, 3.7110443128825455`*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", "surfaceAction", "]"}]], "Input",
 CellChangeTimes->{{3.7056581958692913`*^9, 3.7056581985942197`*^9}, 
   3.706821718237381*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"surfaceAction", "[", 
   RowBox[{
   "rsx_", ",", "a0x_", ",", "ka0x_", ",", "tretx_", ",", "tMinQx_", ",", 
    "tMaxQx_", ",", "radvx_"}], " ", "]"}], ":=", 
  RowBox[{"Assuming", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"ka0x", "\[GreaterEqual]", "0"}], "&&", 
     RowBox[{"rsx", "\[GreaterEqual]", "0"}], "&&", 
     RowBox[{
      FractionBox["rsx", "2"], "\[GreaterEqual]", 
      FractionBox["ka0x", 
       RowBox[{"4", "*", "Pi"}]]}], "&&", 
     RowBox[{
     "tMaxQx", "\[GreaterEqual]", "tretx", "\[GreaterEqual]", "tMinQx"}]}], 
    ",", 
    RowBox[{"Simplify", "[", 
     RowBox[{"ReleaseHold", "[", 
      RowBox[{"Integrate", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Evaluate", "[", 
          RowBox[{"action", "/.", 
           RowBox[{"Dispatch", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"rs", "[", "tret", "]"}], "\[Rule]", "rsx"}], ",", 
              RowBox[{"a0", "\[Rule]", "a0x"}], ",", 
              RowBox[{"ka0", "\[Rule]", "ka0x"}], ",", 
              RowBox[{"tret", "\[Rule]", "tretx"}], ",", 
              RowBox[{"radv", "\[Rule]", "radvx"}], ",", 
              RowBox[{"tMinQ", "\[Rule]", "tMinQx"}], ",", 
              RowBox[{"tMaxQ", "\[Rule]", "tMaxQx"}]}], "}"}], "]"}]}], "]"}],
          ")"}], ",", 
        RowBox[{"{", 
         RowBox[{"theta", ",", "0", ",", 
          RowBox[{"2", "*", "Pi"}]}], "}"}]}], "]"}], "]"}], "]"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.705657715277094*^9, 3.7056579662646823`*^9}, {
   3.7056580036381617`*^9, 3.7056580559532304`*^9}, 3.705658087021271*^9, {
   3.705658185446907*^9, 3.705658192973238*^9}, {3.705658256472229*^9, 
   3.705658263877475*^9}, {3.705658316630986*^9, 3.705658326530038*^9}, 
   3.705658504510239*^9, {3.705692781944783*^9, 3.7056928151683397`*^9}, {
   3.7056930192506533`*^9, 3.7056930235086565`*^9}, {3.7056955558121324`*^9, 
   3.7056955705460987`*^9}, {3.7059551715669775`*^9, 
   3.7059551800636225`*^9}, {3.705959503881569*^9, 3.705959559770999*^9}, {
   3.70596278467291*^9, 3.705962865357805*^9}, {3.7059629250295753`*^9, 
   3.70596292643598*^9}, {3.705966814720058*^9, 3.7059668165317435`*^9}, {
   3.705966847809899*^9, 3.7059668662393456`*^9}, {3.7060132704472575`*^9, 
   3.706013292969748*^9}, {3.706036440146333*^9, 3.7060364933298388`*^9}, {
   3.706036600676008*^9, 3.70603662335409*^9}, {3.70603665977748*^9, 
   3.706036691788991*^9}, {3.7060367290337524`*^9, 3.706036734934205*^9}, 
   3.7060368007236385`*^9, 3.706039190216445*^9, {3.706049772936886*^9, 
   3.706049870522284*^9}, {3.706049944174079*^9, 3.7060499948435707`*^9}, {
   3.7060518179697876`*^9, 3.7060518199136763`*^9}, {3.706053200328584*^9, 
   3.7060532022203355`*^9}, 3.706053332508293*^9, {3.706053405465456*^9, 
   3.706053411306328*^9}, {3.706053727825545*^9, 3.706053749529708*^9}, {
   3.7060538005179*^9, 3.7060538813396835`*^9}, {3.7060543043439407`*^9, 
   3.706054352712446*^9}, {3.706054482554579*^9, 3.7060544855907707`*^9}, {
   3.706054537991891*^9, 3.706054538620818*^9}, {3.7060545900829144`*^9, 
   3.706054593660288*^9}, {3.706054765282383*^9, 3.7060548505338573`*^9}, {
   3.7060548845289946`*^9, 3.7060548864995546`*^9}, {3.7060549896532607`*^9, 
   3.706055068349059*^9}, {3.7060551216513233`*^9, 3.706055128423306*^9}, {
   3.7060551922955556`*^9, 3.706055197922015*^9}, {3.706055259098593*^9, 
   3.7060552886488934`*^9}, 3.7060553206540112`*^9, {3.706055385680229*^9, 
   3.706055413860113*^9}, {3.706055483081433*^9, 3.706055485869997*^9}, {
   3.706081527674307*^9, 3.706081534273489*^9}, {3.706081567737709*^9, 
   3.7060815692941904`*^9}, {3.706081800221809*^9, 3.706081820243625*^9}, {
   3.7061006166732187`*^9, 3.706100742081583*^9}, {3.706100806564559*^9, 
   3.7061008637306576`*^9}, {3.7061009051409483`*^9, 
   3.7061009092563763`*^9}, {3.706100944778161*^9, 3.706101005150423*^9}, 
   3.7061010366383815`*^9, {3.7061011358709974`*^9, 3.7061011428734555`*^9}, {
   3.7061015747334447`*^9, 3.70610163883422*^9}, {3.706101964506838*^9, 
   3.7061019728136735`*^9}, {3.7061020216271796`*^9, 
   3.7061020917305517`*^9}, {3.70610248128618*^9, 3.7061026087924366`*^9}, {
   3.706105751827306*^9, 3.70610577982643*^9}, {3.70611079924465*^9, 
   3.70611082928557*^9}, {3.7061127190426717`*^9, 3.706112743609668*^9}, {
   3.706115486607291*^9, 3.706115529653722*^9}, {3.7061214684363203`*^9, 
   3.7061214907823534`*^9}, {3.7061317697318583`*^9, 3.706131784320633*^9}, {
   3.7061789980588875`*^9, 3.7061790024790792`*^9}, 3.7061854362960663`*^9, {
   3.706185542483763*^9, 3.7061855482026815`*^9}, {3.706186041659445*^9, 
   3.706186088603198*^9}, {3.706186366195821*^9, 3.7061863850423675`*^9}, {
   3.706186435008073*^9, 3.706186449787319*^9}, {3.706187455575446*^9, 
   3.706187508878639*^9}, {3.7061879500231266`*^9, 3.7061879785416365`*^9}, {
   3.706188048295308*^9, 3.706188079052984*^9}, {3.706188120992028*^9, 
   3.7061881384329014`*^9}, {3.7061882388183627`*^9, 
   3.7061882426117735`*^9}, {3.706216873461732*^9, 3.706216977414239*^9}, {
   3.706217232973194*^9, 3.706217290839428*^9}, {3.706217327123201*^9, 
   3.7062173350584726`*^9}, {3.706217493023801*^9, 3.7062175497518015`*^9}, {
   3.706217616949519*^9, 3.7062176769636*^9}, {3.706218249546606*^9, 
   3.7062182783543205`*^9}, {3.706218318883894*^9, 3.70621832701687*^9}, {
   3.706218358429544*^9, 3.7062184244226246`*^9}, {3.706218489321022*^9, 
   3.7062184986533213`*^9}, 3.706218654875938*^9, {3.7062188964615564`*^9, 
   3.7062189067824492`*^9}, {3.7062189475288754`*^9, 3.706218954605404*^9}, {
   3.7062191171850405`*^9, 3.706219117564308*^9}, {3.706219338021233*^9, 
   3.7062193428526597`*^9}, {3.706219469287239*^9, 3.7062194717409835`*^9}, {
   3.706220711904273*^9, 3.7062207515463047`*^9}, {3.706221507830227*^9, 
   3.7062215243722243`*^9}, {3.706221707966698*^9, 3.706221723694584*^9}, {
   3.706222992187294*^9, 3.7062229980881524`*^9}, {3.7062635289025307`*^9, 
   3.7062635353611083`*^9}, {3.706268704999566*^9, 3.706268737799814*^9}, {
   3.7062688129994535`*^9, 3.70626886653723*^9}, {3.7062689427382927`*^9, 
   3.706268946170724*^9}, {3.7062694279873304`*^9, 3.7062694364123135`*^9}, {
   3.7062694766027775`*^9, 3.7062695835984755`*^9}, {3.706269687301952*^9, 
   3.706269703932006*^9}, {3.706269829522262*^9, 3.70626983052097*^9}, {
   3.7062698708882427`*^9, 3.7062699743872833`*^9}, {3.7062700112532587`*^9, 
   3.706270030318783*^9}, {3.706270061205742*^9, 3.706270144946049*^9}, {
   3.7062703551908474`*^9, 3.706270374252355*^9}, {3.706270434667646*^9, 
   3.706270438548396*^9}, {3.7062704689786444`*^9, 3.7062704730555067`*^9}, {
   3.7063059255139084`*^9, 3.7063059276364927`*^9}, {3.7063060845169272`*^9, 
   3.7063060971351905`*^9}, {3.7064468869548483`*^9, 3.706446887505237*^9}, {
   3.706446935896923*^9, 3.7064469393763766`*^9}, {3.7064788087734413`*^9, 
   3.706478816251055*^9}, {3.7065579829218273`*^9, 3.7065579858084*^9}, {
   3.7065718406821003`*^9, 3.7065718437622967`*^9}, {3.7066060332631*^9, 
   3.7066062106054416`*^9}, {3.7066063332930126`*^9, 
   3.7066063601360116`*^9}, {3.7067201245066943`*^9, 3.706720139002957*^9}, {
   3.7067206503271704`*^9, 3.7067206638750706`*^9}, {3.706737105956627*^9, 
   3.7067371166151648`*^9}, {3.7067427485811872`*^9, 
   3.7067427743405604`*^9}, {3.706803570614688*^9, 3.7068036859962964`*^9}, {
   3.706803967806863*^9, 3.7068039738531265`*^9}, {3.7068041370873303`*^9, 
   3.706804139442997*^9}, {3.70680420536273*^9, 3.7068042058080406`*^9}, {
   3.7068044247199373`*^9, 3.7068044252873373`*^9}, {3.706804468485875*^9, 
   3.7068044696136584`*^9}, {3.706805984543273*^9, 3.706806129419732*^9}, {
   3.706807145194008*^9, 3.706807207100805*^9}, {3.706807474377463*^9, 
   3.7068075234210205`*^9}, {3.706809654502721*^9, 3.706809661171425*^9}, {
   3.706810033779215*^9, 3.7068100399095526`*^9}, {3.70682025416821*^9, 
   3.7068202673945503`*^9}, {3.7068217030976734`*^9, 3.706821705685504*^9}, {
   3.710713369498549*^9, 3.7107133750747705`*^9}, {3.7107134052680607`*^9, 
   3.7107134066972904`*^9}, {3.7107174052462125`*^9, 
   3.7107174127158012`*^9}, {3.7107176250776353`*^9, 3.7107176584465847`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "\"\<analogR\>\"", " ", "as", " ", "defined", " ", "is", " ", 
    "problematic", " ", "for", " ", "integration", " ", "over", " ", 
    RowBox[{"tret", ".", " ", "However"}]}], ",", " ", 
   RowBox[{
   "\"\<surfaceAction\>\"", " ", "will", " ", "return", " ", "values", " ", 
    "for", " ", "arbitrary", " ", "surfaces"}], ",", " ", 
   RowBox[{
   "and", " ", "its", " ", "value", " ", "appears", " ", "to", " ", "be", " ",
     "0", " ", "anywhere", " ", "except", " ", "wave", " ", "end", " ", 
    RowBox[{"points", ".", " ", "We"}], " ", "can", " ", "find", " ", "the", 
    " ", 
    RowBox[{"(", "improper", ")"}], " ", "values", " ", "at", " ", "the", " ",
     "wave", " ", "end", " ", "points"}], ",", " ", 
   RowBox[{
   "substitute", " ", "tret", " ", "back", " ", "into", " ", "the", " ", 
    "HeavisideTheta", " ", "and", " ", "DiracDelta", " ", "functions"}], ",", 
   " ", 
   RowBox[{
   "and", " ", "integrate", " ", "just", " ", "over", " ", "these", " ", 
    RowBox[{"points", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.711041738483307*^9, 3.711041912398448*^9}, {
  3.7110429263779273`*^9, 3.7110429269903483`*^9}, {3.7110444785423374`*^9, 
  3.7110444981796217`*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", "hypersurfaceAction", "]"}]], "Input",
 CellChangeTimes->{{3.711056317549509*^9, 3.711056324938636*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"hypersurfaceAction", "[", 
   RowBox[{
   "rsx_", ",", "a0x_", ",", "ka0x_", ",", "tMinQx_", ",", "tMaxQx_", ",", 
    "radvx_"}], " ", "]"}], ":=", 
  RowBox[{
   RowBox[{"hypersurfaceAction", "[", 
    RowBox[{
    "rsx", ",", "a0x", ",", "ka0x", ",", "tMinQx", ",", "tMaxQx", ",", 
     "radvx"}], " ", "]"}], "=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"back", ",", "front", ",", "theta"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"back", "=", 
       RowBox[{"pointAction", "[", 
        RowBox[{
        "rsx", ",", "a0x", ",", "ka0x", ",", "tMinQx", ",", "tMinQx", ",", 
         "tMaxQx", ",", "0", ",", "theta"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"front", "=", 
       RowBox[{"pointAction", "[", 
        RowBox[{
        "rsx", ",", "a0x", ",", "ka0x", ",", "tMaxQx", ",", "tMinQx", ",", 
         "tMaxQx", ",", "0", ",", "theta"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Integrate", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"back", "/.", 
           RowBox[{"{", 
            RowBox[{"0", "\[Rule]", 
             RowBox[{"(", 
              RowBox[{"tret", "-", "tMinQx"}], ")"}]}], "}"}]}], ")"}], "+", 
         RowBox[{"(", 
          RowBox[{"front", "/.", 
           RowBox[{"{", 
            RowBox[{"0", "\[Rule]", 
             RowBox[{"(", 
              RowBox[{"tMaxQx", "-", "tret"}], ")"}]}], "}"}]}], ")"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"tret", ",", "tMinQx", ",", "tMaxQx"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"theta", ",", "0", ",", 
          RowBox[{"2", "*", "Pi"}]}], "}"}]}], "]"}]}]}], 
    "\[IndentingNewLine]", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.7110560972802954`*^9, 3.711056300126278*^9}, {
  3.711056494803505*^9, 3.7110564960118217`*^9}, {3.711057620274667*^9, 
  3.711057621469654*^9}, {3.7110577332514963`*^9, 3.7110577377231436`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"hypersurfaceAction", "[", 
   RowBox[{"1", ",", 
    RowBox[{"1", "/", "2"}], ",", 
    RowBox[{"Pi", "/", "2"}], ",", "1", ",", "3", ",", "0"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.711042558379099*^9, 3.711042570707028*^9}, {
  3.711044386419555*^9, 3.7110443924311686`*^9}, {3.71105755090592*^9, 
  3.7110575849778614`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"26.046875`", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.7110576168424225`*^9, 3.7110576618041625`*^9, 
  3.7110577720777283`*^9, 3.7111396838483334`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"hypersurfaceAction", "[", 
   RowBox[{"1", ",", 
    RowBox[{"1", "/", "2"}], ",", 
    RowBox[{"Pi", "/", "2"}], ",", "1", ",", "3", ",", 
    RowBox[{"1", "/", "2"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.711042558379099*^9, 3.711042570707028*^9}, {
  3.711044386419555*^9, 3.7110443924311686`*^9}, {3.71105755090592*^9, 
  3.7110575849778614`*^9}, {3.7111396359948406`*^9, 3.711139638616683*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"23.921875`", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.7110576168424225`*^9, 3.7110576618041625`*^9, 
  3.7110577720777283`*^9, 3.7111397079533815`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"testPoints", "=", 
   RowBox[{"ParallelTable", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b0", ",", 
       RowBox[{"hypersurfaceAction", "[", 
        RowBox[{"1", ",", "b0", ",", 
         RowBox[{"Pi", "*", "b0"}], ",", "1", ",", 
         RowBox[{"1", "+", 
          RowBox[{"1", "/", "b0"}]}], ",", "0"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b0", ",", 
       RowBox[{"1", "/", "2"}], ",", "1", ",", 
       RowBox[{"1", "/", "20"}]}], "}"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.711056361849857*^9, 3.7110564161478424`*^9}, {
  3.7110576399528036`*^9, 3.711057640550227*^9}, {3.7110577878075294`*^9, 
  3.711057787945979*^9}, {3.711057885692728*^9, 3.711057890055193*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.265625`", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["11", "20"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["3", "5"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["13", "20"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["7", "10"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["3", "4"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["4", "5"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["17", "20"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["9", "10"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["19", "20"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0"}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7110575221908827`*^9, 3.7110578785459557`*^9, 
  3.7110580266633177`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "Note", " ", "that", " ", "we", " ", "are", " ", "describing", " ", "a", 
    " ", "wave", " ", "which", " ", "has", " ", "existed", " ", "outside", 
    " ", "of", " ", "the", " ", "event", " ", "horizon", " ", "for", " ", 
    "some", " ", "undetermined"}], ",", " ", 
   RowBox[{"maybe", " ", "infinite"}], ",", " ", 
   RowBox[{
   "time", " ", "after", " ", "its", " ", "initial", " ", "emission", " ", 
    "from", " ", "the", " ", "event", " ", 
    RowBox[{"horizon", ".", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{
        "It", " ", "must", " ", "have", " ", "existed", " ", "for", " ", 
         "long", " ", "enough", " ", "for", " ", "its", " ", "leading", " ", 
         "end", " ", "to", " ", "reach", " ", "r"}], "=", "rs"}], ",", " ", 
       RowBox[{
        RowBox[{
        "where", " ", "the", " ", "event", " ", "horizon", " ", "is", " ", 
         "at", " ", 
         RowBox[{"rs", "/", "2"}], " ", "for", " ", "an", " ", "extremal", 
         " ", "Reissner"}], "-", 
        RowBox[{"Nordstroem", " ", "black", " ", 
         RowBox[{"hole", "."}]}]}]}], ")"}]}]}]}], "*)"}]], "Input",
 CellChangeTimes->{{3.706821649719934*^9, 3.7068216612150507`*^9}, {
  3.7068217948585806`*^9, 3.706822042776332*^9}, {3.710176836344865*^9, 
  3.710176837213479*^9}, {3.7109495914612565`*^9, 3.7109495990277863`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "The", " ", "above", " ", "depends", " ", "on", " ", "a", " ", 
    "recursively", " ", "defined", " ", "retarded", " ", "time", " ", 
    "coordinate", " ", "that", " ", "includes", " ", "the", " ", 
    "contribution", " ", "of", " ", "hypothetical", " ", "massless", " ", 
    "waves", " ", "in", " ", "the", " ", "apparent", " ", "Schwarzschild", 
    " ", 
    RowBox[{"radius", ".", " ", "The"}], " ", "boundary", " ", "conditions", 
    " ", "are", " ", "indeterminate", " ", "for", " ", "the", " ", "exact", 
    " ", "retarded", " ", "time", " ", "and", " ", "advanced", " ", 
    "radius"}], ",", " ", 
   RowBox[{
   "but", " ", "the", " ", "action", " ", "across", " ", "the", " ", "entire",
     " ", "exterior", " ", "region", " ", "should", " ", "still", " ", 
    "satisfy", " ", "the", " ", "boundary", " ", 
    RowBox[{"conditions", ".", " ", "We"}], " ", "have", " ", "avoided", " ", 
    "the", " ", "limit", " ", "of", " ", "entire", " ", "emission", " ", "of",
     " ", "the", " ", "mass", " ", "of", " ", "the", " ", "black", " ", 
    "hole"}], ",", " ", 
   RowBox[{
    RowBox[{"which", " ", "is", " ", "not", " ", "well"}], "-", 
    RowBox[{"behaved", " ", "for", " ", "these", " ", "function", " ", 
     RowBox[{"definitions", "."}]}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7061257241099167`*^9, 3.706126050322498*^9}, {
  3.7061261496178675`*^9, 3.7061261871943293`*^9}, {3.710714699140457*^9, 
  3.71071470000607*^9}, {3.7107189529955997`*^9, 3.710718996768956*^9}, {
  3.7107205558163767`*^9, 3.710720594381954*^9}, {3.710720693506472*^9, 
  3.710720694500174*^9}}]
},
WindowSize->{1600, 817},
WindowMargins->{{-8, Automatic}, {Automatic, 0}},
Magnification:>0.9 Inherited,
FrontEndVersion->"11.0 for Microsoft Windows (64-bit) (September 21, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 283, 6, 27, "Input"],
Cell[844, 28, 758, 13, 46, "Input"],
Cell[1605, 43, 1293, 26, 82, "Input"],
Cell[2901, 71, 2306, 47, 136, "Input"],
Cell[5210, 120, 768, 14, 27, "Input"],
Cell[CellGroupData[{
Cell[6003, 138, 284, 5, 27, "Input"],
Cell[6290, 145, 141, 3, 27, "Output"]
}, Open  ]],
Cell[6446, 151, 1717, 30, 82, "Input"],
Cell[8166, 183, 731, 21, 27, "Input"],
Cell[CellGroupData[{
Cell[8922, 208, 2023, 42, 27, "Input"],
Cell[10948, 252, 1611, 46, 47, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12596, 303, 1442, 44, 52, "Input"],
Cell[14041, 349, 377, 11, 45, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14455, 365, 1549, 46, 52, "Input"],
Cell[16007, 413, 722, 22, 43, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16766, 440, 2137, 45, 48, "Input"],
Cell[18906, 487, 1049, 29, 45, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19992, 521, 1022, 30, 50, "Input"],
Cell[21017, 553, 720, 23, 45, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21774, 581, 1082, 32, 50, "Input"],
Cell[22859, 615, 129, 2, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[23025, 622, 1731, 43, 52, "Input"],
Cell[24759, 667, 86548, 1408, 230, "Output"]
}, Open  ]],
Cell[111322, 2078, 1443, 29, 64, "Input"],
Cell[CellGroupData[{
Cell[112790, 2111, 2314, 48, 52, "Input"],
Cell[115107, 2161, 1100, 33, 45, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[116244, 2199, 2607, 68, 50, "Input"],
Cell[118854, 2269, 273, 6, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[119164, 2280, 2245, 64, 52, "Input"],
Cell[121412, 2346, 1017, 31, 45, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[122466, 2382, 994, 30, 50, "Input"],
Cell[123463, 2414, 1069, 31, 45, "Output"]
}, Open  ]],
Cell[124547, 2448, 1232, 23, 64, "Input"],
Cell[125782, 2473, 969, 20, 64, "Input"],
Cell[126754, 2495, 491, 9, 27, "Input"],
Cell[127248, 2506, 183, 3, 27, "Input"],
Cell[127434, 2511, 707, 16, 27, "Input"],
Cell[128144, 2529, 4072, 85, 146, "Input"],
Cell[CellGroupData[{
Cell[132241, 2618, 163, 3, 27, "Input"],
Cell[132407, 2623, 121, 2, 27, "Output"]
}, Open  ]],
Cell[132543, 2628, 1646, 33, 64, "Input"],
Cell[134192, 2663, 4090, 69, 27, "Input"],
Cell[138285, 2734, 3399, 50, 27, "Input"],
Cell[CellGroupData[{
Cell[141709, 2788, 2545, 63, 46, "Input"],
Cell[144257, 2853, 5592, 149, 180, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[149886, 3007, 76, 2, 27, "Input"],
Cell[149965, 3011, 111, 2, 27, "Output"]
}, Open  ]],
Cell[150091, 3016, 265, 6, 35, "Input"],
Cell[150359, 3024, 894, 20, 46, "Input"],
Cell[151256, 3046, 231, 5, 27, "Input"],
Cell[CellGroupData[{
Cell[151512, 3055, 76, 1, 27, "Input"],
Cell[151591, 3058, 4985, 129, 198, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[156613, 3192, 101, 1, 21, "Input"],
Cell[156717, 3195, 3011, 80, 61, "Output"]
}, Open  ]],
Cell[159743, 3278, 656, 16, 21, "Input"],
Cell[160402, 3296, 267, 7, 21, "Input"],
Cell[160672, 3305, 801, 16, 36, "Input"],
Cell[161476, 3323, 181, 3, 21, "Input"],
Cell[161660, 3328, 1180, 28, 21, "Input"],
Cell[162843, 3358, 502, 13, 21, "Input"],
Cell[CellGroupData[{
Cell[163370, 3375, 106, 2, 21, "Input"],
Cell[163479, 3379, 94, 1, 21, "Output"]
}, Open  ]],
Cell[163588, 3383, 659, 17, 27, "Input"],
Cell[CellGroupData[{
Cell[164272, 3404, 127, 3, 27, "Input"],
Cell[164402, 3409, 92, 1, 27, "Output"]
}, Open  ]],
Cell[164509, 3413, 534, 14, 27, "Input"],
Cell[CellGroupData[{
Cell[165068, 3431, 110, 2, 27, "Input"],
Cell[165181, 3435, 9614, 269, 353, "Output"]
}, Open  ]],
Cell[174810, 3707, 636, 16, 27, "Input"],
Cell[CellGroupData[{
Cell[175471, 3727, 228, 5, 27, "Input"],
Cell[175702, 3734, 96, 1, 27, "Output"]
}, Open  ]],
Cell[175813, 3738, 504, 13, 27, "Input"],
Cell[CellGroupData[{
Cell[176342, 3755, 108, 2, 27, "Input"],
Cell[176453, 3759, 4501, 122, 221, "Output"]
}, Open  ]],
Cell[180969, 3884, 619, 16, 27, "Input"],
Cell[CellGroupData[{
Cell[181613, 3904, 252, 5, 27, "Input"],
Cell[181868, 3911, 94, 1, 27, "Output"]
}, Open  ]],
Cell[181977, 3915, 451, 8, 27, "Input"],
Cell[182431, 3925, 277, 6, 37, "Input"],
Cell[182711, 3933, 867, 19, 46, "Input"],
Cell[CellGroupData[{
Cell[183603, 3956, 251, 5, 27, "Input"],
Cell[183857, 3963, 100, 2, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[183994, 3970, 911, 14, 27, "Input"],
Cell[184908, 3986, 177, 4, 27, "Output"]
}, Open  ]],
Cell[185100, 3993, 4090, 69, 27, "Input"],
Cell[189193, 4064, 3399, 50, 27, "Input"],
Cell[192595, 4116, 69, 1, 27, "Input"],
Cell[CellGroupData[{
Cell[192689, 4121, 2155, 52, 27, "Input"],
Cell[194847, 4175, 4220, 117, 141, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[199104, 4297, 76, 2, 27, "Input"],
Cell[199183, 4301, 87, 2, 27, "Output"]
}, Open  ]],
Cell[199285, 4306, 131, 2, 27, "Input"],
Cell[CellGroupData[{
Cell[199441, 4312, 833, 23, 27, "Input"],
Cell[200277, 4337, 798, 23, 27, "Output"]
}, Open  ]],
Cell[201090, 4363, 129, 2, 27, "Input"],
Cell[CellGroupData[{
Cell[201244, 4369, 621, 11, 27, "Input"],
Cell[201868, 4382, 16016, 435, 486, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[217921, 4822, 321, 9, 27, "Input"],
Cell[218245, 4833, 70, 1, 27, "Output"]
}, Open  ]],
Cell[218330, 4837, 132, 2, 27, "Input"],
Cell[CellGroupData[{
Cell[218487, 4843, 342, 6, 27, "Input"],
Cell[218832, 4851, 149, 3, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[219018, 4859, 76, 2, 27, "Input"],
Cell[219097, 4863, 87, 2, 27, "Output"]
}, Open  ]],
Cell[219199, 4868, 445, 11, 35, "Input"],
Cell[219647, 4881, 862, 18, 46, "Input"],
Cell[220512, 4901, 178, 4, 27, "Input"],
Cell[CellGroupData[{
Cell[220715, 4909, 101, 1, 27, "Input"],
Cell[220819, 4912, 4436, 123, 136, "Output"]
}, Open  ]],
Cell[225270, 5038, 1554, 42, 27, "Input"],
Cell[226827, 5082, 267, 7, 27, "Input"],
Cell[227097, 5091, 801, 16, 46, "Input"],
Cell[227901, 5109, 1178, 27, 27, "Input"],
Cell[229082, 5138, 502, 13, 27, "Input"],
Cell[CellGroupData[{
Cell[229609, 5155, 182, 3, 27, "Input"],
Cell[229794, 5160, 38868, 828, 417, "Output"]
}, Open  ]],
Cell[268677, 5991, 659, 17, 27, "Input"],
Cell[CellGroupData[{
Cell[269361, 6012, 203, 4, 27, "Input"],
Cell[269567, 6018, 72, 1, 27, "Output"]
}, Open  ]],
Cell[269654, 6022, 534, 14, 27, "Input"],
Cell[CellGroupData[{
Cell[270213, 6040, 182, 3, 27, "Input"],
Cell[270398, 6045, 38820, 827, 417, "Output"]
}, Open  ]],
Cell[309233, 6875, 636, 16, 27, "Input"],
Cell[CellGroupData[{
Cell[309894, 6895, 286, 6, 27, "Input"],
Cell[310183, 6903, 72, 1, 27, "Output"]
}, Open  ]],
Cell[310270, 6907, 504, 13, 27, "Input"],
Cell[CellGroupData[{
Cell[310799, 6924, 184, 3, 27, "Input"],
Cell[310986, 6929, 34345, 729, 237, "Output"]
}, Open  ]],
Cell[345346, 7661, 619, 16, 27, "Input"],
Cell[CellGroupData[{
Cell[345990, 7681, 309, 6, 27, "Input"],
Cell[346302, 7689, 72, 1, 27, "Output"]
}, Open  ]],
Cell[346389, 7693, 1449, 26, 64, "Input"],
Cell[347841, 7721, 279, 6, 37, "Input"],
Cell[348123, 7729, 316, 7, 27, "Input"],
Cell[CellGroupData[{
Cell[348464, 7740, 284, 5, 27, "Input"],
Cell[348751, 7747, 473, 8, 27, "Output"]
}, Open  ]],
Cell[349239, 7758, 178, 3, 27, "Input"],
Cell[349420, 7763, 581, 15, 27, "Input"],
Cell[350004, 7780, 3917, 63, 27, "Input"],
Cell[353924, 7845, 3366, 49, 27, "Input"],
Cell[CellGroupData[{
Cell[357315, 7898, 2513, 62, 27, "Input"],
Cell[359831, 7962, 3651, 96, 115, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[363519, 8063, 76, 2, 27, "Input"],
Cell[363598, 8067, 497, 8, 27, "Output"]
}, Open  ]],
Cell[364110, 8078, 285, 7, 35, "Input"],
Cell[364398, 8087, 361, 7, 27, "Input"],
Cell[364762, 8096, 222, 3, 27, "Input"],
Cell[CellGroupData[{
Cell[365009, 8103, 2016, 43, 27, "Input"],
Cell[367028, 8148, 7775, 199, 65, "Output"]
}, Open  ]],
Cell[374818, 8350, 136, 2, 27, "Input"],
Cell[CellGroupData[{
Cell[374979, 8356, 1373, 25, 27, "Input"],
Cell[376355, 8383, 22116, 488, 141, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[398508, 8876, 549, 10, 29, "Input"],
Cell[399060, 8888, 579, 8, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[399676, 8901, 570, 12, 29, "Input"],
Cell[400249, 8915, 582, 8, 27, "Output"]
}, Open  ]],
Cell[400846, 8926, 303, 7, 27, "Input"],
Cell[401152, 8935, 155, 3, 27, "Input"],
Cell[401310, 8940, 1263, 36, 50, "Input"],
Cell[402576, 8978, 1226, 38, 50, "Input"],
Cell[403805, 9018, 183, 3, 27, "Input"],
Cell[403991, 9023, 667, 14, 27, "Input"],
Cell[404661, 9039, 4607, 92, 146, "Input"],
Cell[CellGroupData[{
Cell[409293, 9135, 264, 5, 27, "Input"],
Cell[409560, 9142, 543, 8, 27, "Output"]
}, Open  ]],
Cell[410118, 9153, 300, 6, 27, "Input"],
Cell[CellGroupData[{
Cell[410443, 9163, 1727, 37, 27, "Input"],
Cell[412173, 9202, 6751, 181, 102, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[418961, 9388, 2183, 49, 29, "Input"],
Cell[421147, 9439, 13867, 333, 115, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[435051, 9777, 1701, 37, 27, "Input"],
Cell[436755, 9816, 6877, 177, 102, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[443669, 9998, 2089, 48, 29, "Input"],
Cell[445761, 10048, 26132, 582, 237, "Output"]
}, Open  ]],
Cell[471908, 10633, 1142, 24, 64, "Input"],
Cell[473053, 10659, 535, 10, 27, "Input"],
Cell[473591, 10671, 431, 8, 27, "Input"],
Cell[474025, 10681, 581, 10, 27, "Input"],
Cell[CellGroupData[{
Cell[474631, 10695, 3611, 85, 48, "Input"],
Cell[478245, 10782, 814900, 18421, 65, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1293182, 29208, 3171, 74, 66, "Input"],
Cell[1296356, 29284, 814876, 18416, 65, "Output"]
}, Open  ]],
Cell[2111247, 47703, 535, 10, 27, "Input"],
Cell[2111785, 47715, 127, 2, 27, "Input"],
Cell[CellGroupData[{
Cell[2111937, 47721, 651, 10, 27, "Input"],
Cell[2112591, 47733, 21795, 482, 157, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2134423, 48220, 554, 12, 29, "Input"],
Cell[2134980, 48234, 736, 11, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2135753, 48250, 578, 13, 29, "Input"],
Cell[2136334, 48265, 734, 11, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2137105, 48281, 601, 12, 29, "Input"],
Cell[2137709, 48295, 731, 11, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2138477, 48311, 630, 14, 29, "Input"],
Cell[2139110, 48327, 724, 11, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2139871, 48343, 567, 11, 29, "Input"],
Cell[2140441, 48356, 737, 11, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2141215, 48372, 591, 13, 29, "Input"],
Cell[2141809, 48387, 736, 11, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2142582, 48403, 618, 12, 29, "Input"],
Cell[2143203, 48417, 741, 11, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2143981, 48433, 647, 14, 29, "Input"],
Cell[2144631, 48449, 734, 11, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2145402, 48465, 571, 11, 29, "Input"],
Cell[2145976, 48478, 736, 11, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2146749, 48494, 586, 12, 29, "Input"],
Cell[2147338, 48508, 743, 11, 27, "Output"]
}, Open  ]],
Cell[2148096, 48522, 128, 2, 27, "Input"],
Cell[CellGroupData[{
Cell[2148249, 48528, 1021, 18, 27, "Input"],
Cell[2149273, 48548, 22399, 494, 159, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2171709, 49047, 428, 10, 29, "Input"],
Cell[2172140, 49059, 585, 8, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2172762, 49072, 456, 12, 29, "Input"],
Cell[2173221, 49086, 570, 8, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2173828, 49099, 483, 11, 29, "Input"],
Cell[2174314, 49112, 572, 8, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2174923, 49125, 502, 12, 29, "Input"],
Cell[2175428, 49139, 578, 8, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2176043, 49152, 445, 10, 29, "Input"],
Cell[2176491, 49164, 581, 8, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2177109, 49177, 469, 11, 29, "Input"],
Cell[2177581, 49190, 579, 8, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2178197, 49203, 494, 10, 29, "Input"],
Cell[2178694, 49215, 588, 8, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2179319, 49228, 519, 12, 29, "Input"],
Cell[2179841, 49242, 580, 8, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2180458, 49255, 443, 9, 29, "Input"],
Cell[2180904, 49266, 574, 8, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2181515, 49279, 468, 11, 29, "Input"],
Cell[2181986, 49292, 583, 8, 27, "Output"]
}, Open  ]],
Cell[2182584, 49303, 181, 3, 27, "Input"],
Cell[CellGroupData[{
Cell[2182790, 49310, 821, 14, 27, "Input"],
Cell[2183614, 49326, 23041, 506, 159, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2206692, 49837, 480, 11, 29, "Input"],
Cell[2207175, 49850, 590, 8, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2207802, 49863, 480, 12, 29, "Input"],
Cell[2208285, 49877, 577, 8, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2208899, 49890, 507, 11, 29, "Input"],
Cell[2209409, 49903, 575, 8, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2210021, 49916, 530, 13, 29, "Input"],
Cell[2210554, 49931, 577, 8, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2211168, 49944, 467, 10, 29, "Input"],
Cell[2211638, 49956, 568, 8, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2212243, 49969, 497, 12, 29, "Input"],
Cell[2212743, 49983, 581, 8, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2213361, 49996, 520, 11, 29, "Input"],
Cell[2213884, 50009, 578, 8, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2214499, 50022, 541, 12, 29, "Input"],
Cell[2215043, 50036, 571, 8, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2215651, 50049, 465, 9, 29, "Input"],
Cell[2216119, 50060, 584, 8, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2216740, 50073, 492, 11, 29, "Input"],
Cell[2217235, 50086, 578, 8, 27, "Output"]
}, Open  ]],
Cell[2217828, 50097, 205, 3, 27, "Input"],
Cell[CellGroupData[{
Cell[2218058, 50104, 1206, 23, 27, "Input"],
Cell[2219267, 50129, 22396, 494, 159, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2241700, 50628, 505, 11, 29, "Input"],
Cell[2242208, 50641, 578, 8, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2242823, 50654, 505, 12, 29, "Input"],
Cell[2243331, 50668, 569, 8, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2243937, 50681, 529, 11, 29, "Input"],
Cell[2244469, 50694, 581, 8, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2245087, 50707, 555, 13, 29, "Input"],
Cell[2245645, 50722, 581, 8, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2246263, 50735, 490, 10, 29, "Input"],
Cell[2246756, 50747, 580, 8, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2247373, 50760, 522, 12, 29, "Input"],
Cell[2247898, 50774, 584, 8, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2248519, 50787, 543, 11, 29, "Input"],
Cell[2249065, 50800, 580, 8, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2249682, 50813, 570, 13, 29, "Input"],
Cell[2250255, 50828, 586, 8, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2250878, 50841, 492, 10, 29, "Input"],
Cell[2251373, 50853, 577, 8, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2251987, 50866, 515, 11, 29, "Input"],
Cell[2252505, 50879, 579, 8, 27, "Output"]
}, Open  ]],
Cell[2253099, 50890, 232, 4, 27, "Input"],
Cell[CellGroupData[{
Cell[2253356, 50898, 881, 15, 27, "Input"],
Cell[2254240, 50915, 21319, 471, 159, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2275596, 51391, 378, 6, 27, "Input"],
Cell[2275977, 51399, 587, 8, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2276601, 51412, 329, 6, 27, "Input"],
Cell[2276933, 51420, 573, 8, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2277543, 51433, 718, 17, 27, "Input"],
Cell[2278264, 51452, 23569, 515, 165, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2301870, 51972, 279, 5, 27, "Input"],
Cell[2302152, 51979, 586, 8, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2302775, 51992, 281, 5, 27, "Input"],
Cell[2303059, 51999, 564, 8, 27, "Output"]
}, Open  ]],
Cell[2303638, 52010, 130, 2, 27, "Input"],
Cell[2303771, 52014, 312, 7, 27, "Input"],
Cell[2304086, 52023, 1579, 26, 27, "Input"],
Cell[CellGroupData[{
Cell[2305690, 52053, 1445, 20, 27, "Input"],
Cell[2307138, 52075, 23797, 524, 163, "Output"]
}, Open  ]],
Cell[2330950, 52602, 175, 3, 27, "Input"],
Cell[2331128, 52607, 553, 11, 27, "Input"],
Cell[2331684, 52620, 214, 3, 27, "Input"],
Cell[2331901, 52625, 7652, 114, 46, "Input"],
Cell[2339556, 52741, 166, 3, 27, "Input"],
Cell[2339725, 52746, 8217, 131, 94, "Input"],
Cell[2347945, 52879, 1269, 26, 64, "Input"],
Cell[2349217, 52907, 141, 2, 27, "Input"],
Cell[2349361, 52911, 2011, 52, 100, "Input"],
Cell[CellGroupData[{
Cell[2351397, 52967, 389, 9, 27, "Input"],
Cell[2351789, 52978, 201, 4, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2352027, 52987, 459, 9, 27, "Input"],
Cell[2352489, 52998, 201, 4, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2352727, 53007, 772, 18, 27, "Input"],
Cell[2353502, 53027, 1168, 38, 41, "Output"]
}, Open  ]],
Cell[2354685, 53068, 1420, 30, 64, "Input"],
Cell[2356108, 53100, 1672, 30, 82, "Input"]
}
]
*)

